var blogDescriptionJS = '';

blogDescriptionPageInitalize();
function blogDescriptionPageInitalize(){
	blogDescriptionContent();
	getBlogDetails(GetQryStrParams(window.location.hash.substr(1),'blogId'))
	viewsBlog(GetQryStrParams(window.location.hash.substr(1),'blogId'));
}

function blogDescriptionContent(){
	$('#secondary-page').empty().append('<div class="row">\
									<div class="col-sm-12">\
										<div class="connection-tab">\
											<ul class="nav connection-menu nav-tabs scrollmenu">\
												<li class="active"><a href="#description" data-toggle="tab">Description</a></li>\
												<li><a href="#relatedBlogs" data-toggle="tab">Related</a></li>\
												<li><a href="#myArticles" data-toggle="tab">My Articles</a></li>\
												<a href="#page=addPost" class="btn btn-success btn-sm pull-right m-xs">Publish a Article</a>\
											</ul>\
											<div id="connectionTabContent" class="tab-content">\
												<div class="tab-pane fade in active" id="description">\
													<div class="blog-desc"><img class="center-block" src="assets/images/ajax-loader.gif" width="90"></div>\
												</div>\
												<div class="tab-pane fade" id="relatedBlogs">\
													<div class="row">\
														<div class="related-blogs"></div>\
													</div>\
												</div>\
												<div class="tab-pane fade" id="myArticles">\
													<div class="row">\
														<div class="post"></div>\
													</div>\
												</div>\
											</div>\
										</div>\
									</div>\
								</div>');
}

function getBlogDetails(blogId){
	$.ajax({
		url     : appObj.siteUserControllerUrl+'getBlogDetails',
		data    : {blogId:blogId},
		method 	: "POST",
		dataType : 'json',
		success : function(data){
			var blogdesc = '';
				var name =  ''
				var date = new Date(data.fields.created_date.replace(/-/g, "/"));
				var hours = date.getHours(data.fields.created_date);
				var ampm = (hours >= 12) ? "pm" : "am";
				var getHour = ((hours + 11) % 12 + 1);
				var time = getHour+":"+("0"+ date.getMinutes(data.fields.created_date)).slice(-2)+" "+ampm;
				var formatted = ("0"+ (date.getMonth(data.fields.created_date)+1)).slice(-2)+"."+("0"+ date.getDate(data.fields.created_date)).slice(-2)+"."+date.getFullYear(data.fields.created_date);
				blogdesc+=	'<div class="row">\
								<div class="col-md-12">\
									<div class="hpanel blog-article-box">\
										<div class="panel-body">\
											<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/blog/'+data.fields.img_path+'">\
											<h4 class="blog-heading">'+data.fields.title+'</h4>';
											if(data.fields.meta_tag){
												blogdesc+='<p>#'+data.fields.meta_tag.split(',').join(', ')+'</p>';
											}
											blogdesc+='<div class="media clearfix">';
												blogdesc+="<a href='javascript:void(0);' onclick='displayPublicProfile("+data.fields.id+",\""+data.fields.profile_img_medium+"\",\""+data.fields.cover_photo+"\","+data.fields.user_login_type+",\""+data.fields.name+"\",\""+data.fields.professional_headline+"\",\""+data.fields.ethinicity_country_code+"\");' class='pull-left'>";
												
												blogdesc+='<img src="'+generateUserImg(data.fields.profile_img_small,data.fields.user_login_type,30,30)+'" class="profile-image" />\
												</a>\
												<div class="media-body">\
													<small>Created by : <span class="font-extra-bold">';
													blogdesc+="<a href='javascript:void(0);' onclick='displayPublicProfile("+data.fields.id+",\""+data.fields.profile_img_medium+"\",\""+data.fields.cover_photo+"\","+data.fields.user_login_type+",\""+data.fields.name+"\",\""+data.fields.professional_headline+"\",\""+data.fields.ethinicity_country_code+"\");'>"+data.fields.name+"</a>";
													
													blogdesc+='</span></small>\
													<br>\
													<small class="text-muted">'+formatted+', '+time+'</small>\
												</div>\
											</div>\
											<div class="blog-longdescription">'+data.fields.description+'</div>\
											<div class="comments-box"></div>\
											<div class="fb-comments" data-mobile="true" data-href="'+appObj.siteUrl+'#page=blogDescription&blogId='+data.fields.blog_id+'" data-numposts="5" style="display:block;"></div>\
										</div>\
									</div>\
								</div>\
							</div>';
			$(".blog-desc").empty().append(blogdesc);
			myPostBlog();
			relatedBlogs(data.fields);
			FB.XFBML.parse();
		}
	});
}

function myPostBlog(){
	$.ajax({
		url      : appObj.siteUserControllerUrl+'getMyPostDetails',
		dataType : 'json',
		success  : function(data){
			var mypost = '';
			if(data.fields == 0){
				mypost += '<div class="no-results"><i class="fa fa-3x fa-pencil-square-o"></i><br><br>You have not added any article yet</div>';
			}
			else{
				$.each(data.fields,function(index,fields){
					var description = fields.description;
					var shortdescription = $.truncate(description, {
					  length: 200
					});
					var date = new Date(fields.created_date.replace(/-/g, "/"));
					var hours = date.getHours(fields.created_date);
					var ampm = (hours >= 12) ? "pm" : "am";
					var getHour = ((hours + 11) % 12 + 1);
					var time = hours+":"+("0"+ date.getMinutes(fields.created_date)).slice(-2)+" "+ampm;
					var formatted = ("0"+ (date.getMonth(fields.created_date) +1)).slice(-2)+"."+("0"+ date.getDate(fields.created_date)).slice(-2)+"."+date.getFullYear(fields.created_date);
					mypost+='<div class="col-md-6">\
								<div class="hpanel blog-box">\
									<div class="panel-heading">\
										<div class="media clearfix">';
												mypost+="<a href='javascript:void(0);' onclick='displayPublicProfile("+fields.id+",\""+fields.profile_img_medium+"\",\""+fields.cover_photo+"\","+fields.user_login_type+",\""+fields.name+"\",\""+fields.professional_headline+"\",\""+fields.ethinicity_country_code+"\");' class='pull-left'>";
												
												mypost+='<img src="'+generateUserImg(fields.profile_img_small,fields.user_login_type,30,30)+'" class="profile-image" />\
											</a>\
											<div class="media-body">\
												<small>Created by : <span class="font-extra-bold">';
													mypost+="<a href='javascript:void(0);' onclick='displayPublicProfile("+fields.id+",\""+fields.profile_img_medium+"\",\""+fields.cover_photo+"\","+fields.user_login_type+",\""+fields.name+"\",\""+fields.professional_headline+"\",\""+fields.ethinicity_country_code+"\");'>"+fields.name+"</a>";	
												mypost+='</span></small>\
												<br>\
												<small class="text-muted">'+formatted+', '+time+'</small>';
												if(fields.blog_type == 1){
													mypost+='<span class="pull-right"><a href="#page=addPost" class="edit-delete btn-link" onclick=editmypost('+fields.blog_id+')>Edit </a>|<a onclick=deletemypost('+fields.blog_id+') class="edit-delete btn-link"> Delete</a></span>';
												}
												else{
													mypost+='<span class="pull-right">Draft - '+formatted+' | <a href="#page=addPost" class="edit-delete btn-link" onclick=editmypost('+fields.blog_id+')>Edit </a> | <a onclick=deletemypost('+fields.blog_id+') class="edit-delete btn-link"> Delete</a></span>';
												}
											mypost+='</div>\
										</div>\
									</div>\
									<div class="panel-image">\
										<a href="#page=blogDescription&blogId='+fields.blog_id+'">\
											<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/blog/'+fields.img_path+'" alt="">\
											<div class="title">\
												 <h4>'+fields.title+'</h4>\
											</div>\
										</a>\
									</div>\
									<div class="panel-body"><div class="short-description">'+shortdescription+'</div>\
										<a href="#page=blogDescription&blogId='+fields.blog_id+'" class="blog-read-more btn-link">Read More</a>\
										<div class="dropup pull-right">';
											if(isMobileApp()){
												blog+='<a class="btn btn-outline btn-default btn-sm" link="'+appObj.siteUrl+'?linkType=share&blogId='+fields.blog_id+'&page=blogDescription#page=blogDescription" href="javascript:void(0);" onclick="socialShare(this);">Share</a>';
											}
											else{
												mypost+='<a data-toggle="dropdown" class="btn btn-outline btn-default btn-sm dropdown-toggle" href="javascript:void(0);">Share</a>';
												mypost+="<ul class='dropdown-menu dropdown-menu-right'>\
															<li><a href='javascript:void(0);' onclick='blogShare(this);' type='0' blogId="+fields.blog_id+" blogTitle='"+fields.title+"' blogDescription='"+fields.description+"' blogImage='"+fields.img_path+"'><i class='fa fa-facebook'></i> Facebook</a></li>\
															<li><a href='javascript:void(0);' onclick='blogShare(this);' type='1' blogId="+fields.blog_id+" blogTitle='"+fields.title+"' blogDescription='"+fields.description+"' blogImage='"+fields.img_path+"'><i class='fa fa-linkedin'></i> Linkedin</a></li>\
															<li><a href='javascript:void(0);' onclick='blogShare(this);' type='2' blogId="+fields.blog_id+" blogTitle='"+fields.title+"' blogDescription='"+fields.description+"' blogImage='"+fields.img_path+"'><i class='fa fa-twitter'></i> Twitter</a></li>\
															<li><a href='javascript:void(0);' onclick='blogShare(this);' type='3' blogId="+fields.blog_id+" blogTitle='"+fields.title+"' blogDescription='"+fields.description+"' blogImage='"+fields.img_path+"'><i class='fa fa-google-plus'></i> Google</a></li>\
													</ul>";
											}
										mypost+='</div>\
									</div>\
								</div>\
							</div>';
				});
			}
			$(".post").empty().append(mypost);
		}
	});
}

function deletemypost(blogId){
	bootbox.confirm({
		title		: "Delete Article",
		message		: "You are about to delete this Article.",
		animate		:false,
		buttons: {
			cancel	:{
				className :'btn btn-default btn-sm'
			},
			confirm: {
				label: 'Delete',
				className :'btn btn-primary btn-sm'
			}
		},
		callback	: function(data) {
			if(data) {
				$.ajax({
					url     	: appObj.siteUserControllerUrl+'deleteMypost',
					dataType 	: 'json',
					method 		: "POST",
					data    	: {blogId:blogId},
					success 	: function(data){	
						if(data == 1){
							mypost();
						}
					}
				});
			}
		}
	});
	$(".bootbox-confirm").addClass("group-modal");
}

function encodeImage(src, callback) {
	var canvas = document.createElement('canvas'),
		ctx = canvas.getContext('2d'),
		img = new Image();
	
	img.onload = function(){
		canvas.width  = img.width;
		canvas.height = img.height;
		ctx.drawImage(img, 0, 0, img.width, img.height);
		callback(canvas.toDataURL());
	}
	img.src = src;;
}
			
function editmypost(blogId){
	$('.tagsinput').tagsinput('removeAll');
	$.ajax({
		url     	: appObj.siteUserControllerUrl+'editMypost',
		dataType 	: 'json',
		method 		: "POST",
		data    	: {blogId:blogId},
		success 	: function(data){
			$("#new-blog .add-image-label").hide();
			$("#new-blog .image-editor-cancel").addClass("remove");
			$(".cropit-image-preview").addClass("cropit-image-loaded");
			encodeImage(appObj.baseUrl+'assets/images/blog/'+data.img_path, function(encodedImage) {
				$(".cropit-image-preview").attr('style','background-image:url("'+encodedImage+'")');
				$(".hidden-image-data").attr('edit-image-data',encodedImage);
			});
			
			$('input[name=headline]').val(data.title);
			setTimeout(function(){
				$(".summernote").code(data.description);
			},1000);
			$('input[name=posttype]').val(1);
			$('input[name=blogid]').val(blogId);
			$(".tagsinput").tagsinput('add',data.meta_tag);
			$("input[name=meta]").tagsinput('refresh');		
		}
	});	
}

function relatedBlogs(blogData){
	var blogId = blogData.blog_id;
	$.ajax({
		type     :'POST',
		url      : appObj.siteUserControllerUrl+'getRelatedBlogs',
		data	 :{blogId:blogId},
		dataType : 'json',
		success  : function(data){
			var relatedBlogsData ='';
			$.each(data.fields,function(index,fields){
				var description = fields.description;
				var shortdescription = $.truncate(description, {
				  length: 200
				});
				var date = new Date(fields.created_date.replace(/-/g, "/"));
				var hours = date.getHours(fields.created_date);
				var ampm = (hours >= 12) ? "pm" : "am";
				var getHour = ((hours + 11) % 12 + 1);
				var time = hours+":"+("0"+ date.getMinutes(fields.created_date)).slice(-2)+" "+ampm;
				var formatted = ("0"+ (date.getMonth(fields.created_date) +1)).slice(-2)+"."+("0"+ date.getDate(fields.created_date)).slice(-2)+"."+date.getFullYear(fields.created_date);
				
				relatedBlogsData+='<div class="col-md-6">\
										<div class="hpanel blog-box">\
											<div class="panel-heading">\
												<div class="media clearfix">';
													relatedBlogsData+="<a href='javascript:void(0);' onclick='displayPublicProfile("+fields.id+",\""+fields.profile_img_medium+"\",\""+fields.cover_photo+"\","+fields.user_login_type+",\""+fields.name+"\",\""+fields.professional_headline+"\",\""+fields.ethinicity_country_code+"\");' class='pull-left'>";
													
													relatedBlogsData+='<img src="'+generateUserImg(fields.profile_img_small,fields.user_login_type,30,30)+'" class="profile-image" />\
													</a>\
													<div class="media-body">\
														<small>Created by : <span class="font-extra-bold">';
														relatedBlogsData+="<a href='javascript:void(0);' onclick='displayPublicProfile("+fields.id+",\""+fields.profile_img_medium+"\",\""+fields.cover_photo+"\","+fields.user_login_type+",\""+fields.name+"\",\""+fields.professional_headline+"\",\""+fields.ethinicity_country_code+"\");'>"+fields.name+"</a>";
															
														relatedBlogsData+='</span></small>\
														<br>\
														<small class="text-muted">'+formatted+', '+time+'</small>\
													</div>\
												</div>\
											</div>\
											<div class="panel-image">\
												<a href="#page=blogDescription&blogId='+fields.blog_id+'">\
													<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/blog/'+fields.img_path+'" alt="">\
													<div class="title">\
														 <h4>'+fields.title+'</h4>\
													</div>\
												</a>\
											</div>\
											<div class="panel-body"><div class="short-description">'+shortdescription+'</div>\
												<a href="#page=blogDescription&blogId='+fields.blog_id+'" class="blog-read-more btn-link">Read More</a>\
												<div class="dropup pull-right">';
													if(isMobileApp()){
														relatedBlogsData+='<a class="btn btn-outline btn-default btn-sm" link="'+appObj.siteUrl+'?linkType=share&blogId='+fields.blog_id+'&page=blogDescription#page=blogDescription" href="javascript:void(0);" onclick="socialShare(this);">Share</a>';
													}
													else{
														relatedBlogsData+='<a data-toggle="dropdown" class="btn btn-outline btn-default btn-sm dropdown-toggle" href="javascript:void(0);">Share</a>';
														relatedBlogsData+="<ul class='dropdown-menu dropdown-menu-right'>\
																	<li><a href='javascript:void(0);' onclick='blogShare(this);' type='0' blogId="+fields.blog_id+" blogTitle='"+fields.title+"' blogDescription='"+fields.description+"' blogImage='"+fields.img_path+"'><i class='fa fa-facebook'></i> Facebook</a></li>\
																	<li><a href='javascript:void(0);' onclick='blogShare(this);' type='1' blogId="+fields.blog_id+" blogTitle='"+fields.title+"' blogDescription='"+fields.description+"' blogImage='"+fields.img_path+"'><i class='fa fa-linkedin'></i> Linkedin</a></li>\
																	<li><a href='javascript:void(0);' onclick='blogShare(this);' type='2' blogId="+fields.blog_id+" blogTitle='"+fields.title+"' blogDescription='"+fields.description+"' blogImage='"+fields.img_path+"'><i class='fa fa-twitter'></i> Twitter</a></li>\
																	<li><a href='javascript:void(0);' onclick='blogShare(this);' type='3' blogId="+fields.blog_id+" blogTitle='"+fields.title+"' blogDescription='"+fields.description+"' blogImage='"+fields.img_path+"'><i class='fa fa-google-plus'></i> Google</a></li>\
															</ul>";
													}
												relatedBlogsData+='</div>\
											</div>\
										</div>\
									</div>';
			});				
			$(".related-blogs").empty().append(relatedBlogsData);
		}
	});
}

function blogShare(blogDetails){
	var type = $(blogDetails).attr("type");
	var blogId = $(blogDetails).attr("blogId");
	var blogTitle = $(blogDetails).attr("blogTitle");
	var blogDescription = $(blogDetails).attr("blogDescription");
	var blogImage = $(blogDetails).attr("blogImage");
	var description = $(blogDescription).text();
	if(type == 0){
		FB.ui({
			method			:'share',
			mobile_iframe	:true,
			href			:appObj.siteUrl+'?page=blogDescription&blogId='+blogId+'#page=blogDescription&blogId='+blogId,
			title			:blogTitle,
			description		:description,
			picture			: appObj.baseUrl+'assets/images/blog/'+blogImage,
		}, 	function(response){});
	}
	else if(type == 1){
		window.open('https://www.linkedin.com/shareArticle?mini=true&url='+appObj.baseUrl+'/assets/images/blog/'+blogImage+'&title='+blogTitle+'&summary='+description+'&source=Latinc','popup', 'width=300, height=200');
	}
	else if(type == 2){
		var encodeUrl = encodeURIComponent(appObj.siteUrl+'?page=blogDescription&blogId='+blogId+'#page=blogDescription&blogId='+blogId+'');
		window.open('http://twitter.com/intent/tweet?text='+blogTitle+'&url='+encodeUrl, 'popup1', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=300,width=600');
	}
	else{
		var encodeUrl = encodeURIComponent(appObj.siteUrl+'?page=blogDescription&blogId='+blogId+'#page=blogDescription&blogId='+blogId+'');
		window.open('https://plus.google.com/share?url='+encodeUrl+'', 'popup', 'height=300,width=600');
	}
}

function viewsBlog(blogId){
	$.ajax({
		type     :'POST',
		url      : appObj.siteUserControllerUrl+'viewsBlog',
		data	 :{blogId:blogId},
		dataType : 'json',
	});
}