var blogJS = '';

blogsPageInitalize();
function blogsPageInitalize(){
	blogPageContent();
	allBlog();
	myPostBlog();
	popularTags();
	if(isMobileApp()){
		GARecored('Blogs');
	}
}

function blogPageContent(){
	$('#secondary-page').empty().append('<div class="blog-page">\
		<div class="row">\
			<div class="col-sm-12 connection-tab">\
				<ul class="nav connection-menu nav-tabs scrollmenu">\
					<li class="active"><a data-toggle="tab" href="#suggestedBlogs" aria-expanded="true"> Suggested articles</a></li>\
					<li class=""><a data-toggle="tab" href="#myArticles" aria-expanded="false">My Articles</a></li>\
					<li class=""><a data-toggle="tab" href="#SearchBlogs" aria-expanded="false">Search</a></li>\
					<a href="#page=addPost" class="btn btn-success btn-sm pull-right m-xs">Publish a Article</a>\
				</ul>\
				<div id="connectionTabContent" class="tab-content">\
					<div id="suggestedBlogs" class="tab-pane active">\
						<div class="row">\
							<div class="blog"><img class="center-block" src="assets/images/ajax-loader.gif" width="90"></div>\
						</div>\
					</div>\
					<div id="myArticles" class="tab-pane">\
						<div class="row">\
							<div class="post"></div>\
						</div>\
					</div>\
					<div id="SearchBlogs" class="tab-pane">\
						<div class="hpanel">\
							<div class="panel-body p-xs">\
								<div class="input-group">\
									<input type="text" class="form-control" name="blog-search" placeholder="Search through keyword">\
									<div class="blog-search-results"></div>\
									<span class="input-group-btn">\
										<button class="btn btn-info" type="button" onclick="blogSearch();">\
											<i class="fa fa-search"></i>\
										</button> </span>\
								</div>\
								<div class="row">\
									<div class="col-lg-10">\
										<ul class="list-unstyled">\
											<div class="popular-tags"></div>\
										</ul>\
									</div>\
								</div>\
							</div>\
						</div>\
					</div>\
				</div>\
			</div>\
		</div><a class="write-post-bottom btn-link" href="#page=addPost" style="display:none;"><i class="fa fa-pencil-square-o fa-lg"></i></a>\
	</div>');
	writePostBottom();
}

function allBlog(){
	$.ajax({
		url     : appObj.siteUserControllerUrl+'getBlogDetails',
		dataType : 'json',
		success : function(data){
			buildBlogsData(data);
		}
	});
}

function buildBlogsData(data){
	var blog = '';
	$.each(data.fields,function(index,fields){
		var description = fields.description;
		var shortdescription = $.truncate(description, {
		  length: 200
		});
		var date = new Date(fields.created_date.replace(/-/g, "/"));
		var hours = date.getHours(fields.created_date);
		var ampm = (hours >= 12) ? "pm" : "am";
		var getHour = ((hours + 11) % 12 + 1);
		var time = hours+":"+("0"+ date.getMinutes(fields.created_date)).slice(-2)+" "+ampm;
		var formatted = ("0"+ (date.getMonth(fields.created_date) +1)).slice(-2)+"."+("0"+ date.getDate(fields.created_date)).slice(-2)+"."+date.getFullYear(fields.created_date);
		blog+='<div class="col-md-6">\
				<div class="hpanel blog-box">\
					<div class="panel-heading">\
						<div class="media clearfix">';
							blog+="<a href='javascript:void(0);' onclick='displayPublicProfile("+fields.id+",\""+fields.profile_img_medium+"\",\""+fields.cover_photo+"\","+fields.user_login_type+",\""+fields.name+"\",\""+fields.professional_headline+"\",\""+fields.ethinicity_country_code+"\");' class='pull-left'>";
							
							blog+='<img src="'+generateUserImg(fields.profile_img_small,fields.user_login_type,30,30)+'" class="profile-image" onerror="loadingImageError(this)"/>\
							</a>\
							<div class="media-body">\
								<small>Created by : <span class="font-extra-bold">';
								blog+="<a href='javascript:void(0);' onclick='displayPublicProfile("+fields.id+",\""+fields.profile_img_medium+"\",\""+fields.cover_photo+"\","+fields.user_login_type+",\""+fields.name+"\",\""+fields.professional_headline+"\",\""+fields.ethinicity_country_code+"\");'>"+fields.name+"</a>";
									
								blog+='</span></small>\
								<br>\
								<small class="text-muted">'+formatted+', '+time+'</small>\
							</div>\
						</div>\
					</div>\
					<div class="panel-image">\
						<a href="#page=blogDescription&blogId='+fields.blog_id+'">\
							<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/blog/'+fields.img_path+'" alt="">\
							<div class="title">\
								 <h4>'+fields.title+'</h4>\
							</div>\
						</a>\
					</div>\
					<div class="panel-body"><div class="short-description">'+shortdescription+'</div>\
						<a href="#page=blogDescription&blogId='+fields.blog_id+'" class="blog-read-more btn-link">Read More</a>\
						<div class="dropup pull-right">';
							if(fields.views_count > 1){
								blog+='<span class="m-r-sm"> '+fields.views_count+' views</span>';
							}
							blog+="<div style='display:none;'>"+fields.description+"</div><a class='btn btn-outline btn-default btn-sm' href='javascript:void(0);' type='5' id="+fields.blog_id+" postText=\""+fields.title+"\" description='' postImage='"+fields.img_path+"' imageLink='' postLink='?linkType=share&blogId="+fields.blog_id+"&page=blogDescription#page=blogDescription' onclick='shareModal(this);'>Share</a>";
						blog+='</div>\
					</div>\
			</div>\
		</div>';
	});
	$(".blog").empty().append(blog);
}

function blogShare(blogDetails){
	var type = $(blogDetails).attr("type");
	var blogId = $(blogDetails).attr("blogId");
	var blogTitle = $(blogDetails).attr("blogTitle");
	var blogDescription = $(blogDetails).attr("blogDescription");
	var blogImage = $(blogDetails).attr("blogImage");
	var description = $(blogDescription).text();
	if(type == 0){
		FB.ui({
			method			:'share',
			mobile_iframe	:true,
			href			:appObj.baseUrl+'app/?linkType=share&blogId='+blogId+'&page=blogDetails#page=blogDetails',
			title			:blogTitle,
			description		:description,
			picture			: appObj.baseUrl+'assets/images/blog/'+blogImage,
		}, 	function(response){});
	}
	else if(type == 1){
		window.open('https://www.linkedin.com/shareArticle?mini=true&url='+appObj.baseUrl+'/assets/images/blog/'+blogImage+'&title='+blogTitle+'&summary='+description+'&source=Latinc','popup', 'width=300, height=200');
	}
	else if(type == 2){
		var encodeUrl = encodeURIComponent(appObj.baseUrl+'app/?linkType=share&blogId='+blogId+'&page=blogDetails#page=blogDetails');
		window.open('http://twitter.com/intent/tweet?text='+blogTitle+'&url='+encodeUrl, 'popup1', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=300,width=600');
	}
	else{
		var encodeUrl = encodeURIComponent(appObj.baseUrl+'app/?linkType=share&blogId='+blogId+'&page=blogDetails#page=blogDetails');
		window.open('https://plus.google.com/share?url='+encodeUrl+'', 'popup', 'height=300,width=600');
	}
}

function myPostBlog(){
	$.ajax({
		url     	: appObj.siteUserControllerUrl+'getMyPostDetails',
		dataType 	: 'json',
		success 	: function(data){
			var mypost = '';
				if(data.fields.length > 0){
					$.each(data.fields,function(index,fields){
						var description = fields.description;
						var shortdescription = $.truncate(description, {
						  length: 200
						});
						var date = new Date(fields.created_date.replace(/-/g, "/"));
						var hours = date.getHours(fields.created_date);
						var ampm = (hours >= 12) ? "pm" : "am";
						var getHour = ((hours + 11) % 12 + 1);
						var time = hours+":"+("0"+ date.getMinutes(fields.created_date)).slice(-2)+" "+ampm;
						var formatted = ("0"+ (date.getMonth(fields.created_date) +1)).slice(-2)+"."+("0"+ date.getDate(fields.created_date)).slice(-2)+"."+date.getFullYear(fields.created_date);
						mypost+='<div class="col-md-6">\
									<div class="hpanel blog-box">\
										<div class="panel-heading">\
											<div class="media clearfix">';
												mypost+="<a href='javascript:void(0);' onclick='displayPublicProfile("+fields.id+",\""+fields.profile_img_medium+"\",\""+fields.cover_photo+"\","+fields.user_login_type+",\""+fields.name+"\",\""+fields.professional_headline+"\",\""+fields.ethinicity_country_code+"\");' class='pull-left'>";
												
												mypost+='<img src="'+generateUserImg(fields.profile_img_small,fields.user_login_type,30,30)+'" class="profile-image" onerror="loadingImageError(this)"/>\
												</a>\
												<div class="media-body">\
													<small>Created by : <span class="font-extra-bold">';
														mypost+="<a href='javascript:void(0);' onclick='displayPublicProfile("+fields.id+",\""+fields.profile_img_medium+"\",\""+fields.cover_photo+"\","+fields.user_login_type+",\""+fields.name+"\",\""+fields.professional_headline+"\",\""+fields.ethinicity_country_code+"\");'>"+fields.name+"</a>";
													mypost+='</span></small>\
													<br>\
													<small class="text-muted">'+formatted+', '+time+'</small>';
													
													if(fields.blog_type == 1){
														mypost+='<span class="pull-right"><a href="#page=addPost" class="edit-delete btn-link" onclick=editmypost('+fields.blog_id+')>Edit </a>|<a onclick=deletemypost('+fields.blog_id+') class="edit-delete btn-link"> Delete</a></span>';
													}
													else{
														mypost+='<span class="pull-right">Draft - '+formatted+' | <a href="#page=addPost" class="edit-delete btn-link" onclick=editmypost('+fields.blog_id+')>Edit </a> | <a onclick=deletemypost('+fields.blog_id+') class="edit-delete btn-link"> Delete</a></span>';
													}
												mypost+='</div>\
											</div>\
										</div>\
										<div class="panel-image">\
											<a href="#page=blogDescription&blogId='+fields.blog_id+'">\
												<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/blog/'+fields.img_path+'" alt="">\
												<div class="title">\
													 <h4>'+fields.title+'</h4>\
												</div>\
											</a>\
										</div>\
										<div class="panel-body"><div class="short-description">'+shortdescription+'</div>\
											<a href="#page=blogDescription&blogId='+fields.blog_id+'" class="blog-read-more btn-link">Read More</a>\
											<div class="dropup pull-right">';
											if(isMobileApp()){
												mypost+='<a class="btn btn-outline btn-default btn-sm" link="'+appObj.baseUrl+'app/?linkType=share&blogId='+fields.blog_id+'&page=blogDescription#page=blogDescription" href="javascript:void(0);" onclick="socialShare(this);">Share</a>';
											}
											else{
												mypost+='<a data-toggle="dropdown" class="btn btn-outline btn-default btn-sm dropdown-toggle" href="javascript:void(0);">Share</a>';
												mypost+="<ul class='dropdown-menu dropdown-menu-right'>\
															<li><a href='javascript:void(0);' onclick='blogShare(this);' type='0' blogId="+fields.blog_id+" blogTitle='"+fields.title+"' blogDescription='"+fields.description+"' blogImage='"+fields.img_path+"'><i class='fa fa-facebook'></i> Facebook</a></li>\
															<li><a href='javascript:void(0);' onclick='blogShare(this);' type='1' blogId="+fields.blog_id+" blogTitle='"+fields.title+"' blogDescription='"+fields.description+"' blogImage='"+fields.img_path+"'><i class='fa fa-linkedin'></i> Linkedin</a></li>\
															<li><a href='javascript:void(0);' onclick='blogShare(this);' type='2' blogId="+fields.blog_id+" blogTitle='"+fields.title+"' blogDescription='"+fields.description+"' blogImage='"+fields.img_path+"'><i class='fa fa-twitter'></i> Twitter</a></li>\
															<li><a href='javascript:void(0);' onclick='blogShare(this);' type='3' blogId="+fields.blog_id+" blogTitle='"+fields.title+"' blogDescription='"+fields.description+"' blogImage='"+fields.img_path+"'><i class='fa fa-google-plus'></i> Google</a></li>\
													</ul>";
											}
											mypost+='</div>\
										</div>\
									</div>\
								</div>';
					});
				}
				else{
					mypost += '<div class="no-results"><i class="fa fa-3x fa-pencil-square-o"></i><br><br>You have not added any article yet</div>';
				}
			$(".post").empty().append(mypost);
		}
	});
}

function deletemypost(blogId){
	bootbox.confirm({
		title		: "Delete Article",
		message		: "You are about to delete this Article.",
		animate		:false,
		buttons: {
			cancel	:{
				className :'btn btn-default btn-sm'
			},
			confirm: {
				label: 'Delete',
				className :'btn btn-primary btn-sm'
			}
		},
		callback	: function(data) {
			if(data) {
				$.ajax({
					url     	: appObj.siteUserControllerUrl+'deleteMypost',
					dataType 	: 'json',
					method 		: "POST",
					data    	: {blogId:blogId},
					success 	: function(data){	
						if(data == 1){
							mypost();
						}
					}
				});
			}
		}
	});
	$(".bootbox-confirm").addClass("group-modal");
}

function popularTags(){
	$.ajax({
		url     : appObj.siteUserControllerUrl+'getPopularTags',
		dataType : 'json',
		success : function(data){
			var popular_tags = '';
			$.each(data.fields,function(index,fields){
				var array = fields.meta_tag.split(',');
				array.forEach(function(item){
					popular_tags += "<li class='metatag-list'><a href='javascript:void(0);' onclick='blog_tag(this);' tag-name="+item+"><span class='badge badge-info'>"+item+"</span></a></li>";
				});
			});
			$('.popular-tags').empty().append(popular_tags);
		}
	});
}

function blog_tag(metatag){
	var tag_name = $(metatag).attr('tag-name');
	//$("body").scrollTop(0);
	$.ajax({
		type 		:'POST',
		url     	: appObj.siteUserControllerUrl+'getBlogSearch',
		dataType 	: 'json',
		data		:{tag_name:tag_name},
		success 	: function(data){
			buildBlogsData(data);
			$('.blog-page .nav-tabs a[href="#allBlogs"]').tab('show');
			$('.blog-page .nav-tabs a[href="#suggestedBlogs"]').tab('show');
		}
	});
}

function blogSearch(){
	var blogSearchValue = $("input[name=blog-search]").val();
	if(blogSearchValue != ""){
		$.ajax({
			type 		:'POST',
			url     	: appObj.siteUserControllerUrl+'getBlogSearch',
			dataType 	: 'json',
			data		:{blogSearchValue:blogSearchValue},
			success 	: function(data){
				if(data.fields != ''){
					buildBlogsData(data);
					$('.blog-page .nav-tabs a[href="#allBlogs"]').tab('show');
					$('.blog-page .nav-tabs a[href="#suggestedBlogs"]').tab('show');
					$("input[name=blog-search]").val('');
				}
			}
		});
	}
}

$(document).on('keyup', "input[name=blog-search]", function(){
	var inputValue = $(this).val();
	if(inputValue != '' && inputValue.length > 3){
		$.ajax({
			type    : 'POST',
			url     : appObj.siteUserControllerUrl+'getBlogSearch',
			dataType : 'json',
			data     : {blogSearchValue:inputValue},
			success : function(data){
				var searchResults = '';
				searchResults += '<ul>';
				if(data.fields != ''){
					$.each(data.fields,function(index,fields){
						searchResults+='<li>'+fields.title+'</li>';
					});
				}
				else{
					searchResults+='</li>No Results.</li>';
				}
				searchResults += '</ul>';
				$(".blog-search-results").empty().append(searchResults);
			}
		});	
	}
	else{
		$(".blog-search-results").empty();
	}
});

$(document).on("click",".blog-search-results ul li",function(){
	$("input[name=blog-search]").val($(this).text());
	$(".blog-search-results").empty();
});

function encodeImage(src, callback) {
	var canvas = document.createElement('canvas'),
		ctx = canvas.getContext('2d'),
		img = new Image();
	
	img.onload = function(){
		canvas.width  = img.width;
		canvas.height = img.height;
		ctx.drawImage(img, 0, 0, img.width, img.height);
		callback(canvas.toDataURL());
	}
	img.src = src;;
}
			
function editmypost(blogId){
	$('.tagsinput').tagsinput('removeAll');
	$.ajax({
		url     	: appObj.siteUserControllerUrl+'editMypost',
		dataType 	: 'json',
		method 		: "POST",
		data    	: {blogId:blogId},
		success 	: function(data){
			$(".cropit-image-preview").addClass("cropit-image-loaded");
			$("#new-blog .image-editor-cancel").addClass("remove");
			$("#new-blog .add-image-label").hide();
			encodeImage(appObj.baseUrl+'assets/images/blog/'+data.img_path, function(encodedImage) {
				$(".cropit-image-preview").attr('style','background-image:url("'+encodedImage+'")');
				$(".hidden-image-data").attr('edit-image-data',encodedImage);
			});
			
			$('input[name=headline]').val(data.title);
			setTimeout(function(){
				$(".summernote").code(data.description);
			},1000);
			$('input[name=posttype]').val(1);
			$('input[name=blogid]').val(blogId);
			$(".tagsinput").tagsinput('add',data.meta_tag);
			$("input[name=meta]").tagsinput('refresh');	
		}
	});	
}