<!DOCTYPE html>
<html>
<head>
<title></title>
</head>
<body onload="initialize()" style="margin:0;">

<div id="contact-map" style="height:300px;"></div>

<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyDpbwPipiHz9wjMM5gcQge1A8wArclRPpI"></script>

<script>
function initialize(){
	var map;
	var bounds = new google.maps.LatLngBounds();
	var mapOptions = {
		mapTypeId: 'roadmap',
	};
					
	// Display a map on the page
	map = new google.maps.Map(document.getElementById("contact-map"), mapOptions);
	map.setTilt(45);
		
	// Multiple Markers
	var markers = [
		['Boston, United States', 42.3600825,-71.0588801],
		['Orlando‎, United States', 28.458886,-81.394926],
		['Huixquilucan, Mexico', 19.3621648,-99.3464989],
		['Santo Domingo, Dominican Republic', 18.4860575,-69.9312117],
		['Richmond, Canada', 49.1665898,-123.133569],
		['Bangalore, India', 13.039108,77.608197]
	];
		
	 // Info Window Content
	var infoWindowContent = [
		['<div class="info_content">' +
		'<h3>LatInc</h3>' +
		'<p> Boston, MA, United States, 617 299 6718</p>' +    
		'</div>'],
		['<div class="info_content">' +
		'<h3>LatInc</h3>' +
		'<p> Orlando‎ FL‎ 32809, United States, (407) 556-4889</p>' +    
		'</div>'],
		['<div class="info_content">' +
		'<h3>LatInc</h3>' +
		'<p>Huixquilucan, Mexico, Mexico, 55-8525-7548</p>' +
		'</div>'],
		 ['<div class="info_content">' +
		'<h3>LatInc</h3>' +
		'<p>Santo Domingo, DN, Dominican Republic, 829-737-6441</p>' +
		'</div>'],
		['<div class="info_content">' +
		'<h3>LatInc</h3>' +
		'<p>Richmond, British Columbia, Canada, 778-710-6985</p>' +
		'</div>'],
		['<div class="info_content">' +
		'<h3>LatInc</h3>' +
		'<p> #48, Souparnika, 17th Cross, Kanakanagar, RT Nagar, Bangalore 560032, India, (+91) 9663336363</p>' +    
		'</div>']
	];
	// Display multiple markers on a map
	var infoWindow = new google.maps.InfoWindow(), marker, i;
	
	// Loop through our array of markers & place each one on the map  
	for( i = 0; i < markers.length; i++ ) {
		var position = new google.maps.LatLng(markers[i][1], markers[i][2]);
		bounds.extend(position);
		marker = new google.maps.Marker({
			position: position,
			map: map,
			title: markers[i][0],
			optimized: false
		});
		
		// Allow each marker to have an info window    
		google.maps.event.addListener(marker, 'click', (function(marker, i) {
			return function() {
				infoWindow.setContent(infoWindowContent[i][0]);
				infoWindow.open(map, marker);
			}
		})(marker, i));

		// Automatically center the map fitting all markers on the screen
		map.fitBounds(bounds);
	}

	// Override our map zoom level once our fitBounds function runs (Make sure it only runs once)
	var boundsListener = google.maps.event.addListener((map), 'bounds_changed', function(event) {
		this.setZoom(1);
		google.maps.event.removeListener(boundsListener);
	});
}
</script>
</body>
</html>
