var courseDescriptionJS = '';

courseDescriptionPageInitalize();
function courseDescriptionPageInitalize(){
	courseDescription();
	getCourseDescription(getUrlVars()["courseId"])
}

function getUrlVars() {
    var vars = {};
    var parts = window.location.href.replace(/[?&]+([^=&]+)=([^&]*)/gi, function(m,key,value) {
    vars[key] = value;
    });
	return vars;
}

function courseDescription(){
	$('#secondary-page').empty().append('<div class="course-desc"></div>');
}

function getCourseDescription(courseId){
	$.ajax({
		url     : appObj.siteUserControllerUrl+'getAllUserCoursesPost',
		data    : {courseId:courseId},
		method 	: "POST",
		dataType : 'json',
		success : function(data){
			var courseDesc = '';
				var date = new Date(data.fields.created_date.replace(/-/g, "/"));
				var hours = date.getHours(data.fields.created_date);
				var ampm = (hours >= 12) ? "pm" : "am";
				var getHour = ((hours + 11) % 12 + 1);
				var time = getHour+":"+("0"+ date.getMinutes(data.fields.created_date)).slice(-2)+" "+ampm;
				var formatted = ("0"+ (date.getMonth(data.fields.created_date)+1)).slice(-2)+"."+("0"+ date.getDate(data.fields.created_date)).slice(-2)+"."+date.getFullYear(data.fields.created_date);
				var courseTitle = (data.fields.title).charAt(0).toUpperCase() + (data.fields.title).slice(1)
				courseDesc+= '<div class="row">\
								<div class="col-md-9">\
									<div class="hpanel blog-article-box">\
										<div class="panel-body">\
											<h4 class="blog-heading">'+courseTitle+'</h4>\
											<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/course/'+data.fields.image_path+'">\
											<div class="media clearfix">\
												<div class="media-body">\
													<small>Instructed by : <span class="font-extra-bold"><a href="javascript:void(0);" target="_blank">'+data.fields.instructed_by+'</a></span> </small>\
													<br>\
													<small class="text-muted">'+formatted+', '+time+'</small>';
												courseDesc+='</div>\
											</div>\
											<p class="course-price"><b>'+data.fields.price+'</b></p>\
											<button type="button" onclick="takeCourse();" class="btn btn-success">Take This Course</button>\
											<div class="blog-longdescription"><h3>About This Course</h3>'+data.fields.description+'</div>\
											<div class="comments-box"></div>\
											<div class="fb-comments" data-mobile="true" data-href="'+appObj.siteUrl+'#page=courseDescription&courseId='+data.fields.course_id+'" data-numposts="5" style="display:block;"></div>\
										</div>\
									</div>\
								</div>\
							</div>';
			$(".course-desc").empty().append(courseDesc);
		}
	});
}

function takeCourse(){
	alert("Coming soon.")
}