var coursePostJS = '';

coursePostPageInitalize();
function coursePostPageInitalize(){
	coursePostPageContaient();
}

function coursePostPageContaient(){
	$('#secondary-page').empty().append('<div class="course-post">\
										<div class="row">\
											<div class="col-lg-9">\
												<form name="add-course" method="POST" id ="new-course" enctype="multipart/form-data">\
													<div class="form-group">\
														<div class="image-editor">\
															<input id="cropper-input" type="file" class="cropit-image-input">\
																<div class="cropit-image-preview" id="list">\
																	<div class="image-editor-cancel">+</div>\
																	<label for="cropper-input" class="image-editor-caption">\
																	<span class="add-image">Add an image</span><br><span class="image-pixels">Image that are at least 700 X 400 pixels look best.</span></label>\
																</div>\
																<input type="hidden" name="image-data" class="hidden-image-data"/>\
														</div>\
													</div>\
													<div class="form-group">\
														<input class="form-control input-lg" name="course_title" type="text" placeholder="Course title">\
													</div>\
													<div class="form-group">\
														<input class="form-control input-lg" name="instructed_by" type="text" placeholder="Instructed by">\
													</div>\
													<div class="hpanel">\
														<div class="panel-heading hbuilt"><h5>Description</h5></div>\
														<div class="panel-body description-edit">\
															<div class="summernote">\
															</div>\
														</div>\
														<input type="hidden" name="description">\
													</div>\
													<div class="form-group">\
														<input class="form-control input-lg" name="price" type="text" placeholder="Price">\
														<input type="hidden" name="posttype" value="0">\
														<input type="hidden" name="courseId" value="0">\
													</div>\
												<div class="row">\
													<div class="col-lg-12">\
														<div class="pull-left publish-draft">\
															<div class="btn-group">\
																<button class="btn btn-md btn-primary save-course" name="save-course" type="button">Post</button>\
															</div>\
														</div>\
														<div class="post-show pull-left">\
															<div class="success" style="display:none;"><b>Your course has been saved.</b></div>\
														</div>\
													</div>\
												</div>\
											</form>\
										</div>\
									</div>\
								</div>');
	summerNote();
	image_cropit();
} 

function image_cropit() {
	$(document).on('click','.image-editor',function(){
		if(window.FileReader){ 
			$('.image-editor').cropit({
				onFileChange:function(data){
					$(".add-blog-loading").show();
					$(".add-image, .image-pixels").hide();
				},
				onImageLoaded:function(data){
					$(".add-blog-loading").hide();
					$(".add-image, .image-pixels").show();
				},
				smallImage:'allow',
			});
		}
		else{
			alert("the browser doesn't support the FileReader Object.")
		}
	}); 
}

$(document).on('click', '#new-course .image-editor-cancel', function(){
	if ($('.cropit-image-preview').hasClass('cropit-image-loaded')) {
		$('.cropit-image-preview').removeClass('cropit-image-loaded').removeAttr('style');
		$("#cropper-input").val('');
		$("#new-course .image-editor-cancel").removeClass("remove");
		$("#new-course .add-image-label").show();
	}	
});

function summerNote(){
	$('.summernote').summernote({
		height : 100,
		focus : false,
		tabsize : 2,
		toolbar: [
			['style', ['bold', 'italic', 'underline']],
			['para', ['ul', 'ol', 'paragraph']],
			['link',['link']]
		]
	});
}

$(document).on("click",".save-course",function() {
	$(".save-course").text("Saving...");
	$(".save-course").prop("disabled",true); 
	var description = $('.summernote').code();
	$('input[name=description]').val(description);
	var imageData = $('.image-editor').cropit('export');
	$('input[name=image-data]').val(imageData);	 
	if(imageData){
		$('input[name=image-data]').val(imageData);	 
	}
	else{
		var editImageData = $('input[name=image-data]').attr("edit-image-data");
		$('input[name=image-data]').val(editImageData);
	}
	var data = new FormData($('#new-course')[0]);
	$.ajax({
		type        : 'POST',
		url         : appObj.siteUserControllerUrl+'courseSave',
		data        : data,
		contentType : false,
		processData : false,
		success     : function(data) {
			if(data == 1){
				$(".save-course").text("Save");
				$(".success").show();
				window.location.href = "#page=CareerDevelopment";
			}
		}
	});
});