var CareerDevelopmentJs = '';

careerdevelopmentPageInitalize()
function careerdevelopmentPageInitalize(){
	coursePageContent();
	getAllCourses();
	getMyCoursePost();
	getAllUserCoursesPost();
	if(isMobileApp()){
		GARecored('CareerDevelopment');
	}
}

function coursePageContent(){
	$('#secondary-page').empty().append('<div class="row">\
									<div class="col-lg-9">\
										<div class="connection-tab courses-page">\
											<ul id="myTab1" class="nav connection-menu nav-tabs">\
												<li class="active">\
													<a href="#suggestedCourses" data-toggle="tab">Suggested courses</a>\
												</li>\
												<li>\
													<a href="#SearchCourse" data-toggle="tab">Search</a>\
												</li>\
												<a href="#page=coursepost" class="btn btn-success btn-sm pull-right m-t-xs">Post a Course</a>\
											</ul>\
											<div id="connectionTabContent" class="tab-content">\
												<div class="tab-pane fade in active" id="suggestedCourses">\
													<div class="all-courses">\
														<img class="center-block message-loader" src="assets/images/ajax-loader.gif" width="90">\
													</div>\
												</div>\
												<div class="tab-pane fade" id="SearchCourse">\
													<div class="SearchCourse">\
														<div class="row">\
															<div class="col-lg-12 search-fieldset-content m-b-sm">\
																<form id="course-form">\
																	<div class="input-group">\
																		<input type="text" name="courseName" class="form-control" placeholder="Search for Courses" autocomplete=off>\
																		<span class="input-group-btn">\
																			<button type="button" id="search-course" class="btn btn-info" onclick="searchCourse();">Search</button>\
																		</span>\
																	</div>\
																</form>\
															</div>\
														</div>\
													</div>\
													<div class="search-courses"></div>\
												</div>\
											</div>\
											\
											<ul id="myTab1" class="nav connection-menu nav-tabs">\
												<li class="active">\
													<a href="#featuredCourses" data-toggle="tab">Featured Courses</a>\
												</li>\
												<li>\
													<a href="#myCourses" data-toggle="tab">My Courses</a>\
												</li>\
											</ul>\
											<div id="connectionTabContent" class="tab-content">\
												<div class="tab-pane fade in active" id="featuredCourses">\
													<div class="all-user-courses">\
														<img class="center-block message-loader" src="assets/images/ajax-loader.gif" width="90">\
													</div>\
												</div>\
												<div class="tab-pane fade" id="myCourses">\
													<div class="my-courses">\
														<img class="center-block message-loader" src="assets/images/ajax-loader.gif" width="90">\
													</div>\
												</div>\
											</div>\
										</div>\
									</div>\
								</div><a class="write-post-bottom btn-link" href="#page=coursepost" style="display:none;"><i class="fa fa-pencil-square-o fa-lg"></i></a>');
	$("#course-form").validate({
	   rules: {
			courseName: {
				required: true,
			},
		},
	});
	writePostBottom();
}

function getAllCourses(){
	$.ajax({
		url			:appObj.siteUserControllerUrl+'udemyCourses',
		dataType	:'json',
		success		:function(data){
			var coursesDetail = '';
			if(data.results == 0){
				coursesDetail+='<div class="no-search-block">No course found matching your profile.</div>';
			}
			else{
				coursesDetail+='<div class="owl-carousel owl-theme">';
					$.each(data.results,function(index,results){
						var price = results.price;
						price = price.replace(/S/g,'');
						var res = price.substring(1);
						coursesDetail+='<div class="item courses-block">\
											<div class="hpanel">\
												<div class="panel-body">\
													<a url="https://www.udemy.com'+results.url+'" onclick="openlink(this);">\
													<img class="img-responsive" src="'+results.image_480x270+'">\
													<div class="courses-footer">\
														<h5 class="name-truncate">'+results.title+'</h5></a>\
														<div class="courses-price">'+price+'</div>\
													</div>\
													<ul class="panel-footer links">\
														<li>';
															//var description = $(results.description).text();
															coursesDetail+="<div style='display:none;'>"+results.description+"</div><a class='btn btn-outline btn-default pull-right' href='javascript:void(0);' type='3' id="+results.id+" postText=\""+results.title+"\" description='' postImage='' imageLink="+results.image_480x270+" postLink='?linkType=share&courseKey="+results.id+"&page=courseDetails#page=courseDetails' onclick='shareModal(this);'>Share</a>";
														coursesDetail+='</li>\
													</ul>\
												</div>\
											</div>\
										</div>';
					});
				coursesDetail+='</div>';
			}
			$(".all-courses").empty().append(coursesDetail);
			owlCarousel();
		}
	});
}

function searchCourse(){
	$('#course-form').valid();
	var courseName = $("input[name=courseName]").val();
	if(courseName != ""){
		$("#search-course").text("Searching...");
		$(".search-courses").empty().append('<img class="center-block" src="assets/images/ajax-loader.gif" width="90">');
		$.ajax({
			url			:appObj.siteUserControllerUrl+'getSearchCourse',
			type		:'POST',
			data		:{courseName:courseName},
			dataType	:'json',
			success		:function(data){
				$("#search-course").text("Search");
				var coursesDetail = '';
				if(data.results == 0){
					coursesDetail+='<div class="no-search-block">No course found matching your search criteria. Please search using different type of course.</div>';
				}
				else{
					coursesDetail+='<h3 class="jobs-search-title">Search results for the course <span>"'+courseName+'"</span></h3>';
					coursesDetail+='<div class="owl-carousel owl-theme">';
					$.each(data.results,function(index,results){
						var price = results.price;
						price = price.replace(/S/g, '');
						var res = price.substring(1);
						coursesDetail+='<div class="item courses-block">\
										<div class="hpanel">\
											<div class="panel-body">\
												<a url="https://www.udemy.com'+results.url+'" onclick="openlink(this);">\
												<img class="img-responsive" src="'+results.image_480x270+'">\
												<div class="courses-footer">\
													<h5 class="name-truncate">'+results.title+'</h5></a>\
													<div class="courses-price">'+price+'</div>\
												</div>\
												<ul class="panel-footer links">\
													<li>';
														var description = $(results.description).text();
														coursesDetail+="<div style='display:none;'>"+description+"</div><a class='btn btn-outline btn-default pull-right' href='javascript:void(0);' type='3' id="+results.id+" postText=\""+results.title+"\" description='' postImage='' imageLink="+results.image_480x270+" postLink='?linkType=share&courseKey="+results.id+"&page=courseDetails#page=courseDetails' onclick='shareModal(this);'>Share</a>";
													coursesDetail+='</li>\
												</ul>\
											</div>\
										</div>\
									</div>';
					});
					coursesDetail+='</div>';
				}
				$(".search-courses").empty().append(coursesDetail);
				owlCarousel();
			}
		});
	}
}

function getAllUserCoursesPost(){
	$.ajax({
		url			:appObj.siteUserControllerUrl+'getAllUserCoursesPost',
		dataType	:'json',
		success		:function(data){
			var coursesDetail ='';
			if(data.results == ''){
				coursesDetail+='No Courses.';
			}
			else{
				coursesDetail+='<div class="owl-carousel owl-theme">';
				$.each(data.results,function(index,results){
					coursesDetail+='<div class="item courses-block">\
										<div class="hpanel">\
											<div class="panel-body">\
												<a href="#page=courseDescription&courseId='+results.course_id+'">\
												<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/course/'+results.image_path+'">\
												<div class="courses-footer">\
													<h5 class="name-truncate">'+results.title+'</h5></a>\
													<div class="courses-price">'+results.price+'</div>\
												</div>\
												<ul class="panel-footer links">\
													<li>\
														<div class="dropup job-btns">';
															if(isMobileApp()){
																coursesDetail+= '<a class="btn btn-outline btn-default pull-right" href="javascript:void(0);" link="'+appObj.siteUrl+'#page=courseDescription&courseId='+results.course_id+'" onclick="socialShare(this);">Share</a>';
															}
															else{
																coursesDetail+= '<a data-toggle="dropdown" class="btn btn-outline btn-default dropdown-toggle pull-right" href="javascript:void(0);">Share</a>';
																coursesDetail+= '<ul class="dropdown-menu dropdown-menu-right">\
																	<li>\
																		<a href="javascript:void(0);" onclick="userCourseShare(this);" type="0" courseId="'+results.course_id+'" courseTitle="'+results.title+'" coursePrice="'+results.price+'" courseImage="'+results.image_path+'"><i class="fa fa-facebook"></i> Facebook</a>\
																	</li>\
																	<li>\
																		<a href="javascript:void(0);" onclick="userCourseShare(this);" type="1" courseId="'+results.course_id+'" courseTitle="'+results.title+'" coursePrice="'+results.price+'" courseImage="'+results.image_path+'"><i class="fa fa-linkedin"></i> Linkedin</a>\
																	</li>\
																	<li>\
																		<a href="javascript:void(0);" onclick="userCourseShare(this);" type="2" courseId="'+results.course_id+'" courseTitle="'+results.title+'" coursePrice="'+results.price+'" courseImage="'+results.image_path+'"><i class="fa fa-twitter"></i> Twitter</a>\
																	</li>\
																	<li>\
																		<a href="javascript:void(0);" onclick="userCourseShare(this);" type="3" courseId="'+results.course_id+'" courseTitle="'+results.title+'" coursePrice="'+results.price+'" courseImage="'+results.image_path+'"><i class="fa fa-google-plus"></i> Google</a>\
																	</li>\
																</ul>';
															}
														coursesDetail+='</div">\
													</li>\
												</ul>\
											</div>\
										</div>\
									</div>';
				});
				coursesDetail+='</div>';
			}
			$(".all-user-courses").empty().append(coursesDetail);
			owlCarousel();
		}
	});
}

function getMyCoursePost(){
	$.ajax({
		url     : appObj.siteUserControllerUrl+'getMyCoursePost',
		dataType : 'json',
		success : function(data){
			var mypost = '';
				if(data.fields == 0){
					mypost+='You have not added any course yet.';
				}
				else{
					mypost+='<div class="owl-carousel owl-theme">';
						$.each(data.fields,function(index,fields){
							mypost+='<div class="item courses-block" id="MyCourses'+fields.course_id+'">\
									<div class="hpanel">\
										<div class="panel-body">\
											<a href="#page=courseDescription&courseId='+fields.course_id+'">\
											<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/course/'+fields.image_path+'">\
											<div class="courses-footer">\
												<h5 class="name-truncate">'+fields.title+'</h5></a>\
												<div class="courses-price">'+fields.price+'</div>\
											</div>\
											<div class="panel-footer links">\
												<a class="btn-link" href="javascript:void(0);" onclick="editMyCourse('+fields.course_id+');" title="Edit">Edit</a> | \
												<a class="btn-link" href="javascript:void(0);" onclick="deleteMyCourse('+fields.course_id+');" title="Delete">Delete</a>\
													<div class="dropup job-btns pull-right">';
														if(isMobileApp()){
															mypost+= '<a class="btn btn-outline btn-default pull-right" href="javascript:void(0);" link="'+appObj.siteUrl+'#page=courseDescription&courseId='+fields.course_id+'" onclick="socialShare(this);" >Share</a>';
														}
														else{
															mypost+= '<a data-toggle="dropdown" class="btn btn-outline btn-default dropdown-toggle pull-right" href="javascript:void(0);">Share</a>';
															mypost+= '<ul class="dropdown-menu dropdown-menu-right">\
																<li>\
																	<a href="javascript:void(0);" onclick="userCourseShare(this);" type="0" courseId="'+fields.course_id+'" courseTitle="'+fields.title+'" coursePrice="'+fields.price+'" courseImage="'+fields.image_path+'"><i class="fa fa-facebook"></i> Facebook</a>\
																</li>\
																<li>\
																	<a href="javascript:void(0);" onclick="userCourseShare(this);" type="1" courseId="'+fields.course_id+'" courseTitle="'+fields.title+'" coursePrice="'+fields.price+'" courseImage="'+fields.image_path+'"><i class="fa fa-linkedin"></i> Linkedin</a>\
																</li>\
																<li>\
																	<a href="javascript:void(0);" onclick="userCourseShare(this);" type="2" courseId="'+fields.course_id+'" courseTitle="'+fields.title+'" coursePrice="'+fields.price+'" courseImage="'+fields.image_path+'"><i class="fa fa-twitter"></i> Twitter</a>\
																</li>\
																<li>\
																	<a href="javascript:void(0);" onclick="userCourseShare(this);" type="3" courseId="'+fields.course_id+'" courseTitle="'+fields.title+'" coursePrice="'+fields.price+'" courseImage="'+fields.image_path+'"><i class="fa fa-google-plus"></i> Google</a>\
																</li>\
															</ul>';
														}
													mypost+='</div>\
											</div>\
										</div>\
									</div>\
								</div>';
						});
					mypost+='</div>';
				}
			$('.my-courses').html(mypost);
			owlCarousel();
		}
	});
}

function encodeImage(src, callback) {
	var canvas = document.createElement('canvas'),
		ctx = canvas.getContext('2d'),
		img = new Image();
	
	img.onload = function(){
		canvas.width  = img.width;
		canvas.height = img.height;
		ctx.drawImage(img, 0, 0, img.width, img.height);
		callback(canvas.toDataURL());
	}
	img.src = src;;
}

function editMyCourse(courseId){
	window.location.href = "#page=coursepost";
	$.ajax({
		url     	: appObj.siteUserControllerUrl+'editMyCourse',
		dataType 	: 'json',
		method 		: "POST",
		data    	: {courseId:courseId},
		success 	: function(data){
			$(".cropit-image-preview").addClass("cropit-image-loaded");
			encodeImage(appObj.baseUrl+'assets/images/course/'+data.image_path+'', function(encodedImage) {
				$(".cropit-image-preview").attr('style','background-image:url("'+encodedImage+'")');
				$(".hidden-image-data").attr('edit-image-data',encodedImage);
			});
			
			$('input[name=course_title]').val(data.title);
			$('input[name=instructed_by]').val(data.instructed_by);
			$('input[name=price]').val(data.price);
			setTimeout(function(){
				$(".summernote").code(data.description);
			},2000);
			$('input[name=posttype]').val(1);
			$('input[name=courseId]').val(courseId);	
		}
	});	
}

function deleteMyCourse(courseId){
	bootbox.confirm({
		title		: "Delete Course",
		message		: "You are about to delete this course.",
		animate		:false,
		buttons: {
			cancel	:{
				className :'btn btn-default btn-sm'
			},
			confirm: {
				label: 'Delete',
				className :'btn btn-primary btn-sm'
			}
		},
		callback	: function(data) {
			if(data) {
				$.ajax({
					url     	: appObj.siteUserControllerUrl+'deleteMyCourse',
					dataType 	: 'json',
					method 		: "POST",
					data    	: {courseId:courseId},
					success 	: function(data){	
						if(data == 1){
							$('#MyCourses'+courseId).remove();
						}
					}
				});
			}
		}
	});
	$(".bootbox-confirm").addClass("group-modal");
}

function courseShare(courseDetails){
	var courseKey = $(courseDetails).attr("courseKey");
	var courseTitle = $(courseDetails).attr("courseTitle");
	var coursePrice = $(courseDetails).attr("coursePrice");
	var courseImage = $(courseDetails).attr("courseImage");
	var type = $(courseDetails).attr("type");
	if(type == 0){
		FB.ui({
			method			:'share',
			mobile_iframe	:true,
			title			:courseTitle,
			description		:coursePrice,
			picture			:courseImage,
			href			:appObj.siteUrl+'?linkType=share&courseKey='+courseKey+'&page=courseDetails#page=courseDetails',
		}, 	function(response){});
	}
	else if(type == 1){
		window.open('https://www.linkedin.com/shareArticle?mini=true&url='+courseImage+'&title='+courseTitle+'&source=Latinc','popup', 'width=300, height=200');
	}
	else if(type == 2){
		var encodeUrl = encodeURIComponent(appObj.siteUrl+'?linkType=share&courseKey='+courseKey+'&page=courseDetails#page=courseDetails');
		window.open('http://twitter.com/intent/tweet?text='+courseTitle+'&url='+encodeUrl, 'popup', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=300,width=600');
	}
	else{
		var encodeUrl = encodeURIComponent(appObj.siteUrl+'?linkType=share&courseKey='+courseKey+'&page=courseDetails#page=courseDetails');
		window.open('https://plus.google.com/share?url='+encodeUrl+'', 'popup', 'height=300,width=600');
	}
}

function userCourseShare(courseDetails){
	var courseId = $(courseDetails).attr("courseId");
	var courseTitle = $(courseDetails).attr("courseTitle");
	var coursePrice = $(courseDetails).attr("coursePrice");
	var courseImage = $(courseDetails).attr("courseImage");
	var type = $(courseDetails).attr("type");
	if(type == 0){
		FB.ui({
			method			:'share',
			mobile_iframe	:true,
			title			:courseTitle,
			description		:coursePrice,
			picture			:appObj.baseUrl+'assets/images/course/'+courseImage,
			href			:appObj.siteUrl+'?page=courseDescription&courseId='+courseId+'#page=courseDescription&courseId='+courseId+'',
		}, 	function(response){});
	}
	else if(type == 1){
		window.open('https://www.linkedin.com/shareArticle?mini=true&url='+appObj.baseUrl+'assets/images/course/'+courseImage+'&title='+courseTitle+'&source=Latinc','popup', 'width=300, height=200');
	}
	else if(type == 2){
		var encodeUrl = encodeURIComponent(appObj.siteUrl+'?page=courseDescription&courseId='+courseId+'#page=courseDescription&courseId='+courseId+'');
		window.open('http://twitter.com/intent/tweet?text='+courseTitle+'&url='+encodeUrl, 'popup', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=300,width=600');
	}
	else{
		var encodeUrl = encodeURIComponent(appObj.siteUrl+'?page=courseDescription&courseId='+courseId+'#page=courseDescription&courseId='+courseId+'');
		window.open('https://plus.google.com/share?url='+encodeUrl+'', 'popup', 'height=300,width=600');
	}
}

$(document).on('keypress', "#course-form", function(e){
    if(e.which == 13) {
       searchCourse();
	   return false;
    }
});

function owlCarousel(){
	$('.owl-carousel').owlCarousel({
		loop			: false,
		margin			: 10,
		stagePadding	: 30,
		responsiveClass	: true,
		responsive		:{
			0:{
				items:1,
			},
			480:{
				items:3,
			},
		}
	});
}