var eventsJs = '';

eventsPageInitalize();
function eventsPageInitalize(){
	buildEventPageContent();
	getAllEvents();
	getAllMyEvents();
	getAllUserEventsPost();
	if(isMobileApp()){
		GARecored('Events');
	}
}

function buildEventPageContent(){
	$('#secondary-page').empty().append('<div class="row">\
									<div class="col-sm-12">\
										<div class="connection-tab">\
											<ul id="myTab1" class="nav connection-menu nav-tabs scrollmenu">\
												<li class="active">\
													<a href="#suggestedEvents" data-toggle="tab">Suggested events</a>\
												</li>\
												<li>\
													<a href="#featuredEvents" data-toggle="tab">Featured events</a>\
												</li>\
												<li>\
													<a href="#myEvents" data-toggle="tab">My Events</a>\
												</li>\
												<a href="#page=addEvent" class="btn btn-success btn-sm pull-right m-xs">Post Event</a>\
											</ul>\
											<div id="connectionTabContent" class="tab-content">\
												<div class="tab-pane fade in active" id="suggestedEvents">\
													<div class="row">\
														<div class="col-lg-12 search-fieldset-content m-b-sm">\
															<form name="searchform" id="event-search-form">\
																<div class="col-lg-6 no-padding">\
																	<input type="text" class="form-control m-b-xs" placeholder="Event title or keywords" name="eventName" autocomplete="off" required>\
																</div>\
																<div class="col-lg-3 no-padding">\
																	<input type="text" name="eventLocation" placeholder="Location (Optional)" class="form-control m-b-xs" autocomplete="off">\
																	<input type="hidden" name="eventCity">\
																	<input type="hidden" name="eventState">\
																	<input type="hidden" name="eventCountryCode">\
																	<div class="loc-search-results"></div>\
																</div>\
																<button class="btn btn-sm btn-info" type="button" onclick="getAllSearchEvents();" id="search-event-btn">Search</button>\
															</form>\
														</div>\
													</div>\
													<div class="all-events">\
														<img class="center-block message-loader" src="assets/images/ajax-loader.gif" width="90">\
													</div>\
												</div>\
												<div class="tab-pane fade" id="featuredEvents">\
													<div class="user-events"></div>\
												</div>\
												<div class="tab-pane fade" id="myEvents">\
													<div class="events-post"></div>\
												</div>\
											</div>\
										</div>\
									</div>\
								</div><a class="write-post-bottom btn-link" href="#page=addEvent" style="display:none;"><i class="fa fa-pencil-square-o fa-lg"></i></a>');
	$("#event-search-form").validate({
	   rules: {
			eventName: {
				required: true,
			},
		},
	});
	writePostBottom();
}

function getAllEvents(){
	$.ajax({
		url			:appObj.siteUserControllerUrl+'getAllUserEvents',
		dataType	:'json',
		success		:function(data){
			var eventBriteUrl='';
			var token = 'GPS5BTOO2ZHVXAN4HJZK';
			$.get('http://ipinfo.io/json',function(response){
				if(data.User_living_city != null && data.professional_headline != ''){
					eventBriteUrl = 'https://www.eventbriteapi.com/v3/events/search/?q='+data.professional_headline+'&sort_by=date&expand=venue&location.address='+data.User_living_city+'&location.within=50mi&token=GPS5BTOO2ZHVXAN4HJZK';
				}
				else if(data.User_living_city == null && data.professional_headline != ''){
					eventBriteUrl = 'https://www.eventbriteapi.com/v3/events/search/?q='+data.professional_headline+'&sort_by=date&expand=venue&location.address='+response.city+'&location.within=50mi&token=GPS5BTOO2ZHVXAN4HJZK';

				}
				else if(data.User_living_city != null && data.professional_headline == ''){
					eventBriteUrl = 'https://www.eventbriteapi.com/v3/events/search/?q=latino&expand=venue&location.address='+data.User_living_city+'&sort_by=date&location.within=50mi&token=GPS5BTOO2ZHVXAN4HJZK';
				}
				else if(data.experience != ''){
					var experience = $.parseJSON(data.experience);
					eventBriteUrl = 'https://www.eventbriteapi.com/v3/events/search/?q='+experience[0].job_title+'&sort_by=date&expand=venue&location.address='+response.city+'&location.within=50mi&token=GPS5BTOO2ZHVXAN4HJZK';
				}
				else if(data.skills != ''){
					var str = data.skills;
					var skills = str.split(",");
					eventBriteUrl = 'https://www.eventbriteapi.com/v3/events/search/?q='+skills[0]+'&expand=venue&sort_by=date&location.address='+response.city+'&location.within=50mi&token=GPS5BTOO2ZHVXAN4HJZK';
				}
				else{
					eventBriteUrl = 'https://www.eventbriteapi.com/v3/events/search/?q=latino&sort_by=date&expand=venue&location.address='+response.city+'&location.within=50mi&token=GPS5BTOO2ZHVXAN4HJZK';
				}
				$.get(eventBriteUrl, function(res){
					if(res.events.length){
						BuildSuggestedEventsBlock(res);
					}
					else{
						professionalUrl = 'https://www.eventbriteapi.com/v3/events/search/?q=professional&sort_by=date&expand=venue&location.address='+response.city+'&location.within=50mi&token=GPS5BTOO2ZHVXAN4HJZK';
						$.get(professionalUrl, function(res){
							BuildSuggestedEventsBlock(res);
						});
					}
				});
			});
		}
	});	
}

function BuildSuggestedEventsBlock(res){
	var events = '';
	if(res.events.length){
		events += '<div class="row">';
		$.each(res.events,function(index,results){
			if(results.logo){
				if(results.venue){
					var date = new Date(results.start.local);
					var hours = date.getHours(results.start.local);
					var months = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec']
					var weekdays = ["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"];
					var weekday = weekdays[new Date(results.start.local).getDay()];
					var monthString = months[new Date(results.start.local).getMonth()];
					var ampm = (hours >= 12) ? "PM" : "AM";
					var getHour = ((hours + 11) % 12 + 1);
					var formatted = weekday+", "+" "+monthString+" "+(date.getDate())+" "+getHour+":"+("0"+date.getMinutes()).slice(-2)+" "+ampm;
					var event_date = formatted.toUpperCase();
					
					events+='<div class="col-lg-4 col-sm-6">\
									<div class="events-block">\
										<div class="hpanel">\
											<div class="panel-body">\
												<a href="javascript:void(0);" url="'+results.url+'" onclick="openlink(this);">\
													<img class="img-responsive" src="'+results.logo.url+'">\
													<div class="events-footer">\
														<div class="events-time">'+event_date+'</div>\
														<h5>'+results.name.text+'</h5></a>\
														<div class="events-city"><i class="fa fa-map-marker"></i> ';
														if(results.venue.address.city){
															events+=results.venue.address.city;
														}
														else{
															events+=results.venue.address.country;
														}
														events+='</div>\
													</div>\
													<ul class="panel-footer links">\
														<li>\
															<div class="dropup">';
																events+="<a class='btn btn-outline btn-default pull-right' href='javascript:void(0);' type='2' id="+results.id+" postText=\""+results.name.text+"\" description=\""+results.description.text+"\" postImage='' imageLink="+results.logo.url+" postLink='?linkType=share&eventId="+results.id+"&page=eventDetails#page=eventDetails' onclick='shareModal(this);'>Share</a>";
															events+='</div>\
														</li>\
													</ul>\
											</div>\
										</div>\
									</div>\
								</div>';
				}
			}
		});
		events+='</div>';
	}
	else{
		events += '<div class="no-results"><i class="fa fa-3x fa-calendar"></i><br><br>No results found</div>';
	}
	$('.all-events').empty().append(events);
}

$(document).on('keyup', "input[name=eventLocation]", function(){
	var inputValue = $(this).val();
	if(inputValue != '' && inputValue.length > 3){
		$.ajax({
			url    	 	: appObj.siteUserControllerUrl+'getLocationsByCity',
			dataType 	: 'json',
			type    	: 'POST',
			data     	: {city:inputValue},
			success 	: function(data){
				$(".loc-search-results").empty();
				var searchResults = '';
				if(data.results != ''){
					searchResults += '<ul>';
					$.each(data.results,function(index,results){
						searchResults += "<li city-name='"+results.city_name+"' state-name='"+results.state_name+"' country-code='"+results.sortname+"'>"+results.city_name+", ";
						if(results.city_name != results.state_name){
							searchResults += results.state_name+", ";
						}
						searchResults += results.country_name+"</li>";
					});
					searchResults += '</ul>';
				}
				$(".loc-search-results").append(searchResults);
			}
		});
	}
	else{
		$(".loc-search-results").empty();
	}
});

$(document).on("click",".loc-search-results li",function(){
	var eventCity = $(this).attr("city-name");
	var eventState = $(this).attr("state-name")
	var eventCountryCode = $(this).attr("country-code");
	$("input[name=eventLocation]").val($(this).text());
	$("input[name=eventCity]").val(eventCity);
	$("input[name=eventState]").val(eventState);
	$("input[name=eventCountryCode]").val(eventCountryCode);
	$(".loc-search-results").empty();
});

$(document).on('keypress', "#event-search-form", function(e){
    if(e.which == 13) {
       getAllSearchEvents();
    }
});

function getAllSearchEvents(){
	$('#event-search-form').valid()
	var eventName = $('input[name=eventName]').val();
	var eventsLocation = $('input[name=eventCity]').val();
	var state = $('input[name=eventState]').val();
	if(eventName != ""){
		$("#search-event-btn").text("Searching....");
		$(".all-events").empty().append('<img class="center-block" src="assets/images/ajax-loader.gif" width="90">');
		
		var eventBriteUrl='';
		var eventsValues ='';
		var token = 'GPS5BTOO2ZHVXAN4HJZK';
			if(eventsLocation != ''){
				eventBriteUrl = 'https://www.eventbriteapi.com/v3/events/search/?q='+eventName+'&sort_by=date&expand=venue&location.address='+eventsLocation+','+state+'&location.within=50mi&token=GPS5BTOO2ZHVXAN4HJZK';
			}
			else{
				eventBriteUrl = 'https://www.eventbriteapi.com/v3/events/search/?q='+eventName+'&sort_by=date&expand=venue&token=GPS5BTOO2ZHVXAN4HJZK';
			}
			$.get(eventBriteUrl, function(res){
				$("#search-event-btn").text("Search");
				if(res.events == 0){
					eventsValues += '<div class="no-results"><i class="fa fa-3x fa-calendar"></i><br><br>No events found matching your search criteria. Please search using different event title or keywords</div>';
				}
				else{
					var count = 0;
					eventsValues += '<h3 class="events-search-title"></h3>';
					eventsValues += '<div class="row">';
					$.each(res.events,function(index,results){
						if(results.logo){
							if(results.venue){
								count = count + 1;
								var date = new Date(results.start.local);
								var hours = date.getHours(results.start.local);
								var months = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec']
								var weekdays = ["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"];
								var weekday = weekdays[new Date(results.start.local).getDay()];
								var monthString = months[new Date(results.start.local).getMonth()];
								var ampm = (hours >= 12) ? "PM" : "AM";
								var getHour = ((hours + 11) % 12 + 1);
								var formatted = weekday+", "+" "+monthString+" "+(date.getDate())+" "+getHour+":"+("0"+date.getMinutes()).slice(-2)+" "+ampm;
								var event_date = formatted.toUpperCase();
								
								eventsValues+='<div class="col-lg-4 col-sm-6">\
												<div class="events-block">\
													<div class="hpanel">\
														<div class="panel-body">\
															<a href="javascript:void(0);" url="'+results.url+'" onclick="openlink(this);">\
																<img class="img-responsive" src="'+results.logo.url+'">\
																<div class="events-footer">\
																	<div class="events-time">'+event_date+'</div>\
																	<h5>'+results.name.text+'</h5></a>\
																	<div class="events-city"><i class="fa fa-map-marker"></i> ';
																		if(results.venue.address.city){
																			eventsValues+=results.venue.address.city;
																		}
																		else{
																			eventsValues+=results.venue.address.country;
																		}
																	eventsValues+='</div>\
																</div>\
																<ul class="panel-footer links">\
																	<li>\
																		<div class="dropup">';
																			eventsValues+="<a class='btn btn-outline btn-default pull-right' href='javascript:void(0);' type='2' id="+results.id+" postText=\""+results.name.text+"\" description=\""+results.description.text+"\" postImage='' imageLink="+results.logo.url+" postLink='?linkType=share&eventId="+results.id+"&page=eventDetails#page=eventDetails' onclick='shareModal(this);'>Share</a>";
																		eventsValues+='</div>\
																	</li>\
																</ul>\
														</div>\
													</div>\
												</div>\
											</div>';
							}
						}
					});
					eventsValues += '</div>';
				}
				setTimeout(function(){
					if(eventsLocation != ''){
						$('.events-search-title').empty().append('<span class="total-event-found">'+count+'</span> <span>"'+eventName+'"</span> events found near by <span>"'+eventsLocation+'"</span>');
					}
					else{
						$('.events-search-title').empty().append('<span class="total-event-found">'+count+'</span> <span>"'+eventName+'"</span> events found.');
					}
				},500);
				$(".all-events").empty().append(eventsValues);
			});
	}
}

function eventShare(eventDetails){
	var eventId = $(eventDetails).attr("eventId");
	var eventTitle = $(eventDetails).attr("eventTitle");
	var eventDescription = $(eventDetails).attr("eventDescription");
	var eventImage = $(eventDetails).attr("eventImage");
	FB.ui({
		method			:'share',
		mobile_iframe	:true,
		href			:appObj.baseUrl+'app/?linkType=share&eventId='+eventId+'&page=eventDetails#page=eventDetails',
		title			:eventTitle,
		//description		:eventDescription,
		picture			:eventImage,
	}, 	function(response){});
}

function getAllMyEvents(){
	$.ajax({
		url      : appObj.siteUserControllerUrl+'getAllMyEvents',
		dataType : 'json',
		success  : function(data){
			var mypost = '';
				if(data.fields == 0){
					mypost += '<div class="no-results"><i class="fa fa-3x fa-calendar"></i><br><br>You have not added any event yet</div>';
				}
				else{
					mypost+='<div class="row">';
					$.each(data.fields,function(index,fields){
						var date = new Date(fields.start_date);
						var hours = date.getHours(fields.start_date);
						var months = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec']
						var weekdays = ["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"];
						var weekday = weekdays[new Date(fields.start_date).getDay()];
						var monthString = months[new Date(fields.start_date).getMonth()];
						var ampm = (hours >= 12) ? "PM" : "AM";
						var getHour = ((hours + 11) % 12 + 1);
						var formatted = weekday+", "+" "+monthString+" "+(date.getDate())+" "+getHour+":"+("0"+date.getMinutes()).slice(-2)+" "+ampm;
						var event_date = formatted.toUpperCase();
						mypost+='<div class="col-lg-4 col-sm-6" id="MyEvents'+fields.id+'">\
											<div class="events-block">\
												<div class="hpanel">\
													<div class="panel-body">\
														<a href="#page=eventDescription&eventKey='+fields.id+'">\
															<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/events/'+fields.event_logo+'">\
															<div class="events-footer">\
																<div class="events-time">'+event_date+'</div>\
																<h5>'+fields.event_title+'</h5></a>';
																if(fields.event_location){
																	mypost+='<div class="events-city"><i class="fa fa-map-marker"></i> '+fields.event_location+'</div>';
																}
															mypost+='</div>\
															<ul class="panel-footer links">\
																<li>\
																	<div class="dropup">';
																	if(isMobileApp()){
																		mypost+='<a class="btn btn-outline btn-default pull-right" link="'+appObj.siteUrl+'?linkType=share&eventKey='+fields.id+'&page=eventDescription#page=eventDescription" onclick="socialShare(this);" href="javascript:void(0);">Share</a>';
																	}
																	else{
																		mypost+='<a data-toggle="dropdown" class="btn btn-outline btn-default dropdown-toggle pull-right" href="javascript:void(0);">Share</a>';
																		mypost+="<ul class='dropdown-menu dropdown-menu-right'>\
																					<li><a href='javascript:void(0);' onclick='userEventShare(this);' href='javascript:void(0);' eventKey="+fields.id+" eventTitle='"+fields.event_title+"' eventImage='"+fields.event_logo+"'><i class='fa fa-facebook'></i> Facebook</a></li>\
																		</ul>";
																	}
																	mypost+='</div>\
																</li>\
																<li>\
																	<a href="javascript:void(0);" class="btn-link delete-events" title="Delete" onclick="deleteMyEvents('+fields.id+');">Delete</a>\
																</li>\
															</ul>\
													</div>\
												</div>\
											</div>\
										</div>';
					});
					mypost+='</div">';
				}
			$('.events-post').html(mypost);
		}
	});
}

function deleteMyEvents(eventId){
	bootbox.confirm({
		title		: "Delete Event",
		message		: "You are about to delete this event.",
		animate		:false,
		buttons: {
			cancel	:{
				className :'btn btn-default btn-sm'
			},
			confirm: {
				label: 'Delete',
				className :'btn btn-primary btn-sm'
			}
		},
		callback	: function(data) {
			if(data) {
				$.ajax({
					type 		: "POST",
					url     	: appObj.siteUserControllerUrl+'deleteMyEvents',
					dataType 	: 'json',
					data    	: {eventId:eventId},
					success 	: function(data){	
						if(data == 1){
							$('#MyEvents'+eventId).remove();
						}
					}
				});
			}
		}
	});
	$(".bootbox-confirm").addClass("group-modal");
}

function getAllUserEventsPost(){
	$.ajax({
		url			:appObj.siteUserControllerUrl+'getAllUserEventsPost',
		dataType	:'json',
		success		:function(data){
			var userEvents ='';
			userEvents+='<div class="row">';
			$.each(data.results,function(index,results){
				var date = new Date(results.start_date);
				var hours = date.getHours(results.start_date);
				var months = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec']
				var weekdays = ["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"];
				var weekday = weekdays[new Date(results.start_date).getDay()];
				var monthString = months[new Date(results.start_date).getMonth()];
				var ampm = (hours >= 12) ? "PM" : "AM";
				var getHour = ((hours + 11) % 12 + 1);
				var formatted = weekday+", "+" "+monthString+" "+(date.getDate())+" "+getHour+":"+("0"+date.getMinutes()).slice(-2)+" "+ampm;
				var event_date = formatted.toUpperCase();
				userEvents+='<div class="col-lg-4 col-sm-6">\
									<div class="events-block">\
										<div class="hpanel">\
											<div class="panel-body">\
												<a href="#page=eventDescription&eventKey='+results.id+'">\
													<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/events/'+results.event_logo+'">\
													<div class="events-footer">\
														<div class="events-time">'+event_date+'</div>\
														<h5>'+results.event_title+'</h5></a>';
														if(results.event_location){
															userEvents+='<div class="events-city"><i class="fa fa-map-marker"></i> '+results.event_location+'</div>';
														}
													userEvents+='</div>\
													<ul class="panel-footer links">\
														<li>\
															<div class="dropup">';
															if(isMobileApp()){
																userEvents+='<a class="btn btn-outline btn-default pull-right" link="'+appObj.baseUrl+'app/?linkType=share&eventKey='+results.id+'&page=eventDescription#page=eventDescription" onclick="socialShare(this);" href="javascript:void(0);">Share</a>';
															}
															else{
																userEvents+='<a data-toggle="dropdown" class="btn btn-outline btn-default dropdown-toggle pull-right" href="javascript:void(0);">Share</a>';
																	userEvents+="<ul class='dropdown-menu dropdown-menu-right'>\
																				<li><a href='javascript:void(0);' onclick='userEventShare(this);' href='javascript:void(0);' eventKey="+results.id+" eventTitle='"+results.event_title+"' eventImage='"+results.event_logo+"'><i class='fa fa-facebook'></i> Facebook</a></li>\
																	</ul>";
															}
															userEvents+='</div>\
														</li>\
													</ul>\
											</div>\
										</div>\
									</div>\
								</div>';
			});
			userEvents+='</div>';
			$(".user-events").empty().append(userEvents);
		}
	});
}

function userEventShare(eventDetails){
	var eventKey = $(eventDetails).attr("eventKey");
	var eventTitle = $(eventDetails).attr("eventTitle");
	var eventImage = $(eventDetails).attr("eventImage");
	FB.ui({
		method			:'share',
		mobile_iframe	:true,
		href			:appObj.baseUrl+'app/?linkType=share&eventKey='+eventKey+'&page=eventDescription#page=eventDescription',
		title			:eventTitle,
		picture			:appObj.baseUrl+'assets/images/events/'+eventImage,
	}, 	function(response){});
}