var jobDescriptionJS = '';

jobDescriptionPageInitalize();
function jobDescriptionPageInitalize(){
	jobDescriptionPageContaient();
	getJobsDescription(getUrlVars()["jobId"]);
}

function getUrlVars() {
    var vars = {};
    var parts = window.location.href.replace(/[?&]+([^=&]+)=([^&]*)/gi, function(m,key,value) {
    vars[key] = value;
    });
	return vars;
}

function jobDescriptionPageContaient(){
	$('#secondary-page').empty().append('<div class="row">\
									<div class="col-sm-12">\
										<div class="jobDescription"></div>\
									</div>\
								</div>');
} 

function getJobsDescription(jobId){
	$.ajax({
		type		:'POST',
		url    	 	: appObj.siteUserControllerUrl+'getAllUserJobsPost',
		data		:{jobId:jobId},
		dataType 	: 'json',
		success 	: function(data){
			var jobsValues ='';
			jobsValues+='<div class="row">';
			jobsValues+='<div class="col-sm-12">\
							<div class="hpanel job-new-panel">\
								<div class="panel-body">\
									<h4 class ="job-heading"><i class="fa fa-briefcase"></i> <a href="#page=jobDescription&jobId='+data.job_id+'" target="_blank">'+data.title+'</a></h4>\
										<p class="job-company-name">'+data.company_name+', <span class="job-location"><span class="glyphicon glyphicon-map-marker"></span> '+data.location+'</span></p>\
										<p class ="job-description">'+data.description+'</p>';
										if(data.contact_person){
											jobsValues+='<p>Contact person : '+data.contact_person+'</p>';
										}
										if(data.contact_number){
											jobsValues+='<p>Contact number : '+data.contact_number+'</p>';
										}
										if(data.company_website){
											jobsValues+='<p>Company website : <a href="'+data.company_website+'" target="_blank" class="btn-link">'+data.company_website+'</a></p>';
										}
										jobsValues+='<hr><a href="javascript:void(0);" class="btn btn-warning2" jobTitle="'+data.title+'" company="'+data.company_name+'" location="'+data.location+'" emailId="'+data.contact_email+'" onclick="applyJobs(this);">Apply Now</a>\
									</div>\
							</div>\
						</div>';
			  jobsValues+='</div>';
			$(".jobDescription").empty().append(jobsValues);
		}
	});
}

function applyJobs(btn){
	var jobTitle = $(btn).attr("jobTitle");
	var companyName = $(btn).attr("company");
	var location = $(btn).attr("location");
	var emailId = $(btn).attr("emailId");
	var applyjobs = '';
	applyjobs +='<h4 class="m-n"><b>'+jobTitle+'</b></h4>\
				<h5 class="m-b">'+companyName+' - '+location+'</h5>\
				<form id="applyjobsForm" enctype="multipart/form-data">\
					<div class="form-group">\
						<label>Name <span class="verify-error">*</span></label>\
						<input type="text" name="send_name" class="form-control">\
					</div>\
					<div class="form-group">\
						<label>Email <span class="verify-error">*</span></label>\
						<input type="email" name="send_email" class="form-control">\
					</div>\
					<div class="form-group">\
						<label>Phone Number (optional)</label>\
						<input type="text" name="phone" class="form-control">\
					</div>\
					<div class="form-group">\
						<label>Resume <span class="verify-error">*</span></label>\
						<input type="file" name="resume" id="resume">\
						<span class="upload-error" style="display:none;">Please upload Microsoft Word or PDF files of up to 1 MB.</span>\
					</div>\
					<div class="form-group">\
						<label>Cover Letter</label>\
						<textarea rows="4" class="form-control" name="cover_letter"></textarea>\
						<input type="hidden" name="job_title" value="'+jobTitle+'">\
						<input type="hidden" name="location" value="'+location+'">\
						<input type="hidden" name="receive_email" value="'+emailId+'">\
					</div>\
					<a href="javascript:void(0);" onclick="sendMailApplyJobs(this);" class="btn btn-info m-r-sm">Continue</a>\
					<a href="javascript:void(0);" class="btn-link" onclick="bootbox.hideAll();">Cancel</a>\
					<span class="submit-msg" style="display:none;">Your application has been submitted.</span>\
				</form>';
		
	bootbox.dialog({
		message		: applyjobs,
		'animate' 	: false,
		className	: 'createGroup',
		closeButton	: false
	});
	$("#applyjobsForm").validate({
	   rules: {
			send_name: {
				required: true,
			},
			send_email: {
				required: true,
			},
			resume: {
				required: true,
			},
		},
		messages: {
			send_name: {
				required: 'Name is required',
			},
			send_email: {
				required: 'Email is required',
			},
			resume: {
				required: 'File is required',
			}
		}
	});
}

function sendMailApplyJobs(btn){
	var ext = $('#resume').val().split('.').pop().toLowerCase();
	if($("#applyjobsForm").valid()){
		if($.inArray(ext, ['docx','pdf','doc']) == -1 || $('#resume')[0].files[0].size > 1000141) {
			$('.upload-error').show();
			$('.upload-error').delay(2000).fadeOut('slow');
		}
		else{
			$(".submit-msg").show();
			$(btn).addClass("disabled");
			var data = new FormData($("#applyjobsForm")[0]);
			$.ajax({
				type		: "POST",
				url     	: appObj.siteUrl+'mail/send_apply_jobs.php',
				data		: data,
				processData : false,
				contentType	: false,
				dataType 	: 'html',
				success 	: function(data){
					bootbox.hideAll();
				}
			});
		}
	}
}