var messagesJS = '';

var messageObj = {
	messageLoaded : 0,
	messageToLoad : 10,
};

var refreshTimer = '';
messagesPageInitalize();
function messagesPageInitalize(){
	var userId = GetQryStrParams(window.location.hash.substr(1),'userId');
	if(userId){
		messagesBlockPageContent();
		getUserMessagesBlock(0);
		getMessageName(userId);
		if(appObj.pageName == "messages"){
			refreshTimer = setInterval(function(){checkNewMessages()},5000);
		}
	}
	else{
		messagesListPageContent()
		getAllUsersMessagesList();
	}
	if(isMobileApp()){
		GARecored('Messages');
	}
}

function messageBack(){
	window.history.back();
	clearInterval(refreshTimer);
}

function messagesListPageContent(){
	$(".breadcrumb-title").remove();
	$("#header").append('<div class="breadcrumb-title"><a class="btn-link" href="javascript:void(0);" onclick="window.history.back();"><i class="fa fa-lg fa-angle-left"></i></a> <span>Messages</span></div>');
	$('#secondary-page').empty().append('<div class="users-message-list"></div><a class="write-post-bottom btn-link" onclick="addNewMessage(this,0);" href="javascript:void(0);"><i class="fa fa-pencil fa-lg"></i></a>');
}

function messagesBlockPageContent(){
	$("#header").append('<div class="breadcrumb-title"><a class="btn-link" href="javascript:void(0);" onclick="messageBack();"><i class="fa fa-lg fa-angle-left"></i></a> <span class="usertitle"></span></div>');
	$('#secondary-page').empty().append('<div class="users-message-block">\
											<div class="list-messages"></div>\
										</div>\
										<div class="hpanel m-n replyMessageBlock">\
											<div class="panel-body no-padding">\
												<form class="replyMessage">\
													<div class="input-group">\
														<textarea rows=1 class="form-control" name="message" placeholder="Type a message" onkeyup="auto_grow(this);"></textarea>\
														<span class="input-group-btn">\
															<button type="button" onclick="replyMessage();" class="btn btn-primary btn-sm" disabled><img src="'+appObj.baseUrl+'assets/images/comments-send.png" disabled></button>\
														</span>\
													</div>\
												</form>\
											</div>\
										</div>');
}

function getAllUsersMessagesList(){
	$('.users-message-list').html('<div class="page-loading"><img class="center-block message-loader" src="assets/images/ajax-loader.gif" width="90"><span class="loading-text">Loading Chats...</span></div>');
	$.ajax({
		url			:appObj.siteUserControllerUrl+'getAllUsersMessagesList',
		type		:'POST',
		dataType	:'json',
		success		:function(data){
			var userMessageList = '';
			if(data.fields == ''){
				userMessageList = '<div class="no-pending"><i class="fa fa-3x fa-envelope-o"></i><br><br>\
				No pending messages</div>';
			}
			else{
				$.each(data.fields,function(index,fields){
					userMessageList+= '<div class="col-xs-12 connections-block" onclick="messageBlock(this,'+fields.user_id+');" userName="'+fields.name+'">\
										<img class="img-responsive" src="'+generateUserImg(fields.profile_img_small,fields.user_login_type,50,50)+'" alt="Image" width="50">\
											<div class="details">\
												<h5 class="m-n name-truncate">\
													<a href="javascript:void(0);" onclick="messageBlock(this,'+fields.user_id+');" userName="'+fields.name+'"><b>'+fields.name+'</b></a>\
												</h5>\
												<span class="pull-right">\
													'+messageDateFormat(fields.sent_date.replace(/-/g, "/"))+'\
												</span>';
												if(fields.user_id == fields.to_id){
													userMessageList += '<div class="text-muted name-truncate">You: '+fields.message+'</div>';
												}
												else{
													userMessageList += '<div class="text-muted name-truncate">'+fields.message+'</div>';
												}
											userMessageList += '</div>\
									</div>';
				});
			}
			$(".users-message-list").empty().append(userMessageList);
		}
	});
}

function messageBlock(btn,user_id){
	window.location.href = "#page=messages&userId="+user_id+"";
}

function getUserMessagesBlock(type){	
	if(type == 0){
		$('.list-messages').html('<div class="page-loading"><img class="center-block message-loader" src="assets/images/ajax-loader.gif" width="90"><span class="loading-text">Loading Conversations...</span></div>');
		messageObj.messageLoaded = 0;
	}
	else{
		$('.message-block:first-child').before('<img class="load-messages" src="'+appObj.baseUrl+'assets/images/comments-loader.gif">');
	}
	var userId = GetQryStrParams(window.location.hash.substr(1),'userId');
	 $.ajax({
		url			:appObj.siteUserControllerUrl+'getUserMessagesBlock',
		type		:'POST',
		data		:{userId:userId,messageObj:messageObj},
		dataType	:'json',
		success		:function(data){
			$(".load-messages, .page-loading").remove();
			buildMessagesBlock(data,type);
		}
	});
}

function buildMessagesBlock(data,type){
	var userId = GetQryStrParams(window.location.hash.substr(1),'userId');
	var allMessage = '';
	$.each(data.fields,function(index,fields){
		var listMessage = '';
		var str = fields.message;
		var regex = /(\b(https?|ftp|file):\/\/[-A-Z0-9+&@#\/%?=~_|!:,.;]*[-A-Z0-9+&@#\/%=~_|])/ig;
		var replaced_msg = str.replace(regex, "<a class='btn-link' url='$1' onclick='openlink(this);' target='_blank'>$1</a>");
		
		if(fields.from_id == userId){
			listMessage+='<div class="message-block a" msgid='+fields.id+'>\
							<span class="message-text">'+replaced_msg+'</span>\
							<div class="message-time">'+messageDateFormat(fields.sent_date.replace(/-/g, "/"))+'</div>\
						</div>';
		}
		else{
			listMessage+='<div class="message-block" msgid='+fields.id+'>\
							<span class="message-text current">'+replaced_msg+'</span>\
							<div class="message-time pull-right">'+messageDateFormat(fields.sent_date.replace(/-/g, "/"))+'</div>';
						listMessage+='</div>';
		}
		messageObj.messageLoaded = messageObj.messageLoaded + 1;
		allMessage = listMessage+""+allMessage;
		msgcount = 0;
	});
	if(type == 0){
		$('.list-messages').append('<div class="user-message-scroll">'+allMessage+'</div>');
		window.scrollTo(0,document.body.scrollHeight);
	}
	else{
		$(".list-messages .message-block:first-child").before(allMessage);
	}
}

var msgcount = 0;
$(window).scroll(function(){
	if(appObj.pageName == "messages"){
		 if($(window).scrollTop() <= 0) {
			if(msgcount == 0){
				getUserMessagesBlock(2);
				msgcount = 1;
			}
		}
	}
});

function replyMessage(){
	var userId = GetQryStrParams(window.location.hash.substr(1),'userId');
	var userMessage = $("textarea[name=message]").val().trim();
	if(userMessage != ''){
		$(".replyMessageBlock button").prop('disabled',true);
		$.ajax({
			url			:appObj.siteUserControllerUrl+'sendMessageConnections',
			type		:'POST',
			data		:{userId:userId,userMessage:userMessage},
			dataType	:'json',
			success		:function(data){
				if(data){
					$("textarea[name=message]").val('');
					$("textarea[name=message]").css("height","auto");
					var listMessage='';
					var str = data.message;
					var regex = /(\b(https?|ftp|file):\/\/[-A-Z0-9+&@#\/%?=~_|!:,.;]*[-A-Z0-9+&@#\/%=~_|])/ig;
					var replaced_msg = str.replace(regex, "<a class='btn-link' url='$1' onclick='openlink(this);' target='_blank'>$1</a>");
					
					listMessage+='<div class="message-block" msgid='+data.id+'>\
										<span class="message-text current">'+replaced_msg+'</span>\
										<div class="message-time pull-right">'+messageDateFormat(data.sent_date.replace(/-/g, "/"))+'</div>\
									</div>';
					$(".list-messages .message-block:last-child").after(listMessage);
					setMessageHeight();
					sendNotifications(data,"connectionsMessage");
				}
			}
		});
	}
}

function auto_grow(element) {
	if($(element).val() != ''){
		if(element.scrollHeight >= 44){
			$(element).height(10);
			$(element).height(element.scrollHeight - 10);
		}
	}
	else{
		$(element).height('');
	}
}


function checkNewMessages(){
	var msgId = $('.user-message-scroll').find("div.message-block:last").attr("msgid");
	var userId = GetQryStrParams(window.location.hash.substr(1),'userId');
	if(userId){
		$.ajax({
			url			:appObj.siteUserControllerUrl+'checkNewMessages',
			type		:'POST',
			data		:{userId:userId,msgId:msgId},
			dataType	:'json',
			success		:function(data){
				if(data.fields != ""){
					var lastMsg = '';
					var unreadCount = 0;
					if($(".unread-block").length > 0){
						unreadCount = parseInt($(".unread-block").attr("unreadCount")) + data.fields.length;
					}
					else{
						unreadCount = data.fields.length;
						lastMsg+='<span class="badge badge-primary unread-block" unreadCount="'+unreadCount+'"><span class="unread-text"><span class="unread-count">'+unreadCount+'</span> UNREAD MESSAGES</span></span>';
					}
					$.each(data.fields,function(index,fields){
						var str = fields.message;
						var regex = /(\b(https?|ftp|file):\/\/[-A-Z0-9+&@#\/%?=~_|!:,.;]*[-A-Z0-9+&@#\/%=~_|])/ig;
						var replaced_msg = str.replace(regex, "<a class='btn-link' url='$1' onclick='openlink(this);' target='_blank'>$1</a>");
					
						if(fields.from_id == userId){
							lastMsg+='<div class="message-block" msgid='+fields.id+'>\
										<span class="message-text">'+replaced_msg+'</span>\
										<div class="message-time">'+messageDateFormat(fields.sent_date.replace(/-/g, "/"))+'</div>\
									</div>';
						}
						else{
							lastMsg+='<div class="message-block" msgid='+fields.id+'>\
										<span class="message-text current">'+replaced_msg+'</span>\
										<div class="message-time pull-right">'+messageDateFormat(fields.sent_date.replace(/-/g, "/"))+'</div>\
									</div>';
						}
					});
					$(".message-block:last-child").after(lastMsg);
					$(".unread-count").html(unreadCount);
					$(".unread-block").attr("unreadCount",unreadCount);
					setMessageHeight();
				}
			}
		});
	}
}

$(window).click(function(e){
	$(".unread-block").remove();
});


function setMessageHeight(){
	window.scrollTo(0,document.body.scrollHeight);
}

function messageDateFormat(date_time){
	var format = date_time+" GMT";
	var currentDate = Math.round(+new Date()/1000);
	var sentDate = Math.round(+new Date(format)/1000); 
	var diffTime = currentDate - sentDate;
	//Full Date
	var monthNames = ["Jan", "Feb", "Mar", "Apr", "May", "Jun",
	"Jul", "Aug", "Sep", "Oct", "Nov", "Dec" ];
	var month_value = new Date(format).getMonth();
	var hours = new Date(format).getHours();
	var ampm = (hours >= 12) ? "PM" : "AM";
	var getHour = ((hours + 11) % 12 + 1);
	var time = getHour+":"+("0"+ new Date(format).getMinutes()).slice(-2)+" "+ampm;
	
	if (diffTime < 86400){
		return time;
	}
	else{
		return monthNames[month_value]+' '+new Date(format).getDate();
	}
}

function getMessageName(userId){
	$.ajax({
		url			:appObj.siteUserControllerUrl+'getMessageName',
		type		:'POST',
		data		:{userId:userId},
		dataType	:'json',
		success		:function(data){
			$(".usertitle").empty().append(data.name)
		}
	});
}