var myGroupsJS = '';

var Obj = {groupMemberType:'',
		   groupMemberApproval:0,
		   groupPrivacy:''
		  }

var groupsPostObj = {
	postsLoaded : 0,
	postsToLoad	:10,
	pageLoaded : false
};

myGroupsPageInitalize();
function myGroupsPageInitalize(){
	if(appObj.isLoggedIn){
		var GroupId = GetQryStrParams(window.location.hash.substr(1),'GroupId');
		if(GroupId){
			checkUserGroupStatus(GroupId);
		}
		else{
			$(".page-full-content").hide();
			if(groupsPostObj.pageLoaded){
				$(".content-page-"+appObj.pageName).show();
			}
			else{
				getAllMyGroupsContent();
				groupsPostObj.pageLoaded = true;
			}
		}
	}
	else{
		window.location.href = "#page=login";
	}
	if(isMobileApp()){
		GARecored('MyGroups');
	}
}

function checkUserGroupStatus(GroupId){
	$.ajax({
		type		:'POST',
		url         : appObj.siteUserControllerUrl+'checkUserGroupStatus',
		data		:{groupMemberType:Obj.groupMemberType,GroupId:GroupId},
		dataType	:'json',
		success     : function(data){
			if(data){
				Obj.groupMemberType = data.user_role;
				Obj.groupMemberApproval = data.approval;
			}
			else{
				Obj.groupMemberType = '';
				Obj.groupMemberApproval = 0;
			}
			myGroupsPageContent();
			getGroupsDetails(GroupId);
			getAllGroupMembers(GroupId);
			getAllGroupEvents(GroupId);
			getAllGroupsPhotos(GroupId);
			getUserProfileImage();
			if(isWeb()){
				connectPeople();
				suggestedGroupsBlock(GroupId);
			}
			if(Obj.groupMemberType != '' && Obj.groupMemberApproval != 0){
				getAllPendingPosts(GroupId);
				if(Obj.groupMemberType == 1){
					getAllMemberRequests(GroupId);
				}
			}
			if(Obj.groupMemberType != 1){
				if(data){
					if(data.post_permissions == 1){
						$(".my-groups .post-block").remove();
					}
				}
			}
		}
	});
}

function getAllMyGroupsContent(){
	$(".mainGroupsSearch").remove();
	$("#header").append('<div class="mainGroupsSearch" style="display:none;">\
							<form role="search" class="mobile-icon navbar-form-custom" method="post">\
								<div class="input-group">\
									<span class="input-group-addon"><i class="fa fa-search"></i></span>\
									<input type="text" placeholder="Search Groups" class="form-control" name="main-search-groups" autocomplete="off" readonly>\
								</div>\
							</form>\
						</div>');
	$('#primary-page').append('<div class="page-full-content content-page-'+appObj.pageName+'"><div class="row">\
									<div class="col-lg-9">\
										<div class="hpanel" style="margin-bottom:10px;">\
											<div class="panel-body no-padding no-borders">\
												<ul class="nav nav-tabs bordered mygroups-tab pull-left">\
													<li>\
													<a href="#groups" data-toggle="tab" style="box-shadow:none;">Groups </a>\
													</li>\
													<li>\
													<a href="#Discover" data-toggle="tab" style="box-shadow:none;">Discover </a>\
													</li>\
												</ul>\
												<button type="type" onclick="createGroups();" class="btn btn-success btn-sm pull-right create-group-btn"><i class="fa fa-plus"></i> Create Group</button>\
											</div>\
										</div>\
										<div class="tab-content">\
											<div class="tab-pane fade" id="groups">\
												<div class="groups-loading"></div>\
												<div class="no-groups"></div>\
												<div class="favorites-groups"></div>\
												<div class="groups-manage"></div>\
												<div class="your-groups"></div>\
											</div>\
											<div class="tab-pane fade" id="Discover">\
												<div class="discover"><img class="center-block message-loader" src="assets/images/ajax-loader.gif" width="90"></div>\
											</div>\
										</div>\
									</div>\
								</div></div>');
	getAllMyGroupsList();
	getAllGroupsDiscover();
}

function getAllMyGroupsList(){
	$(".groups-loading").empty().append('<img class="center-block" src="assets/images/ajax-loader.gif" width="90">');
	$.ajax({
		url         : appObj.siteUserControllerUrl+'getAllMyGroupsList',
		dataType	:'json',
		success     : function(data){
			$(".groups-loading").remove();
			var favorites = '';
			var groupManage ='';
			var yourGroup ='';
			if(data.fields == ''){
				$(".no-groups").empty().append('<div class="allGroups">\
											<div class="hpanel">\
												<div class="panel-body">\
													You have no groups.\
												</div>\
											</div>\
										</div>');
				$('.mygroups-tab a[href="#Discover"]').tab('show');
			}
			else{
				$.each(data.fields,function(index,fields){
					if(fields.favorites == 1){
						if(isWeb()){
							favorites+='<div class="col-sm-4 m-b-lg">\
											<a class="btn-link" href="#page=myGroups&GroupId='+fields.id+'">';
											if(fields.cover_photo){
												favorites+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/groups/cover/'+fields.cover_photo+'">';
											}
											else{
												favorites+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/groups/groups-default-cover.png">';
											}
											favorites+='</a>\
											<div class="title">\
												<h5 class="m-n"><a class="btn-link" href="#page=myGroups&GroupId='+fields.id+'">'+fields.name+'</h5></a>\
												<span class="dropdown pull-right">\
													<a data-toggle="dropdown" class="btn btn-default btn-sm dropdown-toggle" aria-expanded="false"><i class="fa fa-cog"></i></a>\
													<ul class="dropdown-menu">\
														<li><a href="javascript:void(0);" group-id='+fields.group_id+' onclick="leaveGroups(this);">Leave Group</a></li>\
														<li><a href="javascript:void(0);" group-id='+fields.group_id+' favorites=0 onclick="favoritesGroups(this);">Remove from Favorites </a></li>\
													</ul>\
												</span>\
											</div>\
										</div>';
						}
						else{
							favorites+='<div class="col-xs-12">\
										<a class="btn-link" href="#page=myGroups&GroupId='+fields.id+'">';
											if(fields.cover_photo){
												favorites+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/groups/cover/'+fields.cover_photo+'"';
											}
											else{
												favorites+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/groups/groups-default-cover.png">';
											}
										favorites+='</a>\
											<h5 class="pull-left m-t-sm">\
												<a class="btn-link" href="#page=myGroups&GroupId='+fields.id+'">'+fields.name+'</a>\
											</h5>\
											<span class="dropdown pull-right m-t">\
												<a data-toggle="dropdown" class="btn btn-default btn-sm dropdown-toggle" aria-expanded="false"><i class="fa fa-cog"></i></a>\
												<ul class="dropdown-menu">\
													<li><a href="javascript:void(0);" group-id='+fields.group_id+' onclick="leaveGroups(this);">Leave Group</a></li>\
													<li><a href="javascript:void(0);" group-id='+fields.group_id+' favorites=0 onclick="favoritesGroups(this);">Remove from Favorites </a></li>\
												</ul>\
											</span><hr class="groups-border">\
										</div>';
						}
					}
					if(fields.user_role == 1){
						if(isWeb()){
							groupManage+='<div class="col-sm-4 m-b-lg">\
												<a class="btn-link" href="#page=myGroups&GroupId='+fields.id+'">';
													if(fields.cover_photo){
														groupManage+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/groups/cover/'+fields.cover_photo+'">';
													}
													else{
														groupManage+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/groups/groups-default-cover.png">';
													}
												groupManage+='</a>\
												<div class="title">\
													<h5 class="m-n"><a class="btn-link" href="#page=myGroups&GroupId='+fields.id+'">'+fields.name+'</h5></a>\
													<span class="dropdown pull-right">\
														<a data-toggle="dropdown" class="btn btn-default btn-sm dropdown-toggle" aria-expanded="false"><i class="fa fa-cog"></i></a>\
														<ul class="dropdown-menu">\
															<li><a href="javascript:void(0);" group-id='+fields.group_id+' onclick="leaveGroups(this);">Leave Group</a></li>\
															<li><a href="javascript:void(0);" group-id='+fields.group_id+' onclick="manageGroupsSetting(this);">Edit Group Setting</a></li>';
															if(fields.favorites == 0){
																groupManage+='<li><a href="javascript:void(0);" group-id='+fields.group_id+' favorites=1 onclick="favoritesGroups(this);">Add to Favorites</a></li>';
															}
															else{
																groupManage+='<li><a href="javascript:void(0);" group-id='+fields.group_id+' favorites=0 onclick="favoritesGroups(this);">Remove from Favorites </a></li>';
															}
														groupManage+='</ul>\
													</span>\
												</div>\
											</div>';
						}
						else{
							groupManage+='<div class="col-xs-12">\
										<a class="btn-link" href="#page=myGroups&GroupId='+fields.id+'">';
											if(fields.cover_photo){
												groupManage+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/groups/cover/'+fields.cover_photo+'">';
											}
											else{
												groupManage+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/groups/groups-default-cover.png">';
											}
										groupManage+='</a>\
											<h5 class="pull-left m-t-sm">\
												<a class="btn-link" href="#page=myGroups&GroupId='+fields.id+'">'+fields.name+'</a>\
											</h5>\
											<span class="dropdown pull-right m-t">\
												<a data-toggle="dropdown" class="btn btn-default btn-sm dropdown-toggle" aria-expanded="false"><i class="fa fa-cog"></i></a>\
												<ul class="dropdown-menu">\
														<li><a href="javascript:void(0);" group-id='+fields.group_id+' onclick="leaveGroups(this);">Leave Group</a></li>\
														<li><a href="javascript:void(0);" group-id='+fields.group_id+' onclick="manageGroupsSetting(this);">Edit Group Setting</a></li>';
														if(fields.favorites == 0){
															groupManage+='<li><a href="javascript:void(0);" group-id='+fields.group_id+' favorites=1 onclick="favoritesGroups(this);">Add to Favorites</a></li>';
														}
														else{
															groupManage+='<li><a href="javascript:void(0);" group-id='+fields.group_id+' favorites=0 onclick="favoritesGroups(this);">Remove from Favorites </a></li>';
														}
												groupManage+='</ul>\
											</span><hr class="groups-border">\
										</div>';
						}
					}
					if(fields.user_role == 0 && fields.approval == 1){
						if(isWeb()){
							yourGroup+='<div class="col-sm-4 m-b-lg">\
										<a class="btn-link" href="#page=myGroups&GroupId='+fields.id+'">';
											if(fields.cover_photo){
												yourGroup+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/groups/cover/'+fields.cover_photo+'">';
											}
											else{
												yourGroup+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/groups/groups-default-cover.png">';
											}
										yourGroup+='</a>\
										<div class="title">\
											<h5 class="m-n"><a class="btn-link" href="#page=myGroups&GroupId='+fields.id+'">'+fields.name+'</h5></a>\
											<span class="dropdown pull-right">\
												<a data-toggle="dropdown" class="btn btn-default btn-sm dropdown-toggle" aria-expanded="false"><i class="fa fa-cog"></i></a>\
												<ul class="dropdown-menu">\
													<li><a href="javascript:void(0);" group-id='+fields.group_id+' onclick="leaveGroups(this);">Leave Group</a></li>';
													if(fields.favorites == 0){
														yourGroup+='<li><a href="javascript:void(0);" group-id='+fields.group_id+' favorites=1 onclick="favoritesGroups(this);">Add to Favorites</a></li>';
													}
													else{
														yourGroup+='<li><a href="javascript:void(0);" group-id='+fields.group_id+' favorites=0 onclick="favoritesGroups(this);">Remove from Favorites </a></li>';
													}
												yourGroup+='</ul>\
											</span>\
										</div>\
									</div>';
						}
						else{
							yourGroup+='<div class="col-xs-12">\
										<a class="btn-link" href="#page=myGroups&GroupId='+fields.id+'">';
											if(fields.cover_photo){
												yourGroup+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/groups/cover/'+fields.cover_photo+'">';
											}
											else{
												yourGroup+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/groups/groups-default-cover.png">';
											}
										yourGroup+='</a>\
											<h5 class="pull-left m-t-sm">\
												<a class="btn-link" href="#page=myGroups&GroupId='+fields.id+'">'+fields.name+'</a>\
											</h5>\
											<span class="dropdown pull-right m-t">\
												<a data-toggle="dropdown" class="btn btn-default btn-sm dropdown-toggle" aria-expanded="false"><i class="fa fa-cog"></i></a>\
												<ul class="dropdown-menu">\
													<li><a href="javascript:void(0);" group-id='+fields.group_id+' onclick="leaveGroups(this);">Leave Group</a></li>';
													if(fields.favorites == 0){
														yourGroup+='<li><a href="javascript:void(0);" group-id='+fields.group_id+' favorites=1 onclick="favoritesGroups(this);">Add to Favorites</a></li>';
													}
													else{
														yourGroup+='<li><a href="javascript:void(0);" group-id='+fields.group_id+' favorites=0 onclick="favoritesGroups(this);">Remove from Favorites </a></li>';
													}
												yourGroup+='</ul>\
											</span><hr class="groups-border">\
										</div>';
						}
					}
				});
				$('.mygroups-tab a[href="#groups"]').tab('show');
			}
			if(favorites != ''){
				$(".favorites-groups").empty().append('<div class="allGroups">\
														<div class="hpanel">\
															<div class="panel-heading hbuilt">\
																<b>Favorites</b>\
															</div>\
															<div class="panel-body">\
																<div class="row">\
																	'+favorites+'\
																</div>\
															</div>\
														</div>\
													</div>');
			}
			else{
				$(".favorites-groups").empty();
			}
			if(groupManage != ''){
				$(".groups-manage").empty().append('<div class="allGroups">\
														<div class="hpanel">\
															<div class="panel-heading hbuilt">\
																<b>Groups You Manage</b>\
															</div>\
															<div class="panel-body">\
																<div class="row">\
																	'+groupManage+'\
																</div>\
															</div>\
														</div>\
													</div>');
			}
			else{
				$(".groups-manage").empty();
			}
			if(yourGroup != ''){
				$(".your-groups").empty().append('<div class="allGroups">\
													<div class="hpanel">\
														<div class="panel-heading hbuilt">\
															<b>Your Groups</b>\
														</div>\
														<div class="panel-body">\
															<div class="row">\
																'+yourGroup+'\
															</div>\
														</div>\
													</div>\
												</div>');
			}
			else{
				$(".your-groups").empty();
			}
		}
	});
}

function getAllGroupsDiscover(){
	$.ajax({
		url         : appObj.siteUserControllerUrl+'getAllGroupsDiscover',
		dataType	:'json',
		success     : function(data){
			var discover = '';
			discover+='<div class="allGroups">\
							<div class="hpanel">\
								<div class="panel-heading hbuilt">\
									<b>Suggestions</b>\
								</div>\
								<div class="panel-body">';
									if(data.fields == ''){
										discover+='You have no Suggestions.'
									}
									else{
										discover+='<div class="row">';
											$.each(data.fields,function(index,fields){
												if(isWeb()){
													discover+='<div class="col-sm-4 m-b-lg" id="discover'+fields.id+'">';
												}
												else{
													discover+='<div class="col-xs-12" id="discover'+fields.id+'">';
												}
												discover+='<a class="btn-link" href="#page=myGroups&GroupId='+fields.id+'">';
													if(fields.cover_photo){
														discover+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/groups/cover/'+fields.cover_photo+'"';
													}
													else{
														discover+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/groups/groups-default-cover.png">';
													}
												discover+='</a>';
												if(isWeb()){
													discover+='<div class="title">\
														<h5 class="m-n"><a class="btn-link" href="#page=myGroups&GroupId='+fields.id+'">'+fields.name+'</a></h5>\
														<div class="text-muted">'+fields.members_count+' Members\
															<span class="dropdown pull-right">\
																<a href="javascript:void(0);" group-id='+fields.id+' onclick="suggJoinGroup(this);" class="btn btn-default btn-sm"><i class="fa fa-plus"></i> Join</a>\
															</span>\
														</div>\
													</div>';
												}
												else{
													discover+='<h5 class="pull-left m-t-sm">\
																	<a class="btn-link" href="#page=myGroups&GroupId='+fields.id+'">'+fields.name+'</a>\
																	<div class="text-muted">'+fields.members_count+' Members</div>\
																</h5>\
																<span class="dropdown pull-right m-t">\
																	<a href="javascript:void(0);" group-id='+fields.id+' onclick="suggJoinGroup(this);" class="btn btn-default btn-sm"><i class="fa fa-plus"></i> JOIN</a>\
																</span><hr class="groups-border">';
												}
												discover+='</div>';
											});
										discover+='</div>';
									}
								discover+='</div>\
							</div>\
						</div>';
			$(".discover").empty().append(discover);
		}
	});
}

function manageGroupsSetting(data){
	var GroupId = $(data).attr("group-id");
	window.location.href = "#page=myGroups&GroupId="+GroupId;
	setTimeout(function(){
		$('.mygroups-tab.nav-tabs a[href="#groupSetting"]').tab('show');
	},500);
}

function favoritesGroups(data){
	var GroupId = $(data).attr("group-id");
	var favorites = $(data).attr("favorites");
	$.ajax({
		type		:'POST',
		url         : appObj.siteUserControllerUrl+'favoritesGroups',
		data		:{favorites:favorites,GroupId:GroupId},
		success     : function(data){
			if(data == 1){
				getAllMyGroupsList();
			}
		}
	});
}

function leaveGroups(data){
	var GroupId = $(data).attr("group-id");
	bootbox.confirm({
		title		: "Leave this Group?",
		message		: "Do you want to leave?",
		animate		:false,
		buttons: {
			cancel	:{
				className :'btn btn-default btn-sm'
			},
			confirm: {
				label: 'Leave Group',
				className :'btn btn-primary btn-sm'
			}
		},
		callback	: function(data) {
			if(data) {
				$.ajax({
					type		:'POST',
					url     	: appObj.siteUserControllerUrl+'leaveGroups',
					data 		: {GroupId:GroupId},
					success 	: function(data){
						if(data == 1){
							getAllMyGroupsList(GroupId);
						}
					}
				});
			}
		}
	});
	$(".bootbox-confirm").addClass("group-modal");
}

function myGroupsPageContent(){
	$('#secondary-page').empty().append('<div class="my-groups"></div>');
	myGroups();
}

function myGroups(){
	var GroupId = GetQryStrParams(window.location.hash.substr(1),'GroupId');
	var myGroupsContent='';
	myGroupsContent+='<div class="row">\
							<div class="col-lg-9">\
								<div id="myCarousel" class="carousel fade mygroups-carousel">\
									<div class="air air-bottom-left p-xs">\
										<h3 class="group-name"></h3>\
										<p class="group-desc"></p>\
										<h5 class="privacy"></h5>\
									</div>\
									<div class="air air-bottom-right joined-btn" style="padding:10px;">';
										if(Obj.groupMemberType != '' && Obj.groupMemberApproval != 0){
											myGroupsContent+='<div class="btn-group m-r-sm">\
												<button data-toggle="dropdown" class="btn btn-default btn-sm dropdown-toggle hidden-xs">Joined\
												</button>\
											</div>\
											<div class="btn-group">\
												<button type="button" class="btn btn-default btn-sm hidden-xs"><i class="fa fa-share"></i> Share</button>\
												<div class="btn-group">\
													<button data-toggle="dropdown" class="btn btn-default btn-sm dropdown-toggle"><i class="fa fa-ellipsis-h"></i></button>\
													 <ul class="dropdown-menu dropdown-menu-right">\
														<li><a href="javascript:void(0);" onclick="addAllMembers();">Add Members</a></li>';
														if(Obj.groupMemberType == 1){
															myGroupsContent+='<li><a href="javascript:void(0);" onclick="manage();">Manage Group</a></li>\
															<li><a href="javascript:void(0);" onclick="editGroupSetting();">Edit Group Setting</a></li>';
														}
														else{
															myGroupsContent+='<li><a href="javascript:void(0);" onclick="manage();">Manage Requests</a></li>';
														}
														myGroupsContent+='<li><a href="javascript:void(0);" onclick="createGroups();">Create New Group</a></li>';
														if(isMobileApp()){
															myGroupsContent+='<li><a href="javascript:void(0);" link="'+appObj.siteUrl+'#page=myGroups&GroupId='+GroupId+'" onclick="socialShare(this);">Share</a></li>';
														}
														else{
															myGroupsContent+='<li><a href="javascript:void(0);" class="share-groups" onclick="shareGroups(this);">Share</a></li>';
														}
													myGroupsContent+='</ul>\
												</div>\
											</div>';
										}
										else if(Obj.groupMemberType != '' && Obj.groupMemberApproval != 1){
											myGroupsContent+='<button type="button" class="btn btn-default btn-sm">Request Pending</button>';
										}
										else{
											myGroupsContent+='<span class="join-group-btn"><button type="button" onclick="joinGroup();" class="btn btn-default btn-sm">Join Group</button></span>';
										}
									myGroupsContent+='</div>';
									if(Obj.groupMemberType == 1){
										myGroupsContent+='<div class="air air-top-right update-cover-photo-btn p-xs">\
											<label for="cropper-input" title="Update Cover Photo"><i class="fa fa-camera fa-lg"></i></label>\
										</div>\
										<div class="air air air-bottom-right p-xs">\
											<button type="button" class="btn btn-primary btn-sm save-cover-photo" style="display:none;">Save Changes</button>\
										</div>';
									}
									myGroupsContent+='<div class="carousel-inner">\
										<div class="item active">\
											<form id="cover-photo">\
												<div class="image-editor">\
													<input id="cropper-input" type="file" class="cropit-image-input">\
														<div class="cropit-image-preview" id="list">\
															<span class="groups-cover-pic"></span>\
														</div>\
													<input type="hidden" name="cover-image"/>\
													<input type="hidden" name="GroupId">\
												</div>\
												<div class="image-editor-cancel" title="Cancel">+</div>\
											</form>\
										</div>\
									</div>\
								</div>\
								<div class="mygroups-nav">\
									<div class="hpanel">\
										<div class="panel-body">\
											<ul class="nav nav-tabs bordered mygroups-tab pull-left">\
												<li class="active">\
													<a href="#Discussion" data-toggle="tab">Discussion </a>\
												</li>\
												<li>\
													<a href="#Members" data-toggle="tab">Members </a>\
												</li>\
												<li>\
													<a href="#Events" data-toggle="tab">Events </a>\
												</li>\
												<li>\
													<a href="#Photos" data-toggle="tab">Photos </a>\
												</li>\
												<li style="display:none;">\
													<a href="#groupSetting" data-toggle="tab">Setting </a>\
												</li>\
												<li style="display:none;">\
													<a href="#manage" data-toggle="tab">Manage</a>\
												</li>\
											</ul>\
											<!--<div class="input-group m-t-xs pull-right">\
												<input class="form-control input-sm" type="text" name="search-this-group" placeholder="Search this group">\
												<div class="input-group-btn">\
													<button class="btn btn-default btn-sm" onclick="searchThisGroup();"><i class="fa fa-search"></i></button>\
												</div>\
											</div>-->\
										</div>\
									</div>\
								</div>\
								\
								<!-- POST Block-->\
									<div class="tab-content">\
										<div class="tab-pane fade in active" id="Discussion">\
											<div class="row">\
												<div class="col-lg-8">';
												if(Obj.groupMemberType != '' && Obj.groupMemberApproval != 0){
													myGroupsContent+='<div class="post-block">\
														<div class="panel panel-default">\
															<div class="panel-body status">\
																<form id="myGroupsPostForm" method="post" enctype="multipart/form-data">\
																<div class="text">\
																	<div class="row">\
																		<div class="col-lg-12">\
																			<div class="write-post">\
																				<span class="user-post-img"></span>\
																				<textarea rows="2" name="post_text" class="form-control" placeholder="Write something..." style="overflow:hidden;" onkeyup="auto_grow(this);"></textarea>\
																				<div class="post-meta-tag"></div>\
																				<div id="post-image-preview" class="groups-dropzone-previews"></div>\
																				<input type="hidden" name="postType" value="0">\
																				<input type="hidden" name="postId" value="0">\
																				<input type="hidden" name="GroupId">\
																				<input type="hidden" name="postApproval" value="1">\
																				<input type="hidden" name="memberApproval" value="1">\
																			</div>\
																		</div>\
																	</div>\
																</div>\
																	<ul class="links">\
																		<li class="pull-right">\
																			<button type="button" class="btn btn-sm btn-primary post-btn">Post</button>\
																		</li>\
																		<li>\
																			<span class="image-upload"><label>\
																				<div class="dz-default dz-message"><span class="btn-link"><i class="fa fa-camera fa-lg"></i></span></div>\
																			</label></span>\
																			<input type="hidden" name="length"/>\
																		</li>\
																	</ul>\
																</form>\
															</div>\
														</div>\
													</div>\
													<div class="pending-approval-msg"></div>\
													<div class="post-approval-msg"></div>\
													<div class="join-approval-msg"></div>\
													<div class="post-report-msg"></div>';
												}
												else if(Obj.groupMemberType == ''){
													myGroupsContent+='<div class="join-btn-block hpanel">\
																		<div class="panel-body">\
																			<div class="pull-left m-t-xs">Join this group to post and comment.</div>\
																			<button type="button" onclick="joinGroup();" class="btn btn-success btn-sm pull-right"><i class="fa fa-plus"></i> Join</button>\
																		</div>\
																	</div>';
												}
												myGroupsContent+='<div class="recent-activity">\
																		<h6 class="m-b-sm text-muted hidden-xs"><b>RECENT ACTIVITY</b></h6>\
																		<div class="recent-activity-content"></div>\
																	</div>\
												</div>\
												<div class="col-lg-4">';
													if(isWeb()){
														myGroupsContent+='<div id="groups_sticky">\
															<div class="add-members-block">\
																<div class="hpanel">\
																	<div class="panel-body">';
																	if(Obj.groupMemberType != ''){
																		myGroupsContent+='<h6>ADD MEMBERS</h6>\
																		<div class="input-group m-t-sm">\
																			<span class="input-group-addon"><i class="fa fa-plus"></i></span>\
																			<input type="text" name="member-search" class="form-control input-sm" placeholder="Enter name...">\
																		</div>\
																		<span class="add-member-msg"></span>\
																		<div class="member-search-results"></div>';
																	}
																		myGroupsContent+='<div class="members-count-block">\
																			<h6 class="m-t-sm">MEMBERS <a class="pull-right total-members btn-link" href="javascript:void(0);"></a></h6>\
																		<span class="members-images"></span>\
																		</div>\
																		<div class="group-desc-block m-t-sm">\
																		</div>\
																		<div class="group-types-block m-t-sm">\
																		</div>\
																	</div>\
																</div>\
															</div>\
															<div class="recent-photos-block"></div>\
															<div class="sugg-group-block"></div>\
														</div>';
													}
												myGroupsContent+='</div>\
											</div>\
										</div>\
										<div class="tab-pane fade" id="Members">\
											<div class="row">\
												<div class="col-sm-12">\
													<ul class="nav nav-tabs members-tab">\
														<li class="active">\
															<a href="#totalmembers" data-toggle="tab">Members <span class="members-count"></span></a>\
														</li>\
														<li class="">\
															<a href="#Admin" data-toggle="tab">Admin <span class="admin-count"></span></a>\
														</li>\
														<div class="input-group m-xs pull-right hidden-xs">\
															<span class="input-group-addon"><i class="fa fa-search"></i></span>\
															<input type="text" name="find-member" class="form-control input-sm" placeholder="Find a Member">\
														</div>';
														if(Obj.groupMemberType != '' && Obj.groupMemberApproval != 0){
															myGroupsContent+='<a type="button" onclick="addAllMembers();" class="btn btn-default btn-sm pull-right m-xs"><i class="fa fa-plus"></i> Add</a>';
														}
													myGroupsContent+='</ul>\
													<div class="tab-content">\
														<div class="tab-pane fade in active" id="totalmembers">\
															<div class="hpanel">\
																<div class="panel-body p-xxs">\
																	<div class="row">\
																		<div class="col-sm-12">\
																			<div class="all-members"></div>\
																		</div>\
																	</div>\
																</div>\
															</div>\
														</div>\
														<div class="tab-pane fade" id="Admin">\
															<div class="hpanel">\
																<div class="panel-body p-xxs">\
																	<div class="row">\
																		<div class="col-sm-12">\
																			<div class="all-admin"></div>\
																		</div>\
																	</div>\
																</div>\
															</div>\
														</div>\
													</div>\
												</div>\
											</div>\
										</div>\
										<div class="tab-pane fade" id="Events">\
											<div class="row">\
												<div class="col-sm-12">\
													<div class="hpanel">\
														<div class="panel-body">';
															if(Obj.groupMemberType != '' && Obj.groupMemberApproval != 0){
																myGroupsContent+='<a class="btn btn-primary btn-sm pull-right create-event" href="javascript:void(0)" onclick="createGroupEvents()"><i class="fa fa-plus"></i> Create Event</a>';
															}
															myGroupsContent+='<h5>Events</h5>\
															<div class="row">\
																<div class="group-all-event"></div>\
															</div>\
														</div>\
													</div>\
												</div>\
											</div>\
										</div>\
										<div class="tab-pane fade" id="Photos">\
											<div class="row">\
												<div class="col-sm-12">\
													<div class="all-photos"></div>\
												</div>\
											</div>\
										</div>\
										<div class="tab-pane fade" id="groupSetting">\
											<div class="row">\
												<div class="col-sm-12">\
													<div class="hpanel">\
														<div class="panel-body">\
															<div class="group-setting"></div>\
														</div>\
													</div>\
												</div>\
											</div>\
										</div>\
										<div class="tab-pane fade" id="manage">\
											<div class="row">\
												<div class="col-sm-3">\
													<div class="hpanel">\
														<div class="panel-body no-padding">\
															<ul class="nav nav-pills nav-stacked">\
																<li class="active"><a href="#pendingPosts" data-toggle="tab">Pending Posts <span class="pending-posts-count label label-default pull-right"></span></a></li>';
																if(Obj.groupMemberType == 1){
																myGroupsContent+='<li><a href="#memberRequests" data-toggle="tab">Member Requests <span class="member-requests-count label label-default pull-right"></span></a></li>\
																<li><a href="#reportedAdmin" data-toggle="tab">Reported to Admin <span class="report-posts-count label label-default pull-right"></span></a></li>';
																}
															myGroupsContent+='</ul>\
														</div>\
													</div>\
												</div>\
												<div class="col-sm-9">\
													<div class="tab-content">\
														<div class="tab-pane active" id="pendingPosts">\
															<div class="hpanel">\
																<div class="panel-body">\
																	<h5>Pending Posts</h5>\
																</div>\
															</div>\
															<div class="pending-posts"></div>\
														</div>\
														<div class="tab-pane" id="memberRequests">\
															<div class="hpanel">\
																<div class="panel-body">\
																	<h5>Member Requests</h5>\
																</div>\
															</div>\
															<div class="member-requests"></div>\
														</div>\
														<div class="tab-pane" id="reportedAdmin">\
															<div class="hpanel">\
																<div class="panel-body">\
																	<h5>Reported to Admin</h5>\
																</div>\
															</div>\
															<div class="report-posts"></div>\
														</div>\
													</div>\
												</div>\
											</div>\
										</div>\
											\
									</div>\
							</div>\
					</div>';
			$(".my-groups").empty().append(myGroupsContent);
			$("#myGroupsPostForm").validate({
				rules:{
					post_text:{
						required: true,
					},
				},
				messages: {
					post_text: "This post appears to be blank. Please write something or attach a photo to post.",
				},
			});
			dropzoneGroupsImages();
			coverImagecropit();
			$(window).scroll(function(){
				if(isWeb()){
					if($(window).scrollTop() >= 540){
						$("#groups_sticky").addClass("groups-fixed");
					}
					else {
						$("#groups_sticky").removeClass("groups-fixed");
					}
				}
			});
}

function coverImagecropit(){
	$(document).on('click','.mygroups-carousel .image-editor',function(){
		$('.mygroups-carousel .image-editor').cropit({
			onImageLoaded:function(data){
				$(".groups-cover-pic, .update-cover-photo-btn, .joined-btn").hide();
				$(".save-cover-photo").show();
				$(".mygroups-carousel .image-editor-cancel").addClass("remove");
			},
			smallImage:'allow',
		});
	}); 
}

$(document).on('click', '.mygroups-carousel .image-editor-cancel', function(){
	if ($('.cropit-image-preview').hasClass('cropit-image-loaded')){
		$('.cropit-image-preview').removeClass('cropit-image-loaded').removeAttr('style');
		$(".save-cover-photo").hide();
		$(".groups-cover-pic, .update-cover-photo-btn, .joined-btn").show();
		$("#cropper-input").val('');
		$(".mygroups-carousel .image-editor-cancel").removeClass("remove");
	}
});

$(document).on("click",".mygroups-carousel .save-cover-photo",function(){
	var GroupId = GetQryStrParams(window.location.hash.substr(1),'GroupId');
	$("input[name=GroupId]").val(GroupId);
	var imageData = $('.mygroups-carousel .image-editor').cropit('export');
	$('input[name=cover-image]').val(imageData);	 
	var data = new FormData($('#cover-photo')[0]);
	$(".save-cover-photo").prop("disabled",true);
	$.ajax({
		type        : 'POST',
		url         : appObj.siteUserControllerUrl+'groupsCoverPhotoSave',
		data        : data,
		contentType : false,
		processData : false,
		success     : function(data){
			if(data == 1){
				$(".save-cover-photo").prop("disabled",false);
				$("input[name=cover-image]").val('');
				$(".cropit-image-preview").attr('style','');
				$('.cropit-image-preview').removeClass('cropit-image-loaded');
				$(".mygroups-carousel .image-editor-cancel").removeClass("remove");
				getGroupsDetails(GroupId);
			}
		}
	});
});

function addGroupDescription(){
	$(".add-group-desc").show();
	$(".default-group-desc").hide();
}

function cancelGroupDescription(){
	$(".add-group-desc").hide();
	$(".default-group-desc").show();
}

function saveGroupDescription(groupDescBtn){
	$(groupDescBtn).prop("disabled",true);
	var GroupId = GetQryStrParams(window.location.hash.substr(1),'GroupId');
	var groupDesc = $("textarea[name=group-desc]").val();
	$.ajax({
		type		:'POST',
		url     	: appObj.siteUserControllerUrl+'saveGroupDescription',
		data 		: {GroupId:GroupId,groupDesc:groupDesc},
		success 	: function(data){
			if(data == 1){
				$(groupDescBtn).prop("disabled",false);
				getGroupsDetails(GroupId);
			}
		}
	});
}

function editGroupDescription(){
	$(".add-group-desc").show();
	$(".default-group-desc").hide();
}

function viewMoreEvents(){
	$('.mygroups-tab.nav-tabs a[href="#Events"]').tab('show');
}

function seeAllPhotos(){
	$('.mygroups-tab.nav-tabs a[href="#Photos"]').tab('show');
}

function getGroupsDetails(GroupId){
	$.ajax({
		type		:'POST',
		url     	: appObj.siteUserControllerUrl+'getGroupsDetails',
		data 		: {GroupId:GroupId},
		dataType	:'json',
		success 	: function(data){
			if(data){
				var privacy ='';
				var groupDesc ='';
				var groupTypes ='';
				if(data.type == 1){
					privacy='<i class="fa fa-globe"></i> Public Group';
				}
				else{
					privacy='<i class="fa fa-lock"></i> Private Group';
				}
				$(".group-name").html(data.name);
				$(".privacy").html(privacy);
				if(data.description){
					$(".group-desc").html(data.description);
				}
				
				if(isWeb()){
					var str = data.description;
					var regex = /(https?:\/\/([-\w\.]+)+(:\d+)?(\/([\w\/_\.]*(\?\S+)?)?)?)/ig
					var replaced_text = str.replace(regex, "<a class='btn-link' href='$1' target='_blank'>$1</a>");
					groupDesc+='<div class="default-group-desc">\
									<h6>DESCRIPTION';
									if(Obj.groupMemberType == 1){
										if(data.description){
											groupDesc+="<a class='pull-right btn-link' href='javascript:void(0);' onclick='editGroupDescription();'>Edit</a></h6>";
										}
										else{
											groupDesc+='<a class="pull-right btn-link" href="javascript:void(0);" onclick="addGroupDescription();">Add a Description</a></h6>';
										}
									}
									groupDesc+='</h6>';
									if(data.description){
										groupDesc+='<p class="group-desc" style="height:35px;overflow:hidden;">'+replaced_text+'</p>';
										if(data.description.length > 125){
											groupDesc+='<a href="javascript:void(0);" onclick="seeMoreDescription(this);" class="btn-link">See More</a>';
										}
									}
									else{
										groupDesc+='<p class="group-desc">Tell people what this group is about.</p>';
									}
								groupDesc+='</div>\
								<div class="add-group-desc" style="display:none">\
									<div class="m-b-xs">\
										<textarea class="form-control" name="group-desc" value="'+data.description+'" onkeyup="auto_grow(this);" style="overflow: hidden;">'+data.description+'</textarea>\
									</div>\
									<button class="btn btn-primary btn-sm m-r-sm" href="javascript:void(0);" onclick="saveGroupDescription(this);">Save</button>\
									<a class="btn-link" href="javascript:void(0);" onclick="cancelGroupDescription();">Cancel</a>\
								</div>';
					$(".group-desc-block").empty().append(groupDesc);
				}
				if(isWeb()){
					//Group Type
					if(data.group_types != 0){
						groupTypes+='<h6>GROUP TYPE</h6>\
									<p>'+data.group_type_name+'<p>';
					}
					$(".group-types-block").empty().append(groupTypes);
				}
				if(Obj.groupMemberType != 1){
					if(data.post_approval == 1){
						$("input[name=postApproval]").val(0);
					}
					if(data.member_approval == 1){
						$("input[name=memberApproval]").val(0);
					}
				}

				buildGroupSetting(data);
				if(data.cover_photo){
					$('.groups-cover-pic').empty().append('<img src="'+appObj.baseUrl+'assets/images/groups/cover/'+data.cover_photo+'?ts='+new Date().getTime()+'">');
					$(".groups-cover-pic, .update-cover-photo-btn, .joined-btn").show();
					$(".save-cover-photo").hide();
					$(".share-groups").attr("image",appObj.baseUrl+'assets/images/groups/cover/'+data.cover_photo);
				}
				else{
					$('.groups-cover-pic').empty().append('<img src="'+appObj.baseUrl+'assets/images/groups/groups-default-cover.png">');
					$(".share-groups").attr("image", appObj.siteUrl+'assets/images/groups/groups-default-cover.png');
				}
				$(".share-groups").attr("groups-title",data.name);
				$(".share-groups").attr("groups-desc",data.description);
				
				Obj.groupPrivacy = data.type;
				if($(".my-groups .recent-post-block").length == 0){
					if(Obj.groupPrivacy == 1 || Obj.groupMemberApproval != 0){
						getGroupsUserPost(0,GroupId);
					}
				}
			}
			else{
				window.location.href = "#page=myGroups"
			}
		}
	});
}

function seeMoreDescription(btn){
	$(btn).remove();
	$(".group-desc").removeAttr('style','');
}

function dropzoneGroupsImages(){
	$("#myGroupsPostForm").dropzone({
		autoProcessQueue	: false,
		uploadMultiple		: true,
		parallelUploads		: 100,
		maxFiles			: 100,
		thumbnailWidth		: 100,
		thumbnailHeight		: 100,
		url					: appObj.siteUserControllerUrl+'myGroupsPostSave',
		addRemoveLinks		: true, 
		previewTemplate		: "<div class=\"dropzone-previews\">\n  <div class=\"dz-details\">\n <img data-dz-thumbnail />\n </div> </div>",
		previewsContainer	: ".groups-dropzone-previews",
		dictRemoveFile  	:'x',
		init: function(){
			var myDropzone = this;
			var GroupId = GetQryStrParams(window.location.hash.substr(1),'GroupId');
			$("input[name=GroupId]").val(GroupId);
			this.element.querySelector(".post-btn").addEventListener("click", function(e){
				e.preventDefault();
				e.stopPropagation();
				$("input[name=length]").val(myDropzone.files.length);
				$(".groups-dropzone-previews .dz-remove").remove();
				var postFormValid = '';
				var imageValid = $(".groups-dropzone-previews img").attr('src');
				if(imageValid){
					postFormValid = true;
				}
				else{
					postFormValid = $('#myGroupsPostForm').valid();
				}
				$("#post_text-error.error").delay(2000).fadeOut('slow');
				if(postFormValid == true){
					$(".post-btn").prop('disabled', true);
					$(".post-btn").empty().append('<img class="m-l-xs" src="'+appObj.baseUrl+'assets/images/fb-loader.gif">');
					if (myDropzone.getQueuedFiles().length > 0) {
						myDropzone.processQueue();
					}
					else {
						myDropzone.uploadFiles([]); //send empty 
					}
				}
			});
			this.on("successmultiple", function(files, response) {
				if(response == 1){
					myDropzone.files.length = 0;
					$('#myGroupsPostForm')[0].reset();
					$(".groups-dropzone-previews").empty();
					$(".post-btn").prop('disabled', false);
					$(".post-btn").text('Post');
					$("textarea[name=post_text]").css("height","auto");
					$(".post-meta-tag .meta-tag-block").remove();
					if(Obj.groupMemberType != 1){
						if($("input[name=postApproval]").val() == 0){
							$(".pending-approval-msg").append('<div class="alert alert-warning">Your post has been submitted and is pending approval by an admin.</div>');
						}
						else{
							getGroupsUserPost(1,GroupId);
						}
					}
					else{
						getGroupsUserPost(1,GroupId);
					}
				}
			});
		}
	});
}

function auto_grow(element){
	if(element.scrollHeight > 48){
		$(element).height(30);
		$(element).height(element.scrollHeight);
	}
}

var count = 0;
$(window).scroll(function() {
	if(appObj.pageName == "myGroups"){
		if($(window).scrollTop() == $(document).height() - $(window).height()) {
			if(count == 0){
				var GroupId = GetQryStrParams(window.location.hash.substr(1),'GroupId');
				getGroupsUserPost(2,GroupId);
				count = 1;
			}
		}
	}
});

function getGroupsUserPost(type,GroupId){
	if(type == 0){
		groupsPostObj.postsLoaded = 0;
	}
	$.ajax({
		type		:'POST'	,
		url         : appObj.siteUserControllerUrl+'getGroupsUserPost',
		data		:{groupsPostObj:groupsPostObj,GroupId:GroupId,postType:type},
		dataType	:'json',
		success     : function(data){
			var recentActivity =''; 
			var pics = '';
			if(data.fields == ''){
				if(type != 2){
					$(".recent-activity-content").append('<div class="recent-post-block"><div class="hpanel"><div class="panel-body p-xs">No Post</div></div></div>');
				}
			}
			else{
				if(type == 0){
					$(".recent-activity-content").empty();
				}
				$.each(data.fields,function(index,fields){
					recentActivity = '';
					pics = [];
					var str = fields.post_text;
					var regex = /(\b(https?|ftp|file):\/\/[-A-Z0-9+&@#\/%?=~_|!:,.;]*[-A-Z0-9+&@#\/%=~_|])/ig;
					var replaced_text = str.replace(regex, "<a class='btn-link' url='$1' onclick='openlink(this);' target='_blank' style='color:#3b5998;'>$1</a>");
					var company_name = '';
					if(fields.experience){
						var exp = $.parseJSON(fields.experience);
						for(var i=0; i<exp.length; i++){
							if(exp[i].exp_end_month == "" && exp[i].exp_end_year == ""){
								company_name = 'at '+exp[i].company_name;
							}
						}
					}
					if(fields.description != ''){
						var shortDesc = fields.description.substring(0,200)+ '...';
					}
					var post_text = str.replace(/<br ?\/?>/g, "");
					post_text = post_text.replace(/["']/g, "");
					if(fields.approval == 1){
						recentActivity+='<div class="recent-post-block" id="recentPost'+fields.id+'">\
											<div class="panel panel-default">\
												<div class="panel-body status">\
													<div class="who clearfix">';
														recentActivity+="<a href='javascript:void(0);' onclick='displayPublicProfile("+fields.user_id+",\""+fields.profile_img_medium+"\",\""+fields.cover_photo+"\","+fields.user_login_type+",\""+fields.name+"\",\""+fields.professional_headline+"\",\""+fields.ethinicity_country_code+"\");'>";
														
														recentActivity+='<img src="'+generateUserImg(fields.profile_img_small,fields.user_login_type,40,40)+'" style="width:40px;" alt="img" class="online" onerror="loadingImageError(this);">\
														</a>\
															<span class="name">';
																recentActivity+="<b><a href='javascript:void(0);' onclick='displayPublicProfile("+fields.user_id+",\""+fields.profile_img_medium+"\",\""+fields.cover_photo+"\","+fields.user_login_type+",\""+fields.name+"\",\""+fields.professional_headline+"\",\""+fields.ethinicity_country_code+"\");'>"+fields.name+"</a></b>";
															
																if(fields.ethinicity_country_code != ''){
																	var ethinicity_flag = fields.ethinicity_country_code.split(',');
																	ethinicity_flag.forEach(function(item){
																		recentActivity+='<img class="post-flag m-l-xs" src="assets/images/country-flags/16x16/'+item+'.png">';
																	});
																}
																
																if(fields.share == 1 && fields.post_type == 0){
																	recentActivity+=' shared a post';
																}
																else if(fields.share == 1 && fields.post_type == 1){
																	recentActivity+=' shared a job';
																}
																else if(fields.share == 1 && fields.post_type == 2){
																	recentActivity+=' shared a event';
																}
																else if(fields.share == 1 && fields.post_type == 3){
																	recentActivity+=' shared a course';
																}
																else if(fields.share == 1 && fields.post_type == 4){
																	recentActivity+=' shared a news';
																}
																else if(fields.share == 1 && fields.post_type == 5){
																	recentActivity+=' shared a blog';
																}
																recentActivity+='<div class="panel-tools">\
																					<a data-toggle="dropdown" class=" dropdown-toggle"><i class="fa fa-angle-down fa-lg"></i></a>\
																					<ul class="dropdown-menu pull-right">';
																						if(Obj.groupMemberType == 1){
																							if(fields.current_user_id == fields.user_id){
																								recentActivity+='<li><a href="javascript:void(0); " onclick="editGroupsUserPost('+fields.id+','+fields.group_id+');"><i class="fa fa-pencil"></i> Edit Post</a></li>';
																							}
																							recentActivity+='<li><a href="javascript:void(0); " onclick="deleteGroupsUserPost('+fields.id+','+fields.group_id+');"><i class="fa fa-times"></i> Delete Post</a></li>';
																							if(fields.current_user_id != fields.user_id){
																								recentActivity+='<li><a href="javascript:void(0); " onclick="deletePostAndRemoveUser('+fields.id+','+fields.group_id+','+fields.user_id+');"><i class="fa fa-ban"></i> Delete Post And Remove User</a></li>';
																							}
																						}
																						else if(Obj.groupMemberType == 0){
																							if(fields.current_user_id == fields.user_id){
																								recentActivity+='<li><a href="javascript:void(0); " onclick="editGroupsUserPost('+fields.id+','+fields.group_id+');"><i class="fa fa-pencil"></i> Edit Post</a></li>\
																								<li><a href="javascript:void(0); " onclick="deleteGroupsUserPost('+fields.id+','+fields.group_id+');"><i class="fa fa-times"></i> Delete Post</a></li>';
																							}
																							else{
																								recentActivity+='<li><a href="javascript:void(0);" onclick="reportUserPost('+fields.id+','+fields.group_id+');"><i class="fa fa-exclamation-circle"></i> Report to Admin</a></li>';
																							}
																						}
																					recentActivity+='</ul>\
																				</div>\
																<span class="m-r-xs pull-right post-time">'+convertPostDateFormat(fields.created_date.replace(/-/g, "/"))+'</span>\
															</span>\
														<span class="post-professional text-muted">'+fields.professional_headline+' '+company_name+'</span>\
													</div>\
													<div class="text">';
														if(fields.post_type == 0){
															if(fields.post_text != '' && fields.meta_tag_title == ''){
																recentActivity+='<p class="post-text'+fields.id+'">'+replaced_text+'</p>';
															}
															recentActivity+='<p class="m-n edit-post'+fields.id+'"></p>';
															if(fields.post_img != ''){
																var img = fields.post_img.split(',');
																recentActivity+='<div id="gallery'+fields.id+'"></div>';
																img.forEach(function(item,index){
																	if(fields.created_from == 0){
																		pics[index] = appObj.baseUrl+'assets/images/post/'+item;
																	}
																	else{
																		pics[index] = appObj.baseUrl+'assets/images/groups/groups-post/'+item;
																	}
																});
															}
															else if(fields.image_link != ''){
																recentActivity+= '<img class="img-responsive center-block" src="'+fields.image_link+'">';
															}
														}
														else if(fields.meta_tag_title == ''){
															recentActivity+='<div class="share-text-block">';
																if(fields.post_type != 0){
																	recentActivity+= '<a href="javascript:void(0);" url="'+fields.link+'" onclick="openlink(this);">';
																}
																	recentActivity+= '<div class="share-image">';
																		if(fields.post_img != ''){
																			if(fields.post_type == 2){
																				recentActivity+= '<img class="img-responsive center-block" src="'+appObj.baseUrl+'assets/images/events/'+fields.post_img+'">';
																			}
																			else if(fields.post_type == 3){
																				recentActivity+= '<img class="img-responsive center-block" src="'+appObj.baseUrl+'assets/images/course/'+fields.post_img+'">';
																			}
																			else if(fields.post_type == 5){
																				recentActivity+= '<img class="img-responsive center-block" src="'+appObj.baseUrl+'assets/images/blog/'+fields.post_img+'">';
																			}
																			else{
																				var img = fields.post_img.split(',');
																				img.forEach(function(item,index){
																					if(fields.created_from == 0){
																						pics[index] = appObj.baseUrl+'assets/images/post/'+item;
																					}
																					else{
																						pics[index] = appObj.baseUrl+'assets/images/groups/groups-post/'+item;
																					}
																				});
																			}
																		}
																		else if(fields.image_link != ''){
																			recentActivity+= '<img class="img-responsive center-block" src="'+fields.image_link+'">';
																		}
																	recentActivity+= '</div>';
																	recentActivity+='<div class="p-xxs">';
																		if(fields.post_text != ''){
																			recentActivity+='<p>'+replaced_text+'</p>';
																		}
																		if(fields.description != ''){
																			recentActivity+= '<div class="description">'+shortDesc+'</div>';
																		}
																	recentActivity+='</div>\
																</a>\
															</div>';
														}
														if(fields.meta_tag_title != ''){
															recentActivity+= '<div class="meta-tag-block" id="metaTag'+fields.id+'">\
																<a href="'+fields.meta_tag_link+'" target="_blank">';
																	if(fields.meta_tag_img != ''){
																		recentActivity+='<img src="'+fields.meta_tag_img+'" class="img-responsive center-block">';
																	}
																	recentActivity+='<div class="p-xxs">';
																		recentActivity+= '<p>'+fields.meta_tag_title+'</p>';
																		if(fields.meta_tag_desc != ''){
																			recentActivity+= '<div class="description">'+fields.meta_tag_desc+'</div>';
																		}
																	recentActivity+='</div>\
																</a>\
															</div>';
														}
													recentActivity+='</div>';
													if(isMobile()){
														recentActivity+='<div class="m-b-xs comments-likes">';
															if(fields.comments_count != 0){
																if(fields.comments_count == 1){
																	recentActivity+='<a href="javascript:void(0);" class="p-xxs" onclick="showComments(this,2,'+fields.id+',2,\'\');" comments-count='+fields.comments_count+'>'+fields.comments_count+' comment</a>';
																}
																else{
																	recentActivity+='<a href="javascript:void(0);" class="p-xxs" onclick="showComments(this,2,'+fields.id+',2,\'\');" comments-count='+fields.comments_count+'>'+fields.comments_count+' comments</a>';
																}
															}
															recentActivity+='<span class="likes-count">';
																if(fields.likes_count != 0){
																	if(fields.likes_count == 1){
																		recentActivity+='<a href="javascript:void(0);" onclick="showLikes(this,2,'+fields.id+','+fields.likes_count+');" class="p-xxs">'+fields.likes_count+' like</a>';
																	}
																	else{
																		recentActivity+='<a href="javascript:void(0);" onclick="showLikes(this,2,'+fields.id+','+fields.likes_count+');" class="p-xxs">'+fields.likes_count+' likes</a>';
																	}
																}
															recentActivity+='</span>';
														recentActivity+='</div>';
													}
													recentActivity+='<ul class="links">';
														if(fields.like_status != null){
															recentActivity+='<li class="post-likes post-list"><i class="pe-7s-like2 pe-lg pe-va"></i> <a likes_count='+fields.likes_count+' href="javascript:void(0);" onclick="saveLikes(this,2,'+fields.id+');" class="btn-link post-unlike">Like</a></li>';
														}
														else{
															recentActivity+='<li class="post-list"><i class="pe-7s-like2 pe-lg pe-va"></i> <a href="javascript:void(0);" likes_count='+fields.likes_count+' onclick="saveLikes(this,2,'+fields.id+');" class="btn-link post-like">Like</a></li>';
														}
														recentActivity+='<li class="post-list"><i class="pe-7s-comment pe-lg pe-va"></i> <a onclick="showComments(this,2,'+fields.id+',0,\'\');" href="javascript:void(0);" class="btn-link">Comment</a></li>\
														<li class="post-list">';
															if(isMobileApp()){
																recentActivity+='<a href="javascript:void(0);" link="'+appObj.siteUrl+'#page=myGroups&GroupId='+GroupId+'" onclick="socialShare(this);" class="btn-link"><i class="pe-7s-back pe-lg pe-va"></i> Share</a>';
															}
															else{
																recentActivity+='<a href="javascript:void(0);" postId='+fields.id+' postText="'+post_text+'" postImage="'+fields.post_img+'" onclick="groupsPostShare(this);" class="btn-link"><i class="pe-7s-back pe-lg pe-va"></i> Share</a>';
															}
														recentActivity+='</li>';
														if(isWeb()){
															if(fields.comments_count != 0){
																recentActivity+='<a href="javascript:void(0);" onclick="showComments(this,2,'+fields.id+',1);" class="btn-link pull-right m-l-sm"><i class="fa fa-comment"></i> '+fields.comments_count+'</a>';
															}
															recentActivity+='<span class="likes-count">';
																if(fields.likes_count != 0){
																	recentActivity+='<a href="javascript:void(0);" class="btn-link pull-right"><i class="fa fa-thumbs-up"></i> '+fields.likes_count+'</a>';
																}
															recentActivity+='</span>';
														}
													recentActivity+='</ul>\
													<ul class="comments m-b-none">\
														<li style="display:none;">\
															<div class="input-group">\
																<textarea type="text" rows=1 class="form-control" name="comments" placeholder="Write a comment..."></textarea>\
																<span class="input-group-btn">\
																	<button type="button" class="btn btn-info btn-sm" onclick="saveComments(this,2,'+fields.id+');" disabled>Comment</button>\
																</span>\
															</div>\
														</li>\
														<div class="all-comments">\
															<li class="no-padding"></li>\
														</div>\
													</ul>\
												</div>\
											</div>\
										</div>';
						groupsPostObj.postsLoaded = groupsPostObj.postsLoaded + 1;
					}
					if(type == 1){
						$(".recent-activity-content .recent-post-block:first-child").before(recentActivity);
					}
					else{
						$(".recent-activity-content").append(recentActivity);
					}
					$('.my-groups #gallery'+fields.id).imagesGrid({
						images: pics,
						align: true,
						getViewAllText: function(imgsCount){
							return '+' + (imgsCount - 5);
						}
					});
					count = 0;
				});
			}
		}
	});
}

function reportUserPost(postId,GroupId){
	bootbox.confirm({
		title		: "Report To Admin",
		message		: "Are you sure you want to report this post to the admin?",
		animate		:false,
		buttons: {
			cancel:{
				className:'btn btn-default btn-sm',
			},
			confirm: {
				label: 'Report',
				className:'btn btn-primary btn-sm',
			}
		},
		callback	: function(data) {
			if(data) {
				$.ajax({
					type		:'POST',
					url     	: appObj.siteUserControllerUrl+'reportUserPost',
					data 		: {postId:postId,GroupId:GroupId},
					success 	: function(data){
					}
				});
			}
		}
	});
	$(".bootbox-confirm").addClass("group-modal");
}

function deletePostAndRemoveUser(postId,GroupId,memberId){
	bootbox.confirm({
		title		: "Remove",
		message		: "Are you sure you want to delete this post and remove User?",
		animate		:false,
		buttons: {
			confirm: {
				label: 'Confirm',
				className:'btn btn-primary btn-sm',
			},
			cancel:{
				className:'btn btn-default btn-sm',
			}
		},
		callback	: function(data) {
			if(data) {
				$.ajax({
					type		:'POST',
					url     	: appObj.siteUserControllerUrl+'deletePostAndRemoveUser',
					data 		: {postId:postId,GroupId:GroupId,memberId:memberId},
					success 	: function(data){
						if(data == 1){
							$('#recentPost'+postId).empty();
						}
					}
				});
			}
		}
	});
	$(".bootbox-confirm").addClass("group-modal");
}

function deleteGroupsUserPost(postId,GroupId){
	bootbox.confirm({
		title		: "Delete Post",
		message		: "You are about to delete this post.",
		animate		:false,
		buttons: {
			confirm: {
				label: 'Delete',
				className:'btn btn-primary btn-sm',
			},
			cancel:{
				className:'btn btn-default btn-sm',
			}
		},
		callback	: function(data) {
			if(data) {
				$.ajax({
					type		:'POST',
					url     	: appObj.siteUserControllerUrl+'deleteGroupsUserPost',
					data 		: {postId:postId,GroupId:GroupId},
					success 	: function(data){
						if(data == 1){
							$('.my-groups #recentPost'+postId).empty();
						}
					}
				});
			}
		}
	});
	$(".bootbox-confirm").addClass("group-modal");
}

function editGroupsUserPost(postId,GroupId){
	$.ajax({
		type		:'POST',
		url         : appObj.siteUserControllerUrl+'editGroupsUserPost',
		dataType	:'json',
		data		:{postId:postId,GroupId:GroupId},
		success     : function(data){
			$('.post-text'+postId).hide();
			$('.edit-post'+postId).show();
			var editPost = '';
			var post_text = data.post_text.replace(/<br ?\/?>/g, "");
			editPost+='<div class="edit-post-block">\
							<textarea name="edit-group-post" class="form-control" onkeyup="auto_grow(this);" value="'+post_text+'">'+post_text+'</textarea>\
							<div class="edit-post-footer">\
								<a href="javascript:void(0);" onclick="cancelEditGroupsPost('+data.id+');" class="btn btn-default btn-sm">Cancel</a>\
								<button type="button" group_id='+data.group_id+' post_id='+data.id+' onclick="editGroupsPostSave(this);" class="btn btn-primary btn-sm">Done Editing</button>\
							</div>\
						</div>';
			$('.edit-post'+postId).empty().append(editPost);
		}
	});
}

function editGroupsPostSave(editData){
	$(editData).prop("disabled",true);
	var GroupId = $(editData).attr('group_id');
	var postId = $(editData).attr('post_id');
	var postText = $(editData).parent().prev().val();
	$.ajax({
		type		:'POST',
		url         :appObj.siteUserControllerUrl+'editGroupsPostSave',
		data		:{GroupId:GroupId,postId:postId,postText:postText},
		success     : function(data){
			if(data == 1){
				$('#recentPost'+postId).html(getGroupsUserPost(0,GroupId));
			}
		}
	});
}

function cancelEditGroupsPost(postId){
	$('.edit-post'+postId).hide();
	$('.post-text'+postId).show();
}

$(document).on('keyup',"textarea[name=edit-group-post]",function(){
	if($(this).val() == ''){
		$('.edit-post-footer button').prop("disabled",true);
	}
	else{
		$('.edit-post-footer button').prop("disabled",false);
	}
});

$(document).on('keyup',"input[name=member-search]",function(){
	var inputValue = $(this).val();
	if(inputValue != '' && inputValue.length > 1){
		$.ajax({
			type    	: 'POST',
			url     	: appObj.siteUserControllerUrl+'getSearchResults',
			dataType 	: 'json',
			data     	: {peopleSearchValue:inputValue},
			success 	: function(data){
				var searchResults = '';
				searchResults += '<ul>';
				$.each(data.fields,function(index,fields){
					searchResults += '<li><a href="javascript:void(0);" user-id='+fields.id+' user-name="'+fields.name+'" onclick="addGroupMembers(this);"><div class="people-img-block">';
						searchResults += '<img src="'+generateUserImg(fields.profile_img_small,fields.user_login_type,40,40)+'" alt="logo" style="width:40px;" onerror="loadingImageError(this)">';
					searchResults += '</div>\
					  <span class="a"><b>'+fields.name+'</b><br><small class="people-professional">'+fields.professional_headline+'</small></span>\
					 </a></li>';
				});
				searchResults += '</ul>';
				$(".member-search-results").empty().append(searchResults);
			}
		}); 
	}
	else{
		$(".member-search-results").empty();
	}
});

$(document).on("click",".member-search-results ul li",function(){
	$(".member-search-results").empty();
});

$(document).mouseup(function(e){
	var popup = $(".member-search-results");
	if(!popup.is(e.target) && popup.has(e.target).length === 0){
		$(".member-search-results").empty();
	}
});

$(document).on("click","input[name=member-search]",function(){
   	$.ajax({
		type   		: 'POST',
		url     	: appObj.siteUserControllerUrl+'getAllSearchPeople',
		dataType 	: 'json',
		success 	: function(data){
			var searchResults = '';
			searchResults += '<ul>';
			$.each(data.fields,function(index,fields){
				searchResults += '<li><a class="a" href="javascript:void(0);" user-id='+fields.id+' user-name="'+fields.name+'" onclick="addGroupMembers(this);"><div class="people-img-block">';
					searchResults += '<img src="'+generateUserImg(fields.profile_img_small,fields.user_login_type,40,40)+'" alt="logo" style="width:40px;" onerror="loadingImageError(this)">';
				searchResults += '</div>\
				  <span class="a"><b>'+fields.name+'</b><br><small class="people-professional">'+fields.professional_headline+'</small></span>\
				 </a></li>';
			});
			searchResults += '</ul>';
			$(".member-search-results").empty().append(searchResults);
		}
	});
});

function addGroupMembers(groupMembers){
	var GroupId = GetQryStrParams(window.location.hash.substr(1),'GroupId');
	var userRole = 0;
	var userId = $(groupMembers).attr("user-id");
	var memberName = $(groupMembers).attr("user-name");
	var member_approval = $("input[name=memberApproval]").val();
	$.ajax({
		type        : 'POST',
		url         : appObj.siteUserControllerUrl+'addGroupMembers',
		data        : {userId:userId,userRole:userRole,GroupId:GroupId,
						member_approval:member_approval},
		success     : function(data){
			if(data == 1){
				var memberNameMsg = '';
				if(Obj.groupMemberType != 1){
					if($("input[name=memberApproval]").val() == 0){
						memberNameMsg+='<h6 class="m-t-xs">'+memberName+' has been added, pending approval from an admin or moderator. <a href="javascript:void(0);" onclick="removeGroupMember('+userId+');"> Undo</a></h6>';
					}
					else{
						memberNameMsg+='<h6 class="m-t-xs">'+memberName+' has been added. <a href="javascript:void(0);" onclick="removeGroupMember('+userId+');"> Undo</a></h6>';
					}
				}
				else{
					memberNameMsg+='<h6 class="m-t-xs">'+memberName+' has been added. <a href="javascript:void(0);" onclick="removeGroupMember('+userId+');"> Undo</a></h6>';
				}
				$(".add-member-msg").empty().append(memberNameMsg);
			}
			else{
				bootbox.alert({
					title		:"Already a Member",
					message		: "The person you just tried to add is already a member of this group.",
					animate		:false,
					buttons: {
						ok: {
							className:'btn btn-primary btn-sm',
						},
					},
				});
				$(".bootbox-alert").addClass("group-modal");
			}
		}
	});
}

function getAllGroupMembers(GroupId){
	$.ajax({
		type		:'POST',
		url    	 	: appObj.siteUserControllerUrl+'getAllGroupMembers',
		data		:{GroupId:GroupId},
		dataType 	: 'json',
		success 	: function(data){
			$(".all-members").empty();
			$(".all-admin").empty();
			buildBlockGroupMembers(data);
		}
	});
}

function buildBlockGroupMembers(data){
	var allMembers = '';
	var allAdmin = '';
	var membersImg = '';
	if(data.fields == ''){
	}
	else{
		var membersTotal = 0;
		$.each(data.fields,function(index,fields){
			if(fields.approval == 1){
				membersTotal = membersTotal + 1;
				if(index < 6){
					membersImg+='<a href="javascript:void(0);" onclick="getPublicProfileDetails('+fields.user_id+');"><img title="'+fields.name+'" src="'+generateUserImg(fields.profile_img_small,fields.user_login_type,43,43)+'" style="width:43px;" onerror="loadingImageError(this)"></a>';
				}
				//Added Date
				var format1 = new Date(fields.added_date).getMonth();
				var added_date = monthNames[format1]+' '+new Date(fields.added_date).getDate()+', '+new Date(fields.added_date).getFullYear();
				
				//Created Date
				var format2 = new Date(fields.created_date).getMonth();
				var created_date = monthNames[format2]+' '+new Date(fields.created_date).getDate()+', '+new Date(fields.created_date).getFullYear();
				if(fields.user_role == 0){
					allMembers+='<div id="membersId'+fields.user_id+'">\
									<div class="col-sm-6 col-xs-12 p-xxs">\
										<div class="members-block">\
											<a href="javascript:void(0);">\
												<img src="'+generateUserImg(fields.profile_img_medium,fields.user_login_type,98,98)+'" alt="Img" style="width:98px;" onerror="loadingImageError(this)">\
											</a>\
											<div style="height:10px;"></div>\
											<div class="pull-left" style="width:40%">\
												<a class="btn-link" href="javascript:void(0);"><h5 class="name-truncate"><b>'+fields.name+'</b></h5></a>\
												<p class="name-truncate">'+fields.professional_headline+'</p>\
												<p class="text-muted">Joined</p>\
												<p class="text-muted name-truncate">Added by '+fields.added_by+'</p>';
											allMembers+='</div>';
											if(Obj.groupMemberType == 1){
													allMembers+='<div class="dropdown pull-right m-r-xs m-t-lg">\
														<a data-toggle="dropdown" class="btn btn-default btn-sm dropdown-toggle" aria-expanded="false"><i class="fa fa-cog"></i>\
														</a>\
														<ul class="dropdown-menu">';
															allMembers+='<li><a href="javascript:void(0);" onclick="makeAdminMember('+fields.user_id+');">Make Admin</a></li>\
															<li><a href="javascript:void(0);" onclick="removeGroupMember('+fields.user_id+');">Remove From Group</a></li>';
														allMembers+='</ul>\
													</div>';
											}
										allMembers+='</div>\
									</div>\
								</div>';
				}
				if(fields.user_role == 1){
					allAdmin+='<div id="membersId'+fields.user_id+'">\
									<div class="col-sm-6 col-xs-12 p-xxs">\
										<div class="members-block">\
											<a href="javascript:void(0);">\
												<img src="'+generateUserImg(fields.profile_img_medium,fields.user_login_type,98,98)+'" alt="Img" style="width:98px;" onerror="loadingImageError(this)">\
											</a>\
											<div style="height:10px;"></div>\
											<div class="pull-left" style="width:40%">\
												<a class="btn-link" href="javascript:void(0);"><h5 class="name-truncate"><b>'+fields.name+'</b></h5></a>\
												<p class="name-truncate">'+fields.professional_headline+'</p>';
												if(fields.created_by == fields.user_id){
													allAdmin+='<p class="text-muted">Created group on '+created_date+'</p>';
												}
												else{
													allAdmin+='<p class="text-muted">Joined</p>\
													<p class="text-muted name-truncate">Added by '+fields.added_by+'</p>';
												}
											allAdmin+='</div>';
											if(Obj.groupMemberType == 1){
												allAdmin+='<span class="dropdown pull-right m-r-xs m-t-lg">\
													<button data-toggle="dropdown" class="btn btn-default btn-sm dropdown-toggle" aria-expanded="false"><i class="fa fa-cog"></i>\
													</button>\
													<ul class="dropdown-menu">\
														<li><a href="javascript:void(0);" onclick="removeAdminMember('+fields.user_id+');">Remove as Admin</a></li>\
														<li><a href="javascript:void(0);" onclick="removeGroupMember('+fields.user_id+');">Remove From Group</a></li>\
													</ul>\
												</span>';
											}
										allAdmin+='</div>\
									</div>\
								</div>';
				}
			}
		});
	}
	$(".all-members").append(allMembers);
	$(".all-admin").append(allAdmin);
	$(".members-images").html(membersImg);
	$(".total-members").html(membersTotal+' Members');
	$(".members-count").html($(".all-members .members-block").length);
	$(".admin-count").html($(".all-admin .members-block").length);
}

function removeGroupMember(memberId){
	var GroupId = GetQryStrParams(window.location.hash.substr(1),'GroupId');
	bootbox.confirm({
		title		: "Remove",
		message		: "Are you sure you want to remove",
		animate		:false,
		buttons: {
			confirm: {
				label: 'Confirm',
				className:'btn btn-primary btn-sm',
			},
			cancel:{
				className:'btn btn-default btn-sm',
			}
		},
		callback	: function(data) {
			if(data) {
				$.ajax({
					type		:'POST',
					url     	: appObj.siteUserControllerUrl+'removeGroupMember',
					data 		: {memberId:memberId,GroupId:GroupId},
					success 	: function(data){
						if(data == 1){
							$('#membersId'+memberId).empty();
							$(".add-member-msg").empty();
						}
					}
				});
			}
		}
	});
	$(".bootbox-confirm").addClass("group-modal");
}

function removeAdminMember(memberId){
	var GroupId = GetQryStrParams(window.location.hash.substr(1),'GroupId');
	bootbox.confirm({
		title		: "Remove Group Admin",
		message		: "You are about to remove yourself as a group admin.",
		animate		:false,
		buttons: {
			confirm: {
				className:'btn btn-primary btn-sm',
			},
			cancel:{
				className:'btn btn-default btn-sm',
			}
		},
		callback	: function(data) {
			if(data) {
				$.ajax({
					type		:'POST',
					url     	: appObj.siteUserControllerUrl+'removeAdminMember',
					data 		: {memberId:memberId,GroupId:GroupId},
					success 	: function(data){
						if(data == 1){
							$('#membersId'+memberId).empty().append(getAllGroupMembers(GroupId));
						}
					}
				});
			}
		}
	});
	$(".bootbox-confirm").addClass("group-modal");
}

function makeAdminMember(memberId){
	var GroupId = GetQryStrParams(window.location.hash.substr(1),'GroupId');
	bootbox.confirm({
		title		: "Add Group Admin",
		message		: "As a group admin, user will be able to edit group settings, remove members and give other members admin status.",
		animate		:false,
		buttons: {
			confirm: {
				label: 'Make Admin',
				className:'btn btn-primary btn-sm',
			},
			cancel:{
				className:'btn btn-default btn-sm',
			}
		},
		callback	: function(data) {
			if(data) {
				$.ajax({
					type		:'POST',
					url     	: appObj.siteUserControllerUrl+'makeAdminMember',
					data 		: {memberId:memberId,GroupId:GroupId},
					success 	: function(data){
						if(data == 1){
							$('#membersId'+memberId).empty().append(getAllGroupMembers(GroupId));
						}
					}
				});
			}
		}
	});
	$(".bootbox-confirm").addClass("group-modal");
}

$(document).on("click",".total-members",function(){
	$('.mygroups-tab.nav-tabs a[href="#Members"]').tab('show');
});

function createGroupEvents(){
	var values ='';
	values+='<form class="form-horizontal" id="create-group-event">\
				<div class="form-group">\
					<label class="control-label col-sm-3">Event photo</label>\
					 <div class="col-sm-9">\
						<div class="image-editor">\
							<input id="cropper-event" type="file" class="cropit-image-input">\
							<div class="cropit-image-preview" id="list"></div>\
							<input type="hidden" name="image-data"/>\
							<label for="cropper-event">\
							<span class="add-event-photo"><i class="fa fa-camera"></i> Add Event Photo</span></label>\
							<div class="image-editor-cancel">+</div>\
						</div>\
					</div>\
				</div>\
				<div class="form-group">\
					<label class="control-label col-sm-3">Event Name</label>\
					 <div class="col-sm-9">\
						<input type="text" name="event_name" class="form-control" placeholder="Add a short, clear name">\
					</div>\
				</div>\
				<div class="form-group">\
					<label class="control-label col-sm-3">Location</label>\
					<div class="col-sm-9">\
						<input type="text" name="location" class="form-control" placeholder="Include a place or address">\
					</div>\
				</div>\
				<div class="form-group">\
					<label class="control-label col-sm-3">Start Date/Time</label>\
					 <div class="col-sm-9">\
						<div class="event_date_time">\
							<div class="input-group date">\
							 <input type="text" class="form-control" name="start_date" id="datetimepicker1">\
								<span class="input-group-addon">\
									<span class="fa fa-calendar"></span>\
								</span>\
							</div>\
						</div>\
						<div class="event_date_time">\
							<div class="input-group">\
							 <input type="text" class="form-control" name="start_time" id="startTime">\
								<span class="input-group-addon">\
									<span class="fa fa-clock-o"></span>\
								</span>\
							</div>\
						</div>\
						<div class="add_end_time m-t-xs">\
							<a href="javascript:void(0);" class="btn-link m-t-xs" onclick="addEndTime();">+End Time</a>\
						</div>\
					</div>\
				</div>\
				<div class="form-group" id="endDateTime" style="display:none;">\
					<label class="control-label col-sm-3">End Date/Time</label>\
					 <div class="col-sm-9">\
						<div class="event_date_time">\
							<div class="input-group date">\
							 <input type="text" class="form-control" name="end_date" id="datetimepicker2">\
								<span class="input-group-addon">\
									<span class="fa fa-calendar"></span>\
								</span>\
							</div>\
						</div>\
						<div class="event_date_time">\
							<div class="input-group">\
							 <input type="text" class="form-control" name="end_time">\
								<span class="input-group-addon">\
									<span class="fa fa-clock-o"></span>\
								</span>\
							</div>\
						</div>\
						<div class="m-t-xs">\
							<a href="javascript:void(0);" class="btn-link" onclick="removEndTime();">Remove</a>\
						</div>\
					</div>\
				</div>\
				<div class="form-group">\
					<label class="control-label col-sm-3">Description</label>\
					<div class="col-sm-9">\
						<textarea name="description" rows=3 class="form-control" placeholder="Tell people more about the event"></textarea>\
					</div>\
				</div>\
				<input type="hidden" name="group-id">\
			</form>';

	bootbox.dialog({
		title		: "Create Event",
		message		: values,
		'animate' 	: false,
		className	:'createEvent',
		buttons		: {
			cancel:{
				label: "Cancel",
				className:'btn btn-default btn-sm',
			},
			success	: {
				label: "Create",
				className:'btn btn-primary btn-sm',
				callback: function () {
					groupEventSave();
				}
			},
		}
	});
	eventsImageCropit();
	eventsDate();
}

function groupEventSave(){
	var imageData = $('#create-group-event .image-editor').cropit('export');
	$('input[name=image-data]').val(imageData);	 
	var GroupId = GetQryStrParams(window.location.hash.substr(1),'GroupId');
	$('input[name=group-id]').val(GroupId);	 
	var data = new FormData($('#create-group-event')[0]);
	$.ajax({
		type        : 'POST',
		url         : appObj.siteUserControllerUrl+'groupEventSave',
		data        : data,
		contentType : false,
		processData : false,
		success     : function(data){
			if(data == 1){
				getAllGroupEvents(GroupId);
			}
		}
	});
}

function addEndTime(){
	$(".add_end_time").hide();
	$("#endDateTime").show();
	var endTime = new Date();
	endTime = endTime.toLocaleTimeString().replace(/:\d+ /, ' ');
	$("input[name=end_time]").val(endTime);
	
	var date = new Date();
	var endDate =(date.getMonth()+1) + '/' + ("0" +date.getDate()).slice(-2) + '/' +date.getFullYear();
	$("#datetimepicker2").val(endDate);
}

function removEndTime(){
	$("#endDateTime").hide();
	$(".add_end_time").show();
}

function eventsDate(){
	$('#datetimepicker1').datetimepicker({
		format:'MM/DD/YYYY'
	});
	$('#datetimepicker2').datetimepicker({
		format:'MM/DD/YYYY'
	});
	
	var startTime = new Date();
	startTime = startTime.toLocaleTimeString().replace(/:\d+ /, ' ');
	$("#startTime").val(startTime);
	
	var date = new Date();
	var startDate =(date.getMonth()+1) + '/' + ("0" +date.getDate()).slice(-2) + '/' +date.getFullYear();
	$("#datetimepicker1").val(startDate);
}
  
function eventsImageCropit() {
	$(document).on('click','#create-group-event .image-editor',function(){
		if(window.FileReader){ 
			$('#create-group-event .image-editor').cropit({
				onFileChange:function(data){
					$(".add-event-loading").show();
					$(".add-event-photo").hide();
				},
				onImageLoaded:function(data){
					$(".add-event-loading").hide();
					$(".add-event-photo").show();
					$("#create-group-event .image-editor-cancel").addClass("remove");
					$("#create-group-event .add-event-photo").hide();
				},
				smallImage:'allow',
			});
		} 
		else{
			alert("the browser doesn't support the FileReader Object.")
		}
	}); 
}

$(document).on('click', '#create-group-event .image-editor-cancel', function(){
	if ($('.cropit-image-preview').hasClass('cropit-image-loaded')) {
		$('.cropit-image-preview').removeClass('cropit-image-loaded').removeAttr('style');
		$("#cropper-event").val('');
		$("#create-group-event .image-editor-cancel").removeClass("remove");
		$("#create-group-event .add-event-photo").show();
	}	
});

function getAllGroupEvents(GroupId){
	$.ajax({
		type		:'POST',
		url     	: appObj.siteUserControllerUrl+'getAllGroupEvents',
		data 		: {GroupId:GroupId},
		dataType	:'json',
		success 	: function(data){
			var allGroupsEvent = '';
			if(data.fields == ''){
				eventList ='No Events';
			}
			else{
				$.each(data.fields,function(index,fields){
					var month_value = new Date(fields.start_date).getMonth();
					var year = new Date(fields.start_date).getFullYear();
					allGroupsEvent+='<div class="col-sm-12" id="eventBlock'+fields.id+'">\
										<h6><b>'+monthNames[month_value]+' '+year+'</b></h6>\
										<div class="col-sm-3 no-padding">\
											<a href="javascript:void(0);">\
												<img src="'+appObj.baseUrl+'assets/images/groups/groups-event-post/'+fields.event_photo+'">\
											</a>\
										</div>\
										<div class="col-sm-8 no-padding">\
											<h5><a href="javascript:void(0);" class="btn-link">'+fields.event_name+'</a></h5>\
											<p class="text-muted">'+changeDateFormat(fields.start_date)+'</p>';
											if(fields.user_id == fields.current_user_id){
												allGroupsEvent+='<a href="javascript:void(0);" title="Delete" class="btn-link" onclick="deleteGroupsEvents('+fields.id+','+fields.group_id+');">Delete</a>';
											}
										allGroupsEvent+='</div>\
									</div>';
				});
			}
			$(".group-all-event").empty().append(allGroupsEvent);
		}
	});
}

var monthNames = ["January", "February", "March", "April", "May", "June",
	"July", "August", "September", "October", "November", "December" ];
function changeDateFormat(date){
	var month_value = new Date(date).getMonth();
	var hours = new Date(date).getHours();
	var ampm = (hours >= 12) ? "pm" : "am";
	var getHour = ((hours + 11) % 12 + 1);
	var time = getHour+":"+("0"+ new Date(date).getMinutes()).slice(-2)+" "+ampm;
	return monthNames[month_value]+" "+new Date(date).getDate()+" at "+time;
}

function deleteGroupsEvents(eventId,GroupId){
	bootbox.confirm({
		title		: "Delete Event",
		message		: "You are about to delete this event.",
		animate		:false,
		buttons: {
			confirm: {
				label: 'Delete',
				className:'btn btn-primary btn-sm',
			},
			cancel:{
				className:'btn btn-default btn-sm',
			}
		},
		callback	: function(data) {
			if(data) {
				$.ajax({
					type		:'POST',
					url     	: appObj.siteUserControllerUrl+'deleteGroupsEvents',
					data 		: {eventId:eventId,GroupId:GroupId},
					dataType	:'json',
					success 	: function(data){
						if(data == 1){
							$('#eventBlock'+eventId).empty();
						}
					}
				});
			}
		}
	});
	$(".bootbox-confirm").addClass("group-modal");
}

function joinGroupsEvents(data){
	var eventId = $(data).attr("id");
	var GroupId = $(data).attr("group-id");
	$.ajax({
		type		:'POST',
		url     	: appObj.siteUserControllerUrl+'joinGroupsEvents',
		data 		: {eventId:eventId,GroupId:GroupId},
		dataType	:'json',
		success 	: function(data){
		}
	});
}

$(document).on('keypress', 'input[name=find-member]', function(e){
	if(e.which == 13){
		var findValue = $(this).val();
		var GroupId = GetQryStrParams(window.location.hash.substr(1),'GroupId');
		var searchType = $(".members-tab li.active").index() + 1;
		var userRole = '';
		if(searchType == 1){
			userRole = 0;
		}
		else{
			userRole = 1;
		}
		$.ajax({
			type		:'POST',
			url     	: appObj.siteUserControllerUrl+'getAllGroupMembers',
			data 		: {findValue:findValue,GroupId:GroupId,userRole:userRole},
			dataType	:'json',
			success 	: function(data){
				if(data.fields != ''){
					if(searchType == 1){
						$(".all-members").empty().append(buildBlockGroupMembers(data));
					}
					else{
						$(".all-admin").empty().append(buildBlockGroupMembers(data));
					}
				}
				else{
					if(searchType == 1){
						$(".all-members").empty().append('No Results.');
					}
					else{
						$(".all-admin").empty().append('No Results.');
					}
				}
			}
		});
	}
});

function addAllMembers(){
	var values='';
	values+='<form id="addAllMembers">';
		if($("input[name=memberApproval]").val() == 0){
			values+='<div class="pending-approval-msg">\
						<div class="alert alert-warning">\
						Your friends will require admin or moderator approval before being added to the group.\
						</div>\
					</div>';
		}
		values+='<div class="form-group m-n">\
					<div class="add-people-group">\
						<div class="people-preview"></div>\
						<input type="text" name="group-search" placeholder="Enter names..." autocomplete="off" class="form-control peopleinput">\
					</div>\
					<div class="group-people-search"></div>\
					<input type="hidden" name="groupId">\
					<input type="hidden" name="memberApproval">\
				</div>\
			</form>';
	bootbox.dialog({
		title		: "Add Members",
		message		: values,
		'animate' 	: false,
		className	:'group-modal',
		buttons		: {
			cancel : {
				label: "Close",
				className:'btn btn-default btn-sm',
			},
			success	: {
				label: "Add",
				className:'btn btn-primary btn-sm',
				callback: function () {
					saveAllMembers();
				}
			},
		}
	});
}

function saveAllMembers(){
	var GroupId = GetQryStrParams(window.location.hash.substr(1),'GroupId');
	$("input[name=groupId]").val(GroupId)
	var member_approval = $("input[name=memberApproval]").val();
	$("input[name=memberApproval]").val(member_approval)
	var data = new FormData($("#addAllMembers")[0]);
	$.ajax({
		type    	: 'POST',
		url     	: appObj.siteUserControllerUrl+'saveAllMembers',
		data    	: data,
		contentType : false,
		processData : false,
		success : function(data){
			if(data == 1 || data != ''){
				getAllGroupMembers(GroupId);
			}
			else{
				bootbox.alert({
					title		:"Already a Member",
					message		: "The person you just tried to add is already a member of this group.",
					animate		:false,
					buttons		: {
						ok		:{
							className:'btn btn-primary btn-sm',
						}
					},
				});
				$(".bootbox-alert").addClass("group-modal");
			}
		}
	});
}

function connectPeople(){
	$.ajax({
		url			:appObj.siteUserControllerUrl+'getAllUser',
		dataType	:'json',
		success		:function(data){
			var connectPeople = '';
			connectPeople+= '<div class="connect-scroll">';
								$.each(data.fields,function(index,fields){
									connectPeople+='<div class="connect-people-list m-b-sm">\
														<a href="javascript:void(0)" onclick="getPublicProfileDetails('+fields.id+');"><img src="'+generateUserImg(fields.profile_img_small,fields.user_login_type,50,50)+'" alt="Img" class="pull-left m-r-xs" style="width:50px;" onerror="loadingImageError(this)"></a>\
														<h5 class="m-n"><a href="javascript:void(0)" onclick="getPublicProfileDetails('+fields.id+');" class="btn-link">'+fields.name+'</a></h5>\
														<p class="text-muted m-n professional">'+fields.professional_headline+'</p>\
														<button type="button" class="btn btn-default m-t-xxs connected'+fields.id+'" onclick="connect('+fields.id+')"><i class="fa fa-user-plus"></i> Connect</button>\
													</div>';
								});
							connectPeople+='</div>';
			$(".connect-people").empty().append(connectPeople);
			var peopleHeight = $(window).height() - 158;
			$('.connect-scroll').slimScroll({
				distance:"-1px",
				height: peopleHeight+'px',
				alwaysVisible: false,
				touchScrollStep : 50
			});
		}
	});
}

function connect(user_id){
	$.ajax({
		type 	   :'POST',
		url    	   : appObj.siteUserControllerUrl+'myConnections',
		data 	   :{user_id:user_id},
		dataType   : 'json',
		success    : function(data){
			$('.connected'+user_id).empty().append('<i class="fa fa-check"></i> Request sent');
			displaySendRequest();
		}
	});
}

function getAllGroupsPhotos(GroupId){
	$.ajax({
		type		:'POST',
		url			:appObj.siteUserControllerUrl+'getAllGroupsPhotos',
		data		:{GroupId:GroupId},
		dataType	:'json',
		success		:function(data){
			var recentPhotos = '';
			var allPhotos = '';
			var photosCount = 0;
			$.each(data.fields,function(index,fields){
				if(fields.post_img != ''){
					var img = fields.post_img.split(',');
					img.forEach(function(item){
						photosCount = photosCount + 1;
						if(photosCount < 4){
							recentPhotos+='<div class="col-sm-4 col-xs-6 no-padding">\
												<a class="thumbnail" href="javascript:void(0);">';
													if(fields.created_from == 0){
														recentPhotos+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/post/'+item+'">';
													}
													else if(fields.created_from == 2){
														recentPhotos+= '<img class="img-responsive" src="'+appObj.siteUrl+'assets/images/events/'+item+'">';
													}
													else if(fields.created_from == 3){
														recentPhotos+= '<img class="img-responsive" src="'+appObj.siteUrl+'assets/images/course/'+item+'">';
													}
													else if(fields.created_from == 5){
														recentPhotos+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/blog/'+item+'">';
													}
													else{
														recentPhotos+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/groups/groups-post/'+item+'">';
													}
												recentPhotos+='</a>\
										</div>';
						}
						
						allPhotos+='<div class="col-sm-3 col-xs-6 no-padding">\
										<a class="thumbnail" href="javascript:void(0);">';
											if(fields.created_from == 0){
												allPhotos+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/post/'+item+'">';
											}
											else if(fields.created_from == 2){
												allPhotos+= '<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/events/'+item+'">';
											}
											else if(fields.created_from == 3){
												allPhotos+= '<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/course/'+item+'">';
											}
											else if(fields.created_from == 5){
												allPhotos+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/blog/'+item+'">';
											}
											else{
												allPhotos+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/groups/groups-post/'+item+'">';
											}
										allPhotos+='</a>\
									</div>';
					});					
				}
			});
			if(recentPhotos !=''){
				$(".recent-photos-block").empty().append('<div class="hpanel">\
															<div class="panel-heading hbuilt">\
																Recent Group Photos\
																<a href="javascript:void(0);" class="btn-link pull-right" onclick="seeAllPhotos();"> See All</a>\
															</div>\
															<div class="panel-body">\
																<div class="recent-photos">'+recentPhotos+'</div>\
															</div>\
														</div>');
			}
			if(allPhotos != ''){
				$(".all-photos").empty().append('<div class="hpanel">\
													<div class="panel-body p-xxs">\
														'+allPhotos+'\
													</div>\
												</div>');
			}
			else{
				$(".all-photos").empty().append('<div class="hpanel"><div class="panel-body">No Photos.</div></div>');
			}
		}
	});
}


function editGroupSetting(){
	$('.mygroups-tab.nav-tabs a[href="#groupSetting"]').tab('show');
}

function buildGroupSetting(data){
	var groupSetting ='';
	groupSetting+='<form class="form-horizontal" id="editGroupSetting">\
					<div class="form-group">\
						<label class="control-label col-sm-3">Group Name</label>\
						 <div class="col-sm-4">\
							<input type="text" name="group_name" value="'+data.name+'" class="form-control">\
						</div>\
					</div>\
					<div class="form-group">\
						<label class="control-label col-sm-3">Group Type</label>\
						 <div class="col-sm-9">\
						 <a href="javascript:void(0);" onclick="pickGroupType('+data.group_types+');">';
						if(data.group_types != 0){
							groupSetting+='<div class="pick-img">\
												<img src="'+appObj.baseUrl+'assets/images/groups/group_type/'+data.group_type_img+'.png">\
											</div>\
											<div class="p-xs">\
												<span class="group-type-name">'+data.group_type_name+'</span>\
												<span class="change-group-type">Change</span>\
											</div>\
											</a>';
						}
						else{
							groupSetting+='<div class="pick-icon">\
												<i class="fa fa-plus"></i>\
											</div>\
											<div class="p-xs group-type-name">Pick a Group Type</div></a>';
						}
						groupSetting+='<p class="text-muted m-n">Group types help people see what the group is about.</p>\
						</div>\
					</div>\
					<div class="form-group">\
						<label class="control-label col-sm-3">Privacy</label>\
						 <div class="col-sm-9">';
						if(data.type == 1){
							groupSetting+='<p class="privacy_desc">Public Group. Anyone can see the group, its members and their posts.</p>';
						}
						else{
							groupSetting+='<p class="privacy_desc">Closed Group. Anyone can find the group and see who\'s in it. Only members can see posts.</p>';
						}
						groupSetting+='<a href="javascript:void(0);" onclick="changePrivacy('+data.type+');" class="btn btn-default btn-sm">Change Privacy Setting</a>\
						</div>\
					</div>\
					<div class="form-group">\
						<label class="control-label col-sm-3">Membership Approval</label>\
						 <div class="col-sm-9">\
							 <div class="radio">\
							  <label><input type="radio" name="member_approval" value="0" checked>Any member can add or approve members.</label>\
							</div>\
							<div class="radio">\
							  <label><input type="radio" name="member_approval" value="1">Any member can add members, but an admin or a moderator must approve them.</label>\
							</div>\
						</div>\
					</div>\
					<div class="form-group">\
						<label class="control-label col-sm-3">Description</label>\
						 <div class="col-sm-6">\
							<textarea name="group_desc" class="form-control" onkeyup="auto_grow(this);" style="overflow:hidden;">'+data.description+'</textarea>\
							<p class="text-muted m-n">Potential members see the description if privacy is set to public or closed.</p>\
							<input type="hidden" name="group_id" value="'+data.id+'">\
							<input type="hidden" name="privacy" value="'+data.type+'">\
							<input type="hidden" name="group_type" value="'+data.group_types+'">\
						</div>\
					</div>\
					<div class="form-group">\
						<label class="control-label col-sm-3">Posting Permissions</label>\
						 <div class="col-sm-9">\
							 <div class="radio">\
							  <label><input type="radio" name="post_permission" value="0" checked>Members, moderators and admins can post to the group.</label>\
							</div>\
							<div class="radio">\
							  <label><input type="radio" name="post_permission" value="1">Only admins can post to the group.</label>\
							</div>\
						</div>\
					</div>\
					<div class="form-group">\
						<label class="control-label col-sm-3">Post Approval</label>\
						 <div class="col-sm-9">\
							<div class="checkbox">\
							  <label><input type="checkbox" name="post_approval" value="1">All group posts must be approved by an admin or a moderator.</label>\
							</div>\
						 </div>\
					</div>\
					<div class="form-group">\
						<label class="control-label col-sm-3"></label>\
						 <div class="col-sm-5">\
							<button type="button" onclick="saveGroupSetting('+data.id+');" class="btn btn-primary btn-sm">Save</button>\
						</div>\
					</div>\
				</form>';
	$(".group-setting").empty().append(groupSetting);
	$("input[name=post_permission][value="+data.post_permissions+"]").prop("checked",true);
	$("input[name=post_approval][value="+data.post_approval+"]").prop("checked",true);
	$("input[name=member_approval][value="+data.member_approval+"]").prop("checked",true);
}

function pickGroupType(groupTypesId){
	$.ajax({
		url			:appObj.siteUserControllerUrl+'getAllGroupsType',
		dataType	:'json',
		success		:function(data){
			var groupType = '';
			var groupTypeId = $("input[name=group_type]").val();
			groupType+='<div class="group-type">';
			$.each(data.fields,function(index,fields){
				groupType+='<label class="radio-inline">';
					if(groupTypeId.indexOf(fields.id) != -1){
						groupType+='<input type="radio" name="pick_group_type" value="'+fields.id+'" checked>';	
					}
					else{
						groupType+='<input type="radio" name="pick_group_type" value="'+fields.id+'">';	
					}
				groupType+='<img src="'+appObj.baseUrl+'assets/images/groups/group_type/'+fields.img_name+'.png"> '+fields.name+'</label>';
			});
			groupType+='</div>';
			bootbox.dialog({
				title		: "Pick a Group Type",
				message		: groupType,
				'animate' 	: false,
				className	:'createEvent',
				buttons		: {
					cancel  : {
						label: "Cancel",
						className:'btn btn-default btn-sm',
					},
					success	: {
						label: "Confirm",
						className:'btn btn-primary btn-sm',
						callback: function(){
							$("input[name=group_type]").val($("input[name=pick_group_type]:checked").val());
							$(".pick-icon, .pick-img").empty().append($("input[name=pick_group_type]:checked").parent().find('img'));
							$(".group-type-name").empty().append($("input[name=pick_group_type]:checked").parent().text());
							$(".pick-icon").css('border','none');
						}
					},
				}
			});
		}
	});
}

function changePrivacy(type){
	var changePrivacy ='';
	changePrivacy+='<div class="change-privacy">\
						<div class="radio">\
						  <label><input type="radio" name="change_privacy" value="1"><i class="fa fa-globe"></i> <b>Public</b>\
						  <span>Anyone can see the group, its members and their posts.</span></label>\
						</div>\
						<div class="radio">\
						  <label><input type="radio" name="change_privacy" value="2"><i class="fa fa-lock"></i> <b>Private</b>\
						  <span>Anyone can find the group and see who\'s in it. Only members can see posts.</span>\
						  </label>\
						</div>\
					</div>';
	bootbox.dialog({
		title		: "Change Group Privacy Setting",
		message		: changePrivacy,
		'animate' 	: false,
		className	:'createGroup',
		buttons		: {
			cancel : {
				label: "Cancel",
				className:'btn btn-default btn-sm',
			},
			success	: {
				label: "Confirm",
				className:'btn btn-primary btn-sm',
				callback: function(){
					$("input[name=privacy]").val($("input[name=change_privacy]:checked").val());
					if($("input[name=privacy]").val() == 1){
						$(".privacy_desc").empty().append("Public Group. Anyone can see the group, its members and their posts.")
					}
					else{
						$(".privacy_desc").empty().append("Closed Group. Anyone can find the group and see who\'s in it. Only members can see posts.")
					}
				}
			},
		}
	});
	$("input[name=change_privacy][value="+type+"]").prop("checked",true);
}

function saveGroupSetting(GroupId){
	$("#editGroupSetting button").prop("disabled",true);
	var data = new FormData($("#editGroupSetting")[0]);
	$.ajax({
		type    	: 'POST',
		url     	: appObj.siteUserControllerUrl+'saveGroupSetting',
		data    	: data,
		dataType	:'json',
		contentType : false,
		processData : false,
		success : function(data){
			if(data == 1){
				$("#editGroupSetting button").prop("disabled",false);
				getGroupsDetails(GroupId);
				$('.mygroups-tab.nav-tabs a[href="#Discussion"]').tab('show');
			}
		}
	});
}

function pendingPostsMsg(){
	$('.mygroups-tab.nav-tabs a[href="#manage"], a[href="#pendingPosts"]').tab('show');
}

function reportPostsMsg(){
	$('.mygroups-tab.nav-tabs a[href="#manage"], a[href="#reportedAdmin"]').tab('show');
}

function getAllPendingPosts(GroupId){
	$.ajax({
		type		:'POST',
		url			:appObj.siteUserControllerUrl+'getAllPendingPosts',
		data		:{GroupId:GroupId,groupMemberType:Obj.groupMemberType},
		dataType	:'json',
		success		:function(data){
			var pendingPosts = '';
			var reportPosts ='';
			var pendingCount = 0;
			var reportCount = 0;
			var pics = '';
			$.each(data.fields,function(index,fields){
				pendingPosts = '';
				reportPosts = '';
				pics = [];
				var str = fields.post_text;
				var regex = /(https?:\/\/([-\w\.]+)+(:\d+)?(\/([\w\/_\.]*(\?\S+)?)?)?)/ig
				var replaced_text = str.replace(regex, "<a class='btn-link' href='$1' target='_blank' style='color:#3b5998;'>$1</a>");
				if(fields.approval == 0){
					pendingCount = pendingCount + 1;
					pendingPosts+='<div id="pendingPostBlock'+fields.id+'">\
								<div class="panel panel-default m-b-sm">\
									<div class="panel-body status">\
										<div class="who clearfix">\
											<a href="javascript:void(0);">\
												<img src="'+generateUserImg(fields.profile_img_small,fields.user_login_type,40,40)+'" style="width:40px;" alt="img" class="online" onerror="loadingImageError(this)">\
											</a>\
											<span class="name">';
												pendingPosts+="<b><a href='javascript:void(0);' onclick='displayPublicProfile("+fields.user_id+",\""+fields.profile_img_medium+"\",\""+fields.cover_photo+"\","+fields.user_login_type+",\""+fields.name+"\",\""+fields.professional_headline+"\",\""+fields.ethinicity_country_code+"\");'>"+fields.name+"</a></b>";
												if(fields.share == 1 && fields.post_type == 0){
													pendingPosts+=' shared a post';
												}
												else if(fields.share == 1 && fields.post_type == 1){
													pendingPosts+=' shared a job';
												}
												else if(fields.share == 1 && fields.post_type == 2){
													pendingPosts+=' shared a event';
												}
												else if(fields.share == 1 && fields.post_type == 3){
													pendingPosts+=' shared a course';
												}
												else if(fields.share == 1 && fields.post_type == 4){
													pendingPosts+=' shared a news';
												}
												else if(fields.share == 1 && fields.post_type == 5){
													pendingPosts+=' shared a blog';
												}
											if(Obj.groupMemberType == 1){
												pendingPosts+='<div class="panel-tools">\
																	<div class="btn-group">\
																		<button type="button" postId='+fields.id+' groupId='+fields.group_id+' onclick="savePostApproval(this);" data-toggle="tooltip" data-placement="top" data-original-title="Approve" class="btn btn-default btn-sm"><i class="fa fa-check"></i></button>\
																		<button type="button" postId='+fields.id+' groupId='+fields.group_id+' onclick="deletePostApproval(this);" data-toggle="tooltip" data-placement="top" data-original-title="Delete" class="btn btn-default btn-sm"><i class="fa fa-times"></i></button>\
																		<button type="button" postId='+fields.id+' groupId='+fields.group_id+' onclick="deletePostApproval(this);"  data-toggle="tooltip" data-placement="top" data-original-title="Delete and Block" class="btn btn-default btn-sm"><i class="fa fa-minus-circle"></i></button>\
																	</div>\
																</div>';
											}
											pendingPosts+='</span>\
											'+timeSince(fields.created_date,fields.current_date_time)+'\
										</div>\
										<div class="text">';
											if(fields.share == 0){
												if(fields.post_text != '' && fields.meta_tag_title == ''){
													pendingPosts+='<p class="post-text'+fields.id+'">'+replaced_text+'</p>';
												}
												pendingPosts+='<p class="edit-post'+fields.id+'"></p>';
												if(fields.post_img != ''){
													var img = fields.post_img.split(',');
													pendingPosts+='<div id="pending-gallery'+fields.id+'"></div>';
													img.forEach(function(item,index){
														if(fields.created_from == 0){
															pics[index] = appObj.baseUrl+'assets/images/post/'+item;
														}
														else{
															pics[index] = appObj.baseUrl+'assets/images/groups/groups-post/'+item;
														}
													});
												}
												else if(fields.image_link != ''){
													pendingPosts+= '<img class="img-responsive center-block" src="'+fields.image_link+'">';
												}
											}
											else if(fields.share == 1 && fields.meta_tag_title == ''){
												pendingPosts+='<div class="share-text-block">';
													if(fields.post_type != 0){
														pendingPosts+= '<a href="javascript:void(0);" url="'+fields.link+'" onclick="openlink(this);">';
													}
														pendingPosts+= '<div class="share-image">';
															if(fields.post_img != ''){
																if(fields.post_type == 5){
																	pendingPosts+= '<img class="img-responsive center-block" src="'+appObj.baseUrl+'assets/images/blog/'+fields.post_img+'">';
																}
																else{
																	var img = fields.post_img.split(',');
																	pendingPosts+='<div id="pending-gallery'+fields.id+'"></div>';
																	img.forEach(function(item,index){
																		if(fields.created_from == 0){
																			pics[index] = appObj.baseUrl+'assets/images/post/'+item;
																		}
																		else{
																			pics[index] = appObj.baseUrl+'assets/images/groups/groups-post/'+item;
																		}
																	});
																}
															}
															else if(fields.image_link != ''){
																pendingPosts+= '<img class="img-responsive center-block" src="'+fields.image_link+'">';
															}
														pendingPosts+= '</div>';
														pendingPosts+='<div class="p-xxs">';
															if(fields.post_text !=''){
																pendingPosts+='<p class="post-text'+fields.id+'">'+replaced_text+'</p>';
															}
															if(fields.description != ''){
																pendingPosts+= '<div class="description">'+fields.description+'</div>';
															}
														pendingPosts+='</div>\
													</a>\
												</div>';
											}
											if(fields.meta_tag_title != ''){
												pendingPosts+= '<div class="meta-tag-block" id="metaTag'+fields.id+'">\
													<a href="'+fields.meta_tag_link+'" target="_blank">';
														if(fields.meta_tag_img != ''){
															pendingPosts+='<img src="'+fields.meta_tag_img+'" class="img-responsive center-block">';
														}
														pendingPosts+='<div class="p-xxs">';
															pendingPosts+= '<p>'+fields.meta_tag_title+'</p>';
															if(fields.meta_tag_desc != ''){
																pendingPosts+= '<div class="description">'+fields.meta_tag_desc+'</div>';
															}
														pendingPosts+='</div>\
													</a>\
												</div>';
											}

										pendingPosts+='</div>\
									</div>\
								</div>\
							</div>';
					$(".pending-posts").append(pendingPosts);
					$('#pending-gallery'+fields.id).imagesGrid({
						images: pics,
						align: true,
						getViewAllText: function(imgsCount){
							return '+' + (imgsCount - 5);
						}
					});
				}
				if(fields.report_admin == 0){
					reportCount = reportCount + 1;
					reportPosts+='<div id="reportPostBlock'+fields.id+'">\
								<div class="panel panel-default m-b-sm">\
									<div class="panel-body status">\
										<div class="who clearfix">\
											<a href="javascript:void(0);">\
												<img src="'+generateUserImg(fields.profile_img_small,fields.user_login_type,40,40)+'" style="width:40px;" alt="img" class="online" onerror="loadingImageError(this)">\
											</a>\
											<span class="name">';
												reportPosts+="<b><a href='javascript:void(0);' onclick='displayPublicProfile("+fields.user_id+",\""+fields.profile_img_medium+"\",\""+fields.cover_photo+"\","+fields.user_login_type+",\""+fields.name+"\",\""+fields.professional_headline+"\",\""+fields.ethinicity_country_code+"\");'>"+fields.name+"</a></b>";
												if(fields.share == 1 && fields.post_type == 0){
													reportPosts+=' shared a post';
												}
												else if(fields.share == 1 && fields.post_type == 1){
													reportPosts+=' shared a job';
												}
												else if(fields.share == 1 && fields.post_type == 2){
													reportPosts+=' shared a event';
												}
												else if(fields.share == 1 && fields.post_type == 3){
													reportPosts+=' shared a course';
												}
												else if(fields.share == 1 && fields.post_type == 4){
													reportPosts+=' shared a news';
												}
												else if(fields.share == 1 && fields.post_type == 5){
													reportPosts+=' shared a blog';
												}
											if(Obj.groupMemberType == 1){
												reportPosts+='<div class="panel-tools">\
																	<div class="btn-group">\
																		<button type="button" postId='+fields.id+' groupId='+fields.group_id+' onclick="saveKeepPost(this);" data-toggle="tooltip" data-placement="top" data-original-title="Keep Post in Group" class="btn btn-default btn-sm"><i class="fa fa-check"></i></button>\
																		<button type="button" postId='+fields.id+' groupId='+fields.group_id+' onclick="deletePostReport(this);" data-toggle="tooltip" data-placement="top" data-original-title="Delete Post" class="btn btn-default btn-sm"><i class="fa fa-times"></i></button>\
																		<button type="button" postId='+fields.id+' groupId='+fields.group_id+' onclick="deletePostReport(this);"  data-toggle="tooltip" data-placement="top" data-original-title="Delete Post and Block Member" class="btn btn-default btn-sm"><i class="fa fa-minus-circle"></i></button>\
																	</div>\
																</div>';
											}
											reportPosts+='</span>\
											'+timeSince(fields.created_date,fields.current_date_time)+'\
										</div>\
										<div class="text">';
											if(fields.share == 0){
												if(fields.post_text != '' && fields.meta_tag_title == ''){
													reportPosts+='<p class="post-text'+fields.id+'">'+replaced_text+'</p>';
												}
												reportPosts+='<p class="edit-post'+fields.id+'"></p>';
												if(fields.post_img != ''){
													var img = fields.post_img.split(',');
													reportPosts+='<div id="report-gallery'+fields.id+'"></div>';
													img.forEach(function(item,index){
														if(fields.created_from == 0){
															pics[index] = appObj.baseUrl+'assets/images/post/'+item;
														}
														else{
															pics[index] = appObj.baseUrl+'assets/images/groups/groups-post/'+item;
														}
													});
												}
												else if(fields.image_link != ''){
													reportPosts+= '<img class="img-responsive center-block" src="'+fields.image_link+'">';
												}
											}
											else if(fields.share == 1 && fields.meta_tag_title == ''){
												reportPosts+='<div class="share-text-block">';
													if(fields.post_type != 0){
														reportPosts+= '<a href="javascript:void(0);" url="'+fields.link+'" onclick="openlink(this);">';
													}
														reportPosts+= '<div class="share-image">';
															if(fields.post_img != ''){
																if(fields.post_type == 5){
																	reportPosts+= '<img class="img-responsive center-block" src="'+appObj.baseUrl+'assets/images/blog/'+fields.post_img+'">';
																}
																else{
																	var img = fields.post_img.split(',');
																	reportPosts+='<div id="report-gallery'+fields.id+'"></div>';
																	img.forEach(function(item,index){
																		if(fields.created_from == 0){
																			pics[index] = appObj.baseUrl+'assets/images/post/'+item;
																		}
																		else{
																			pics[index] = appObj.baseUrl+'assets/images/groups/groups-post/'+item;
																		}
																	});
																}
															}
															else if(fields.image_link != ''){
																reportPosts+= '<img class="img-responsive center-block" src="'+fields.image_link+'">';
															}
														reportPosts+= '</div>';
														reportPosts+='<div class="p-xxs">';
															if(fields.post_text !=''){
																reportPosts+='<p class="post-text'+fields.id+'">'+replaced_text+'</p>';
															}
															if(fields.description != ''){
																reportPosts+= '<div class="description">'+fields.description+'</div>';
															}
														reportPosts+='</div>\
													</a>\
												</div>';
											}
											if(fields.meta_tag_title != ''){
												reportPosts+= '<div class="meta-tag-block" id="metaTag'+fields.id+'">\
													<a href="'+fields.meta_tag_link+'" target="_blank">';
														if(fields.meta_tag_img != ''){
															reportPosts+='<img src="'+fields.meta_tag_img+'" class="img-responsive center-block">';
														}
														reportPosts+='<div class="p-xxs">';
															reportPosts+= '<p>'+fields.meta_tag_title+'</p>';
															if(fields.meta_tag_desc != ''){
																reportPosts+= '<div class="description">'+fields.meta_tag_desc+'</div>';
															}
														reportPosts+='</div>\
													</a>\
												</div>';
											}
										reportPosts+='</div>\
									</div>\
								</div>\
							</div>';
					$(".report-posts").append(reportPosts);
					$('#report-gallery'+fields.id).imagesGrid({
						images: pics,
						align: true,
						getViewAllText: function(imgsCount){
							return '+' + (imgsCount - 5);
						}
					});
				}
			});		
			if(pendingCount == 0){
				$(".pending-posts").empty().append('<div class="hpanel"><div class="panel-body">No pending posts</div></div>');
			}
			if(reportCount == 0){
				$(".report-posts").empty().append('<div class="hpanel"><div class="panel-body">No report posts</div></div>');
			}
			if(pendingCount > 0){
				var msg = '';
					msg+='<div class="alert alert-info p-xs">\
								<a href="#" class="close" title="Remove" data-dismiss="alert" aria-label="close">&times;</a>';
								if(Obj.groupMemberType == 1){
									msg+='<a class="btn-link" href="javascript:void(0);" onclick="pendingPostsMsg();"><b> '+pendingCount+' post needs approval</b></a>';
								}
								else{
									msg+='<a class="btn-link" href="javascript:void(0);" onclick="pendingPostsMsg();"><b> You have '+pendingCount+' post pending approval</b></a>';
								}
						msg+='</div>';
				$(".post-approval-msg").html(msg);
				$(".pending-posts-count").html(pendingCount);
			}
			if(Obj.groupMemberType == 1){
				if(reportCount > 0){
					var msg = '';
						msg+='<div class="alert alert-danger p-xs">\
									<a href="#" class="close" title="Remove" data-dismiss="alert" aria-label="close">&times;</a>';
									msg+='<a class="btn-link" href="javascript:void(0);" onclick="reportPostsMsg();"><b> '+reportCount+' post has been reported</b></a>';
							msg+='</div>';
					$(".post-report-msg").html(msg);
					$(".report-posts-count").html(reportCount);
				}
			}
			//$('[data-toggle="tooltip"]').tooltip(); 
		}
	});
}

function saveKeepPost(data){
	var postId = $(data).attr("postId");
	var GroupId = $(data).attr("groupId");
	$.ajax({
		type		:'POST'	,
		url         : appObj.siteUserControllerUrl+'saveKeepPost',
		data		:{GroupId:GroupId,postId:postId},
		dataType	:'json',
		success     : function(data){
			if(data == 1){
				$('#reportPostBlock'+postId).empty();
			}
		}
	});
}

function deletePostReport(data){
	var postId = $(data).attr("postId");
	var GroupId = $(data).attr("groupId");
	bootbox.confirm({
		title		: "Delete Post",
		message		: "You are about to delete this post.",
		animate		:false,
		buttons: {
			confirm: {
				label: 'Delete',
				className:'btn btn-primary btn-sm',
			},
			cancel:{
				className:'btn btn-default btn-sm',
			}
		},
		callback	: function(data) {
			if(data) {
				$.ajax({
					type		:'POST'	,
					url         : appObj.siteUserControllerUrl+'deletePostReport',
					data		:{GroupId:GroupId,postId:postId},
					dataType	:'json',
					success     : function(data){
						if(data == 1){
							$('#reportPostBlock'+postId).empty();
						}
					}
				});
			}
		}
	});
	$(".bootbox-confirm").addClass("group-modal");
}

function savePostApproval(data){
	var postId = $(data).attr("postId");
	var GroupId = $(data).attr("groupId");
	$.ajax({
		type		:'POST'	,
		url         : appObj.siteUserControllerUrl+'savePostApproval',
		data		:{GroupId:GroupId,postId:postId},
		dataType	:'json',
		success     : function(data){
			if(data == 1){
				$('#pendingPostBlock'+postId).empty().append('<div class="hpanel"><div class="panel-body">This post was approved and published to the group.</div></div>');
			}
		}
	});
}

function deletePostApproval(data){
	var postId = $(data).attr("postId");
	var GroupId = $(data).attr("groupId");
	bootbox.confirm({
		title		: "Delete Post",
		message		: "You are about to delete this post.",
		animate		:false,
		buttons: {
			confirm: {
				label: 'Delete',
				className:'btn btn-primary btn-sm',
			},
			cancel:{
				className:'btn btn-default btn-sm',
			}
		},
		callback	: function(data) {
			if(data) {
				$.ajax({
					type		:'POST'	,
					url         : appObj.siteUserControllerUrl+'deletePostApproval',
					data		:{GroupId:GroupId,postId:postId},
					dataType	:'json',
					success     : function(data){
						if(data == 1){
							$('#pendingPostBlock'+postId).empty().append('<div class="hpanel"><div class="panel-body">This post was deleted.</div></div>');
						}
					}
				});
			}
		}
	});
	$(".bootbox-confirm").addClass("group-modal");
}

function getAllMemberRequests(GroupId){
	$.ajax({
		type		:'POST',
		url			:appObj.siteUserControllerUrl+'getAllMemberRequests',
		data		:{GroupId:GroupId,groupMemberType:Obj.groupMemberType},
		dataType	:'json',
		success		:function(data){
			var memberRequests = '';
			var personCount = 0;
			$.each(data.fields,function(index,fields){
				if(fields.approval == 0){
					var format = new Date(fields.registerDate).getMonth();
					var registerDate = monthNames[format]+' '+new Date(fields.registerDate).getDate()+', '+new Date(fields.registerDate).getFullYear();
					personCount = personCount + 1;					
					memberRequests+='<div id="memberApprovalBlock'+fields.user_id+'">\
										<div class="hpanel">\
											<div class="panel-body">\
												<img src="'+generateUserImg(fields.profile_img_small,fields.user_login_type,40,40)+'" alt="Img" style="width:40px;" class="pull-left m-r-xs" onerror="loadingImageError(this)">\
												<div style="overflow: hidden;">\
													<div class="panel-tools">\
														<div class="btn-group">\
															<button type="button" memberId='+fields.user_id+' groupId='+fields.group_id+' onclick="saveMemberApproval(this);" class="btn btn-primary btn-sm m-b-xs"><i class="fa fa-check"></i></button>\
															<button type="button" memberId='+fields.user_id+' groupId='+fields.group_id+' onclick="declineMemberApproval(this);" class="btn btn-default btn-sm m-b-xs"><i class="fa fa-times"></i></button>\
														</div>\
													</div>\
													<a href="javascript:void(0);"><b>'+fields.name+'</b></a>\
													<span class="text-muted"> - Added by '+fields.added_by+'</span>\
													<p>Joined Latinc ';
													if(fields.registerDate != "0000-00-00 00:00:00"){
														memberRequests+='on '+registerDate;
													}
													memberRequests+='</p>';
													if(fields.professional_headline){
														memberRequests+='<div><i class="fa fa-briefcase"></i> '+fields.professional_headline+'</div>';
													}
													if(fields.living_city_name != null){
														memberRequests+='<div><i class="fa fa-map-marker"></i> '+fields.living_city_name+'</div>';
													}
												memberRequests+='</div>\
											</div>\
										</div>\
									</div>';
				}
			});
			$(".member-requests").empty().append(memberRequests);
			if(memberRequests == ''){
				$(".member-requests").empty().append('<div class="hpanel"><div class="panel-body">No member requests</div></div>');
			}
			if(personCount > 0){
				var msg = '';
					msg+='<div class="alert alert-info p-xs">\
							<a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>\
							<a class="btn-link" href="javascript:void(0);" onclick="memberRequestsMsg();"><b> '+personCount+' person wants to join this group</b></a>\
						</div>';
				$(".join-approval-msg").html(msg);
				$(".member-requests-count").html(personCount);
			}
		}
	});
}

function memberRequestsMsg(){
	$('a[href="#manage"], a[href="#memberRequests"]').tab('show');
}

function manage(){
	$('a[href="#manage"]').tab('show');
}

function saveMemberApproval(data){
	var memberId = $(data).attr("memberId");
	var GroupId = $(data).attr("groupId");
	$.ajax({
		type		:'POST'	,
		url         : appObj.siteUserControllerUrl+'saveMemberApproval',
		data		:{GroupId:GroupId,memberId:memberId},
		dataType	:'json',
		success     : function(data){
			if(data == 1){
				getAllGroupMembers(GroupId);
				$('#memberApprovalBlock'+memberId).empty();
			}
		}
	});
}

function declineMemberApproval(data){
	var memberId = $(data).attr("memberId");
	var GroupId = $(data).attr("groupId");
	$.ajax({
		type		:'POST'	,
		url         : appObj.siteUserControllerUrl+'declineMemberApproval',
		data		:{GroupId:GroupId,memberId:memberId},
		dataType	:'json',
		success     : function(data){
			if(data == 1){
				$('#memberApprovalBlock'+memberId).empty();
			}
		}
	});
}

function joinGroup(){
	var GroupId = GetQryStrParams(window.location.hash.substr(1),'GroupId');
	$.ajax({
		type		:'POST'	,
		url         : appObj.siteUserControllerUrl+'joinGroup',
		data		:{GroupId:GroupId},
		dataType	:'json',
		success     : function(data){
			if(data == 1){
				$(".join-btn-block").remove();
				$(".join-group-btn").empty().append('<button type="button" class="btn btn-default btn-sm">Request Pending</button>');
			}
		}
	});
}

function suggestedGroupsBlock(GroupId){
	$.ajax({
		type		:'POST',
		url         : appObj.siteUserControllerUrl+'getAllGroupsDiscover',
		data		:{GroupId:GroupId}	,
		dataType	:'json',
		success     : function(data){
			var suggestedGroups = '';
			suggestedGroups+='<div class="hpanel">\
								<div class="panel-heading hbuilt">\
									Suggested Groups\
									<a href="javascript:void(0)" onclick="seeAllSuggGroups();" class="btn-link pull-right">See All</a>\
								</div>\
									<div class="panel-body">';
										$.each(data.fields,function(index,fields){
											if(index < 1){
												suggestedGroups+='<div class="allGroups sugg-group" id="suggGroup'+fields.id+'">\
																	<a href="#page=myGroups&GroupId='+fields.id+'">';
																		if(fields.cover_photo){
																			suggestedGroups+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/groups/cover/'+fields.cover_photo+'">';
																		}
																		else{
																			suggestedGroups+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/groups/groups-default-cover.png">';
																		}
																		suggestedGroups+='</a>\
																		<div class="title">\
																			<a href="#page=myGroups&GroupId='+fields.id+'" class="btn-link sugg-group-title">'+fields.name+'</a>\
																			<p class="text-muted">'+fields.members_count+' members\
																			<span class="pull-right">\
																				<a href="javascript:void(0);" group-id='+fields.id+' onclick="suggJoinGroup(this);" class="btn btn-default btn-sm"><i class="fa fa-plus"></i> Join</a>\
																			</span>\
																			</p>\
																		</div>\
																</div>';
											}
										});
									suggestedGroups+='</div>\
							</div>';
			$(".sugg-group-block").empty().append(suggestedGroups);
		}
	});
}

function seeAllSuggGroups(){
	window.location.href = "#page=myGroups";
	setTimeout (function(){
		$('.mygroups-tab a[href="#Discover"]').tab('show');
	},500);	
}

function suggJoinGroup(data){
	var GroupId = $(data).attr("group-id");
	$.ajax({
		type		:'POST'	,
		url         : appObj.siteUserControllerUrl+'suggJoinGroup',
		data		:{GroupId:GroupId},
		dataType	:'json',
		success     : function(data){
			var joinGroup = '';
			if(data == 1){
				if(GetQryStrParams(window.location.hash.substr(1),'GroupId')){
					joinGroup+='<div class="btn-group">\
									<button data-toggle="dropdown" class="btn btn-default btn-sm dropdown-toggle"><i class="fa fa-check"></i></button>\
									<ul class="dropdown-menu dropdown-menu-right">\
										<li><a href="#page=myGroups&GroupId='+GroupId+'">View Group</a></li>\
										<li><a href="javascript:void(0);" onclick="groupsCancelRequest('+GroupId+');">Cancel Request</a></li>\
									</ul>\
								</div>';
					$('#suggGroup'+GroupId+' span').empty().append(joinGroup);
				}
				else{
					$('#discover'+GroupId+' a.btn').empty().append('<i class="fa fa-check"></i> Request Sent');
					$('#discover'+GroupId+' h5').css('width','40%');
				}
			}
			$('[data-toggle="tooltip"]').tooltip();
			$('#suggGroup'+GroupId+' .btn-group').mouseenter(function(){
				$(".sugg-group .btn-group").addClass("open");
			});
		}
	});
}

function groupsCancelRequest(GroupId){
	$.ajax({
		type		:'POST'	,
		url         : appObj.siteUserControllerUrl+'groupsCancelRequest',
		data		:{GroupId:GroupId},
		dataType	:'json',
		success     : function(data){
			var cancelRequest = '';
			if(data == 1){
				cancelRequest+='<a href="javascript:void(0);" group-id='+GroupId+' onclick="suggJoinGroup(this);" class="btn btn-default btn-sm"><i class="fa fa-plus"></i> Join</a>';
				$('#suggGroup'+GroupId+' span').empty().append(cancelRequest);
			}
		}
	});
}

function shareGroups(btn){
	var title = $(btn).attr("groups-title");
	var image = $(btn).attr("image");
	var description = $(btn).attr("groups-desc");
	var GroupId = GetQryStrParams(window.location.hash.substr(1),'GroupId');
	FB.ui({
		method			: 'share',
		mobile_iframe	: true,
		href			: appObj.siteUrl+'#page=myGroups&GroupId='+GroupId,
		title			: title,
		description		: description,
		picture			: image,
	}, 	function(response){});
}

function groupsPostShare(postDetails){
	var postId = $(postDetails).attr("postId");
	var postText = $(postDetails).attr("postText");
	var postImage = $(postDetails).attr("postImage");
	var img = postImage.split(',');
	var images = '';
	if(img[0] !=''){
		images = appObj.baseUrl+'/assets/images/groups/groups-post/'+img[0];
	}
	FB.ui({
		method			:'share',
		mobile_iframe	:true,
		href			:appObj.siteUrl+'#page=myGroups&GroupId='+postId,
		title			:postText,
		picture			:images,
	}, 	function(response){});
}

$(document).bind('paste','input[name=post_text]',function(e){
	e.preventDefault();
    var Url = (e.originalEvent || e).clipboardData.getData('text/plain');
    window.document.execCommand('insertText', false, Url);
	var urlString = Url.match(/\b(http|https)?(:\/\/)?(\S*)\.(\w{2,4})\b/ig);
	$(".post-meta-tag").empty();
	if(urlString){
		$(".post-meta-tag").empty().append('<div class="text-center">Loading...</div>');
		$.ajax({
			type		:'POST',
			url    	 	: appObj.siteUserControllerUrl+'getMetaTag',
			data		:{Url:Url},
			dataType 	: 'json',
			success 	: function(data){
				var metaTag ='';
				var img = new Image();
				if(data.fields != ''){
					metaTag+='<div class="col-sm-12 meta-tag-block">\
								<a class="pull-right meta-tag-remove" title="Remove" onclick="metaTagRemove()"><i class="fa fa-lg fa-times"></i></a>\
								<a href="'+data.url+'" target="_blank">';
									if(data.image){
										metaTag+='<img src="'+data.image+'" class="img-responsive">';
										metaTag+='<input type="hidden" name="meta_tag_img" value="'+data.image+'">';
									}
									metaTag+='<div class="p-xxs">';
										metaTag+='<p>'+data.title+'</p>';
										if(data.description){
											metaTag+='<div class="description">'+data.description+'</div>';
											metaTag+='<input type="hidden" name="meta_tag_desc" value="'+data.description+'">';
										}
									metaTag+='</div>';
									metaTag+='<input type="hidden" name="meta_tag_title" value="'+data.title+'">';
									metaTag+='<input type="hidden" name="meta_tag_link" value="'+data.url+'">';
								metaTag+='</a>\
							</div>';
						
					img.onload = function(){
						if(this.width < 400 || this.height < 400){
							$(".post-meta-tag .meta-tag-block").addClass("small-image");
						}
					}
					img.src = data.image;
				}
				$(".post-meta-tag").empty().append(metaTag);
			}
		});
	}
});

function metaTagRemove(){
	$(".meta-tag-block").remove();
}
$(document).on('focus',"input[name=main-search-groups]",function(){
	var searchGroupsModal = '';
		searchGroupsModal+='<div class="searchGroups" id="commonModal">\
								<div class="common-modal-content no-padding">\
									<div class="header">\
										<div class="breadcrumb-title"><a class="btn-link pull-left" href="javascript:void(0);" onclick="closeCommonModal();"><i class="fa fa-lg fa-angle-left"></i></a>\
											<form role="search" class="mobile-icon navbar-form-custom" method="post">\
												<div class="input-group">\
													<span class="input-group-addon"><i class="fa fa-search"></i></span>\
													<input type="text" placeholder="Search Groups" class="form-control" name="search-groups" autocomplete="off" autofocus>\
												</div>\
											</form>\
										</div>\
									</div>\
									<div class="groups-search-results"></div>\
								</div>\
							</div>';
	$("body").append(searchGroupsModal);
	$("body").addClass("body-disabled");
	$("input[name=search-groups]").focus();
});

$(document).on('keyup',"input[name=search-groups]",function(){
	var inputValue = $(this).val();
	if(inputValue != '' && inputValue.length > 1){
		$(".groups-search-results").empty().append('<div class="page-loading"><img class="center-block" src="assets/images/ajax-loader.gif" width="90"></div>');
		$.ajax({
			type    : 'POST',
			url     : appObj.siteUserControllerUrl+'getAllGroupsSearch',
			dataType : 'json',
			data     : {peopleSearchValue:inputValue},
			success : function(data){
				var searchResults = '';
				if(data.fields != ""){
					$.each(data.fields,function(index,fields){
						searchResults+= '<div class="col-xs-12 connections-block">\
											<a href="javascript:void(0);" onclick="groupsList('+fields.id+');">';
												if(fields.cover_photo != ""){
													searchResults += '<img src="'+appObj.baseUrl+'assets/images/groups/cover/'+fields.cover_photo+'" width="50">';
												}
												else{
													searchResults += '<img src="'+appObj.baseUrl+'assets/images/groups/groups-default-cover.png" width="50">';
												}
												searchResults += '<div class="details">\
													<h5 class="m-n name-truncate"><b>'+fields.name+'</b></h5>';
													if(fields.members_count == 1){
														searchResults += '<div class="text-muted">'+fields.members_count+' Member</div>';
													}
													else{
														searchResults += '<div class="text-muted">'+fields.members_count+' Members</div>';
													}
												searchResults += '</div>\
											</a>\
										</div>';
					});
				}
				else{
					searchResults+='<div class="no-pending"><i class="fa fa-3x fa-envelope-o"></i><br><br>No search results</div>';
				}
				$(".groups-search-results").empty().append(searchResults);
			}
		}); 
	}
	else{
		$(".groups-search-results").empty();
	}
});

function groupsList(groupId){
	window.location.href = "#page=myGroups&GroupId="+groupId+"";
	$("#commonModal").remove();
	$("body").removeClass("body-disabled");
}

function createGroups(){
	if(appObj.isLoggedIn){
		var createGroup = '';
		createGroup += '<div class="createGroup" id="commonModal">\
							<div class="common-modal-content no-padding">\
								<div class="header">\
									<div class="breadcrumb-title"><a class="btn-link" href="javascript:void(0);" onclick="closeCommonModal();"><i 	class="fa fa-3x fa-angle-left"></i></a> <span>Create Group</span><a href="javascript:void(0);" class=" create-link" onclick="createGroupSave();">Finish</a></div>\
								</div>\
								<form class="p-xs" id="createGroup">\
									<div class="people-valid-msg"></div>\
									<div class="form-group">\
										<input type="text" name="group_name" placeholder="Name this group" class="form-control" autocomplete="off">\
									</div>\
									<div class="form-group">\
										<div class="dropdown">\
											<button class="btn dropdown-toggle btn-block" type="button" data-toggle="dropdown"><i class="fa fa-lg fa-globe"></i> Public group <br><small>Anyone can see the group, its members and their posts.</small>\
											<span class="caret"></span></button>\
											<ul class="dropdown-menu">\
												<li><a href="javascript:void(0);" privacy="1"><i class="fa fa-lg fa-globe"></i> Public group <br><small>Anyone can see the group, its members and their posts.</small></a></li>\
												<li><a href="javascript:void(0);" privacy="2"><i class="fa fa-lg fa-lock"></i> Private group <br><small>Anyone can find the group and see who\'s in it. Only members can see posts.</small></a></li>\
											</ul>\
											<input type="hidden" name="privacy" value="1">\
										</div>\
									</div>\
									<input type="text" name="search-groups-people" placeholder="Search name" class="form-control" autocomplete="off">\
									<div class="people-id"></div>\
								</form>\
								<div class="groups-people-list"><img class="center-block" src="assets/images/ajax-loader.gif" width="90"></div>\
								<div class="groups-people-search-list"></div>\
							</div>\
						</div>';
		$("body").append(createGroup);
		$("body").addClass("body-disabled");
		getAllGroupsPeopleList();
	}
	else{
		window.location.href = "#page=login&msg=1";
	}
	$("#createGroup").validate({
	   rules: {
			group_name: {
				required: true,
			},
		},
	});
}

$(document).on("click",".createGroup li a",function(){
	var element = $(this).html();
	var privacy = $(this).attr("privacy");
	$("input[name=privacy]").val(privacy);
	$(".createGroup button").empty().append(element+' <span class="caret"></span>');
});

function getAllGroupsPeopleList(){
	$.ajax({
		type    	: 'POST',
		url     	: appObj.siteUserControllerUrl+'getAllGroupsPeopleList',
		dataType	:'json',
		success : function(data){
			var groupsPeople = '';
			$.each(data.fields,function(index,fields){
				groupsPeople += displayGroupsPeopleBlock(fields.id,fields.name,fields.profile_img_small,fields.user_login_type,fields.professional_headline);
			});
			$(".groups-people-list").empty().append(groupsPeople);
			var height = $(window).height() - 240;
			$(".groups-people-list").height(height);
		}
	});
}

function displayGroupsPeopleBlock(id,name,profile_img_small,user_login_type,professional_headline){
	var peopleBlock = '';
	peopleBlock+= '<div class="col-xs-12 connections-block checkbox">\
						<div class="round">\
							<label>\
								<img class="img-responsive" src="'+generateUserImg(profile_img_small,user_login_type,50,50)+'" alt="Image" width="50">\
								<div class="details">\
									<h5 class="m-n name-truncate">\
										<b>'+name+'</b>\
									</h5>\
									<span class="pull-right">\
										<input type="checkbox" class="checked-'+id+'" name="choose-people" userName="'+name+'" value="'+id+'">\
										<span class="choose-users"></span>\
									</span>\
									<div class="text-muted">'+professional_headline+'</div>\
								</div>\
							</label>\
						</div>\
					</div>';
	return peopleBlock;
}

$(document).on("change","input[name=choose-people]",function(){
	var userId = $(this).val();
	$('#peopleId-'+userId).remove();
	if($(this).is(':checked')){
		$(".people-id").append('<input type="hidden" id="peopleId-'+userId+'" name="peopleId[]" value="'+userId+'"></span>');
	}
	else{
		$('#peopleId-'+userId).remove();
	}
});

function createGroupSave(){
	$('#createGroup').valid();
	if($("input[name=group_name]").val() != ''){
		if($("input[name=choose-people]").is(':checked')){
			var data = new FormData($("#createGroup")[0]);
			$.ajax({
				type    	: 'POST',
				url     	: appObj.siteUserControllerUrl+'createGroupSave',
				data    	: data,
				dataType	:'json',
				contentType : false,
				processData : false,
				success : function(data){
					if(data){
						$("#commonModal").remove();
						$("body").removeClass("body-disabled");
						window.location.href="#page=myGroups&GroupId="+data;
					}
				}
			});
		}
		else{
			$(".people-valid-msg").empty().append('<div class="hpanel"><div class="panel-body">Please add at least one friend to your group.</div></div>');
		}
	}				
}

$(document).on('keyup',"input[name=search-groups-people]",function(){
	var inputValue = $(this).val();
	if(inputValue != '' && inputValue.length > 1){
		$(".groups-people-list").hide();
		$(".groups-people-search-list").empty().append('<img class="center-block" src="assets/images/ajax-loader.gif" width="90">');
		$.ajax({
			type    	: 'POST',
			url     	: appObj.siteUserControllerUrl+'getSearchResults',
			dataType	: 'json',
			data    	: {peopleSearchValue:inputValue},
			success 	: function(data){
				var searchResults = '';
				if(data.fields != ""){
					$.each(data.fields,function(index,fields){
						searchResults += displayGroupsPeopleBlock(fields.id,fields.name,fields.profile_img_small,fields.user_login_type,fields.professional_headline);
					});
				}
				else{
					searchResults += '<div class="col-xs-12">No Results.</div>';
				}
				$(".groups-people-search-list").empty().append(searchResults);
				$(".groups-people-search-list").show();
				setTimeout (function(){
					var height = $(window).height() - 240;
					$(".groups-people-search-list").height(height);
				},1000);
			}
		}); 
	}
	else{
		$(".groups-people-search-list").hide();
		$(".groups-people-list").show();
	}
});

$(document).on('keyup',"input[name=group-search]",function(){
	var inputValue = $(this).val();
	if(inputValue != '' && inputValue.length > 1){
		$.ajax({
			type    : 'POST',
			url     :  appObj.siteUserControllerUrl+'getSearchResults',
			dataType : 'json',
			data     : {peopleSearchValue:inputValue},
			success : function(data){
				var searchResults = '';
				if(data.fields != ""){
					searchResults += '<ul>';
					$.each(data.fields,function(index,fields){
						searchResults += '<li><a href="javascript:void(0);"><div class="people-img-block">';
							searchResults += '<img src="'+generateUserImg(fields.profile_img_small,fields.user_login_type,40,40)+'" alt="logo" style="width:40px;" onerror="loadingImageError(this)">';
						searchResults += '</div>\
						  <span>\
							<span class="nameProp">\
								<input type="hidden" class="people-id" value="'+fields.id+'">\
								<b>'+fields.name+'</b></span>\
								<br><small class="people-professional">'+fields.professional_headline+'</small>\
							</span>\
						 </a></li>';
					});
					searchResults += '</ul>';
				}
				else{
					searchResults += 'No Results.';
				}
				$(".group-people-search").empty().append(searchResults);
			}
		}); 
	}
	else{
		$(".group-people-search").empty();
	}
});

$(document).on("click",".group-people-search ul li",function(){
	$("input[name=group-search]").val($(this).find(".nameProp").text());
	$(".group-people-search").empty();
	$(".people-preview").append('<span class="people-block"><span class="people-value">'+$(this).find(".nameProp").text()+'</span><i class="fa fa-close"></i><input type="hidden" name="peopleId[]" value="'+$(this).find(".people-id").val()+'"></span>');
	$(".peopleinput").val('');
	$("input[name=group-search]").focus();
});

$(document).on("click",".people-preview .people-block .fa",function(){
	$(this).parent().remove();
});