var myMentorsJS = '';

var myMentorsObj = {
	noOfContactsLoaded : 0,
	noOfContactsToLoaded : 32,
	
	noOfMentorsLoaded : 0,
	noOfMentorsToLoaded : 32
}

myMentorsPageInitalize();
function myMentorsPageInitalize(){
	myMentorsObj.noOfContactsLoaded = 0;
	myMentorsObj.noOfMentorsLoaded = 0;
	myMentorsPageContent();
	getAllSuggestedMentors(0);
	getAllMyMentors(0);
	getAllPendingMentors();
	if(isMobileApp()){
		GARecored('Mentors');
	}
}

function myMentorsPageContent(){
	$('#secondary-page').empty().append('<div class="page-full-content"><div class="row">\
									<div class="col-sm-12">\
										<div class="connection-tab">\
											<ul id="myTab1" class="nav connection-menu nav-tabs connection-menu-mentors">\
												<li class="tab1 active">\
													<a href="#suggestedMentors" data-toggle="tab">Suggested Mentors</a>\
												</li>\
												<li class="tab2">\
													<a href="#myMentors" data-toggle="tab">Mentors <span class="mentors-count"></span></a>\
												</li>\
												<li class="tab3">\
													<a href="#requests" data-toggle="tab">Requests <span class="requests-count"></span></a>\
												</li>\
											</ul>\
											<div id="connectionTabContent" class="tab-content">\
												<div class="tab-pane in active" id="suggestedMentors">\
													<input type="text" placeholder="Search by name, job title, education, city" class="form-control m-b-sm" name="search-mentors" autocomplete="off">\
													<a href="javascript:void(0);" onclick="searchMentorsClose();" class="search-mentors-close" style="display:none;"><i class="fa fa-times fa-lg"></i></a>\
													<div class="row mentors-search-results"></div>\
													\
													<div class="row suggested-mentors">\
														<img class="center-block message-loader" src="assets/images/ajax-loader.gif" width="90">\
													</div>\
												</div>\
												<div class="tab-pane" id="myMentors">\
													<div class="row my-mentors"></div>\
												</div>\
												<div class="tab-pane" id="requests">\
													<div class="connection-tab">\
														<ul class="nav connection-menu nav-tabs">\
															<li class="removeClassActivePending active">\
																<a class="connection-tab1" href="#pendingMymentors" data-toggle="tab">Received <span class="pending-count"></span></a>\
															</li>\
															<li class="addClassActivePending">\
																<a href="#sentRequestMentors" data-toggle="tab" onclick="getSentMentorsRequest();">Sent</a>\
															</li>\
														</ul>\
														<div id="connectionTabContentApp" class="tab-content">\
															<div class="tab-pane active" id="pendingMymentors">\
																<div class="row pending-mentors"></div>\
															</div>\
															<div class="tab-pane" id="sentRequestMentors">\
																<div class="row send-request-mentors"></div>\
															</div>\
														</div>\
													</div>\
												</div>\
											</div>\
										</div>\
									</div>\
								</div></div>');
}

function getAllSuggestedMentors(type){
	$(".suggested-mentors .col-xs-12:last-child").html('<img class="mentors-load" src="'+appObj.siteUrl+'assets/images/comments-loader.gif">');
	$.ajax({
		type	 :'POST',
		url      : appObj.siteUserControllerUrl+'getAllSuggestedMentors',
		data     :{noOfContactsToLoaded:myMentorsObj.noOfContactsToLoaded,noOfContactsLoaded:myMentorsObj.noOfContactsLoaded},
		dataType : 'json',
		success  : function(data){
			if(type == 0){
				$(".suggested-mentors").empty();
			}
			$(".mentors-load").remove();
			if(data.length > 0){
				var i;
				var suggestedMentors = '';
				for(i=0; i<data.length; i++){
					suggestedMentors += displaySuggestedMentors(data[i].id,data[i].name,data[i].professional_headline,data[i].profile_img_medium,data[i].user_login_type,data[i].ethinicity_country_code,data[i].cover_photo);
					myMentorsObj.noOfContactsLoaded++;
					suggestedCount = 0;
				}
				$('.suggested-mentors').append(suggestedMentors);
			}
		}
	});
}

function displaySuggestedMentors(id,name,professional,imagepath,loginType,ethinicity_country_code,cover_photo){
	var suggestedMentorsBlock = '';
		suggestedMentorsBlock += '<div class="col-xs-12">\
									<div class="mentors-block">';
										suggestedMentorsBlock+="<a href='javascript:void(0);' onclick='displayPublicProfile("+id+",\""+imagepath+"\",\""+cover_photo+"\","+loginType+",\""+name+"\",\""+professional+"\",\""+ethinicity_country_code+"\");'>";
											suggestedMentorsBlock+='<img class="img-responsive" src="'+generateUserImg(imagepath,loginType,70,70)+'" alt="Img" width="70" onerror="loadingImageError(this);">\
										</a>';
										suggestedMentorsBlock+="<a href='javascript:void(0);' onclick='displayPublicProfile("+id+",\""+imagepath+"\",\""+cover_photo+"\","+loginType+",\""+name+"\",\""+professional+"\",\""+ethinicity_country_code+"\");'>";
											suggestedMentorsBlock+='<h6 class="name-truncate"><b>'+name+'</b></h6>\
										</a>\
										<div class="name-truncate">'+professional+'</div>\
										<a href="javascript:void(0);" class="btn btn-outline btn-sm" onclick="sendMentorsRequest(this,'+id+')"><i class="pe-7s-add-user pe-lg pe-va"></i> Send Request</a>\
									</div>\
								</div>';
	return suggestedMentorsBlock;
}

function sendMentorsRequest(btn,user_id){
	$(btn).empty().append('<i class="fa fa-check"></i> Request sent');
	$(btn).addClass("disabled");
	$.ajax({
		url			:appObj.siteUserControllerUrl+'sendMentorsRequest',
		data		:{user_id:user_id},
		type		:'POST',
		dataType	:'json',
		success		:function(data){
			if(data == 1){
				getSentMentorsRequest();
				sendNotifications(user_id,"mentorsRequest");
			}
		}
	});
}

function getSentMentorsRequest(){
	var i;
	var sendRequest = '';
	$.ajax({
		url			: appObj.siteUserControllerUrl+'getSentMentorsRequest',
		dataType	: 'json',
		success		: function(data){
			if(data.length > 0){
				for(i=0;i<data.length;i++){
					sendRequest += displaySentMentorsRequest(data[i].id,data[i].name,data[i].professional_headline,data[i].profile_img_small,data[i].user_login_type,data[i].ethinicity_country_code,data[i].cover_photo);
				}
				$('.send-request-mentors').empty().append(sendRequest);
			}
			else{
				$('.send-request-mentors').empty().append('<p class="col-sm-12">No requests sent.</p>');
			}
		}
	});
}

function displaySentMentorsRequest(id,name,professional,imagepath,loginType,ethinicity_country_code,cover_photo){
	var requestSendBlock = '';
		requestSendBlock = '<div class="col-xs-12">\
								<div class="mentors-block">';
									requestSendBlock+="<a href='javascript:void(0);' onclick='displayPublicProfile("+id+",\""+imagepath+"\",\""+cover_photo+"\","+loginType+",\""+name+"\",\""+professional+"\",\""+ethinicity_country_code+"\");'>";
										requestSendBlock+='<img class="img-responsive" src="'+generateUserImg(imagepath,loginType,50,50)+'" alt="Img" width="50" title="'+name+'" onerror="loadingImageError(this);">\
									</a>';
									requestSendBlock+="<a href='javascript:void(0);' onclick='displayPublicProfile("+id+",\""+imagepath+"\",\""+cover_photo+"\","+loginType+",\""+name+"\",\""+professional+"\",\""+ethinicity_country_code+"\");'>";
										requestSendBlock+='<h6 class="name-truncate"><b>'+name+'</b></h6>\
									</a>\
									<div class="name-truncate">'+professional+'</div>\
									<a href="javascript:void(0);" class="sentMentorsRequset'+id+'" onclick="cancelSentMentorsRequest(this,'+id+');">Cancel request</a>\
								</div>\
							</div>';
	return requestSendBlock;
}

function cancelSentMentorsRequest(btn,user_id){
	$(btn).parent().parent().empty();
	$.ajax({
		url			:appObj.siteUserControllerUrl+'cancelSentMentorsRequest',
		type		:'POST',
		data		:{user_id:user_id},
		dataType	:'json',
	});
}

function getAllMyMentors(loadType){
	$(".my-mentors .col-xs-12:last-child").after('<img class="mentors-load" src="'+appObj.siteUrl+'assets/images/comments-loader.gif">');
	$.ajax({
		url      : appObj.siteUserControllerUrl+'getAllMyMentors',
		type     :'POST',
		data     :{noOfMentorsLoaded:myMentorsObj.noOfMentorsLoaded,noOfMentorsToLoaded:myMentorsObj.noOfMentorsToLoaded},
		dataType : 'json',
		success  : function(data){
			if(data.length > 0){
				var i;
				var myMentors = '';
				for(i=0;i<data.length;i++){
					myMentors += displayMyMentors(data[i].id,data[i].name,data[i].professional_headline,data[i].profile_img_medium,data[i].user_login_type,data[i].ethinicity_country_code,data[i].cover_photo);
					myMentorsObj.noOfMentorsLoaded ++;
					mentorsCount = 0;
				}
				$('.my-mentors').empty().append(myMentors);
				$('.mentors-count').html('('+data.length+')');
			}
			else{
				if(loadType == 0){
					$('.my-mentors').empty().append('<div class="col-sm-12"><div class="hpanel"><div class="panel-body">Please send a request to someone you may know to be your Mentor.</div></div></div>');
				}
				myMentorsObj.myMentors = false;
			}
		}
	});
} 

function displayMyMentors(id,name,professional,imagepath,loginType,ethinicity_country_code,cover_photo){
	var myMentorsBlock = '';
	myMentorsBlock += '<div class="col-xs-12">\
							<div class="mentors-block">';
								myMentorsBlock+="<a href='javascript:void(0);' onclick='displayPublicProfile("+id+",\""+imagepath+"\",\""+cover_photo+"\","+loginType+",\""+name+"\",\""+professional+"\",\""+ethinicity_country_code+"\");'>";
									myMentorsBlock+='<img class="img-responsive" src="'+generateUserImg(imagepath,loginType,70,70)+'" alt="Img" width="70" onerror="loadingImageError(this);"/>\
								</a>';
								myMentorsBlock+="<a href='javascript:void(0);' onclick='displayPublicProfile("+id+",\""+imagepath+"\",\""+cover_photo+"\","+loginType+",\""+name+"\",\""+professional+"\",\""+ethinicity_country_code+"\");'>";
									myMentorsBlock+='<h6 class="name-truncate"><b>'+name+'</b></h6>\
								</a>\
								<div class="name-truncate">'+professional+'</div>\
								<a class="btn btn-outline btn-sm connected'+id+'" onclick="addNewMessage(this,1);" userName="'+name+'" userId="'+id+'"><i class="fa fa-envelope"></i> Send message</a>\
							</div>\
						</div>';
	return myMentorsBlock;
}

function getAllPendingMentors(){
	$.ajax({
		url				: appObj.siteUserControllerUrl+'getAllPendingMentors',
		dataType		: 'json',
		success			: function(data){
			if(data.length > 0){
				var i;
				var pendingMentors = '';
				for(i=0;i<data.length;i++){
					pendingMentors += '<div class="col-xs-12">\
											<div class="mentors-block">';
												pendingMentors+="<a href='javascript:void(0);' onclick='displayPublicProfile("+data[i].id+",\""+data[i].profile_img_small+"\",\""+data[i].cover_photo+"\","+data[i].user_login_type+",\""+data[i].name+"\",\""+data[i].professional_headline+"\",\""+data[i].ethinicity_country_code+"\");'>";
													pendingMentors+='<img class="img-responsive pull-left" src="'+generateUserImg(data[i].pendingMentors,data[i].user_login_type,50,50)+'" alt="Img" width="50" onerror="loadingImageError(this);">\
												</a>';
												pendingMentors+="<a href='javascript:void(0);' onclick='displayPublicProfile("+data[i].id+",\""+data[i].profile_img_small+"\",\""+data[i].cover_photo+"\","+data[i].user_login_type+",\""+data[i].name+"\",\""+data[i].professional_headline+"\",\""+data[i].ethinicity_country_code+"\");'>";
													pendingMentors+='<h6><b>'+data[i].name+'</b></h6>\
												</a>\
												<div class="name-truncate">'+data[i].professional_headline+'</div>\
												<a href="javascript:void(0);" class="m-r-xs" onclick="acceptPendingMentors(this,'+data[i].id+');">Accept</a> | \
												<a href="javascript:void(0);" onclick="rejectPendingMentors(this,'+data[i].id+');">Reject</a>\
											</div>\
										</div>';
					
				}
				$('.pending-mentors').empty().append(pendingMentors);
				$(".pending-count, .requests-count").html('('+data.length+')');
			}
			else{
				$('.pending-mentors').empty().append('<div class="col-sm-12">No received requests.</div>');
			}
		}
	});
}

function acceptPendingMentors(btn,user_id){
	$(btn).parent().parent().empty();
	$.ajax({
		url			:appObj.siteUserControllerUrl+'acceptPendingMentors',
		type		:'POST',
		data		:{user_id:user_id},
		dataType	:'json',
		success		:function(data){
			if(data == 1){
				mentorsNotifications(user_id);
			}
		}
	});
}

function rejectPendingMentors(btn,user_id){
	$(btn).parent().parent().empty();
	$.ajax({
		url			:appObj.siteUserControllerUrl+'rejectPendingMentors',
		type		:'POST',
		data		:{user_id:user_id},
		dataType	:'json',
	});
}

function mentorsNotifications(user_id){
	$.ajax({
		url			:appObj.siteUserControllerUrl+'mentorsNotifications',
		type		:'POST',
		data		:{user_id:user_id},
		dataType	:'json',
	});
}

var suggestedCount = 0;
var mentorsCount = 0;
$(window).scroll(function(){
	if(appObj.pageName == "mymentors"){
		var activeTab = $(".connection-menu-mentors li.active").index() + 1;
		if(activeTab == 1){
			if($(window).scrollTop() + $(window).height() > $(document).height() - 300){
				if(suggestedCount == 0){
					getAllSuggestedMentors(1);
					suggestedCount = 1;
				}
			}
		}
		else if(activeTab == 2){
			if($(window).scrollTop() + $(window).height() > $(document).height() - 300){
				if(mentorsCount == 0){
					getAllMyMentors(1);
					mentorsCount = 1;
				}
			}
		}
	}
});

$(document).on('keyup', "input[name=search-mentors]", function(){
	var inputValue = $(this).val();
	if(inputValue != '' && inputValue.length > 2){
		$(".suggested-mentors").hide();
		$.ajax({
			type   	 	: 'POST',
			url     	: appObj.siteUserControllerUrl+'getAllSearchMentors',
			dataType 	: 'json',
			data    	: {searchValue:inputValue},
			success 	: function(data){
				var searchResults = "";
					if(data.length > 0){
						for(i=0;i<data.length;i++){
							searchResults += displaySuggestedMentors(data[i].id,data[i].name,data[i].professional_headline,data[i].profile_img_medium,data[i].user_login_type,data[i].ethinicity_country_code,data[i].cover_photo);
						}
					}
					else{
						searchResults+='<div class="col-sm-12">You have no mentors found.</div>';
					}
				$(".mentors-search-results").empty().append(searchResults);
				$(".search-mentors-close").show();
			}
		});	
	}
	else{
		$(".mentors-search-results").empty();
		$(".suggested-mentors").show();
		$(".search-mentors-close").hide();
	}
});

function searchMentorsClose(){
	$("input[name=search-mentors]").val("");
	$(".search-mentors-close").hide();
	$(".mentors-search-results").empty();
	$(".suggested-mentors").show();
}