var postDetailJS = '';

postDetailPageInitalize();
function postDetailPageInitalize(){
	postDetailPageContaient();
	postDetail(getUrlVars()["postId"]);
}

function getUrlVars() {
    var vars = {};
    var parts = window.location.href.replace(/[?&]+([^=&]+)=([^&]*)/gi, function(m,key,value) {
    vars[key] = value;
    });
	return vars;
}

function postDetailPageContaient(){
	$('#secondary-page').empty().append('<div class="row">\
									<div class="col-sm-6">\
										<div class="post-detail"></div>\
									</div>\
								</div>');
} 

function postDetail(postId){
	$.ajax({
		type		:'POST',
		url    	 	: appObj.siteUserControllerUrl+'getPostDetails',
		data		:{postId:postId},
		dataType 	: 'json',
		success 	: function(data){
			var postValues ='';
			var str = data.post_text;
			var regex = /(\b(https?|ftp|file):\/\/[-A-Z0-9+&@#\/%?=~_|!:,.;]*[-A-Z0-9+&@#\/%=~_|])/ig;
			var replaced_text = str.replace(regex, "<a class='btn-link' href='$1' target='_blank' style='color:#3b5998;'>$1</a>");
				var pics = [];
				postValues+='<div class="panel panel-default">\
								<div class="panel-body status">\
									<div class="who clearfix">\
										<a href="javascript:void(0);" onclick="getPublicProfileDetails('+data.user_id+')">\
											<img src="'+generateUserImg(data.profile_img_small,data.user_login_type,40,40)+'" width="40px;" alt="img" class="online">\
										</a>\
											<span class="name"><b><a href="javascript:void(0);" onclick="getPublicProfileDetails('+data.user_id+')">'+data.name+'</a></b>';
											if(data.ethinicity_country_code != ''){
												var ethinicity_flag = data.ethinicity_country_code.split(',');
												ethinicity_flag.forEach(function(item){
													postValues+='<img class="post-flag m-l-xs" src="assets/images/country-flags/16x16/'+item+'.png">';
												});
											}
											if(data.share == 1 && data.post_type == 0){
												postValues+=' shared a post';
											}
											postValues+='<span class="m-r-xs pull-right post-time">'+convertPostDateFormat(data.created_date.replace(/-/g, "/"))+'</span>\
										</span>\
										<span class="post-professional text-muted">'+data.professional_headline+'</span>\
									</div>\
									<div class="text">';
										if(data.share == 0){
											if(data.post_text !=''){
												postValues+='<p>'+replaced_text+'</p>';
											}
											if(data.post_img != ''){
												var img = data.post_img.split(',');
												postValues+='<div id="gallery"></div>';
												img.forEach(function(item,index){
													pics[index] = appObj.baseUrl+'assets/images/post/'+item;
												});
											}
										}
										else if(data.share == 1 && data.meta_tag_title == ''){
											postValues+='<div class="share-text-block">\
												<div class="share-image">';
													if(data.post_img != ''){
														var img = data.post_img.split(',');
														postValues+='<div id="gallery"></div>';
														img.forEach(function(item,index){
															pics[index] = appObj.baseUrl+'assets/images/post/'+item;
														});
													}
													else if(data.image_link != ''){
														postValues+= '<img class="img-responsive center-block" src="'+data.image_link+'">';
													}
												postValues+= '</div>\
												<div class="p-xxs">';
													if(data.post_text !=''){
														postValues+='<p>'+replaced_text+'</p>';
													}
													if(data.description != ''){
														postValues+= '<div class="description">'+data.description+'</div>';
													}
												postValues+='</div>\
											</div>';
										}
										if(data.meta_tag_title != ''){
											postValues+= '<div class="meta-tag-block" id="metaTag'+data.id+'">\
												<a href="'+data.meta_tag_link+'" target="_blank">';
													if(data.meta_tag_img != ''){
														postValues+='<img src="'+data.meta_tag_img+'" class="img-responsive center-block">';
													}
													postValues+='<div class="p-xxs">';
														postValues+= '<p>'+data.meta_tag_title+'</p>';
														if(data.meta_tag_desc != ''){
															postValues+= '<div class="description">'+data.meta_tag_desc+'</div>';
														}
													postValues+= '</div>\
												</a>\
											</div>';
										}
									postValues+='</div>\
								</div>\
							</div>';
			$(".post-detail").empty().append(postValues);
			$('#gallery').imagesGrid({
				images: pics,
				align: true,
				getViewAllText: function(imgsCount){
					return '+' + (imgsCount - 5);
				}
			});
		}
	});
	
}

function changeDateFormat(date){
	var monthNames = ["January", "February", "March", "April", "May", "June",
	"July", "August", "September", "October", "November", "December" ];
	var month_value = new Date(date).getMonth();
	var hours = new Date(date).getHours();
	var ampm = (hours >= 12) ? "pm" : "am";
	var getHour = ((hours + 11) % 12 + 1);
	var time = getHour+":"+("0"+ new Date(date).getMinutes()).slice(-2)+" "+ampm;
	return monthNames[month_value]+" "+new Date(date).getDate()+" at "+time;
}