var profileJS = '';

profilePageInitalize();
function profilePageInitalize(){
	profilePageContent();
	getUserInfoValues();
	getProfessionalProfile();
	getMyProfileConnections();
	getUserTimeline();
	getProfileStrength();
	buildResumeBlock();
	
	if(isMobileApp()){
		GARecored('Profile');
	}
}

function profilePageContent(){
	$('#secondary-page').empty().append('<div class="page-loading"><img class="center-block" src="assets/images/ajax-loader.gif" width="90"></div>\
										<div class="profile-page" style="display:none;">\
											<div class="public-profile-content">\
												<div class="row">\
													<div class="col-sm-12">\
														<div class="profile-cover">\
															<div id="myCarousel" class="carousel fade profile-carousel">\
																<div class="air air-top-right update-cover-photo-btn p-xs">\
																	<label for="cropper-input" title="Update Cover Photo"><i class="fa fa-camera fa-lg"></i></label>\
																</div>\
																<div class="air air air-bottom-right p-xs">\
																	<button type="button" class="btn btn-primary btn-sm save-cover-photo" style="display:none;">Save Changes</button>\
																</div>\
																<form id="cover-photo">\
																	<input id="cropper-input" type="file" class="cropit-image-input">\
																	<div class="cropit-image-preview"><span class="profile-cover-pic"></span></div>\
																	<input type="hidden" name="cover-image"/>\
																	<div class="image-editor-cancel" title="Cancel">+</div>\
																</form>\
															</div>\
														</div>\
													</div>\
												</div>\
												<div class="row">\
													<div class="col-sm-12">\
														<div class="user-main-info">\
															<div class="user-pic">\
																<img class="user-img" src="" width="120px;" onerror="loadingImageError(this);">\
																<a href="javascript:void(0);" class="edit-intro" onclick="editIntro();"><i class="fa fa-2x fa-pencil"></i></a>\
															</div>\
															<div>\
																<h4 class="text-center"><span class="username"></span></h3>\
																<div class="mobile-ethinic-flag"></div>\
																<h5 class="text-center"><b><span class="headline"></span></b></h5>\
																<h5 class="text-center"><span class="livingcity"></span></h5>\
																<span class="livingstate"></span>\
																<span class="livingcountry"></span>\
																<span class="phone_no"></span>\
															</div>\
														</div>\
														<div class="premium-profile" style="display:none;"></div>\
														\
														<div class="profile-main-widget">\
															<ul class="nav nav-tabs profile-tab">\
																<li class="active">\
																	<a href="#professionalProfile" data-toggle="tab"><span class="profile-tab-icon"><i class="pe-7s-notebook"></i></span><span class="profile-tab-title">Professional</span> </a>\
																</li>\
																<li>\
																	<a href="#aboutMe" data-toggle="tab"><span class="profile-tab-icon"><i class="pe-7s-user"></i></span> About <div class="profile-tab-hide">Me</div></a>\
																</li>\
																<li>\
																	<a href="#connections" data-toggle="tab"><span class="profile-tab-icon"><i class="pe-7s-add-user"></i></span> <span class="profile-tab-title">Connections</span></a>\
																</li>\
																<li>\
																	<a href="#timeline" data-toggle="tab"><span class="profile-tab-icon"><i class="pe-7s-news-paper"></i></span> Timeline</a>\
																</li>\
															</ul>\
															<div class="tab-content p-xs">\
																<div class="tab-pane fade in active" id="professionalProfile">\
																	<div class="info-border new-border">\
																		<h4>Professional Summary</h4>\
																		<p class="info-select prof-summary-data">Loading...</p>\
																	</div>\
																	<div class="info-border new-border">\
																		<h4>Experience</h4>\
																		<div class="info-select"><div class="experience-content"></div><button class="btn btn-primary btn-sm" onclick="addExperience();">Add <i class="fa fa-plus"></i></button><br></div>\
																	</div>\
																	<div class="info-border new-border">\
																		<h4>Skills</h4>\
																		<div class="info-select skills-data">Loading...</div>\
																	</div>\
																	<div class="info-border new-border" style="border:0!important;">\
																		<h4>Education</h4>\
																		<div class="info-select">\
																			<div class="education_datail"></div>\
																			<button class="btn btn-primary btn-sm" onclick="addEducation();" >Add <i class="fa fa-plus"></i></button>\
																		</div>\
																	</div>\
																</div>\
																<div class="tab-pane fade" id="aboutMe">\
																	<div class="info-border new-border">\
																		<h4>Ethnicity</h4>\
																		<p class="info-select ethnicity-data">\
																			<button class="btn btn-primary btn-sm">Add <i class="fa fa-plus"></i></button>\
																		</p>\
																	</div>\
																	<div class="info-border new-border">\
																		<h4>Educational Level</h4>\
																		<p class="info-select education-level-data">\
																			<button class="btn btn-primary btn-sm">Add <i class="fa fa-plus"></i></button>\
																		</p>\
																	</div>\
																	<div class="info-border new-border">\
																		<h4>Hobbies</h4>\
																		<div class="info-select hobbies-data">Loading...</div>\
																	</div>\
																	<div class="info-border new-border">\
																		<h4>Occupation</h4>\
																		<p class="info-select occupation-data">\
																			<button class="btn btn-primary btn-sm">Add <i class="fa fa-plus"></i></button>\
																		</p>\
																	</div>\
																		<div class="info-border new-border">\
																		<h4>Occupational Group</h4>\
																		<p class="info-select occupation-group-data">\
																			<button class="btn btn-primary btn-sm">Add <i class="fa fa-plus"></i></button>\
																		</p>\
																		<p class="info-select occupation-subgroup-data"></p>\
																	</div>\
																	<div class="info-border new-border">\
																		<h4>Languages</h4>\
																		<p class="info-select languages-data">\
																			<button class="btn btn-primary btn-sm">Add <i class="fa fa-plus"></i></button>\
																		</p>\
																	</div>\
																	<div class="info-border new-border" style="border:0!important;">\
																		<h4>Basic Info</h4>\
																		<p class="info-select basic-info-data"></p>\
																		<span class="dob-info-data"></span>\
																		<span class="date-info-status"></span>\
																		<span class="year-info-status"></span>\
																	</div>\
																</div>\
																<div class="tab-pane fade" id="connections">\
																	<div class="my-profile-connections"></div>\
																	<div class="view-all"></div>\
																</div>\
																<div class="tab-pane fade" id="timeline">\
																	<div class="row">\
																		<div class="col-sm-10">\
																			<div class="user-timeline"></div>\
																		</div>\
																	</div>\
																</div>\
															</div>\
														</div>\
														\
														<div class="upload-block">\
															<div class="hpanel">\
																<div class="panel-heading hbuilt">\
																	<h5>Upload your resume</h5>\
																</div>\
																<div class="panel-body">\
																	<form class="smart-form" enctype="multipart/form-data" method="post" id="upload-resume">\
																		<section>\
																			<label class="upload-title">Upload Microsoft Word,PDF,text, or HTML files of up to 1 MB. </label>\
																			<div class="input input-file">\
																				<span class="button"><input type="file" name="resume" id="resume" onchange="this.parentNode.nextSibling.value = this.value.substring(12)">Browse</span><input type="text" readonly="" class="form-control">\
																			</div>\
																		</section>\
																		<button type="button" class="btn btn-primary btn-sm pull-left upload-resume" id ="upload-btn" onclick="resumeSave();">Upload</button>\
																		<div class="resume-success pull-left"><span class="upload-error" style="display:none;"> Please upload Microsoft Word or PDF files of up to 1 MB.</span></div>\
																	</form>\
																</div>\
															</div>\
														</div>\
														<div class="profile-strength" style="display:none;"></div>\
													</div>\
												</div>\
											</div>\
										</div>');
	getLoginStatusProfile();
}

function getUserInfoValues(){
	$.ajax({
		type     : 'POST',
		url      : appObj.siteUserControllerUrl+'getUserInfoDetails',
		dataType : 'json',
		success  : function(data){
			if(data.professional_summary){
				$(".prof-summary-data").empty().append("<span>"+data.professional_summary+'</span><a class="profile-edit" href="javascript:void(0);" onclick="addProfessionalSummary(1);"><span class="fa fa-pencil fa-lg"></span></a>');
			}
			else{
				$(".prof-summary-data").empty().append('<button class="btn btn-primary btn-sm" onclick="addProfessionalSummary(0);">Add <i class="fa fa-plus"></i></button>');
			}
			
			if(data.living_city && data.living_state){
				$('.livingcity').empty().append('<input name="livingcity" type="hidden" value="'+data.living_cityid+'">'+data.living_city+', '+data.living_state+', '+data.living_country);
				
				$('.livingstate').empty().append('<input name="livingstate" type="hidden" value="'+data.living_stateid+'">');
				$('.livingcountry').empty().append('<input type="hidden" value="'+data.living_countryid+'">');
			}
			
			if(data.ethinicity){
				$(".ethnicity-data").empty().append(data.ethinicity.split(',').join(', ')+'<input type="hidden" value="'+data.ethinicity_id+'"><a class="profile-edit" onclick="editEthnicity(1);" href="javascript:void(0);"><span class="fa fa-pencil fa-lg"></span></a>');				
				var ethinicity_flag = data.ethinicity_flag.split(',');
				$(".ethinic-flag, .mobile-ethinic-flag").empty();
				ethinicity_flag.forEach(function(item){
					$(".ethinic-flag, .mobile-ethinic-flag").append('<img src="assets/images/country-flags/24x24/'+item+'.png">');
				});
			}
			else{
				$(".ethnicity-data").empty().append('<button class="btn btn-primary btn-sm" onclick="editEthnicity(0);">Add <i class="fa fa-plus"></i></button>');
				$(".ethinic-flag, .mobile-ethinic-flag").empty();
			}
			if(data.educational_level){
				$(".education-level-data").empty().append(data.educational_level+'<input type="hidden" value="'+data.educationallevel_id+'"><a class="profile-edit" onclick="editEducationlevel(1);" href="javascript:void(0);"><span class="fa fa-pencil fa-lg"></span></a>');
			}
			else{
				$(".education-level-data").empty().append('<button class="btn btn-primary btn-sm" onclick="editEducationlevel(0);">Add <i class="fa fa-plus"></i></button>');
			}
			if(data.occupation){
				$(".occupation-data").empty().append(data.occupation.split(',').join(', ')+'<input type="hidden" value="'+data.occupation_id+'"><a class="profile-edit" onclick="editOccupation(1);" href="javascript:void(0);"><span class="fa fa-pencil fa-lg"></span></a>');
			}
			else{
				$(".occupation-data").empty().append('<button class="btn btn-primary btn-sm" onclick="editOccupation(0);">Add <i class="fa fa-plus"></i></button>');
			}
			if(data.occupational_group){
				$(".occupation-group-data").empty().append("<span><b>"+data.occupational_group+'</b></span><input type="hidden" value="'+data.occupationalgroup_id+'"><a class="profile-edit" onclick="editOccupationalGroup(1);" href="javascript:void(0);"><span class="fa fa-pencil fa-lg"></span></a>');
				if(data.occupational_subgroup){
					$(".occupation-subgroup-data").empty().append(data.occupational_subgroup.split(',').join(', ')+'<input type="hidden" value="'+data.occupationalsubgroup_id+'">');
				}
			}
			else{
				$(".occupation-group-data").empty().append('<button class="btn btn-primary btn-sm" onclick="editOccupationalGroup(0);">Add <i class="fa fa-plus"></i></button>');
			}
			if(data.languages_list){
				$(".languages-data").empty().append(data.languages_list.split(',').join(', ')+'<input type="hidden" value="'+data.languages_list_id+'"><a class="profile-edit" onclick="editLanguages(1);" href="javascript:void(0);"><span class="fa fa-pencil fa-lg"></span></a>');
			}
			else{
				$(".languages-data").empty().append('<button class="btn btn-primary btn-sm" onclick="editLanguages(0);">Add <i class="fa fa-plus"></i></button>');
			}
			
			if(data.hobbies){
				buildHobbiesBlock(1,data.hobbies);
			}
			else{
				buildHobbiesBlock(0,'');
			}
			
			if(data.gender == 1){
				gender = "Female";
			}
			else if(data.gender == 2){
				gender = "Male";
			}
			if(data.dob != "" && data.gender != ""){
				var date = new Date(data.dob.replace(/-/g, "/"));
				var months = ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December']
				var monthString = months[new Date(data.dob.replace(/-/g, "/")).getMonth()];
				var formatted = " "+monthString+" " +("0" + date.getDate(data.dob)).slice(-2)+ ", " +date.getFullYear(data.dob);
				$(".basic-info-data").empty().append('<b>Date of birth :</b> '+formatted+'<br><b>Gender :</b> '+gender+'<input type="hidden" value="'+data.gender+'"><a class="profile-edit" onclick="editBasicInfo(1);" href="javascript:void(0);"><span class="fa fa-pencil fa-lg"></span></a>');
				$(".dob-info-data").empty().append('<input type="hidden" value="'+data.dob+'">');
				
				var profilePrivacyData = [];
				profilePrivacyData = JSON.parse(data.public_profile_privacy);
				var myArr = profilePrivacyData[1];
				result = myArr.split(',');
				$(".date-info-status").empty().append('<input type="hidden" value="'+result[0]+'">');
				$(".year-info-status").empty().append('<input type="hidden" value="'+result[1]+'">');
			}
			else{
				$(".basic-info-data").empty().append('<button class="btn btn-primary btn-sm" onclick="editBasicInfo(0);">Add <i class="fa fa-plus"></i></button>');
			}
			
		}
	});
}

function getLoginStatusProfile(){
	$.getJSON(appObj.siteUserControllerUrl+'getUserDetails',function(data){
		if(data.id != 0){
			profilePageInit(data); 
			premiumProfileBlock(data);
			$(".profile-page").show();
			$(".page-loading").remove();
		}
		else{
			window.location.href = "#page=login";
		}	
	});
}

function profilePageInit(userData){
	var profile_img_medium = userData.profile_img_medium;
	if(profile_img_medium.indexOf("?") > 1){
		profile_img_medium = profile_img_medium+"&ts="+new Date().getTime();
	}
	else{
		profile_img_medium = profile_img_medium+"?ts="+new Date().getTime();
	}
	$('.user-pic .user-img, .profile-images img').attr('src',generateUserImg(profile_img_medium,userData.user_login_type,120,120));

	if(userData.cover_photo){
		$('.profile-cover-pic').empty().append('<img src="'+appObj.baseUrl+'assets/images/cover/'+userData.cover_photo+'?ts='+new Date().getTime()+'">');
		$(".profile-cover-pic, .update-cover-photo-btn").show();
		$(".save-cover-photo").hide();
	}
	else{
		$('.profile-cover-pic').empty().append('<img src="assets/images/default-cover.png">');
	}

	if(userData.ethinicity == "" && userData.professional_headline == "" && userData.living_city == ""){
		registrationForm();
	}
	
	$('.username').html(userData.name);
	if(userData.professional_headline){
		$('.headline').empty().append(userData.professional_headline);
	}
	$('.phone_no').html('<input type="hidden" value="'+userData.phone_no+'">');
}

function editIntro(){
	var name = $(".username").text();
	var headline = $(".headline").text();
	var phone_no = $(".phone_no input").val();
	var photo = $(".user-img").attr("src");
	var editIntroModal = '';
		editIntroModal += '<div id="commonModal">\
							<div class="common-modal-content">\
								<div class="header">\
									<div class="breadcrumb-title"><a class="btn-link" href="javascript:void(0);" onclick="closeCommonModal();"><i class="fa fa-3x fa-angle-left"></i></a> <span>Edit intro</span><a href="javascript:void(0);" class=" create-link" onclick="saveEditIntro();">Save</a></div>\
								</div>\
								<div class="edit-intro-block">\
								<form class="p-xs" id="editIntroForm" autocomplete="off">\
									<div class="form-group text-center">\
										<label>Profile photo</label>\
										<div class="edit-photo-block">\
											<input id="cropper-profile" type="file" class="cropit-image-input">\
											<div class="cropit-image-preview">\
												<img class="profile-img" src="'+photo+'" onerror="loadingImageError(this);">\
											</div>\
											<label for="cropper-profile"><span class="edit-photo-icon"><i class="fa fa-2x fa-pencil"></i></span></label>\
											<input type="hidden" name="profile-image"/>\
										</div>\
									</div>\
									<div class="form-group">\
										<label>Name</label>\
										<input type="text" class="form-control" name="username" value="'+name+'">\
									</div>\
									<div class="form-group">\
										<label>Headline</label>\
										<input type="text" class="form-control" name="headline"  value="'+headline+'">\
									</div>\
									<div class="form-group">\
										<label>Country</label>\
										<select class="form-control m-b-xs" onchange="getStates(this.value,2);" name="living_country">\
											<option value="0">Select a Country</option>\
										</select>\
										<select class="form-control m-b-xs" onchange="getCities(this.value,2);" name="living_state">\
											<option value="0">Select a State</option>\
										</select>\
										<select class="form-control" name="living_city">\
											<option value="0">Select a City</option>\
										</select>\
									</div>\
									<div class="form-group">\
										<label>Phone</label>\
										<input type="text" class="form-control" name="phone" value="'+phone_no+'">\
									</div>\
								</form>\
								</div>\
							</div>\
						</div>';
	$("body").append(editIntroModal);
	$("body").addClass("body-disabled");
	getEditCountry();
	editProfilePhoto();
}

// Edit Photo
function editProfilePhoto(){
	$('.edit-photo-block').cropit({
		onImageLoaded:function(data){
			$(".edit-photo-block .profile-img").hide();
		},
		smallImage	: 'allow',
		width		: 130,
		height		: 130
	});
}

function getEditCountry(){
	$.ajax({
		url      : appObj.siteUserControllerUrl+'getAllCountries',
		dataType : 'json',
		success  : function(data){
			var dropDownValues = '';
				dropDownValues+='<option value="0">Select a Country</option>';
				var editCountryId = $(".livingcountry input").val();
				$.each(data.fields,function(index,fields){
					if(editCountryId){
						if(editCountryId == fields.id){
							dropDownValues+='<option value='+fields.id+' selected>'+fields.name+'</option>';
						}
						else{
							dropDownValues+='<option value='+fields.id+'>'+fields.name+'</option>';
						}
					}
					else{
						dropDownValues+='<option value='+fields.id+'>'+fields.name+'</option>';
					}
				});
				$("select[name=living_country]").empty().append(dropDownValues);
				getEditStates();
				getEditCities();
		}
	});
}

function getEditStates(){
	var countryId = $(".livingcountry input").val();
	if(countryId != 0){
		var dropDownValues = '';
		$.ajax({
				type		:'POST',
				url     	: appObj.siteUserControllerUrl+'getAllStates',
				dataType 	: 'json',
				data		: {data:countryId},
				success		: function(data){
					var stateId = $(".livingstate input").val();
					$.each(data.fields,function(index,fields){
						if(stateId == fields.id){
							dropDownValues+='<option value='+fields.id+' selected>'+fields.name+'</option>';
						}
						else{
							dropDownValues+='<option value='+fields.id+'>'+fields.name+'</option>';
						}
					});
					$("select[name=living_state]").empty().append(dropDownValues);
				}
			});
	}
	else{
		$("select[name=living_state]").empty().append('<option value="0">Select a State</option>');
	}
}

function getEditCities(){
	var stateId = $(".livingstate input").val();
	if(stateId != 0){
		var dropDownValues='';
		$.ajax({
				type		:'POST',
				url     	: appObj.siteUserControllerUrl+'getAllCities',
				dataType 	: 'json',
				data		: {data:stateId},
				success		: function(data){
					var cityId = $(".livingcity input").val();
					$.each(data.fields,function(index,fields){
						if(cityId == fields.id){
							dropDownValues+='<option value='+fields.id+' selected>'+fields.name+'</option>';
						}
						else{
							dropDownValues+='<option value='+fields.id+'>'+fields.name+'</option>';
						}
					});
					$("select[name=living_city]").empty().append(dropDownValues);
				}
			});
	}
	else{
		$("select[name=living_city]").empty().append('<option value="0">Select a City</option>');
	}
}

function getStates(countryId){
	$("select[name=living_state]").empty().append('<option value="0">Select a State</option>');
	if(countryId == 0){
		$("select[name=living_city]").empty().append('<option value="0">Select a City</option>');
	}
	else{
		$.ajax({
			type		:'POST',
			url     	: appObj.siteUserControllerUrl+'getAllStates',
			dataType 	: 'json',
			data		: {data:countryId},
			success		: function(data){
				var dropDownValues = '';
				dropDownValues+='<option value="0">Select a State</option>';
				$.each(data.fields,function(index,fields){
					dropDownValues+='<option value='+fields.id+'>'+fields.name+'</option>';
				});
				$("select[name=living_state]").empty().append(dropDownValues);
			}
		});
	}
}

function getCities(stateId){
	$.ajax({
		type		:'POST',
		url     	: appObj.siteUserControllerUrl+'getAllCities',
		dataType 	: 'json',
		data		: {data:stateId},
		success		: function(data){
			var dropDownValues='';
			$.each(data.fields,function(index,fields){
				dropDownValues+='<option value='+fields.id+'>'+fields.name+'</option>';
			});
			$("select[name=living_city]").empty().append(dropDownValues);
		}
	});
}

function saveEditIntro(){
	var name = $("input[name=username]").val();
	var headline = $("input[name=headline]").val();
	
	var image, file;
	var _URL = window.URL || window.webkitURL;
	if ((file = $('#cropper-profile')[0].files[0])){
		image = new Image();
		image.onload = function(){
			if(this.width <= 500){
				$(".edit-photo-block").after('<span class="photo-error">Please choose a photo that\'s at least 500 pixels wide.</span>');
				$('.photo-error').delay(2000).fadeOut('slow');		
			}
			else{
				saveIntroData();
			}
		};
		image.src = _URL.createObjectURL(file);
	}
	else if(name == ""){
		$("#editIntroForm input[name=username]").after('<span class="error">Please enter a name.</span>');
		$('#editIntroForm .error').delay(2000).fadeOut('slow');
	}
	else if(headline == ""){
		$("#editIntroForm input[name=headline]").after('<span class="error">Please enter a headline.</span>');
		$('#editIntroForm .error').delay(2000).fadeOut('slow');
	}
	else{
		saveIntroData();
	}
}

function saveIntroData(){
	var imageData = $('#editIntroForm .edit-photo-block').cropit('export',{type: 'image/jpeg',quality: .9,originalSize: true});
	$('input[name=profile-image]').val(imageData);
	$(".edit-photo-block .profile-img").hide();
	var data = new FormData($("#editIntroForm")[0]);
	$.ajax({
		type			:"POST",
		url   			:appObj.siteUserControllerUrl+'saveEditIntro',
		dataType		:"html",
		data			:data,
		contentType		:false,
		processData		:false,
		success			:function(data){
			if(data == 1){
				$("#commonModal").remove();
				getUserPersonalDetails();
			}
		}
	});
}

function getUserPersonalDetails(){
	$.ajax({
		type     : 'POST',
		url      : appObj.siteUserControllerUrl+'getUserPersonalDetails',
		dataType : 'json',
		success  : function(data){
			$('.username').html(data.name);
			if(data.professional_headline){
				$('.headline').empty().append(data.professional_headline);
			}
			$('.phone_no').html('<input type="hidden" value="'+data.phone_no+'">');
	
			if(data.living_city && data.living_state){
				$('.livingcity').empty().append('<input name="livingcity" type="hidden" value="'+data.living_cityid+'">'+data.living_city+', '+data.living_state+', '+data.living_country);
				
				$('.livingstate').empty().append('<input name="livingstate" type="hidden" value="'+data.living_stateid+'">');
				$('.livingcountry').empty().append('<input type="hidden" value="'+data.living_countryid+'">');
			}
			var profile_img_medium = data.profile_img_medium;
			if(profile_img_medium.indexOf("?") > 1){
				profile_img_medium = profile_img_medium+"&ts="+new Date().getTime();
			}
			else{
				profile_img_medium = profile_img_medium+"?ts="+new Date().getTime();
			}
			$('.user-pic .user-img, .profile-images img').attr('src',generateUserImg(profile_img_medium,data.user_login_type,120,120));
			
			if(data.cover_photo){
				$('.profile-cover-pic').empty().append('<img src="'+appObj.baseUrl+'assets/images/cover/'+data.cover_photo+'?ts='+new Date().getTime()+'">');
				$(".profile-cover-pic, .update-cover-photo-btn").show();
				$(".save-cover-photo").hide();
			}
			else{
				$('.profile-cover-pic').empty().append('<img src="assets/images/default-cover.png">');
			}
		}
	});
}

function getProfileStrength(){
	$.ajax({
		type		:'POST',
		url	  		:appObj.siteUserControllerUrl+'profileStrength',
		dataType	:'json',
		success		:function(data){
			var numberOfProperty = Object.keys(data).length;
			var j = 0;
			for(var i=0; i<numberOfProperty; i++){
				if(data[Object.keys(data)[i]] == 0){
					j++;
				}
			}
			var total_record = numberOfProperty-j;
			var received_number = ((total_record*100)/numberOfProperty);
			var received_number1 = parseInt(received_number,10);
			var profileStrength ='';
				profileStrength+='<h4>Profile Strength</h4>\
									<div class="progress m-t-sm full">';
										if (received_number1 >= 90) {
										profileStrength+='<div style="width: '+received_number1+'%" aria-valuemax="100" aria-valuemin="0" role="progressbar" class="progress-bar progress-bar-info">'+received_number1+'%</div>';
										}
										else if ( received_number1 < 90 & received_number1 >= 75) {
											profileStrength+='<div style="width: '+received_number1+'%" aria-valuemax="100" aria-valuemin="0" role="progressbar" class="progress-bar progress-bar-success">'+received_number1+'%</div>';
										}
										else if ( received_number1 < 75 & received_number1 > 25) {
											profileStrength+='<div style="width: '+received_number1+'%" aria-valuemax="100" aria-valuemin="0" role="progressbar" class="progress-bar progress-bar-warning">'+received_number1+'%</div>';
										}
										else if (received_number1 <= 25) {
											profileStrength+='<div style="width: '+received_number1+'%" aria-valuemax="100" aria-valuemin="0" role="progressbar" class="progress-bar progress-bar-danger">'+received_number1+'%</div>';
										}
									profileStrength+='</div>';
			$(".profile-strength").empty().append(profileStrength);
			$(".profile-strength").show();
		}
	});
}

function premiumProfileBlock(data){
	var premiumProfile = '';
		premiumProfile +='<h4>Profile Profile</h4>\
						<p>This is private to you. update and share it.</p>\
						<div class="premium-profile-block">Loading...</div>'
	$(".premium-profile").empty().append(premiumProfile);
	if(data.public_user_name == ''){
		var name = data.name.toLowerCase();
		getSuggestionsUsername(name);
	}
	else{
		viewPremiumProfileBlock(data.public_user_name);
	}
}

function getSuggestionsUsername(name){
	$.ajax({
		type		: "POST",
		url         : appObj.siteUserControllerUrl+'getSuggestionsUsername',
		dataType	: "html",
		data		:{name:name},
		success     : function(data){
			var suggUsername = '';
			if(data != 0){
				var nameList = $.parseJSON(data);
				suggUsername+='<div class="edit-premium-profile">';
				suggUsername+='<div class="profile-link">'+appObj.baseUrl+'user/'+nameList[0]+'</div>';
				for(i=0; i<4; i++){
					if(nameList[i]){
						if([i] == 0){
							suggUsername+='<div class="radio">\
											  <label><input type="radio" name="suggestions-name" value="'+nameList[i]+'" checked>'+nameList[i]+'</label>\
											</div>';
						}
						else{				
							suggUsername+='<div class="radio">\
											  <label><input type="radio" name="suggestions-name" value="'+nameList[i]+'">'+nameList[i]+'</label>\
											</div>';
						}
					}
				};
				suggUsername+='<a href="javascript:void(0);" onclick="savePublicUserName();" class="btn btn-sm btn-primary">Save</a>';
				suggUsername+='</div>';
			}
			$(".premium-profile-block").empty().append(suggUsername);
			$(".premium-profile").show();
		}
	});
}

$(document).on("change","input[name=suggestions-name]:checked",function(){
	var selectUserName = $(this).val();
	$(".profile-link").empty().append(appObj.baseUrl+'user/'+selectUserName);
});

function viewPremiumProfileBlock(user_Name){
	var viewProfile = '';
		if(isMobileApp()){
			viewProfile+='<a class="btn btn-primary btn-sm"  url="'+appObj.baseUrl+'user/'+user_Name+'" onclick="openlink(this);" href="javascript:void(0);" >View</a>\
			<a class="btn btn-warning2 btn-sm m-r-xs" url="'+appObj.baseUrl+'user/'+user_Name+'?type=customize" onclick="openlink(this);" href="javascript:void(0);">Edit</a>';
		}
		else{
			viewProfile+='<a class="btn btn-primary btn-sm" href="'+appObj.baseUrl+'user/'+user_Name+'" target="_blank">View</a>\
			<a class="btn btn-warning2 btn-sm m-r-xs" href="'+appObj.baseUrl+'user/'+user_Name+'&type=customize" target="_blank">Edit</a>';
		}
		viewProfile+='<span class="dropup">';
			if(isMobileApp()){
				viewProfile+='<a class="btn btn-sm btn-default m-r-xs" link="'+appObj.baseUrl+'user/'+user_Name+'" onclick="socialShare(this);" href="javascript:void(0);"<i class="fa fa-share"></i> Share</a>';
			}
			else{
				viewProfile+='<a data-toggle="dropdown" class="btn btn-sm btn-default m-r-xs dropdown-toggle" href="javascript:void(0);"><i class="fa fa-share"></i> Share</a>';
				viewProfile+="<ul class='dropdown-menu'>\
								<li><a href='javascript:void(0);' onclick='premiumProfileShare(this);' type='0' userName="+user_Name+"><i class='fa fa-newspaper-o'></i> Social Wall</a></li>\
								<li><a href='javascript:void(0);' onclick='premiumProfileShare(this);' type='1' userName="+user_Name+" ><i class='fa fa-facebook'></i> Facebook</a></li>\
								<li><a href='javascript:void(0);' onclick='premiumProfileShare(this);' type='2' userName="+user_Name+"><i class='fa fa-linkedin'></i> Linkedin</a></li>\
								<li><a href='javascript:void(0);' onclick='premiumProfileShare(this);' type='3' userName="+user_Name+"><i class='fa fa-twitter'></i> Twitter</a></li>\
								<li><a href='javascript:void(0);' onclick='premiumProfileShare(this);' type='4' userName="+user_Name+"><i class='fa fa-google-plus'></i> Google</a></li>\
							</ul>";
			}
		viewProfile+='</span>';
	$(".premium-profile-block").empty().append(viewProfile);
	$(".premium-profile").show();
}

function savePublicUserName(){
	var publicUserName = $("input[name=suggestions-name]:checked").val();
	$.ajax({
		type		: "POST",
		url         : appObj.siteUserControllerUrl+'savePublicUserName',
		dataType	: "json",
		data		:{publicUserName:publicUserName},
		success     : function(data){
			if(data == 1){
				viewPremiumProfileBlock(publicUserName);
			}
		}
	});
}

function premiumProfileShare(data){
	var type = $(data).attr("type");
	var userName = $(data).attr("userName");
	if(type == 0){
		profileShareToSocialwall(userName);
	}
	else if(type == 1){
		FB.ui({
			method			:'share',
			mobile_iframe	:true,
			href			:appObj.baseUrl+'user/'+userName,
		}, 	function(response){});
	}
	else if(type == 1){
		window.open('https://www.linkedin.com/shareArticle?mini=true&url='+appObj.baseUrl+'user/'+userName+'&source=Latinc','popup', 'width=300, height=200');
	}
	else if(type == 2){
		var encodeUrl = encodeURIComponent(appObj.baseUrl+'user/'+userName);
		window.open('http://twitter.com/intent/tweet?url='+encodeUrl, 'popup', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=300,width=600');
	}
	else{
		var encodeUrl = encodeURIComponent(appObj.baseUrl+'user/'+userName);
		window.open('https://plus.google.com/share?url='+encodeUrl+'', 'popup', 'height=300,width=600');
	}
}

function profileShareToSocialwall(userName){
	$.ajax({
		type		: "POST",
		url         : appObj.siteUserControllerUrl+'profileShareToSocialwall',
		dataType	: "json",
		data		:{profileUrl:appObj.baseUrl+'user/'+userName},
		success     : function(data){
			if(data == 1){
				alert("Successfully shared to social wall.");
			}
		}
	});
}

function resumeSave(){
	var ext = $('#resume').val().split('.').pop().toLowerCase();
	if($('#resume').val() == ''){
		$('.upload-error').show();
		$('.upload-error').delay(2000).fadeOut('slow');
	}
	else if($.inArray(ext, ['docx','pdf','doc']) == -1 || $('#resume')[0].files[0].size > 1000141) {
		$('.upload-error').show();
		$('.upload-error').delay(2000).fadeOut('slow');
		
	}
	else{
		var resumeData = new FormData($("#upload-resume")[0]);
		$("#upload-btn").text("Uploading...");
		$.ajax({
			type        : 'POST',
			url         : appObj.siteUserControllerUrl+'resumesave',
			data        : resumeData,
			dataType  	: 'json',
			contentType : false,
			processData : false,
			success     : function(data){
				your_resume(data);
			}
		});
	}
}

function buildResumeBlock(){
	$.ajax({
		url     : appObj.siteUserControllerUrl+'getResume',
		dataType : 'json',
		success : function(data){
			if(data){
				your_resume(data);
			}
			else{
				upload_resume();
			}
		}
	});
}

function upload_resume(update_type){
	var upload_block = '';
	upload_block += '<div class="hpanel">\
						<div class="panel-heading hbuilt">\
							<h5>Upload your resume</h5>\
						</div>\
						<div class="panel-body">\
							<form class="smart-form" enctype="multipart/form-data" method="post" id="upload-resume">\
								<section>\
									<label class="upload-title">Upload Microsoft Word or PDF files of up to 1 MB. </label>\
									<div class="input input-file">\
										<span class="button"><input type="file" name="resume" id="resume" onchange="this.parentNode.nextSibling.value = this.value.substring(12)">Browse</span><input type="text" readonly="" class="form-control">\
									</div>\
								</section>\
								<button type="button" class="btn btn-primary btn-sm pull-left upload-resume" id ="upload-btn" onclick="resumeSave();">Upload</button>';
								if(update_type == 1){
									upload_block +='<span class="resume-cancel pull-left"><a href="javascript:void(0);" onclick="buildResumeBlock();">Cancel</a></span>';
								}
				upload_block +='<div class="resume-success pull-left"><span class="upload-error" style="display:none;"> Please upload Microsoft Word or PDF files of up to 1 MB.</span></div>\
							</form>\
						</div>\
					</div>';
		$('.upload-block').empty().append(upload_block);
}

function your_resume(data){
		var resume_name_ext = data.name.split(".")[1];
		var resume_fullsize = data.size / 1024;
		var resume_size = resume_fullsize.toString().substr(0, 2);
		var upload_block = '';
		upload_block += '<div class="hpanel">\
							<div class="panel-heading hbuilt">\
								<h5>Your resume</h5>\
							</div>\
							<div class="panel-body">';
		if(resume_name_ext == 'docx' || resume_name_ext == 'doc'){
			upload_block +='<div class="col-lg-2 col-xs-2 resume-img"><img src="'+appObj.siteUrl+'assets/images/word-img2.png"></div>';
			upload_block += '<div class="col-lg-8 resume-button">'+resume_size+'kb, Last Modified : '+data.last_modified_date+'<br><div class="view-btn">';
			upload_block += "<a href='javascript:void(0);' onclick='docxResumeView(\""+data.name+"\");'>View </a>| ";
			if(isMobileApp()){
				upload_block += "<a href='javascript:void(0);' url='"+appObj.baseUrl+"assets/resume/"+data.name+"' onclick='downloadResume(this);'>Download</a>";
			}
			else{
				upload_block += "<a href="+appObj.baseUrl+"assets/resume/"+data.name+">Download</a>";
			}
			upload_block += "| <a href='javascript:void(0);' onclick='upload_resume(1);'> Update</a> | <a href='javascript:void(0);' onclick='resumeDelete(\""+data.name+"\");'> Delete</a></div></div>";
		}
		else{
			upload_block +='<div class="col-lg-2 col-xs-2 resume-img"><img src="'+appObj.siteUrl+'assets/images/pdf-img.png"></div>';
			upload_block += '<div class="col-lg-8 resume-button">'+resume_size+'kb, Last Modified : '+data.last_modified_date+'<br><div class="view-btn">';
			upload_block += "<a href='javascript:void(0);' onclick='pdfResumeView(\""+data.name+"\");'>View </a>| ";
			if(isMobileApp()){
				upload_block += "<a href='javascript:void(0);' url='"+appObj.baseUrl+"assets/resume/"+data.name+"' onclick='downloadResume(this);'> Download</a> ";
			}
			else{
				upload_block += "<a href='"+appObj.baseUrl+"assets/resume/"+data.name+"' download> Download</a> ";
			}
			upload_block += "| <a href='javascript:void(0);' onclick='upload_resume(1);'> Update</a> | <a href='javascript:void(0);' onclick='resumeDelete(\""+data.name+"\");'> Delete</a></div></div>";
		}
			upload_block += '</div>\
						</div>';
		$('.upload-block').empty().append(upload_block);
}

function downloadResume(btn){
	var externalUrl = $(btn).attr("url");
	window.open(externalUrl, '_system', 'location=no','enableViewportScale=yes');
}

function docxResumeView(resume_name){
	var resumeView = '';
	resumeView +='<iframe src="http://docs.google.com/gview?url=http://latinc.us/assets/resume/'+resume_name+'&embedded=true" width="100%" height="800"></iframe>';
		bootbox.dialog({
            message : resumeView,
			animate :false,
        });
		$(".modal-dialog").addClass("modal-lg resume-view");
}

function pdfResumeView(resume_name){
	var resumeView = '';
	resumeView +='<iframe src="http://docs.google.com/gview?url=http://latinc.us/assets/resume/'+resume_name+'&embedded=true" width="100%" height="800"></iframe>';
		bootbox.dialog({
            message : resumeView,
			animate :false,
        });
		$(".modal-dialog").addClass("modal-lg resume-view");
}

function resumeDelete(resume_name){
	bootbox.confirm({
		title		: "Delete Resume",
		message		: "Are you sure you want to delete.",
		animate		:false,
		buttons: {
			confirm: {
				label: 'Delete',
				className:'btn btn-primary btn-sm',
			},
			cancel:{
				className:'btn btn-default btn-sm',
			}
		},
		callback	: function(data) {
			if(data) {
				$.ajax({
					url     	: appObj.siteUserControllerUrl+'resumeDelete',
					method 		: "POST",
					data    	: {resume_name:resume_name},
					success 	: function(data){
						if(data == 1){
							upload_resume();
						}	
					}
				});
			}
		}
	});
	$(".bootbox-confirm").addClass("group-modal");
}

function getUserTimeline(){
	$.ajax({
		url         : appObj.siteUserControllerUrl+'getUserTimeline',
		dataType	:'json',
		success     : function(data){
			var UserTimeline ='';
			var pics = '';
			if(data.fields == ''){
				$(".user-timeline").html('No posts to display.');
			}
			else{
				$.each(data.fields,function(index,fields){
					UserTimeline = '';
					pics = [];
					var str = fields.post_text;
					var regex = /(\b(https?|ftp|file):\/\/[-A-Z0-9+&@#\/%?=~_|!:,.;]*[-A-Z0-9+&@#\/%=~_|])/ig;
					var replaced_text = str.replace(regex, "<a class='btn-link' href='$1' target='_blank' style='color:#3b5998;'>$1</a>");
					if(fields.description != ''){
						var shortDesc = fields.description.substring(0,200)+ '...';
					}
					UserTimeline+='<div class="panel panel-default m-b-sm">\
										<div class="panel-body status">\
											<div class="who clearfix">\
												<a href="javascript:void(0);" onclick="getPublicProfileDetails('+fields.user_id+')">\
													<img src="'+generateUserImg(fields.profile_img_small,fields.user_login_type,40,40)+'" alt="img" class="online" width=40px>\
												</a>\
												<span class="name"><b><a href="javascript:void(0);" onclick="getPublicProfileDetails('+fields.user_id+')">'+fields.name+'</a></b>';
													if(fields.ethinicity_country_code != ''){
														var ethinicity_flag = fields.ethinicity_country_code.split(',');
														ethinicity_flag.forEach(function(item){
															UserTimeline+='<img class="post-flag m-l-xs" src="assets/images/country-flags/16x16/'+item+'.png">';
														});
													}
													if(fields.share == 1 && fields.post_type == 0){
														UserTimeline+=' shared a post';
													}
													else if(fields.share == 1 && fields.post_type == 1){
														UserTimeline+=' shared a job';
													}
													else if(fields.share == 1 && fields.post_type == 2){
														UserTimeline+=' shared a event';
													}
													else if(fields.share == 1 && fields.post_type == 3){
														UserTimeline+=' shared a course';
													}
													else if(fields.share == 1 && fields.post_type == 4){
														UserTimeline+=' shared a news';
													}
													else if(fields.share == 1 && fields.post_type == 5){
														UserTimeline+=' shared a blog';
													}
													UserTimeline+='<span class="m-r-xs pull-right post-time">'+convertPostDateFormat(fields.created_date.replace(/-/g, "/"))+'</span>\
												</span>\
												<span class="post-professional text-muted">'+fields.professional_headline+'</span>\
											</div>\
											<div class="text">';
												if(fields.share == 0){
													if(fields.post_text != '' && fields.meta_tag_title == ''){
														UserTimeline+='<p>'+replaced_text+'</p>';
													}
													if(fields.post_img != ''){
														var img = fields.post_img.split(',');
														UserTimeline+='<div id="gallery'+fields.id+'"></div>';
														img.forEach(function(item,index){
															pics[index] = appObj.baseUrl+'assets/images/post/'+item;
														});
													}
													else if(fields.image_link != ''){
														UserTimeline+= '<img class="img-responsive center-block" src="'+fields.image_link+'">';
													}
												}
												else if(fields.share == 1 && fields.meta_tag_title == ''){
													UserTimeline+='<div class="share-text-block">';
														if(fields.post_type != 0){
															UserTimeline+= '<a href="javascript:void(0);" url="'+fields.link+'" onclick="openlink(this);">';
														}
															UserTimeline+= '<div class="share-image">';
																if(fields.post_img != ''){
																	if(fields.post_type == 5){
																		UserTimeline+= '<img class="img-responsive center-block" src="'+appObj.baseUrl+'assets/images/blog/'+fields.post_img+'">';
																	}
																	else{
																		var img = fields.post_img.split(',');
																		UserTimeline+='<div id="gallery'+fields.id+'"></div>';
																		img.forEach(function(item,index){
																			pics[index] = appObj.baseUrl+'assets/images/post/'+item;
																		});
																	}
																}
																else if(fields.image_link != ''){
																	UserTimeline+= '<img class="img-responsive center-block" src="'+fields.image_link+'">';
																}
															UserTimeline+= '</div>';
															UserTimeline+='<div class="p-xxs">';
																if(fields.post_text !=''){
																	UserTimeline+='<p>'+replaced_text+'</p>';
																}
																if(fields.description != ''){
																	UserTimeline+= '<div class="description">'+fields.description+'</div>';
																}
																if(fields.post_type == 0){
																	UserTimeline+='<a href="javascript:void(0);" url="?linkType=share&postId='+fields.id+'&page=postDetails#page=postDetails" onclick="openlink(this);" class="btn-link view-more">View More</a>';
																}
															UserTimeline+='</div>\
														</a>\
													</div>';
												}
												if(fields.meta_tag_title != ''){
													UserTimeline+= '<div class="meta-tag-block" id="metaTag'+fields.id+'">\
														<a href="'+fields.meta_tag_link+'" target="_blank">';
															if(fields.meta_tag_img != ''){
																UserTimeline+='<img src="'+fields.meta_tag_img+'" class="img-responsive center-block">';
															}
															UserTimeline+='<div class="p-xxs">';
																UserTimeline+= '<p>'+fields.meta_tag_title+'</p>';
																if(fields.meta_tag_desc != ''){
																	UserTimeline+= '<div class="description">'+fields.meta_tag_desc+'</div>';
																}
															UserTimeline+= '</div>\
														</a>\
													</div>';
												}
											UserTimeline+='</div>\
										</div>\
									</div>';
					$(".user-timeline").append(UserTimeline);
					$('#gallery'+fields.id).imagesGrid({
						images: pics,
						align: true,
						getViewAllText: function(imgsCount){
							return '+' + (imgsCount - 5);
						}
					});
					
					//Meta Tag
					var img = new Image();
					img.onload = function(){
						if(this.width < 400 || this.height < 400){
							$('#metaTag'+fields.id).addClass("small-image");
						}
					}
					img.src = fields.meta_tag_img;
				});
			}
		}
	});
}

function userPostShare(postDetails){
	var type = $(postDetails).attr("type");
	var postId = $(postDetails).attr("postId");
	var postText = $(postDetails).attr("postText");
	var postImage = $(postDetails).attr("postImage");
	var img = postImage.split(',');
	var images = '';
	if(img[0] !=''){
		images = appObj.baseUrl+'/assets/images/post/'+img[0];
	}
	if(type == 0){
		FB.ui({
			method			:'share',
			mobile_iframe	:true,
			href			:appObj.siteUrl+'?linkType=share',
			title			:postText,
			picture			:images,
		}, 	function(response){});
	}
	else if(type == 1){
		window.open('https://www.linkedin.com/shareArticle?mini=true&url='+appObj.baseUrl+'/assets/images/post/'+img[0]+'&title='+postText+'&source=Latinc','popup', 'width=300, height=200');
	}
	else if(type == 2){
		var encodeUrl = encodeURIComponent(appObj.siteUrl+'?linkType=share&postId='+postId+'&page=postDetails#page=postDetails');
		window.open('http://twitter.com/intent/tweet?text='+postText+'&url='+encodeUrl, 'popup', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=300,width=600');
	}
	else{
		var encodeUrl = encodeURIComponent(appObj.siteUrl+'?linkType=share&postId='+postId+'&page=postDetails#page=postDetails');
		
		window.open('https://plus.google.com/share?url='+encodeUrl+'', 'popup', 'height=300,width=600');
	}
}

function changeDateFormat(date){
	var monthNames = ["January", "February", "March", "April", "May", "June",
	"July", "August", "September", "October", "November", "December" ];
	var month_value = new Date(date).getMonth();
	var hours = new Date(date).getHours();
	var ampm = (hours >= 12) ? "pm" : "am";
	var getHour = ((hours + 11) % 12 + 1);
	var time = getHour+":"+("0"+ new Date(date).getMinutes()).slice(-2)+" "+ampm;
	return monthNames[month_value]+" "+new Date(date).getDate()+" at "+time;
}

function getMyProfileConnections(){
	$.ajax({
		url      : appObj.siteUserControllerUrl+'getMyProfileConnections',
		dataType : 'json',
		success  : function(data){
			if(data.length > 0){
				var i;
				var profileConnections = '';
				for(i=0;i<data.length;i++){
					profileConnections += displayMyProfileConnections(data[i].id,data[i].name,data[i].professional_headline,data[i].profile_img_medium,data[i].user_login_type,data[i].ethinicity_country_code,data[i].cover_photo);
				}
				$(".my-profile-connections").empty().append(profileConnections);
				$(".view-all").empty().append('<a class="btn-link m-xs" href="#page=myConnections">View All</a>');
			}
			else{
				$(".my-profile-connections").empty().append('You have no connection. Grow your network by adding more connections. <br><a href="#page=request" class="btn btn-info m-t-sm">Add</a>');
			}
		}
	});
}

function displayMyProfileConnections(id,name,professional,imagepath,loginType,ethinicity_country_code,cover_photo){
	var myConnectionsBlock = '';
	myConnectionsBlock += '<div class="connections-block" id="userBlock'+id+'">';
							myConnectionsBlock+="<a href='javascript:void(0);' onclick='displayPublicProfile("+id+",\""+imagepath+"\",\""+cover_photo+"\","+loginType+",\""+name+"\",\""+professional+"\",\""+ethinicity_country_code+"\");'>";
								myConnectionsBlock+='<img class="img-responsive" src="'+generateUserImg(imagepath,loginType,50,50)+'" alt="Image" width="50" onerror="loadingImageError(this);"/>\
							</a>\
							<div class="details">\
								<h5 class="m-n name-truncate">';
									myConnectionsBlock+="<a href='javascript:void(0);' onclick='displayPublicProfile("+id+",\""+imagepath+"\",\""+cover_photo+"\","+loginType+",\""+name+"\",\""+professional+"\",\""+ethinicity_country_code+"\");'><b>"+name+"</b></a>";
								myConnectionsBlock+='</h5>\
								<span class="pull-right">\
									<div class="dropdown toggle">\
										<a data-toggle="dropdown" class="dropdown-toggle"><i class="fa fa-ellipsis-v fa-lg"></i></a>\
										<ul class="dropdown-menu pull-right">\
											<li><a class="connected'+id+'" onclick="addNewMessage(this,1);" userName="'+name+'" userId="'+id+'">Send Message</a></li>\
											<li><a href="javascript:void(0);" onclick="removeConnections(this,'+id+');" userName="'+name+'" > Remove Connection</a></li>\
										</ul>\
									</div>\
								</span>\
								<div class="text-muted">'+professional+'</div>\
							</div>\
						</div>';
	return myConnectionsBlock;
}

function removeConnections(btn,userId){	
	var name = $(btn).attr("username");
	bootbox.confirm({
		title		: "Remove Connection?",
		message		: "Would you like to remove "+name+" from you conenctions?",
		animate		:false,
		buttons: {
			cancel	:{
				className :'btn btn-default btn-sm'
			},
			confirm: {
				label: 'Remove',
				className :'btn btn-primary btn-sm'
			}
		},
		callback	: function(data) {
			if(data) {
				$.ajax({
					type		:'POST',
					url     	: appObj.siteUserControllerUrl+'removeConnections',
					data 		: {userId:userId},
					success 	: function(data){
						if(data == 1){
							$('#userBlock'+userId).remove();
						}
					}
				});
			}
		}
	});
	$(".bootbox-confirm").addClass("group-modal");
}

function getAllPeopleViewedProfile(){
	$.ajax({
		type	:'POST',
		url     : appObj.siteUserControllerUrl+'getAllPeopleViewedProfile',
		dataType : 'json',
		success : function(data){
			var peopleViewed='';
			peopleViewed+='<h5>People who viewed your profile</h5>\
							<ul class="list-inline friends-list friends-list-lg">';
			$.each(data.fields,function(index,fields){
				peopleViewed+='<li>';
				if(fields.user_login_type == 0){
					peopleViewed+='<img title="'+fields.name+'" src="'+fields.profile_img_path+'" alt="img">';
				}
				else{
					peopleViewed+='<img title="'+fields.name+'" src="'+fields.profile_img_path+'" alt="img">';
				}
				peopleViewed+='</li>';
			});
			peopleViewed+='</ul>';
			$(".persons-viewed-block").empty().append(peopleViewed);
		}
	});
}

function registrationForm(){
	var registrationContent = '';
	registrationContent+='<form id="registrationForm" autocomplete="off">\
							<label class="control-label"><b>Current Job Title</b><span class="mandatory">*</span></label>\
							<div class="form-group">\
								<input type="text" class="form-control" name="professionalHeadline" placeholder="Enter your Current job Title or desired Title">\
							</div>\
							<label class="control-label"><b>Current City</b><span class="mandatory">*</span></label>\
							<div class="form-group">\
								<input type="text" class="form-control" name="current_city" placeholder="Current City">\
								<input type="hidden" name="currentCity">\
								<input type="hidden" name="currentState">\
								<input type="hidden" name="currentCountryCode">\
								<div class="loc-search-results"></div>\
							</div>\
							<label class="control-label"><b>Your Ethnic Heritage </b><span class="pick-all">(Pick all that apply)</span></label>\
							<input type="text" name="search-ethnic" class="form-control m-b-sm" placeholder="Search by Ethnicity">\
							<div class="ethnic-search-results"></div>\
							<div class="ethnicityvalues"></div>\
							<input type="hidden" name="ethinicity">\
							<input type="hidden" name="ethinicity-code">\
						</form>';
	
	bootbox.dialog({
		title	  : "Registration",
		message   : registrationContent,
		animate   : false,
		closeButton :false,
		className : "registrationForm",
		buttons		: {
			success	: {
				label  		: "Save",
				className	:'btn btn-primary btn-sm',
				callback 	: function () {
					if($('#registrationForm').valid()){
						saveRegistrationForm();
					}
					else{
						return false;
					}
				}
			}
		}
	});
	$("#registrationForm").validate({
	   rules: {
			professionalHeadline:{
				required: true,
			},
			current_city:{
				required: true,
			},
		},
	});
	getAllEthnic();
}

function getAllEthnic(){
	$(".ethnicityvalues").html('Loading...');
	$.ajax({
		url      : appObj.siteUserControllerUrl+'getAllEthnic',
		dataType : 'json',
		success  : function(data){
			var ethnicity = '';
			ethnicity+='<div id="ethnicSelect" class="ethnicBlock">';
				$.each(data.fields,function(index,fields){
					ethnicity+= displayEthnicBlock(fields.id,fields.country_code,fields.name);	
				});
			ethnicity+='</div>';
			ethnicity+='<div id="count"><b>(0) items selected</b></div>';
			$(".ethnicityvalues").empty().append(ethnicity);
			// $('.ethnicBlock').slimScroll({
				// distance:"-1px",
				// height: '200px',
				// alwaysVisible: false,
				// wheelStep : 5,
				// touchScrollStep : 300
			// });
		}
	});
}

$(document).on('keyup', "input[name=search-ethnic]", function(){
	var inputValue = $(this).val();
	if(inputValue != '' && inputValue.length > 2){
		$.ajax({
			type   	 	: 'POST',
			url     	: appObj.siteUserControllerUrl+'getAllSearchEthnic',
			dataType 	: 'json',
			data    	: {searchValue:inputValue},
			success  	: function(data){
				$(".ethnicityvalues").hide();
				var searchResults = '';
				if(data.fields != ""){
					searchResults+='<div class="custom-scroll checkbox-ethnic ethnic-scroll" id="ethnicSelect">';
					$.each(data.fields,function(index,fields){
						searchResults+= displayEthnicBlock(fields.id,fields.country_code,fields.name);
					});
					searchResults+='</div>';
				}
				else{
					searchResults+='You have no Ethnic found.';
				}
				searchResults+='<div id="count"><b>(0) items selected</b></div>';
				$(".ethnic-search-results").empty().append(searchResults);
			}
		});
	}
	else{
		$(".ethnic-search-results").empty();
		$(".ethnicityvalues").show();
	}
})

function displayEthnicBlock(id,country_code,name){
	var ethnicity = '';
		ethnicity+='<div class="checkbox checkbox-2">\
						<label class="ethnic col-lg-12 col-xs-12">\
							<input type="checkbox" class="checkbox" id="checkbox-button" name="cbox" country_code="'+country_code+'" value="'+id+'">\
							<span class="col-lg-11 col-xs-11 ethnicvalues">';
							   if(country_code != ''){
									ethnicity+='<img src="assets/images/country-flags/16x16/'+country_code+'.png">';
							   }
							   else{
									ethnicity+='<img src="assets/images/country-flags/16x16/empty.png">';  
							   }
							ethnicity+=''+name+'</span>\
						</label>\
					</div>';	
	return ethnicity;
}

$(document).on('keyup', "input[name=current_city]", function(){
	var inputValue = $(this).val();
	inputValue = inputValue.split(",")[0];
	if(inputValue != '' && inputValue.length > 3){
		$.ajax({
			url    	 	: appObj.siteUserControllerUrl+'getAllCityLocation',
			dataType 	: 'json',
			type    	: 'POST',
			data     	: {city:inputValue},
			success 	: function(data){
				$(".loc-search-results").empty();
				var searchResults = '';
				if(data.results != ''){
					searchResults += '<ul>';
					$.each(data.results,function(index,results){
						searchResults += "<li onclick='selectLocation(this);' city-id='"+results.cityId+"' state-id='"+results.stateId+"' country-code='"+results.countryId+"'>"+results.city_name+", ";
						if(results.city_name != results.state_name){
							searchResults += results.state_name+", ";
						}
						searchResults += results.country_name+"</li>";
					});
					searchResults += '</ul>';
				}
				else{
					searchResults += '<div class="p-xxs">Start typing your location and choose the closest match.</div>';
				}
				$(".loc-search-results").append(searchResults);
			}
		});
	}
	else{
		$(".loc-search-results").empty();
	}
});

function selectLocation(list){
	var currentCity = $(list).attr("city-id");
	var currentState = $(list).attr("state-id")
	var currentCountryCode = $(list).attr("country-code");
	$("input[name=current_city]").val($(list).text());
	$("input[name=currentCity]").val(currentCity);
	$("input[name=currentState]").val(currentState);
	$("input[name=currentCountryCode]").val(currentCountryCode);
	$(".loc-search-results").empty();
}

function saveRegistrationForm(){
	var selectedEthnicValues = []; 
	var selectedEthnicCode = [];
	$("#ethnicSelect :checked").each(function(i,checked){
		selectedEthnicValues[i] = $(checked).attr("value"); 
		selectedEthnicCode[i] = $(checked).attr("country_code"); 
	});
	selectedEthnicValues = selectedEthnicValues.join(",");
	selectedEthnicCode = selectedEthnicCode.join(",");
	$("input[name=ethinicity]").val(selectedEthnicValues);
	$("input[name=ethinicity-code]").val(selectedEthnicCode);
	
	var data = new FormData($("#registrationForm")[0]);
	$.ajax({
		type        : 'POST',
		url     	: appObj.siteUserControllerUrl+'saveRegistrationForm',
		dataType	: 'json',
		data    	: data,
		contentType : false,
		processData : false,
		success 	: function(data){
			if(data == 1){
				getUserInfoValues();
			}
		}
	});
}

var personaldetails_day = [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31];

var personaldetails_months = [
				[1,'January'],
				[2,'February'],
				[3,'March'],
				[4,'April'],
				[5,'May'],
				[6,'June'],
				[7,'July'],
				[8,'August'],
				[9,'September'],
				[10,'October'],
				[11,'November'],
				[12,'December']
			];
			
var personaldetails_year = [2016,2015,2014,2013,2012,2011,2010,2009,2008,2007,2006,2005,2004,2003,2002,2001,2000,1999,1998,1997,1996,1995,1994,1993,1992,1991,1990,1989,1988,1987,1986,1985,1984,1983,1982,1981,1980,1979,1978,1977,1976,1975,1974,1973,1972,1971,1970,1969,1968,1967,1966,1965,1964,1963,1962,1961,1960,1959,1958,1957,1956,1955,1954,1953,1952,1951,1950];
			
function personaldetails(){
	var values = '';
	values += '<form class="smart-form" id="personaldetailsForm"><div id="example-basic">\
	<h3>Keyboard</h3>\
	<section>';
	values+='<h3 class="wizard-step-title">Your Personal Details </h3><div class="custom-scroll" id="personaldetails">';

		values +='<div class="row birthday">\
				<div class="col-md-12">\
					<form>\
						<div class="form-group">\
							<label class="control-label bithday-label" for="name"><b>Birthday</b></label>\
							<div class="row birthday">\
							<div class="col-md-3 col-xs-4 birthday-width">\
								<select class="form-control" name="birthday_day">';
									values += '<option value="0">Day</option>';
								personaldetails_day.forEach(function(item){
									values += '<option value="'+item+'">'+item+'</option>';
								});
								values += '</select>\
							</div>\
							<div class="col-md-3 col-xs-4 birthday-width">\
								<select class="form-control" name="birthday_month">';
									values += '<option value="0">Month</option>';
								personaldetails_months.forEach(function(item){
									values += '<option value="'+item[0]+'">'+item[1]+'</option>';
								});
								values += '</select>\
						   </div>\
							<div class="col-md-3 col-xs-4 birthday-width">\
								<select class="form-control" name="birthday_year">';
									values += '<option value="0">Year</option>';
								personaldetails_year.forEach(function(item){
									values += '<option value="'+item+'">'+item+'</option>';
								});
								values += '</select><br>\
						   </div>\
				   </div>\
					</div>\
					<div class="form-group">\
					<label class="control-label bithday-label" for="name"><b>Gender</b></label><br>\
						<label class="radio-inline col-lg-2 gender-radio">\
							<input id="name" name="gender" type="radio" value="1" class="radio-inline">Female\
						</label>\
						<label class="radio-inline col-lg-2 gender-name">\
							<input id="name" name="gender" type="radio" value="2" class="radio-inline">Male\
						</label>\
					</div>\
				</form>\
				</div>\
			</div>';
			
	values+='</div>';
	values += '	</section>\
			<h3>Pager</h3>\
			<section class="ethnicityvalues">\
				<p>The next and previous buttons help you to navigate through your content.</p>\
			</section>\
			<h3>Pager</h3>\
			<section class="languagesvalues">\
				<p>The next and previous buttons help you to navigate through your content.</p>\
			</section>\
			<h3>Effects</h3>\
			<section class="educationlevelvalues">\
				<p>Wonderful transition effects.</p>\
			</section>\
			<h3>Pager</h3>\
			<section class="occupationvalues">\
				<p>The next and previous buttons help you to navigate through your content.</p>\
			</section>\
			<h3>Pager</h3>\
			<section class="pressionalheadlinevalues">\
				<p>The next and previous buttons help you to navigate through your content.</p>\
			</section>\
			<h3>Pager</h3>\
			<section class="occupationalgroupvalues">\
				<p>The next and previous buttons help you to navigate through your content.</p>\
			</section>\
			<h3>Pager</h3>\
			<section class="occupationalsubgroupvalues">\
				<p>The next and previous buttons help you to navigate through your content.</p>\
			</section>\
			<h3>Pager</h3>\
			<section class="home-town-values">\
				<p>The next and previous buttons help you to navigate through your content.</p>\
			</section>\
		</div></form>';
if($(".userInfoModal").length == 0){
	bootbox.dialog({
		message: values,
		className : "userInfoModal",
		closeButton: false,
	});
	stpsWizardValidation();
	getEthnicValues();
	educationlevel();
	occupation();
	professionalHeadline();
	occupationalgroup();
	languages();
	hometownContent(); }
}

function personaldetailsSave(){
	var gender = $('input[name=gender]').val();
	var personaldetailsData = new FormData($("#personaldetailsForm")[0]);
	$.ajax({
		type        : 'POST',
		url         : appObj.siteUserControllerUrl+'personalDetailssave',
		data        : personaldetailsData,
		dataType  	: 'html',
		contentType : false,
		processData : false,
		success     : function(data){
			
		}
	});
}

function getEthnicValues(){
	$(".actions ul").append('<li class="pull-right" aria-hidden="false" aria-disabled="false"><a class="skip-btn" onclick="skipStep();" href="javascript:void(0);" role="menuitem">Skip</a></li>');
	$.ajax({
		url      : appObj.siteUserControllerUrl+'getAllEthnic',
		dataType : 'json',
		success  : function(data){
			userInfo(data);
		}
	});
}

function userInfo(data){
	var values = '';
		values+='<h3 class="wizard-step-title">Your Ethnic Heritage <span class="pick-all">(Pick all that apply)</span></h3><div class="custom-scroll checkbox-ethnic ethnic-scroll" id="ethnicSelect">';
		$.each(data.fields,function(index,fields){
			values += '<div class="checkbox checkbox-2">\
						<label class="ethnic col-lg-12 col-xs-12">\
						  <input type="checkbox" class="checkbox" id="checkbox-button" name="cbox" country_code="'+fields.country_code+'" value="'+fields.id+'">\
						   <span class="col-lg-11 col-xs-11 ethnicvalues">';
						   if(fields.country_code != ''){
						      values += ' <img src="assets/images/country-flags/16x16/'+fields.country_code+'.png">';
						   }
						   else{
							  values += ' <img src="assets/images/country-flags/16x16/empty.png">';  
						   }
				values += ''+fields.name+'</span></label>\
						</div>';	
		});
		values+='</div>';
		values+= '<div id="count"><b>(0) items selected</b></div>';
		$(".ethnicityvalues").empty().append(values);
		
}

$(document).on("change","input[name=cbox]",function(){
	var count = $('[name="cbox"]:checked').length
	$('#count').html('<p><b>('+count+') items selected</b></p>');
});

function skipStep(){
	var currentIndex = $("#example-basic").steps("getCurrentIndex");
	if(currentIndex == 6){
		if(!$(".occupationalgroupvalues").hasClass("active")){
			stepsWizard.steps("setStep", 8);
		}
		else{
			stepsWizard.steps("next");
		}
	}
	else{
		stepsWizard.steps("next");
	}
	if(currentIndex == 8){
		stepsWizard.steps("finish");
	}
}

$(document).on('click',".wizard .actions a[href='#previous']",function(){
	var currentIndex = $("#example-basic").steps("getCurrentIndex");
	if(currentIndex == 7){
		if(!$(".occupationalgroupvalues").hasClass("active")){
			stepsWizard.steps("setStep", 6);
		}
	}
})

var stepsWizard='';
function stpsWizardValidation(){
	stepsWizard =  $("#example-basic").steps({
		headerTag: "h3",
		bodyTag: "section",
		transitionEffect: "slideLeft",
		autoFocus: true,
		onStepChanging:function(event,currentIndex,newIndex){
			if(currentIndex < newIndex){
				if(currentIndex == 0){
					personaldetailsSave();
				}
				else if(currentIndex == 1){
					ethnicsave();
				}
				else if(currentIndex == 2){
					languagessave();
				}
				else if(currentIndex == 3){
					educationlevelsave();
				}
				else if(currentIndex == 4){
					occupationsave();	
				}
				else if(currentIndex == 5){
					if($("input[name=professionalHeadline]").val() == ''){
						$('#professionalHeadlineForm').valid();
						return false;
					}
					else{
						professionalSave();
					}
				}
				else if(currentIndex == 7){
					occupationalsubgroupsave();
					occupationalgroupsave();
				}
			}
			return true;
		},
		onStepChanged:function(event,currentIndex,newIndex){
			if(currentIndex == 6){
				$(".wizard .actions a[href='#next']").attr('style', 'display:none');
			}
			else{
				$(".wizard .actions a[href='#next']").attr('style', '');
			}
		},
		onFinishing:function(event,currentIndex){
			if($('#hometownForm').valid()){
				hometownContentsave();
			}
			else{
				return false;
			}
		}
	});
}

function wizardErrorMsg(errorMsg){
	$(".actions ul").next().remove(); 
	$(".actions ul").after('<span class="wizard-error-msg">'+errorMsg+'</span>');
	if(errorMsg != ""){
		return false;
	}
}

function ethnicsave(){
	var selectedEthnicValues = []; 
	var selectedEthnicCode = [];
	$("#ethnicSelect :checked").each(function(i,checked){
		selectedEthnicValues[i] = $(checked).attr("value"); 
		selectedEthnicCode[i] = $(checked).attr("country_code"); 
	});
	selectedEthnicValues = selectedEthnicValues.join(",");
	selectedEthnicCode = selectedEthnicCode.join(",");
	
	$.ajax({
		type    : 'POST',
		url     : appObj.siteUserControllerUrl+'getAllEthnicsave',
		data    : {selectedEthnicValues:selectedEthnicValues,selectedEthnicCode:selectedEthnicCode},
		success : function(data){	
		}
	});	
}

function languages(){
	$.ajax({
		url      : appObj.siteUserControllerUrl+'getAllLanguages',
		dataType : 'json',
		success  : function(data){
			var dropDownValues = '';
			dropDownValues+='<h3 class="wizard-step-title">Languages <span class="pick-all">(Pick all that apply)</span></h3><div class="custom-scroll checkbox-ethnic ethnic-scroll" id="languagesselect">';
			$.each(data.fields,function(index,fields){
				dropDownValues += '<div class="checkbox checkbox-2">\
									<label class="ethnic col-lg-12 col-xs-12">\
										<input type="checkbox" class="checkbox" id ="checkbox-button" name="languages" value="'+fields.id+'">\
											<span class="col-lg-11 col-xs-11 ethnicvalues">'+fields.name+'</span>\
									</label></div>';
			});
			dropDownValues+='</div>';
			dropDownValues+='<div id="languagescount"><b>(0) items selected</b></div>';
			$(".languagesvalues").empty().append(dropDownValues);
		}
	});
}


$(document).on("change","input[name=languages]",function(){
	var languagescount = $('[name="languages"]:checked').length
	$('#languagescount').html('<p><b>('+languagescount+') items selected</b></p>');
});

function languagessave(){
	var selectedLanguagesValues = []; 
	$("#languagesselect :checked").each(function(i,checked){
		selectedLanguagesValues[i] = $(checked).attr("value"); 
	});
	selectedLanguagesValues = selectedLanguagesValues.join(",");
	$.ajax({
	 type        : 'POST',
	 url         : appObj.siteUserControllerUrl+'getAllLanguagessave',
	 data        : {data:selectedLanguagesValues},
	 success  : function(data){
		
	 }
	});
}

function educationlevel(){
	$.ajax({
		url      : appObj.siteUserControllerUrl+'getAllEducationlevel',
		dataType : 'json',
		success  : function(data){
			var dropDownValues = '';
			dropDownValues+='<h3 class="wizard-step-title">Which your highest Educational level?</h3><div class="custom-scroll checkbox-ethnic educationlevel-scroll" id="educationlevelselect">';
			
			$.each(data.fields,function(index,fields){
				dropDownValues += '	<div class="radio checkbox-2">\
									<label class="ethnic col-lg-12 col-xs-12">\
										<input type="radio" class="radiobox style-0" name="style-0" id ="radio-button" value="'+fields.id+'">\
										<span class="col-lg-11 col-xs-11 ethnicvalues">'+fields.name+'</span>\
									</label></div>';
							
			});
			dropDownValues+='</div>';
			$(".educationlevelvalues").empty().append(dropDownValues);
		}
	});
}

function educationlevelsave(){
	var selectedEducationlevelValue = $("#educationlevelselect :checked").val();
	$.ajax({
		type        : 'POST',
		url         : appObj.siteUserControllerUrl+'getAllEducationallevelsave',
		data        : {data:selectedEducationlevelValue}
	});
}

function occupation(){
	$.ajax({
		url      : appObj.siteUserControllerUrl+'getAllOccupation',
		dataType : 'json',
		success  : function(data){
			var dropDownValues = '';
			dropDownValues+='<h3 class="wizard-step-title">Which is your professional or employment status? <span class="pick-all bottom">(Pick all that apply)</span></h3><div class="custom-scroll checkbox-ethnic occupation-scroll" id="occupationselect">';
			$.each(data.fields,function(index,fields){
				dropDownValues += '<div class="checkbox checkbox-2">\
									<label class="ethnic col-lg-12 col-xs-12">\
										<input type="checkbox" class="checkbox" id ="checkbox-button" name="occupation" value="'+fields.id+'">\
										<span class="col-lg-11 col-xs-11 ethnicvalues">'+fields.name+'</span>\
									</label></div>';						

			});
			dropDownValues+='</div>';
			dropDownValues+='<div id="occupationcount"><b>(0) items selected</b></div>';
			$(".occupationvalues").empty().append(dropDownValues);
		}
	});
}

$(document).on("change","input[name=occupation]",function(){
	var occupationcount = $('[name="occupation"]:checked').length
	$('#occupationcount').html('<p><b>('+occupationcount+') items selected</b></p>');
});

function occupationsave(){
	var selectedOccupationValue = []; 
	$("#occupationselect :checked").each(function(i,checked){
		 selectedOccupationValue[i] = $(checked).attr("value"); 
	});
	selectedOccupationValue = selectedOccupationValue.join(",");
	
	$.ajax({
		type    : 'POST',
		url     : appObj.siteUserControllerUrl+'getAllOccupationsave',
		data    : {data:selectedOccupationValue},
		success : function(data){
			
		}
	});	
}

function professionalHeadline(){
	var values = '';
		values+='<h3 class="wizard-step-title">Current job Title</h3>\
				<form id="professionalHeadlineForm">\
					<div class="form-group">\
						<input type="text" class="form-control" name="professionalHeadline" placeholder="Enter your Current job Title or desired Title">\
					</div>\
				</form>';
	$(".pressionalheadlinevalues").empty().append(values);
	$("#professionalHeadlineForm").validate({
	   rules: {
			professionalHeadline: {
				required: true,
			},
		},
	});
}

function professionalSave(){
	var professional = $('input[name=professionalHeadline]').val()
	$.ajax({
		type        : 'POST',
		url     	: appObj.siteUserControllerUrl+'professionalHeadlinesave',
		dataType	: 'json',
		data    	: {data:professional}
	});
}

function occupationalgroup(){
	$.ajax({
		url      : appObj.siteUserControllerUrl+'getAllOccupationalgroup',
		dataType : 'json',
		success  : function(data){
			var dropDownValues = '';
			dropDownValues+='<h3 class="wizard-step-title">Occupational Group</h3><div class="custom-scroll checkbox-ethnic ethnic-scroll" id="occupationalgroupselect">';
			
			$.each(data.fields,function(index,fields){
				
				dropDownValues += '<div class="radio checkbox-2">\
									<label class="ethnic col-lg-12 col-xs-12">\
										<input type="radio" class="radiobox style-0" id ="areagrp" name="occupationalgroup" value="'+fields.id+'">';
				dropDownValues += "<span class='col-lg-11 col-xs-11 ethnicvalues' id ='occupationalgroup_name' onclick='getoccupationsubgroupList(this);' occupation-id="+fields.id+" occupation-name='"+fields.name+"'>"+fields.name+"</span>";
				dropDownValues +='</label></div>';	
			});
			dropDownValues+='</div>';
			$(".occupationalgroupvalues").empty().append(dropDownValues);
			
		}
	});
}

function occupationalgroupsave(){
	var selectedOccupationalgroupValues = $("#occupationalgroupselect :checked").val();
	$.ajax({
		type        : 'POST',
		url         : appObj.siteUserControllerUrl+'getAllOccupationalgroupsave',
		data        : {data:selectedOccupationalgroupValues}
	});
}

function getoccupationsubgroupList(selectedOccupationalgroup){
	$(".occupationalgroupvalues").addClass("active");
	stepsWizard.steps("setStep",7);
	$('.occupationsubvalues').html('<div class="subgroup-loader"><div class="spinner"> <div class="rect1"></div> <div class="rect2"></div> <div class="rect3"></div> <div class="rect4"></div> <div class="rect5"></div> </div></div>');
	var occupation_id = $(selectedOccupationalgroup).attr('occupation-id');
	var occupation_name = $(selectedOccupationalgroup).attr('occupation-name');
	$.ajax({
		type        : 'POST',
		url     	: appObj.siteUserControllerUrl+'getAllOccupationalsubgroup',
		dataType 	: 'json',
		data        : {data:occupation_id},
		success : function(data){
			$('.subgroup-loader').remove();
			var dropDownValues = '';
			dropDownValues+='<h3 class="wizard-step-title">'+occupation_name+'<span class="pick-all bottom"> (pick all that apply)</span></h3><div class="custom-scroll checkbox-ethnic occupation-subgroup" id="occupationalsubgroupselect">';
			
			$.each(data.fields,function(index,fields){
				dropDownValues += '<div class="checkbox checkbox-2">\
									<label class="ethnic col-lg-12 col-xs-12">\
										<input type="checkbox" class="checkbox" id ="checkbox-button" name="occupationalsubgroup" value="'+fields.id+'">\
										<span class="col-lg-11 col-xs-11 ethnicvalues">'+fields.name+'</span>\
									</label></div>';
			});
			dropDownValues+='</div>';
			dropDownValues+='<div id="occupationalsubgroupcount"><b>(0) items selected</b></div>';
			$(".occupationalsubgroupvalues").empty().append(dropDownValues);
		}
	});
}

function occupationalsubgroupsave(){
	var selectedOccupationalsubgroupValues = []; 
	$("#occupationalsubgroupselect :checked").each(function(i,checked){
		selectedOccupationalsubgroupValues[i] = $(checked).attr("value"); 
	});
	selectedOccupationalsubgroupValues = selectedOccupationalsubgroupValues.join(",");
	$.ajax({
		type        : 'POST',
		url         : appObj.siteUserControllerUrl+'getAllOccupationalsubgroupsave',
		data        : {data:selectedOccupationalsubgroupValues}
	});
}

$(document).on("change","input[name=occupationalsubgroup]",function(){
	var occupationalsubgroupcount = $('[name="occupationalsubgroup"]:checked').length
	$('#occupationalsubgroupcount').html('<p><b>('+occupationalsubgroupcount+') items selected</b></p>');
});

function hometownContent(){
	$.ajax({
		url      : appObj.siteUserControllerUrl+'getAllCountries',
		dataType : 'json',
		success  : function(data){
			var dropDownValues = '';
			dropDownValues+='<h3 class="wizard-step-title">Location</h3>';
			dropDownValues+='<form id="hometownForm"><fieldset><legend>Birth Place</legend>';
			dropDownValues+='<select class="form-control" onchange="getStates(this.value,1);" name="hometown_country">';
			dropDownValues+='<option value="0">Select a Country</option>';
			$.each(data.fields,function(index,fields){
				dropDownValues+='<option value='+fields.id+'>'+fields.name+'</option>';
			});
			dropDownValues+='</select>';
			dropDownValues+='<select class="form-control" onchange="getCities(this.value,1);" name="hometown_state">';
			dropDownValues+='<option value="0">Select a State</option>';
			dropDownValues+='</select>';
			dropDownValues+='<select class="form-control" name="hometown_city">';
			dropDownValues+='<option value="0">Select a City</option>';
			dropDownValues+='</select>';
			dropDownValues+='</fieldset>';
			
			dropDownValues+='<fieldset class="living-place-legened"><legend>Where do you live?</legend>';
			dropDownValues+='<div class="checkbox-hometown checkbox-2">\
								<label>\
									<input type="checkbox" class="checkbox" id ="checkbox-button" name="same-as-hometown">\
									<span><b>Same as Birth Place</b></span>\
								</label></div>';
			
			dropDownValues+='<select class="form-control" onchange="getStates(this.value,2);" name="living_country" id="living_country_disable">';
			dropDownValues+='<option value="0">Select a Country</option>';
			$.each(data.fields,function(index,fields){
				dropDownValues+='<option value='+fields.id+'>'+fields.name+'</option>';
			});
			dropDownValues+='</select>';
			
			dropDownValues+='<select class="form-control" onchange="getCities(this.value,2);" name="living_state" id="living_state_disable">';
			dropDownValues+='<option value="0">Select a State</option>';
			dropDownValues+='</select>';
			dropDownValues+='<select class="form-control" name="living_city" id="living_city_disable">';
			dropDownValues+='<option value="0">Select a City</option>';
			dropDownValues+='</select>';
			
			dropDownValues+='</fieldset></form>';
			$(".home-town-values").empty().append(dropDownValues);
		}
	});	
}

function hometownContentsave(){
	$('.actions ul li:last-child').after('<div class="spinner finish-loader"> <div class="rect1"></div> <div class="rect2"></div> <div class="rect3"></div> <div class="rect4"></div> <div class="rect5"></div> </div>');
	var hometownCountry = $('select[name=hometown_country] option:selected').val();
	var hometownState = $('select[name=hometown_state]  option:selected').val();
	var hometownCity = $('select[name=hometown_city] option:selected').val();
	if($('input[name=same-as-hometown]').is(':checked')){
		var livingCountry = 0;
		var livingState = 0;
		var livingCity = 0;
	}
	else{
		var livingCountry = $('select[name=living_country] option:selected').val();
		var livingState = $('select[name=living_state] option:selected').val();
		var livingCity = $('select[name=living_city] option:selected').val();
	}
	$.ajax({
		type        : 'POST',
		url         : appObj.siteUserControllerUrl+'hometownContentsave',
		data        : {hometownCountry:hometownCountry,
		hometownState:hometownState,hometownCity:hometownCity,
		livingCountry:livingCountry,livingState:livingState,livingCity:livingCity},
		success     : function(data) {
			$('.finish-loader').remove();
			getUserInfoValues();
			bootbox.hideAll();
		}
	});
}
$(document).on('change','input[name=same-as-hometown]',function(){
	if($(this).is(':checked')){
		
		$("#living_country_disable").prop("disabled", true);
		$("#living_state_disable").prop("disabled", true);
		$("#living_city_disable").prop("disabled", true);
		$("select[name='living_country'] option:selected").text($("select[name='hometown_country'] option:selected").text());
		$("select[name='living_state'] option:selected").text($("select[name='hometown_state'] option:selected").text());
		$("select[name='living_city'] option:selected").text($("select[name='hometown_city'] option:selected").text());
    }
	else {
		$("#living_country_disable").prop("disabled", false);
		$("#living_state_disable").prop("disabled", false);
		$("#living_city_disable").prop("disabled", false);
        $("input[name='living_city'],input[name='living_state'],input[name='living_country").val("");
    }
});

function editHometownContent(){
	$.ajax({
		url      : appObj.siteUserControllerUrl+'getAllCountries',
		dataType : 'json',
		success  : function(data){
			var dropDownValues = '';
				dropDownValues += '<form class="smart-form" id="editHometownContent">';
				dropDownValues+='<fieldset class="location"><legend>Birth Place</legend>';
				
				dropDownValues+='<select class="form-control" onchange="getStates(this.value,1);" name="hometown_country">';
				dropDownValues+='<option value="0">Select a Country</option>';
				var countryId = $(".hometowncountry input").val();
				$.each(data.fields,function(index,fields){
					if(countryId){
						if(countryId == fields.id){
							dropDownValues+='<option value='+fields.id+' selected>'+fields.name+'</option>';
						}
						else{
							dropDownValues+='<option value='+fields.id+'>'+fields.name+'</option>';
						}
					}
					else{
						dropDownValues+='<option value='+fields.id+'>'+fields.name+'</option>';
					}
				});
				dropDownValues+='</select>';
				dropDownValues+='<select class="form-control" onchange="getCities(this.value,1);" name="hometown_state">';
				dropDownValues+='<option value="0">Select a State</option>';
				dropDownValues+='</select>';
				dropDownValues+='<select class="form-control" name="hometown_city">';
				dropDownValues+='<option value="0">Select a City</option>';
				dropDownValues+='</select>';
				dropDownValues+='</fieldset>';
			
				dropDownValues+='<fieldset class="living-place-legened"><legend>Where do you live?</legend>';
				dropDownValues+='<div class="checkbox-hometown checkbox-2">\
								<label>\
									<input type="checkbox" class="checkbox" id ="checkbox-button" name="same-as-hometown">\
									<span><b>Same as Birth Place</b></span>\
								</label></div>';
				
				dropDownValues+='<select class="form-control" onchange="getStates(this.value,2);" name="living_country" id="living_country_disable">';
				dropDownValues+='<option value="0">Select a Country</option>';
				var editCountryId = $(".livingcountry input").val();
				$.each(data.fields,function(index,fields){
					if(editCountryId){
						if(editCountryId == fields.id){
							dropDownValues+='<option value='+fields.id+' selected>'+fields.name+'</option>';
						}
						else{
							dropDownValues+='<option value='+fields.id+'>'+fields.name+'</option>';
						}
					}
					else{
						dropDownValues+='<option value='+fields.id+'>'+fields.name+'</option>';
					}
				});
				dropDownValues+='</select>';
				dropDownValues+='<select class="form-control" onchange="getCities(this.value,2);" name="living_state" id="living_state_disable">';
				dropDownValues+='<option value="0">Select a State</option>';
				dropDownValues+='</select>';
				dropDownValues+='<select class="form-control" name="living_city" id="living_city_disable">';
				dropDownValues+='<option value="0">Select a City</option>';
				dropDownValues+='</select>';
				dropDownValues+='</fieldset>';
				dropDownValues += '</form>';
				bootbox.dialog({
					title   	: "Location",
					message 	: dropDownValues,
					animate 	: false,
					className	: "userModalContent",
					buttons 	: {
						success	: {
							label: "Update",
							className: "btn btn-sm btn-primary",
							callback: function (e){
								e.preventDefault();
								hometownContentsave();
							}
						}
					}
				});
				editLivingStates();
				editLivingCity();
				editHometownStates();
				editHometownCity();
		}
	});
}
function editLivingStates(){
	var countryId = $(".livingcountry input").val();
	if(countryId!=0){
		var dropDownValues='';
		$.ajax({
				type		:'POST',
				url     	: appObj.siteUserControllerUrl+'getAllStates',
				dataType 	: 'json',
				data		: {data:countryId},
				success		: function(data){
					var stateId = $(".livingstate input").val();
					$.each(data.fields,function(index,fields){
						if(stateId == fields.id){
							dropDownValues+='<option value='+fields.id+' selected>'+fields.name+'</option>';
						}
						else{
							dropDownValues+='<option value='+fields.id+'>'+fields.name+'</option>';
						}
					});
					$("select[name=living_state]").empty().append(dropDownValues);
				}
			});
	}
	else{
		$("select[name=living_state]").empty().append('<option value="0">Select a State</option>');
	}
}

function editLivingCity(){
	var stateId = $(".livingstate input").val();
	if(stateId!=0){
		var dropDownValues='';
		$.ajax({
				type		:'POST',
				url     	: appObj.siteUserControllerUrl+'getAllCities',
				dataType 	: 'json',
				data		: {data:stateId},
				success		: function(data){
					var cityId = $(".livingcity input").val();
					$.each(data.fields,function(index,fields){
						if(cityId == fields.id){
							dropDownValues+='<option value='+fields.id+' selected>'+fields.name+'</option>';
						}
						else{
							dropDownValues+='<option value='+fields.id+'>'+fields.name+'</option>';
						}
					});
					$("select[name=living_city]").empty().append(dropDownValues);
				}
			});
	}
	else{
		$("select[name=living_city]").empty().append('<option value="0">Select a City</option>');
	}
}

function editHometownStates(){
	var countryId = $(".hometowncountry input").val();
	if(countryId){
		var dropDownValues='';
		$.ajax({
				type		:'POST',
				url     	: appObj.siteUserControllerUrl+'getAllStates',
				dataType 	: 'json',
				data		: {data:countryId},
				success		: function(data){
					var stateId = $(".hometownstate input").val();
					$.each(data.fields,function(index,fields){
						if(stateId == fields.id){
							dropDownValues+='<option value='+fields.id+' selected>'+fields.name+'</option>';
						}
						else{
							dropDownValues+='<option value='+fields.id+'>'+fields.name+'</option>';
						}
					});
					if(countryId == 0){
						$("select[name=hometown_state]").empty().append('<option value="0">Select a State</option>');
					}
					else{
						$("select[name=hometown_state]").empty().append(dropDownValues);
					}
				}
			});
	}
}

function editHometownCity(){
	var stateId = $(".hometownstate input").val();
	if(stateId){
		var dropDownValues='';
		$.ajax({
				type		:'POST',
				url     	: appObj.siteUserControllerUrl+'getAllCities',
				dataType 	: 'json',
				data		: {data:stateId},
				success		: function(data){
					var cityId = $(".hometowncity input").val();
					$.each(data.fields,function(index,fields){
						if(cityId == fields.id){
							dropDownValues+='<option value='+fields.id+' selected>'+fields.name+'</option>';
						}
						else{
							dropDownValues+='<option value='+fields.id+'>'+fields.name+'</option>';
						}
					});
					if(stateId == 0){
						$("select[name=hometown_city]").empty().append('<option value="0">Select a City</option>');
					}
					else{
						$("select[name=hometown_city]").empty().append(dropDownValues);
					}
				}
			});
	}
}

var basicInfo_day = [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31];
var basicInfo_months = [[1,'Jan'],[2,'Feb'],[3,'Mar'],[4,'Apr'],[5,'May'],[6,'Jun'],[7,'Jul'],[8,'Aug'],[9,'Sep'],[10,'Oct'],[11,'Nov'],[12,'Dec']];

function editBasicInfo(type){
	if(type == 1){
		var genderValue = $(".basic-info-data input").val();
		var dobValue = $(".dob-info-data input").val();
		var dateStatus = $(".date-info-status input").val();
		var yearStatus = $(".year-info-status input").val();
		var results = dobValue.split("-");
	}
	var values = '';
	values +='<form class="basic-info" id="personaldetailsForm">\
				<div class="form-group">\
					<label class="control-label" for="name"><b>Birthday</b></label>\
					<div class="row">\
						<div class="col-sm-12 col-xs-12 m-b-sm">\
							<select class="form-control" id="birthmonth" name="birth_month">\
								<option value="0">Month</option>';
								basicInfo_months.forEach(function(item){
									values += '<option value="'+item[0]+'">'+item[1]+'</option>'
								});
							values += '</select>\
							\
							<select class="form-control" id="birthdate" name="birth_date">\
								<option value="0">Date</option>';
								basicInfo_day.forEach(function(item){
									values += '<option value="'+item+'">'+item+'</option>';
								});
							values += '</select>'
							values +='<div class="btn-group pull-right">\
								<button data-toggle="dropdown" class="btn btn-sm btn-default dropdown-toggle" aria-expanded="true"><i class="fa fa-users"></i> <span class="caret"></span></button>\
								<ul class="dropdown-menu">\
									<li><a href="javascript:void(0);" date-privacy="1"><i class="fa fa-globe"></i> Public <span class="date-privacy-check"><i class="fa fa-check"></i></span></a></li>\
									<li><a href="javascript:void(0);" date-privacy="0"><i class="fa fa-lock"></i> Only me<span class="date-privacy-check"></span></a></li>\
								</ul>\
								<input type="hidden" name="birthdate-privacy" value="1">\
							</div>\
						</div>\
						\
						<div class="col-sm-12 col-xs-12 m-b-sm">';
							if(type == 1){
								values +='<input type="text" id="birthyear" name="birth_year" class="form-control" value="'+results[0]+'"  placeholder="Year" readonly>';
							}
							else{
								values +='<input type="text" id="birthyear" name="birth_year" class="form-control" placeholder="Year" readonly>';
							}
							values +='<div class="btn-group pull-right">\
								<button data-toggle="dropdown" class="btn btn-sm btn-default dropdown-toggle" aria-expanded="true"><i class="fa fa-users"></i> <span class="caret"></span></button>\
								<ul class="dropdown-menu">\
									<li><a href="javascript:void(0);" year-privacy="1"><i class="fa fa-globe"></i> Public <span class="year-privacy-check"><i class="fa fa-check"></i></span></a></li>\
									<li><a href="javascript:void(0);" year-privacy="0"><i class="fa fa-lock"></i> Only me <span class="year-privacy-check"></span></a></li>\
								</ul>\
								<input type="hidden" name="birthyear-privacy" value="1">\
							</div>\
						</div>\
					</div>\
				</div>\
				<div class="form-group">\
					<label class="control-label bithday-label" for="name"><b>Gender</b></label><br>\
					<label class="radio-inline col-lg-2 gender-radio">\
						<input id="name" name="gender" type="radio" value="1" class="radio-inline">Female\
					</label>\
					<label class="radio-inline col-lg-2 gender-name">\
						<input id="name" name="gender" type="radio" value="2" class="radio-inline">Male\
					</label>\
				</div>\
			</form>';
		bootbox.dialog({
			title   	: "Basic Info",
			message 	: values,
			animate 	: false,
			className	: "userModalContent",
			buttons 	: {
				success	: {
					label: "Update",
					className: "btn-primary",
					callback: function (e){
						e.preventDefault();
						personaldetailsSave();
						setTimeout(function(){
							getUserInfoValues();
						},2000);
					}
				}
			}
		});
		if(type == 1){
			$("input[name=gender][value="+genderValue+"]").prop("checked",true);
			$("select[name=birth_month] option[value="+results[1]+"]").prop("selected",true);
			$("select[name=birth_date] option[value="+results[2]+"]").prop("selected",true);
			
			$("input[name=birthdate-privacy]").val(dateStatus);
			$(".date-privacy-check").empty();
			$("a[date-privacy="+dateStatus+"]").find(".date-privacy-check").empty().append(' <i class="fa fa-check"></i>');
			
			$("input[name=birthyear-privacy]").val(yearStatus);
			$(".year-privacy-check").empty();
			$("a[year-privacy="+yearStatus+"]").find(".year-privacy-check").empty().append(' <i class="fa fa-check"></i>');
		}
		birthDate();
}

$(document).on("click",".basic-info ul li a",function(){
	var datePrivacy = $(this).attr("date-privacy");
	if(datePrivacy){
		$("input[name=birthdate-privacy]").val(datePrivacy);
		$(".date-privacy-check").empty();
		$(this).find(".date-privacy-check").empty().append(' <i class="fa fa-check"></i>');
	}
	
	var yearPrivacy = $(this).attr("year-privacy");
	if(yearPrivacy){
		$("input[name=birthyear-privacy]").val(yearPrivacy);
		$(".year-privacy-check").empty();
		$(this).find(".year-privacy-check").empty().append(' <i class="fa fa-check"></i>');
	}
});
function birthDate(){
	$('.externel-js-files').append('<script src="'+appObj.siteUrl+'assets/vendor/bootstrap-datepicker-master/dist/js/bootstrap-datepicker.min.js"></script>');
	$('.externel-css-files').append('<link rel="stylesheet" type="text/css" href="'+appObj.siteUrl+'assets/vendor/bootstrap-datepicker-master/dist/css/bootstrap-datepicker.min.css" />');
	setTimeout(function(){
		$('#birthyear').datepicker({
			format: " yyyy",
			viewMode: "years", 
			minViewMode: "years",
			autoclose: true,
		});
	},500);
}


function addProfessionalSummary(type){
	var profSummaryData = '<div class="row">\
                    <div class="col-md-12 smart-form">\
                    <form class="form-horizontal" name="professionalsummary">\
					<textarea rows="5" class="custom-scroll form-control" name="summary" placeholder="Summary">';
	if(type == 1){
		profSummaryData += $(".prof-summary-data span").text();
	}
		profSummaryData += '</textarea>\
                    </form></div></div>';
		bootbox.dialog({
			title   	: "Professional summary",
			message 	: profSummaryData,
			animate 	: false,
			className	: "userModalContent",
			buttons 	: {
				success: {
					label: "Update",
					className: "btn btn-sm btn-primary",
					callback: function (e){
						e.preventDefault();
						professionalsummarysave();   
					}
				}
			}
		}
	);
}

function professionalsummarysave(){
	var summary = $('form[name=professionalsummary] textarea[name=summary]').val();
	if(summary == ''){
		$(".prof-summary-data").empty().append('<button class="btn btn-sm btn-primary" onclick="addProfessionalSummary(0);">Add <i class="fa fa-plus"></i></button>');
	}
	else{
		$(".prof-summary-data").empty().append("<span>"+summary+'</span><a class="profile-edit" href="javascript:void(0);" onclick="addProfessionalSummary(1);"><span class="fa fa-pencil"></span></a>');
	}
	$.ajax({
		type    : 'POST',
		url     : appObj.siteUserControllerUrl+'getAllProfessionalsummarysave',
		data    : {data:summary},
		success : function(data){
		}
	});
}

function editEthnicity(type){
	$.ajax({
		url     : appObj.siteUserControllerUrl+'getAllEthnic',
		dataType : 'json',
		success : function(data){
			var values = '';
			if(type == 1){
				var ethnicity_id = $(".ethnicity-data input").val();
				ethnicity_id = ethnicity_id.split(',');
			}
			values += '<form class="smart-form" name="ethnic">\
							<div id="example-basic">\
								<input type="text" name="search-ethnic" class="form-control m-b-sm" placeholder="Search by Ethnicity" autocomplete="off">\
								<div class="ethnic-search-results"></div>\
								<div class="ethnicityvalues">\
									<div class="custom-scroll checkbox-ethnic ethnic-scroll" id="ethnicSelect">';
										var count = '';
										$.each(data.fields,function(index,fields){
											values += '<div class="checkbox checkbox-2">\
															<label class="ethnic col-lg-12 col-xs-12">';
											if(type == 1){
												if (ethnicity_id.indexOf(fields.id) != -1){
													values += '<input type="checkbox" class="checkbox" id ="checkbox-button" name="cbox" country_code="'+fields.country_code+'" value="'+fields.id+'" checked="checked">';
													count = +count + 1;
												}
												else{
													values += '<input type="checkbox" class="checkbox" id ="checkbox-button" name="cbox" country_code="'+fields.country_code+'" value="'+fields.id+'">';
												}
											}
											else{
												values += '<input type="checkbox" class="checkbox" id ="checkbox-button" name="cbox" country_code="'+fields.country_code+'" value="'+fields.id+'">';
											}
											values += '<span class="col-lg-11 col-xs-11 ethnicvalues">';
														   if(fields.country_code != ''){
															  values += ' <img src="assets/images/country-flags/16x16/'+fields.country_code+'.png">';
														   }
														   else{
															  values += ' <img src="assets/images/country-flags/16x16/empty.png">';  
														   }
														   
											values += ''+fields.name+'</span></label>\
													</div>';
										});
									values+='</div>';
									if(type == 1){
										values+= '<div id="count"><b> ('+count+') items selected</b></div>';
									}
									else{
										values+= '<div id="count"><b> (0) items selected</b></div>';
									}
							values += '</div>\
						</div>\
					</form>';
			bootbox.dialog({
				title   	: "<span class='edit-ethnic'>Your Ethnic Heritage </span><span class='pick-all'>(Pick all that apply)</span>",
				message 	: values,
				className	: "userModalContent",
				animate 	: false,
				buttons 	: {
					success	: {
						label: "Update",
						className: "btn-primary",
						callback: function (e){
							e.preventDefault();
							ethnicsave();  
							setTimeout(function(){
								getUserInfoValues();
							},2000);
						}
					}
				}
			});
		}
	});
}

$(document).on("change","input[name=cbox]",function(){
	var count = $('[name="cbox"]:checked').length
	$('#count').html('<p><b>('+count+') items selected</b></p>');
});

function editEducationlevel(type){
	$.ajax({
		url      : appObj.siteUserControllerUrl+'getAllEducationlevel',
		dataType : 'json',
		success  : function(data){
			var values = '';
			if(type == 1){
				var educationallevel_id = $(".education-level-data input").val();
			}
			values += '<form class="smart-form" name="ethnic"><div id="example-basic">';
			values+='<div class="custom-scroll checkbox-ethnic educationlevel-scroll" id="educationlevelselect">';
			$.each(data.fields,function(index,fields){
				values += '<div class="radio checkbox-2">\
								<label class="ethnic col-lg-12 col-xs-12">';
				if(type == 1){
					if (educationallevel_id.indexOf(fields.id) != -1){
						values += '<input type="radio" class="radiobox style-0" name="style-0" checked="checked" id ="radio-button" value="'+fields.id+'">';
					}
					else{
						values += '<input type="radio" class="radiobox style-0" name="style-0" id ="radio-button" value="'+fields.id+'">';
					}
				}
				else{
					values += '<input type="radio" class="radiobox style-0" name="style-0" id ="radio-button" value="'+fields.id+'">';
				}
				values += '<span class="col-lg-11 col-xs-11 ethnicvalues">';
				values += ''+fields.name+'</span></label></div>';	
			});
			values+='</div>';
			values += '</form></div>';
			bootbox.dialog({
				title  		: "<span class='edit-ethnic'> Which your highest Educational level? </span>",
				message 	: values,
				className	: "userModalContent",
				animate 	: false,
				buttons 	: {
					success	: {
						label: "Update",
						className: "btn btn-sm btn-primary",
						callback: function (e){
							e.preventDefault();
							educationlevelsave();
							setTimeout(function(){
								getUserInfoValues();
							},2000);
						}
					}
				}
			});
			
		}
	});
}

function editOccupation(type){
	$.ajax({
		url      : appObj.siteUserControllerUrl+'getAllOccupation',
		dataType : 'json',
		success  : function(data){
			var values = '';
			if(type == 1){
				var occupation_id = $(".occupation-data input").val();
				occupation_id = occupation_id.split(',');
			}
			values += '<form class="smart-form" name="ethnic"><div id="example-basic">';
			values+='<div class="custom-scroll checkbox-ethnic occupation-scroll" id="occupationselect">';
			var occupationcount ='';
			$.each(data.fields,function(index,fields){
				values += '<div class="checkbox checkbox-2">\
							<label class="ethnic col-lg-12 col-xs-12">';
				if(type == 1){
					if (occupation_id.indexOf(fields.id) != -1){
						values += '<input type="checkbox" class="checkbox" id ="checkbox-button" name="occupation" value="'+fields.id+'" checked="checked">';
						occupationcount = +occupationcount + 1;
					}
					else{
						values += '<input type="checkbox" class="checkbox" id ="checkbox-button" name="occupation" value="'+fields.id+'">';
					}
				}
				else{
					values += '<input type="checkbox" class="checkbox" id ="checkbox-button" name="occupation" value="'+fields.id+'">';
				}
				values += '<span class="col-lg-11 col-xs-11 ethnicvalues">';
							   
				values += ''+fields.name+'</span></label></div><input type="hidden" class="checkbox" id ="checkbox-button" name="occupation" value="'+fields.id+'">';	
			});
			values+='</div>';
			if(type == 1){
				values+='<div id="occupationcount"><b> ('+occupationcount+') items selected<b></div>';
			}
			else{
				values+='<div id="occupationcount"><b> (0) items selected<b></div>';
			}
			values += '</form></div>';
			bootbox.dialog({
				title  		: "<span class='edit-ethnic'> Which is your professional or employment status? </span><span class='pick-all bottom'>(Pick all that apply)</span>",
				message 	: values,
				animate 	: false,
				className	: "userModalContent",
				buttons 	: {
					success	: {
						label: "Update",
						className: "btn btn-sm btn-primary",
						callback: function (e){
							e.preventDefault();
							occupationsave();  
							setTimeout(function(){
								getUserInfoValues();
							},2000);
						}
					}
				}
			});
			
		}
	});
}

$(document).on("change","input[name=occupation]",function(){
	var occupationcount = $('[name="occupation"]:checked').length
	$('#occupationcount').html('<p><b>('+occupationcount+') items selected</b></p>');
});

var stepsWizard='';
function occupationGroupValidation(){
	stepsWizard = $("#example-basic").steps({
		headerTag: "h3",
		bodyTag: "section",
		transitionEffect: "slideLeft",
		autoFocus: true,
		onInit:function(event,currentIndex){
			$(".wizard .actions a[href='#next']").attr('style', 'display:none;');
		},
		onFinishing:function(event,currentIndex){
			occupationalgroupsave();
			occupationalsubgroupsave();
			bootbox.hideAll();
			setTimeout(function(){
				getUserInfoValues();
			},2000);
		}
	});
}

function editOccupationalGroup(type){
	$.ajax({
		url      : appObj.siteUserControllerUrl+'getAllOccupationalgroup',
		dataType : 'json',
		success  : function(data){
			var dropDownValues = '';
			if(type == 1){
				var occupationalgroup_id = $(".occupation-group-data input").val();
				occupationalgroup_id = occupationalgroup_id.split(',');
			}
			dropDownValues+='<form class="smart-form" name="ethnic"><div id="example-basic">\
			<h3>Keyboard</h3>\
			<section>';
			dropDownValues+='<h3 class="wizard-step-title">Occupational Group<button type="button" class="bootbox-close-button close" data-dismiss="modal" aria-hidden="true" style="margin-top: -10px;">×</button></h3><div class="custom-scroll checkbox-ethnic ethnic-scroll" id="occupationalgroupselect">';
			$.each(data.fields,function(index,fields){
				dropDownValues += '<div class="checkbox checkbox-2">\
										<label class="ethnic col-lg-12 col-xs-12">';
				if(type == 1){
					if (occupationalgroup_id.indexOf(fields.id) != -1){
						dropDownValues += '<input type="radio" class="radiobox style-0" id ="areagrp" name="occupationalgroup" value="'+fields.id+'" checked="checked">';
					}
					else{
						dropDownValues += '<input type="radio" class="radiobox style-0" id ="areagrp" name="occupationalgroup" value="'+fields.id+'">';
					}
				}
				else{
					dropDownValues += '<input type="radio" class="radiobox style-0" id ="areagrp" name="occupationalgroup" value="'+fields.id+'">';
				}
				dropDownValues += '<span class="col-lg-11 col-xs-11 ethnicvalues" onclick="editOccupationalsubGroup(this);" occupation-id='+fields.id+' occupation-name="'+fields.name+'">';
				dropDownValues += ''+fields.name+'</span></label></div><input type="hidden" class="checkbox" id ="checkbox-button" name="occupationalgroup" value="'+fields.id+'">';	
			});
			dropDownValues += '	</div></section>\
								<h3>Pager</h3>\
								<section class="occupationsubvalues">\
									<p>The next and previous buttons help you to navigate through your content.</p>\
								</section>\
							</div></form>';
			bootbox.dialog({
				message		: dropDownValues,
				className	: "userInfoModal",
				animate 	: false,
				closeButton	: false,
			});
			occupationGroupValidation();
			if(type == 1){
				editOccupationalsubGroup('');
			}
		}
	});
}

function editOccupationalsubGroup(selectedOccupationalsub){
	$('.occupationsubvalues').html('<div class="subgroup-loader"><div class="spinner"> <div class="rect1"></div> <div class="rect2"></div> <div class="rect3"></div> <div class="rect4"></div> <div class="rect5"></div> </div></div>');
	stepsWizard.steps("setStep", 1);
	///stepsWizard.steps("next");
	var occupation_id = '';
	var occupation_name = '';

	if(selectedOccupationalsub == ''){
		occupation_id = $(".occupation-group-data input").val();
		occupation_name =  $(".occupation-group-data span").text();
	}
	else{
		occupation_id = $(selectedOccupationalsub).attr('occupation-id');
		occupation_name = $(selectedOccupationalsub).attr('occupation-name');
	}
	$.ajax({
		type        : 'POST',
		url    	 	: appObj.siteUserControllerUrl+'getAllOccupationalsubgroup',
		dataType 	: 'json',
		data        : {data:occupation_id},
		success 	: function(data){
			$('.subgroup-loader').remove();
			if(selectedOccupationalsub == ''){
				var occupationalsubgroup_id = $(".occupation-subgroup-data input").val();
				if(occupationalsubgroup_id){
					occupationalsubgroup_id = occupationalsubgroup_id.split(',');
				}
			}
			var values = '';
			values += '<form class="smart-form" name="ethnic" id="occupationalsubgroupselect"><div id="example-basic">';
			values+='<h3 class="wizard-step-title">'+occupation_name+'<span class="pick-all edit-occupationsubgroup"> (pick all that apply)</span><button type="button" class="bootbox-close-button close" data-dismiss="modal" aria-hidden="true" style="margin-top: -10px;">×</button></h3><div class="custom-scroll checkbox-ethnic occupation-subgroup" id="occupationalgroupselect">';
			var occupationalgroupcount = '';
			$.each(data.fields,function(index,fields){
				values += '<div class="checkbox checkbox-2">\
								<label class="ethnic col-lg-12 col-xs-12">';
				if(selectedOccupationalsub == '' && occupationalsubgroup_id){
					if (occupationalsubgroup_id.indexOf(fields.id) != -1){
						values += '<input type="checkbox" class="checkbox" id ="checkbox-button" name="occupationalsubgroup" value="'+fields.id+'" checked="checked">';
						occupationalgroupcount = +occupationalgroupcount + 1;
					}
					else{
						values += '<input type="checkbox" class="checkbox" id ="checkbox-button" name="occupationalsubgroup" value="'+fields.id+'">';
					}
				}
				else{
					values += '<input type="checkbox" class="checkbox" id ="checkbox-button" name="occupationalsubgroup" value="'+fields.id+'">';
				}
				values += '<span class="col-lg-11 col-xs-11 ethnicvalues">';
				values += ''+fields.name+'</span></label></div><input type="hidden" class="checkbox" id ="checkbox-button" name="occupationalsubgroup" value="'+fields.id+'">';	
			});
			values+='</div>';
			if(selectedOccupationalsub == '' && occupationalsubgroup_id){
				values+='<div id="occupationalsubgroupcount"><b>('+occupationalgroupcount+') items selected</b></div>';
			}
			else{
				values+='<div id="occupationalsubgroupcount"><b>(0) items selected</b></div>';
			}
			values += '</div></form>';
			$('.occupationsubvalues').empty().append(values);
			
		}
	});
}

$(document).on("change","input[name=occupationalsubgroup]",function(){
	var occupationalgroupcount = $('[name="occupationalsubgroup"]:checked').length
	$('#occupationalgroupcount').html('<p><b>('+occupationalgroupcount+') items selected</b></p>');
});

function editLanguages(type){
	$.ajax({
		url      : appObj.siteUserControllerUrl+'getAllLanguages',
		dataType : 'json',
		success  : function(data){
			var values = '';
			if(type == 1){
				var languages_list_id = $(".languages-data input").val();
				languages_list_id = languages_list_id.split(',');
			}
			values += '<form class="smart-form" name="ethnic"><div id="example-basic">\
							<input type="text" name="search-languages" class="form-control m-b-sm" placeholder="Search by Languages" autocomplete="OFF">\
							<div class="languages-search-results"></div>\
							<div class="languagesvalues">\
								<div class="custom-scroll checkbox-ethnic ethnic-scroll" id="languagesselect">';
									var languagescount = '';
									$.each(data.fields,function(index,fields){
										if(type == 1){
											if (languages_list_id.indexOf(fields.id) != -1){
												values += '<div class="checkbox checkbox-2">\
																<label class="ethnic col-lg-12 col-xs-12">\
																	<input type="checkbox" class="checkbox" id ="checkbox-button" name="languages" value="'+fields.id+'" checked="checked">\
																			<span class="col-lg-11 col-xs-11 ethnicvalues">'+fields.name+'</span>\
																	</label></div>';	
												languagescount = +languagescount + 1;
											}
											else{
												values += '<div class="checkbox checkbox-2">\
															<label class="ethnic col-lg-12 col-xs-12">\
																<input type="checkbox" class="checkbox" id ="checkbox-button" name="languages" value="'+fields.id+'">\
																		<span class="col-lg-11 col-xs-11 ethnicvalues">'+fields.name+'</span>\
																</label></div>';
											}
										}
										else{
											values += '<div class="checkbox checkbox-2">\
															<label class="ethnic col-lg-12 col-xs-12">\
																<input type="checkbox" class="checkbox" id ="checkbox-button" name="languages" value="'+fields.id+'">\
																		<span class="col-lg-11 col-xs-11 ethnicvalues">'+fields.name+'</span>\
																</label></div>';
										}
									});
								values+='</div>';
								if(type == 1){
									values+='<div id="languagescount"><b> ('+languagescount+') items selected<b></div>';
								}
								else{
									values+='<div id="languagescount"><b> (0) items selected<b></div>';
								}
							values+='</div>';
			values += '</div></form>';
			bootbox.dialog({
				title   	: "<span class='edit-ethnic'> Languages </span><span class='pick-all'>(Pick all that apply)</span>",
				message 	: values,
				animate 	: false,
				className	: "userModalContent",
				buttons 	: {
					success	: {
						label: "Update",
						className: "btn-primary",
						callback: function (e){
							e.preventDefault();
							languagessave();
							setTimeout(function(){
								getUserInfoValues();
							},2000);
						}
					}
				}
			});	
		}
	});
}

$(document).on('keyup', "input[name=search-languages]", function(){
	var inputValue = $(this).val();
	if(inputValue != '' && inputValue.length > 2){
		$.ajax({
			type   	 	: 'POST',
			url     	: appObj.siteUserControllerUrl+'getAllSearchLanguages',
			dataType 	: 'json',
			data    	: {searchValue:inputValue},
			success  	: function(data){
				$(".languagesvalues").hide();
				var searchResults = '';
				if(data.fields != ""){
					searchResults+='<div class="custom-scroll checkbox-ethnic ethnic-scroll" id="languagesselect">';
					$.each(data.fields,function(index,fields){
						searchResults+= displayLanguagesBlock(fields.id,fields.name);
					});
					searchResults+='</div>';
				}
				else{
					searchResults+='You have no Languages found.';
				}
				searchResults+='<div id="languagescount"><b>(0) items selected</b></div>';
				$(".languages-search-results").empty().append(searchResults);
			}
		});
	}
	else{
		$(".languages-search-results").empty();
		$(".languagesvalues").show();
	}
})

function displayLanguagesBlock(id,name){
	var languages = '';
		languages+='<div class="checkbox checkbox-2">\
						<label class="ethnic col-lg-12 col-xs-12">\
							<input type="checkbox" class="checkbox" id="checkbox-button" name="languages" value="'+id+'">\
							<span class="col-lg-11 col-xs-11 ethnicvalues">'+name+'</span>\
						</label>\
					</div>';
	return languages;
}

$(document).on("change","input[name=languages]",function(){
	var languagescount = $('[name="languages"]:checked').length
	$('#languagescount').html('<p><b>('+languagescount+') items selected</b></p>');
});

function addSkills(type){
	var addSkillsData = '';
	addSkillsData += '<div class="row">\
						<div class="col-md-12">\
							<form class="form-horizontal" name="skillsform">\
								<input type="text" class="form-control input-md skills_input" placeholder="Press Enter to add another skill">\
								<!--<button type="button" class="btn btn-success add-skills-btn">Add</button>-->\
								<div class="tags-preview">';
									if(type == 1){
										$(".skills-data .skill-block").each(function(item){
											addSkillsData += '<span class="skill-block"><span class="skill-value">'+$(this).text()+'</span><i class="fa fa-close"></i></span>';
										});
									}
								addSkillsData += '</div>\
							</form>\
						</div>\
					</div>';
		bootbox.dialog({
			title   	: "Skills",
			message 	: addSkillsData,
			className	: "userModalContent",
			'animate' 	: false,
			buttons 	: {
				success	: {
					label : "Save",
					className : "btn-primary",
					callback : function(){
						skillssave();
						return false;
					}
				}
			}
		});
		addSkillsEnter();
}

$(document).on("click",".add-skills-btn",function(){
	var skillinput = $(this).prev().find(".skills_input");
	if($(skillinput).val() != ''){
		$(".tags-preview").append('<span class="skill-block"><span class="skill-value">'+skillinput.val()+'</span><i class="fa fa-close"></i></span>');
		skillinput.val('');
	}
});

function addSkillsEnter(){
	$("input").on("keydown",function skills_input(e) {
		if(e.keyCode == 13) {
			var skillinput = $(".skills_input");
			if($(skillinput).val() != ''){
				$(".tags-preview").append('<span class="skill-block"><span class="skill-value">'+skillinput.val()+'</span><i class="fa fa-close"></i></span>');
				skillinput.val('');
			}
			return false;
		}
	});
}

$(document).on("click",".tags-preview .skill-block .fa",function(){
	$(this).parent().remove();
});

function skillssave(){
	var AllSkillsValue = $(".tags-preview").find(".skill-value");
	var skills = '';
	if(AllSkillsValue.length == 0){
		buildSkillsBlock(0,'');
	}
	else{
		for(var i=0;i<AllSkillsValue.length;i++){
			if( i == (AllSkillsValue.length-1)){
				skills += $(AllSkillsValue[i]).text();
			}
			else{
				skills += $(AllSkillsValue[i]).text()+",";
			}
		}
		buildSkillsBlock(1,skills);
	}
	$.ajax({
		type : 'POST',
		url  : appObj.siteUserControllerUrl+'getAllSkillssave',
		data : {data:skills}
	});
}

function buildSkillsBlock(flag,skills){
	var skillsData = '';
	if(flag == 1){
		var skillsArray = skills.split(',');
		skillsArray.forEach(function(item){
			skillsData += '<span class="skill-block">'+item+'</span>';
		});
		skillsData += '<a class="profile-edit" href="javascript:void(0);" onclick="addSkills(1);"><span class="fa fa-pencil fa-lg"></span></a>';
	}
	else{
		skillsData += '<button class="btn btn-primary btn-sm" onclick="addSkills(0);">Add <i class="fa fa-plus"></i></button>';
	}
	
	$(".skills-data").empty().append(skillsData);
}


//Hobbies
function addHobbies(type){
	var addHobbiesData = '';
	addHobbiesData += '<div class="row">\
						<div class="col-md-12">\
							<form class="form-horizontal" name="hobbiesform">\
								<input type="text" class="form-control input-md hobbies_input" placeholder="Press Enter to add another hobby">\
								<div class="tags-preview">';
									if(type == 1){
										$(".hobbies-data .hobbies-block").each(function(item){
											addHobbiesData += '<span class="hobbies-block"><span class="hobbies-value">'+$(this).text()+'</span><i class="fa fa-close"></i></span>';
										});
									}
								addHobbiesData += '</div>\
							</form>\
						</div>\
					</div>';
	bootbox.dialog({
		title   	: "Hobbies",
		message 	: addHobbiesData,
		className	: "userModalContent",
		'animate' 	: false,
		buttons 	: {
			success	: {
				label : "Save",
				className : "btn-primary",
				callback : function(){
					hobbiessave();
					return false;
				}
			}
		}
	});
	addHobbiesEnter();
}

$(document).on("click",".add-skills-btn",function(){
	var hobbiesinput = $(this).prev().find(".hobbies_input");
	if($(hobbiesinput).val() != ''){
		$(".tags-preview").append('<span class="hobbies-block"><span class="hobbies-value">'+hobbiesinput.val()+'</span><i class="fa fa-close"></i></span>');
		hobbiesinput.val('');
	}
});

function addHobbiesEnter(){
	$("input").on("keydown",function hobbies_input(e) {
		if(e.keyCode == 13) {
			var hobbiesinput = $(".hobbies_input");
			if($(hobbiesinput).val() != ''){
				$(".tags-preview").append('<span class="hobbies-block"><span class="hobbies-value">'+hobbiesinput.val()+'</span><i class="fa fa-close"></i></span>');
				hobbiesinput.val('');
			}
			return false;
		}
	});
}

$(document).on("click",".tags-preview .hobbies-block .fa",function(){
	$(this).parent().remove();
});

function hobbiessave(){
	var AllHobbiesValue = $(".tags-preview").find(".hobbies-value");
	var hobbies = '';
	if(AllHobbiesValue.length == 0){
		buildHobbiesBlock(0,'');
	}
	else{
		for(var i=0;i<AllHobbiesValue.length;i++){
			if( i == (AllHobbiesValue.length-1)){
				hobbies += $(AllHobbiesValue[i]).text();
			}
			else{
				hobbies += $(AllHobbiesValue[i]).text()+",";
			}
		}
		buildHobbiesBlock(1,hobbies);
	}
	$.ajax({
		type : 'POST',
		url  : appObj.siteUserControllerUrl+'getAllHobbiessave',
		data : {data:hobbies}
	});
}

function buildHobbiesBlock(flag,hobbies){
	var hobbiesData = '';
	if(flag == 1){
		var hobbiesArray = hobbies.split(',');
		hobbiesArray.forEach(function(item){
			hobbiesData += '<span class="hobbies-block">'+item+'</span>';
		});
		hobbiesData += '<a class="profile-edit" href="javascript:void(0);" onclick="addHobbies(1);"><span class="fa fa-pencil fa-lg"></span></a>';
	}
	else{
		hobbiesData += '<button class="btn btn-primary btn-sm" onclick="addHobbies(0);">Add <i class="fa fa-plus"></i></button>';
	}
	$(".hobbies-data").empty().append(hobbiesData);
}

//Education
function addEducation(){
	var educationValues='';
		educationValues+='<div class="row">\
							<div class="col-md-12">\
								<form id="educationDetail" class="education" autocomplete="off">\
									<div class="form-group">\
										<label class="control-label" for="name"><b>Institute Name</b> <span>*</span></label>\
										<input id="name" name="institute_name" type="text" class="form-control">\
									</div>\
									<div class="form-group">\
										<label class="control-label" for="name"><b>Period</b> <span>*</span></label>\
										<div class="row">\
											<div class="col-sm-3 width-drop">\
												<select class="form-control" name="start_period">';
												educationValues+='<option value="">Year</option>';
												for(i=2017;i>=1980;i--){
													educationValues+='<option>'+i+'</option>';
												}
												educationValues+='</select>\
											</div>\
											<!--<div class="col-sm-3 to">\
												<div class="form-group">-->\
													<label class="control-label to-margin" for="name">to</label>\
												<!--</div>\
											</div>-->\
											<div class="col-sm-3 width-drop">\
												<select class="form-control" name="end_period">';
												educationValues+='<option value="">Year</option>';
												for(i=2017;i>=1980;i--){
													educationValues+='<option>'+i+'</option>';
												}
												educationValues+=' </select>\
										   </div>\
									   </div>\
								   </div>\
									<div class="form-group">\
										<label class="control-label"><b>Degree</b> <span>*</span></label>\
										<input name="degree" type="text" class="form-control">\
									</div>\
									<div class="form-group">\
										<label class="control-label"><b>Field of study</b> <span>*</span></label>\
										<input name="field_of_study" type="text" class="form-control">\
									</div>\
								</form>\
							</div> \
					</div>';
		bootbox.dialog({
			title		: "Education",
			message		: educationValues,
			'animate' 	: false,
			className	: "userModalContent",
			buttons		: {
				success	: {
					label    : "Add",
					className: "btn btn-sm btn-primary",
					callback : function(){
						if($('#educationDetail').valid()){
							educationSave();
						}
						else{
							return false;
						}
					}
				}
			}
        });
		$("#educationDetail").validate({
		   rules: {
				institute_name: {
					required: true,
				},
				start_period: {
					required: true,
				},
				end_period: {
					required: true,
				},
				degree: {
					required: true,
				},
				field_of_study: {
					required: true,
				},
			},
		});
}

function educationSave(){
	var educationFormData = new FormData($("#educationDetail")[0]);
	$.ajax({
		url     		: appObj.siteUserControllerUrl+'saveUserEducationDetail',
		method	    	: "POST",
		dataType		: "html",
		data			: educationFormData,
		contentType		:false,
		processData		:false,
		success			:function(data){
			getProfessionalProfile();
		}
	});
}

//Edit Education
function editEducation(str){
	$.ajax({
		url   		:appObj.siteUserControllerUrl+'editEducatioDetail',
		type		:'POST',
		data  		:{str:str},
		dataType	:'html',
		success		:function(data){
				var education = $.parseJSON(data);
				var editEducationValues='';
					editEducationValues+='<div class="row">\
											<div class="col-md-12">\
												<form id="editEducatioDetail1" class="education" autocomplete="off">\
													<div class="form-group">\
														<label class="control-label" for="name"><b>Institute Name</b> <span>*</span></label>\
														<input id="name" name="institute_name" type="text" class="form-control input-md" value="'+education[0].institute_name+'">\
													</div>\
													<div class="form-group">\
														<label class="control-label" for="name"><b>Period</b> <span>*</span></label>\
														<div class="row">\
															<div class="col-sm-3 width-drop">\
																<select class="form-control" name="start_period">';
																editEducationValues+='<option value="">Year</option>';
																year.forEach(function(item){
																	if(item == education[0].start_period){
																		editEducationValues += '<option value="'+item+'" selected>'+item+'</option>';
																	}
																	else{
																		editEducationValues += '<option value="'+item+'">'+item+'</option>';
																	}
																});
																editEducationValues+='</select>\
															</div>\
															<label class="control-label to-margin" for="name">to</label>\
															<div class="col-sm-3 width-drop">\
																<select class="form-control" name="end_period">';
																editEducationValues+='<option value="">Year</option>';
																year.forEach(function(item){
																	if(item == education[0].end_period){
																		editEducationValues += '<option value="'+item+'" selected>'+item+'</option>';
																	}
																	else{
																		editEducationValues += '<option value="'+item+'">'+item+'</option>';
																	}
																	
																});
																editEducationValues+='</select>\
														   </div>\
													   </div>\
													</div>\
													<div class="form-group">\
														<label class="control-label" for="name"><b>Degree</b> <span>*</span></label>\
														<input id="name" name="degree" type="text" value="'+education[0].degree+'" class="form-control input-md">\
													</div>\
													<div class="form-group">\
														<label class="control-label" for="name"><b>Field of study</b> <span>*</span></label>\
														<input id="name" name="field_of_study" type="text" class="form-control input-md" value="'+education[0].field_of_study+'">\
													</div>\
													<input type="hidden" name="index_value" value="'+education[1].index_value +'">\
												</form>\
											</div>\
										</div>';
			bootbox.dialog({
					title		: "Education",
					message		: editEducationValues,
					className	: "userModalContent",
					animate		:false,
					buttons		: {
						success	: {
							label: "Update",
							className: "btn btn-sm btn-primary",
							callback: function () {
								if($('#editEducatioDetail1').valid()){
									editEducationAndSave();
								}
								else{
									return false;
								}
							}
						}
					}
			});	
			$("#editEducatioDetail1").validate({
			   rules: {
					institute_name: {
						required: true,
					},
					start_period: {
						required: true,
					},
					end_period: {
						required: true,
					},
					degree: {
						required: true,
					},
					field_of_study: {
						required: true,
					},
				},
			});
		}
	});
}

function editEducationAndSave(){
	var editEducationDeatil1 = new FormData($("#editEducatioDetail1")[0]);
	$.ajax({
		url			:appObj.siteUserControllerUrl+'editEducatioDetailAndSave',
		type		:'POST',
		data		:editEducationDeatil1,
		dataType	:'html',
		contentType	:false,
		processData	:false,
		success		:function(data){
		     getProfessionalProfile();
		}
	});
}

var year = [2017,2016,2015,2014,2013,2012,2011,2010,2009,2008,2007,2006,2005,2004,2003,2002,2001,2000,1999,1998,1997,1996,1995,1994,1993,1992,1991,1990,1989,1988,1987,1986,1985,1984,1983,1982,1981,1980];
var months = [
				[1,'January'],
				[2,'February'],
				[3,'March'],
				[4,'April'],
				[5,'May'],
				[6,'June'],
				[7,'July'],
				[8,'August'],
				[9,'September'],
				[10,'October'],
				[11,'November'],
				[12,'December']
			];
			
//Experience
function addExperience(){
	var expData = '';
	expData = '<div class="row">\
                    <div class="col-md-12">\
						<form id="experienceForm" class="experiences" autocomplete="off">\
							<div class="form-group">\
								<label class="control-label">Company Name <span>*</span></label>\
								<input name="company_name" type="text" class="form-control">\
							</div>\
							<div class="form-group">\
								<label class="control-label">Job Title <span>*</span></label>\
								<input name="job_title" type="text" class="form-control">\
							</div>\
							<div class="form-group">\
								<label class="control-label">Location <span>*</span></label>\
								<input name="job_location" type="text" class="form-control">\
							</div>\
							<div class="form-group">\
								<label class="control-label">Time Period <span>*</span></label>\
								<div class="row">\
									<div class="col-md-5 col-xs-10">\
										<div class="experience-month">\
											<select class="form-control" name="exp_start_month">';
											expData += '<option value="">Month</option>';
											months.forEach(function(item){
												expData += '<option value="'+item[0]+'">'+item[1]+'</option>';
											});
											expData += '</select>\
										</div>\
										<div class="experience-year">\
											<select class="form-control" name="exp_start_year">';
											expData += '<option value="">Year</option>';
											year.forEach(function(item){
												expData += '<option value="'+item+'">'+item+'</option>';
											});
											expData += '</select>\
										</div>\
									</div>\
									<div class="col-md-5 col-xs-10">\
										<div class="to-date">\
											<div class="experience-month">\
												<select class="form-control" name="exp_end_month">';
												expData += '<option value="">Month</option>';
												months.forEach(function(item){
													expData += '<option value="'+item[0]+'">'+item[1]+'</option>';
												});
												expData += '</select>\
											</div>\
											<div class="experience-year">\
												 <select class="form-control" name="exp_end_year">';
													expData += '<option value="">Year</option>';
													year.forEach(function(item){
														expData += '<option value="'+item+'">'+item+'</option>';
													});
												expData += '</select>\
											</div>\
										</div>\
										<div class="present m-t-sm" style="display:none;">Present</div>\
									</div>\
								</div>\
								<div class="checkbox checkbox-work">\
								  <label><input type="checkbox"name="currently_working">I currently work here</label>\
								</div>\
							</div>\
							<div class="form-group">\
								<label class="control-label">Description</label>\
								<textarea class="form-control" rows="2" name="description"></textarea>\
							</div>\
						</form>\
					</div>\
				</div>';
		bootbox.dialog({
			title		: "Experience",
			message		: expData,
			className	: "userModalContent",
			'animate' 	: false,
			buttons		: {
				success	: {
					label: "Add",
					className: "btn btn-sm btn-primary",
					callback: function () {
						if($('#experienceForm').valid()){
							experienceSave();
						}
						else{
							return false;
						}
					}
				}
			}
		});
		$("#experienceForm").validate({
		   rules: {
			    company_name: {
					required: true,
				},
				job_title: {
					required: true,
				},
				job_location: {
					required: true,
				},
				exp_start_month: {
					required: true,
				},
				exp_start_year: {
					required: true,
				},
				exp_end_month: {
					required: true,
				},
				exp_end_year: {
					required: true,
				},
			},
		});
}


$(document).on("change","input[name=currently_working]",function(){
	if($(this).is(":checked")){
		$("select[name=exp_end_month]").val('');
		$("select[name=exp_end_year]").val('');
		$(".present").show();
		$(".to-date").hide();
	}
	else{
		$(".present").hide();
		$(".to-date").show();
	}
});

function experienceSave(){
	var expFormData = new FormData($("#experienceForm")[0]);
	$.ajax({
		type        : 'POST',
		url         : appObj.siteUserControllerUrl+'saveUserExperience',
		data        : expFormData,
		dataType  : 'html',
		contentType : false,
		processData : false,
		success     : function(data){
			getProfessionalProfile();
		}
	});
}

function editExperiance(str){
	var company_name = $(str).attr('company_name');
	var job_title = $(str).attr('job_title');
	$.ajax({
		url			:appObj.siteUserControllerUrl+'editExperience',
		type		:'POST',
		data		:{company_name:company_name,job_title:job_title},
		dataType	:'json',
		success		:function(data){
			//var experience = $.parseJSON(data);
			var experience = data[0];
			var expData = '';
				expData = '<div class="row">\
								<div class="col-md-12">\
									<form id="editExperienceForm" class="experiences" autocomplete="off">\
										<input type="hidden" name="orgName" value="'+experience.company_name+'">\
										<div class="form-group">\
											<label class="control-label">Company Name <span>*</span></label>\
											<input name="company_name" type="text" class="form-control" value="'+experience.company_name+'">\
										</div>\
										<input type="hidden" name="jobTitle" value="'+experience.job_title+'">\
										<div class="form-group">\
											<label class="control-label">Job Title <span>*</span></label>\
											<input name="job_title" type="text" class="form-control" value="'+experience.job_title+'">\
										</div>\
										<div class="form-group">\
											<label class="control-label">Location <span>*</span></label>\
											<input name="job_location" type="text" class="form-control" value="'+experience.job_location+'">\
										</div>\
										<div class="form-group">\
											<label class="control-label">Time Period <span>*</span></label>\
											<div class="row">\
												<div class="col-md-5 col-xs-10">\
													<div class="experience-month">\
														<select class="form-control" name="exp_start_month">';
														expData += '<option value="">Month</option>';
														months.forEach(function(item){
															if(item[0] == experience.exp_start_month){
																expData += '<option value="'+item[0]+'" selected>'+item[1]+'</option>';
															}
															else{
																expData += '<option value="'+item[0]+'">'+item[1]+'</option>';
															}
														});
														expData += '</select>\
													</div>\
													<div class="experience-year">\
														<select class="form-control" name="exp_start_year">';
														expData += '<option value="">Year</option>';
														year.forEach(function(item){
															if(item == experience.exp_start_year){
																expData += '<option value="'+item+'" selected>'+item+'</option>';
															}
															else{
																expData += '<option value="'+item+'">'+item+'</option>';
															}
														});
														expData += '</select>\
													</div>\
												</div>\
												<div class="col-md-5 col-xs-10">\
													<div class="to-date" style="display:none;">\
														<div class="experience-month">\
															<select class="form-control" name="exp_end_month">';
															expData += '<option value="">Month</option>';
															months.forEach(function(item){
																if(item[0] == experience.exp_end_month){
																	expData += '<option value="'+item[0]+'" selected>'+item[1]+'</option>';
																}
																else{
																	expData += '<option value="'+item[0]+'">'+item[1]+'</option>';
																}
															});
															expData += '</select>\
														</div>\
														<div class="experience-year">\
															<select class="form-control" name="exp_end_year">';
															expData += '<option value="">Year</option>';
															year.forEach(function(item){
																if(item == experience.exp_end_year){
																	expData += '<option value="'+item+'" selected>'+item+'</option>';
																}
																else{
																	expData += '<option value="'+item+'">'+item+'</option>';
																}
															});
															expData += '</select>\
														</div>\
													</div>\
													<div class="present m-t-sm" style="display:none;">Present</div>\
												</div>\
											</div>\
											<div class="checkbox checkbox-work">\
											  <label><input type="checkbox"name="currently_working">I currently work here</label>\
											</div>\
										</div>\
										<div class="form-group">\
											<label class="control-label">Description</label>';
											if(experience.description){
												expData += '<textarea class="form-control" rows="2" name="description" value="'+experience.description+'">'+experience.description+'</textarea>';
											}
											else{
												expData += '<textarea class="form-control" rows="2" name="description" ></textarea>';
											}
									 expData += ' </div>\
										<input type="hidden" name="index_value" value="'+experience.index+'">\
									</form>\
								</div>\
							</div>';
			
			bootbox.dialog({
				title		: "Experience",
				message		: expData,
				className	: "userModalContent",
				'animate' 	: false,
				buttons		: {
					success	: {
						label: "Update",
						className: "btn-primary",
						callback: function () {
							if($('#editExperienceForm').valid()){
								updateExperience();
							}
							else{
								return false;
							}
						}
					}
				}
			});
			$("#editExperienceForm").validate({
			   rules: {
					company_name: {
						required: true,
					},
					job_title: {
						required: true,
					},
					job_location: {
						required: true,
					},
					exp_start_month: {
						required: true,
					},
					exp_start_year: {
						required: true,
					},
					exp_end_month: {
						required: true,
					},
					exp_end_year: {
						required: true,
					},
				},
			});
			$(".to-date").show();
		}
	});
}

function updateExperience(){
	var editExperianceDeatil1 = new FormData($("#editExperienceForm")[0]);
	$.ajax({
		url				:appObj.siteUserControllerUrl+'editExperianceAndSave',
		type			:'POST',
		data			:editExperianceDeatil1,
		dataType		:'json',
		contentType		:false,
		processData		:false,
		success			:function(data){
			getProfessionalProfile();
		}
	});
}

function getProfessionalProfile(){
	$.ajax({
		type    : 'POST',
		url     : appObj.siteUserControllerUrl+'getProfessionalProfile',
		dataType : 'json',
		success : function(data){
			if(data.experience){
				var myExperiance = data.experience;
				myExperiance = JSON.parse(myExperiance);
				var mainArray = [];
				var myarray = [];
				for(var i=0;i<myExperiance.length;i++){
					if(myExperiance[i].exp_end_year == '' && myExperiance[i].exp_end_month == ''){
						mainArray.splice(0,0,myExperiance[i]);
					}
					else{
						myarray.push(myExperiance[i]);
					}
				}
				myarray.sort(function(a,b){
					var dataOne = a.exp_end_year+'-'+a.exp_end_month+'-01';
					var dataTwo = b.exp_end_year+'-'+b.exp_end_month+'-01'
					return  new Date(dataTwo) - new Date(dataOne);
				});
				
				var mainSecond = mainArray.concat(myarray);
				var myExperiance = mainSecond;
				var experienceDetail1='';
				var months1 = ['January','February','March','April','May','June','July','August','September','October','November','December'];
				for(var i=0;i<myExperiance.length;i++){
					experienceDetail1 += '<div style="padding-bottom:5px;">\
											<span class="job_title"><b>'+myExperiance[i].job_title+'</b></span>\
												<a href="javascript:void(0);" onclick="editExperiance(this);" class="Experience_display_pencil" company_name="'+myExperiance[i].company_name+'" job_title="'+myExperiance[i].job_title+'"><span class="fa fa-pencil fa-lg"></span></a>\
													<div>'+myExperiance[i].company_name+'</div>\
													<div class="text-muted">'+months1[myExperiance[i].exp_start_month-1]+' '+myExperiance[i].exp_start_year+' - ';
														if(myExperiance[i].exp_end_month && myExperiance[i].exp_end_year){
															experienceDetail1+= months1[myExperiance[i].exp_end_month-1]+' '+myExperiance[i].exp_end_year;
														}
														else{
															experienceDetail1+= 'Present';
														}
														experienceDetail1+= ' | '+myExperiance[i].job_location+'</div>';
														if(typeof(myExperiance[i].description) === 'undefined'){
															experienceDetail1+='<div style="white-space: pre-line;"></div>';
														}
														else{
															experienceDetail1+='<div style="white-space: pre-line;">'+myExperiance[i].description+'</div>';
														}
											experienceDetail1+='</div>';
				}
				$(".experience-content").empty().append(experienceDetail1);
			}
			if(data.skills){
				buildSkillsBlock(1,data.skills);
			}
			else{
				buildSkillsBlock(0,'');
			}
			if(data.education){
				var education = $.parseJSON(data.education);
				var educationDetail1='';
				
				for(var i=0;i<education.length;i++){
					educationDetail1 += '<div style="padding-bottom:5px;"><span class="institute"><b>'+education[Object.keys(education)[i]].institute_name+'</b></span>\
					<a href="javascript:void(0);" onclick="editEducation('+i+');" class="display_pencil"><span class="fa fa-pencil fa-lg" ></span></a><br>'+education[Object.keys(education)[i]].degree+', '+education[Object.keys(education)[i]].field_of_study+'<br>'+education[Object.keys(education)[i]].start_period+' – '+education[Object.keys(education)[i]].end_period+'</div>';
				}
				$(".education_datail").empty().append(educationDetail1);
			}
		}
	});
}

//Cover photo
$(document).on('click','.profile-cover .update-cover-photo-btn',function(){
	if(window.FileReader){ 
		$('.profile-cover').cropit({
			onImageLoaded:function(data){
				$(".profile-cover-pic, .update-cover-photo-btn").hide();
				$(".save-cover-photo").show();
				$(".profile-cover .image-editor-cancel").addClass("remove");
			},
			smallImage:'allow',
		});
	}
	else{
		alert("the browser doesn't support the FileReader Object.")
	}
}); 

$(document).on('click', '.profile-cover .image-editor-cancel', function(){
	if ($('.cropit-image-preview').hasClass('cropit-image-loaded')){
		$('.cropit-image-preview').removeClass('cropit-image-loaded').removeAttr('style');
		$(".save-cover-photo").hide();
		$(".profile-cover-pic, .update-cover-photo-btn").show();
		$("#cropper-input").val('');
		$(".profile-cover .image-editor-cancel").removeClass("remove");
	}
});

$(document).on("click",".profile-cover .save-cover-photo",function() {
	var imageData = $('.profile-cover').cropit('export');
	$('input[name=cover-image]').val(imageData);	 
	var data = new FormData($('#cover-photo')[0]);
	$(".save-cover-photo").prop("disabled",true);
	$.ajax({
		type        : 'POST',
		url         : appObj.siteUserControllerUrl+'CoverPhotoSave',
		data        : data,
		contentType : false,
		processData : false,
		success     : function(data){
			if(data == 1){
				$(".save-cover-photo").prop("disabled",false);
				$("input[name=cover-image]").val('');
				$(".cropit-image-preview").attr('style','');
				$('.cropit-image-preview').removeClass('cropit-image-loaded');
				$(".profile-cover .image-editor-cancel").removeClass("remove");
				getUserPersonalDetails();
			}
		}
	});
});
