var resetPwdJS = '';

resetPwdPageInitalize();
function resetPwdPageInitalize(){
	resetPwdPageContent();
	resetPwd(GetQryStrParams(window.location.hash.substr(1),'userId'));
}

function resetPwdPageContent(){
	$('#secondary-page').empty().append('<div class="verify-email-page"></div>');
}

function resetPwd(userId){
	var resetPwdForm = '';
	resetPwdForm+='<div class="row">\
						<div class="col-sm-5">\
							<div class="hpanel">\
								<div class="panel-body">\
									<form id="resetPwdForm">\
										<h3><b>Reset password</b></h3>\
										<p class="m-b-lg">To change the current user password, enter the new password in both fields.</p>\
										<div class="form-group">\
											<label>Password</label>\
											<input type="password" name="password" id="password" class="form-control">\
										</div>\
										<div class="form-group">\
											<label>Confirm Password</label>\
											<input type="password" name="confirm_password" class="form-control">\
										</div>\
										<a href="javascript:void(0);" onclick="resetNewPassword('+userId+');" class="btn btn-primary reset-new-btn">Reset</a>\
										<a href="#page=login" class="btn btn-info">Login</a>\
									</form>\
								</div>\
							</div>\
						</div>\
					</div>';
	$(".verify-email-page").empty().append(resetPwdForm);
	
	$("#resetPwdForm").validate({
		errorPlacement: function (error, element) {
			$(element).attr('data-original-title', error.text());
			$(element).tooltip('show');
		},
		success: function (label, element) {
			$(element).tooltip('hide');
		},
	   rules: {
			password: {
				required: true,
				minlength: 7,
				maxlength: 13,
			},
			confirm_password: {
				required: true,
				minlength: 7,
				maxlength: 13,
				equalTo : "#password"
			},
		},
	});
	$('[data-toggle="tooltip"]').tooltip(); 
}

$(document).on('keypress', "#resetPwdForm", function(e){
    if(e.which == 13) {
      resetNewPassword(GetQryStrParams(window.location.hash.substr(1),'userId'));
    }
});

function resetNewPassword(userId){
	var resetValid = $('#resetPwdForm').valid();
	var password = $("input[name=password]").val();
	if(resetValid == true){
		$(".reset-new-btn").addClass("disabled");
		$(".reset-new-btn").append('<img class="m-l-xs" src="assets/images/login-loader.gif">');
		$.ajax({
			type        : 'POST',
			url         : appObj.siteUserControllerUrl+'saveResetPassword',
			data        : {userId:userId,password:password},
			success     : function(data){
				$(".reset-new-btn").removeClass("disabled");
				$(".reset-new-btn").text('Reset');
				if(data == 1){
					alert("You password has been changed, Please login to access your account.");
				}
				else{
					alert("Previous password can not set new password.");
				}
			}
		});
	}
}
