var socialWallJS = '';

var postObj = {
	postsLoaded 	: 0,
	postsToLoad		: 10,
	postId 			: '',
	pageLoaded 		: false,
	pageLoadedTime 	: 0
};

socialWallPageInitalize();
function socialWallPageInitalize(){
	$(".page-full-content").hide();
	var cTime = new Date().getMinutes();
	if(postObj.pageLoaded){
		$(".content-page-"+appObj.pageName).show();
		
		var diffTime = cTime - postObj.pageLoadedTime;
		if(diffTime > 5){
			checkNewPost();
		}
		postObj.pageLoadedTime = cTime;
	}
	else{
		postObj.postsLoaded = 0;
		socialWallPageContent();
		getUserProfileImage();
		BulidGetUserPost(0);
		peopleYouMayKnow();
		suggestedJobBlock();
		suggestedNewsFeed();
		postObj.pageLoaded = true;
		postObj.pageLoadedTime = new Date().getMinutes();
	}
	if(isMobileApp()){
		GARecored('SocialWall');
	}
}

function socialWallPageContent(){
	$('#primary-page').append('<div class="page-full-content content-page-'+appObj.pageName+'"><div class="social-wall-page">\
									<section id="widget-grid">\
										<div class="row">\
											<div class="col-xs-12 sugg-block">\
												\
												<div class="user-post">\
													<div class="post-block">\
														<div class="panel panel-default">\
															<div class="panel-body status">\
																<form id="myPostForm" method="post" enctype="multipart/form-data">\
																<div class="text">\
																	<div class="row">\
																		<div class="col-sm-12">\
																			<div class="write-post">\
																				<span class="user-post-img"></span>\
																				<textarea rows="2" name="post_text" id="postText" class="form-control" placeholder="What\'s on your mind?" style="overflow:hidden" onkeyup="auto_grow(this);"></textarea>\
																				<div class="post-meta-tag"></div>\
																				<div id="post-image-preview" class="dropzone-previews"></div>\
																			</div>\
																		</div>\
																	</div>\
																</div>\
																	<ul class="links">\
																		<li class="pull-right">\
																			<button type="button" class="btn btn-sm btn-primary post-btn">Post</button>\
																		</li>\
																		<li>\
																			<span class="image-upload"><label>\
																				<div class="dz-default dz-message"><span class="btn-link"><i class="fa fa-camera fa-lg"></i></span></div>\
																			</label></span>\
																			<input type="hidden" name="length"/>\
																		</li>\
																	</ul>\
																</form>\
															</div>\
														</div>\
													</div>\
													<div class="latest-post"><img class="center-block latest-post-loading" src="assets/images/ajax-loader.gif" width="90"></div>\
													<div class="peopleYouMayKnow"></div><div class="sugg-job-block"></div><div class="sugg-events-block"></div><div class="news-feed-block"></div>\
													<div class="recent-activity">\
														<input type="hidden" name="postId">\
														<div class="recent-activity-content"></div>\
													</div>\
												</div>\
											</div>\
										</div>\
									</section>\
									<a class="write-post-bottom btn-link" href="javascript:void(0);" style="display:none;"><i class="fa fa-pencil-square-o fa-lg"></i></a>\
								</div></div>');
	$("#myPostForm").validate({
		rules:{
			post_text:{
				required: true,
			},
		},
		messages: {
			post_text: "This post appears to be blank. Please write something or attach a photo to post.",
		},
	});
	dropzoneImages();
	$('.write-post-bottom').click(function(){
		$('html,body').animate({scrollTop: $(".post-block").offset().top - 60});
		$("textarea[name=post_text]").focus();
		return false; 
	});
	writePostBottom();
}

function writePostBottom(){
	var lastScrollTop = 0;
	$(window).scroll(function(event){
		var st = $(this).scrollTop();
		if (st > lastScrollTop){
		   $(".write-post-bottom").show();
		} 
		else {
		   $(".write-post-bottom").hide();
		}
		lastScrollTop = st;
	});
}

var people1 = '';
function peopleYouMayKnow(){
	$.ajax({
		url			:appObj.siteUserControllerUrl+'getAllUser',
		dataType	:'json',
		success		:function(data){
			var people2 = '';
			$.each(data.fields,function(index,fields){
				var people3 = '';
				people3+= displayPeopleYouMayKnow(fields.id,fields.name,fields.profile_img_medium,fields.user_login_type,fields.professional_headline,fields.cover_photo,fields.ethinicity_country_code);
				
				var defaultImg = fields.profile_img_medium.indexOf("user.png") > 1 || fields.profile_img_medium.indexOf("4252rscbv5M") > 1;
				if(!defaultImg){
					people2+= people3;
				}
			});
			$(".peopleYouMayKnow").empty().append('<div class="hpanel">\
													<div class="panel-body p-xxs">\
														<h5 class="m-b-sm">People You May Know</h5>\
														<div class="owl-carousel owl-theme">\
															'+people2+'\
															<div class="item">\
																<div class="see-all-people-block text-center">\
																	<a href="#page=myConnections" class="btn-link thumbnail">\
																		<img class="img-responsive" src="'+appObj.siteUrl+	'assets/images/see-all.png">\
																	</a>\
																	<h5></h5>\
																	<a href="#page=myConnections" class="btn btn-sm btn-primary btn-block">See All</a>\
																</div>\
															</div>\
														</div>\
													</div>\
												</div>');
			$('.owl-carousel').owlCarousel({
				loop			: false,
				margin			: 10,
				responsiveClass	: true,
				responsive		:{
					0:{
						items:2,
					},
					480 :{
						items:4,
					},
				}
			})
		}
	});
}

function displayPeopleYouMayKnow(user_id,name,profile_img_medium,user_login_type,professional_headline,cover_photo,ethinicity_country_code){
	var peopleBlock = '';
	peopleBlock+='<div class="item">';
					peopleBlock+="<a href='javascript:void(0);' onclick='displayPublicProfile("+user_id+",\""+profile_img_medium+"\",\""+cover_photo+"\","+user_login_type+",\""+name+"\",\""+professional_headline+"\",\""+ethinicity_country_code+"\");' class='thumbnail'>";
					
					peopleBlock+='<img src="'+generateUserImg(profile_img_medium,user_login_type,100,100)+'" width="100" onerror="checkPeopleImageError(this);">\
					</a>';
					
					peopleBlock+="<a href='javascript:void(0);' onclick='displayPublicProfile("+user_id+",\""+profile_img_medium+"\",\""+cover_photo+"\","+user_login_type+",\""+name+"\",\""+professional_headline+"\",\""+ethinicity_country_code+"\");'>";
					peopleBlock+='<h5>'+name+'</h5>';
						if(professional_headline){
							peopleBlock+='<p class="name-truncate m-b-xs">'+professional_headline+'</p>';
						}
						else{
							peopleBlock+='<p style="height: 13px;"></p>';
						}
					peopleBlock+='</a>\
					<button type="button" class="btn btn-sm btn-primary btn-block connected'+user_id+'" onclick="requestSent(this,'+user_id+')"><i class="fa fa-user-plus"></i> Connect</button>\
				</div>';
	return peopleBlock;
}

function checkPeopleImageError(image){
	image.onerror = "";
	image.src = appObj.baseUrl+'assets/images/user/500x500/user.png';
	return false;
}

function requestSent(btn,user_id){
	$(btn).empty().append('<i class="fa fa-check"></i> Request sent');
	$(btn).addClass("disabled");
	var owl = $('.peopleYouMayKnow .owl-carousel');
	$('.peopleYouMayKnow .owl-carousel').owlCarousel();
	owl.trigger('next.owl.carousel');
	$.ajax({
		type		: 'POST',
		url     	: appObj.siteUserControllerUrl+'sendConnectionsRequest',
		data		: {user_id:user_id},
		dataType	: 'json',
		success 	: function(data){
			if(data == 1){
				sendNotifications(user_id,"connectionsRequest");
			}
		}
	});
}

function dropzoneImages(){
	$("#myPostForm").dropzone({
		autoProcessQueue	: false,
		uploadMultiple		: true,
		parallelUploads		: 100,
		maxFiles			: 100,
		thumbnailWidth		: 100,
		thumbnailHeight		: 100,
		url					: appObj.siteUserControllerUrl+'myPostSave',
		addRemoveLinks		: true, 
		previewTemplate		: "<div class=\"dropzone-previews\">\n  <div class=\"dz-details\">\n <img data-dz-thumbnail />\n </div> </div>",
		previewsContainer	: ".dropzone-previews",
		dictRemoveFile  	:'x',
		init: function(){
			var myDropzone = this;
			this.on("addedfile", function(file) { 
				$(file.previewElement).find(".dz-details").append('<div class="dz-load-gif"></div>');
				
				EXIF.getData(file, function() {
					var orientation = 0; 
					switch(parseInt(EXIF.getTag(this, "Orientation"))){ 
						case 3: 
							orientation = 180; 
							break; 
						case 6: 
							orientation = 90; 
							break; 
						case 8: 
							orientation = -90; 
							break; 
					}
					$(this.previewElement).find(".dz-details img").attr('style','transform: rotate('+orientation+'deg)');
				});
			});
			this.on("thumbnail", function(progress) {
				$(".dz-load-gif").remove();
			});
			this.element.querySelector(".post-btn").addEventListener("click", function(e){
				e.preventDefault();
				e.stopPropagation();
				$("input[name=length]").val(myDropzone.files.length);
				$(".dz-remove").remove();
				var postFormValid = '';
				var imageValid = $("#post-image-preview img").attr('src');
				if(imageValid){
					postFormValid = true;
				}
				else{
					postFormValid = $('#myPostForm').valid();
				}
				$("#post_text-error.error").delay(2000).fadeOut('slow');
				if(postFormValid == true){
					$(".post-btn").prop('disabled', true);
					$(".post-btn").empty().append('<img class="m-l-xs" src="'+appObj.baseUrl+'assets/images/fb-loader.gif">');
					if (myDropzone.getQueuedFiles().length > 0) {
						myDropzone.processQueue();
					}
					else {
						myDropzone.uploadFiles([]); //send empty 
					}
				}
			});
			this.on("successmultiple", function(files, response) {
				if(response == 1){
					myDropzone.files.length = 0;
					$('#myPostForm')[0].reset();
					$("#post-image-preview").empty();
					$(".post-btn").prop('disabled', false);
					$(".post-btn").text('Post');
					$("textarea[name=post_text]").css("height","auto");
					$(".post-meta-tag .meta-tag-block").remove();
					BulidGetUserPost(1);
					postNotifications();
				}
			});
		}
	});
}

var count = 0;
$(window).scroll(function(){
	if(appObj.pageName == "socialwall"){
		if($(window).scrollTop() + $(window).height() > $(document).height() - 300){
			if(count == 0){
				BulidGetUserPost(2);
				count = 1;
			}
		}
	}
});

function owlCarouselSlider(){
	$('.owl-carousel').owlCarousel({
		loop:false,
		margin:10,
		stagePadding: 30,
		responsiveClass:true,
		responsive:{
			0:{
				items:1,
			},
			480 :{
				items:3,
			},
		}
	})
}
function suggestedJobBlock(){
	$.ajax({
		type		:'POST',
		url    	 	: appObj.siteUserControllerUrl+'getJobs',
		data		:{jobsLimit:10},
		dataType 	: 'json',
		success 	: function(data){
			var jobs = '';
				jobs +='<div class="hpanel">\
							<div class="panel-body p-xxs">\
								<h5 class="m-b-sm">Suggested Jobs</h5>';
									if(data.results != 0){
										jobs +='<div class="owl-carousel owl-theme">';
											$.each(data.results,function(index,results){
												jobs += '<div class="item">';
													jobs += '<div class="jobs-content">';
														jobs += '<p class="job-title"><a url='+results.url+' onclick="openlink(this);" href="javascript:void(0);">'+results.jobtitle+'</a></p>\
														<p class="left-company">'+results.company+', <span class="glyphicon glyphicon-map-marker"></span> '+results.formattedLocationFull+'</p>\
														<div class="job-desc-block"><div class="m-b-sm job-desc">'+strip(results.snippet)+'</div></div>\
													</div>\
													<div class="jobs-footer">\
														<div class="pull-left m-t-xs">'+results.formattedRelativeTime+'</div>\
														 <div class="dropup text-right">\
														 <a class="btn btn-outline btn-default m-r-sm" url='+results.url+' onclick="openlink(this);" href="javascript:void(0);">View</a>';
															jobs+="<a class='btn btn-outline btn-default' type='1' id="+results.jobkey+" postText=\""+results.jobtitle+"\" postImage='' imageLink='' description=\""+results.snippet+"\" postLink='?linkType=share&jobKey="+results.jobkey+"&page=jobDetails#page=jobDetails' jobsCompany=\""+results.company+"\" jobsLocations=\""+results.formattedLocationFull+"\" onclick='shareModal(this);' href='javascript:void(0);'>Share</a>";
														jobs+='</div>\
													 </div>\
												</div>';
											});
										jobs+='</div>';
									}
									else{
										jobs+='You hav no jobs.'
									}
							jobs+='</div>';
						jobs+='</div>';
				$('.sugg-job-block').empty().append(jobs);
				$('.owl-carousel').owlCarousel({
					loop:false,
					margin:10,
					stagePadding: 30,
					responsive:{
						0:{
							items:1,
						},
						480 :{
							items:2,
						},
					}
				});
		}
	});
}

function suggestedEventBlock(){
	$('.sugg-events-block').html('<div class="hpanel">\
									<div class="panel-body p-xxs">\
										<h5 class="m-b-sm">Suggested Events</h5>\
										<div class="sugg-events">Loading...</div>\
									</div>\
								</div>');
	$.ajax({
		url			: appObj.siteUserControllerUrl+'getAllUserEvents',
		dataType	:'json',
		success		:function(data){
			var eventBriteUrl='';
			var token = 'GPS5BTOO2ZHVXAN4HJZK';
			$.get('http://ipinfo.io/json',function(response){
				if(data.User_living_city != null && data.professional_headline != ''){
					eventBriteUrl = 'https://www.eventbriteapi.com/v3/events/search/?q='+data.professional_headline+'&sort_by=date&expand=venue&location.address='+data.User_living_city+'&location.within=50mi&token=GPS5BTOO2ZHVXAN4HJZK';
				}
				else if(data.User_living_city == null && data.professional_headline != ''){
					eventBriteUrl = 'https://www.eventbriteapi.com/v3/events/search/?q='+data.professional_headline+'&sort_by=date&expand=venue&location.address='+response.city+'&location.within=50mi&token=GPS5BTOO2ZHVXAN4HJZK';
				}
				else if(data.User_living_city != null && data.professional_headline == ''){
					eventBriteUrl = 'https://www.eventbriteapi.com/v3/events/search/?q=latino&expand=venue&location.within=50mi&location.address='+data.User_living_city+'&sort_by=date&token=GPS5BTOO2ZHVXAN4HJZK';
				}
				else if(data.experience != ''){
					var experience = $.parseJSON(data.experience);
					eventBriteUrl = 'https://www.eventbriteapi.com/v3/events/search/?q='+experience[0].job_title+'&sort_by=date&expand=venue&location.address='+response.city+'&location.within=50mi&token=GPS5BTOO2ZHVXAN4HJZK';
				}
				else if(data.skills != ''){
					var str = data.skills;
					var skills = str.split(",");
					eventBriteUrl = 'https://www.eventbriteapi.com/v3/events/search/?q='+skills[0]+'&expand=venue&sort_by=date&location.address='+response.city+'&location.within=50mi&token=GPS5BTOO2ZHVXAN4HJZK';
				}
				else{
					eventBriteUrl = 'https://www.eventbriteapi.com/v3/events/search/?q=latino&sort_by=date&expand=venue&location.address='+response.city+'&location.within=50mi&token=GPS5BTOO2ZHVXAN4HJZK';
				}
				$.get(eventBriteUrl, function(res){
					if(res.events.length){
						BuildEventsBlock(res);
					}
					else{
						professionalUrl = 'https://www.eventbriteapi.com/v3/events/search/?q=professional&sort_by=date&expand=venue&location.address='+response.city+'&location.within=50mi&token=GPS5BTOO2ZHVXAN4HJZK';
						$.get(professionalUrl, function(res){
							BuildEventsBlock(res);
						});
					}
				});
			});
		}
	});
}

function BuildEventsBlock(res){
	var events = '';
	if(res.events.length){
		events+='<div class="owl-carousel owl-theme">';
					$.each(res.events,function(index,results){
						if(results.logo){
							if(results.venue){
								var date = new Date(results.start.local);
								var hours = date.getHours(results.start.local);
								var months = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec']
								var weekdays = ["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"];
								var weekday = weekdays[new Date(results.start.local).getDay()];
								var monthString = months[new Date(results.start.local).getMonth()];
								var ampm = (hours >= 12) ? "PM" : "AM";
								var getHour = ((hours + 11) % 12 + 1);
								var formatted = weekday+", "+" "+monthString+" "+(date.getDate())+" "+getHour+":"+("0"+date.getMinutes()).slice(-2)+" "+ampm;
								var event_date = formatted.toUpperCase();
								
								events+='<div class="item">\
											<a url='+results.url+' onclick="openlink(this);" href="javascript:void(0);">\
												<img class="img-responsive" src="'+results.logo.url+'">\
											</a>\
											<div class="p-xxs">\
												<a url='+results.url+' onclick="openlink(this);" href="javascript:void(0);">\
													<div class="event-title">'+results.name.text+'</div>\
												</a>\
												<div class="event-location"><i class="fa fa-map-marker"></i> ';
													if(results.venue.address.city){
														events+=results.venue.address.city;
													}
													else{
														events+=results.venue.address.country;
													}
												events+='</div>\
											</div>\
											<div class="panel-footer p-xs">\
												<div class="pull-left m-t-xs event-date"><i class="fa fa-clock-o"></i> '+event_date+'</div>\
												<div class="text-right">';
													events+="<a class='btn btn-outline btn-default btn-sm' href='javascript:void(0);' type='2' id="+results.id+" postText=\""+results.name.text+"\" description=\""+results.description.text+"\" postImage='' imageLink="+results.logo.url+" postLink='?linkType=share&eventId="+results.id+"&page=eventDetails#page=eventDetails' onclick='shareModal(this);'><i class='pe-7s-back pe-lg pe-va'></i> Share</a>";
												events+='</div>\
											</div>\
										</div>';
							}
						}
					});
				events+='</div>';
	}
	else{
		events+='You have no events.';
	}
	$('.sugg-events').empty().append(events);
	owlCarouselSlider();
}

function suggestedNewsFeed(){
	var newsFeed = '';
	$.getJSON("https://api.rss2json.com/v1/api.json?rss_url=http%3A%2F%2Ffeeds.nbcnews.com%2Ffeeds%2Ftopstories&api_key=in450fa2afy2vtduagaqahaodwavgvronhp7jjpq&count=20", function(res) {
       	if(res.items.length){
			newsFeed+='<div class="hpanel">\
						<div class="panel-body p-xxs">\
							<h5 class="m-b-sm">Suggested News</h5>\
							<div class="owl-carousel owl-theme">';
								$.each(res.items,function(index,items){
									if(items.enclosure.link && items.description){
										var description = items.description.replace(/['"]+/g, '');
										newsFeed+='<div class="item">\
														<a url='+items.link+' href="javascript:void(0);" onclick="openlink(this);" class="thumbnail">\
															<img class="img-responsive" src="'+items.enclosure.link+'" width="50px">\
														</a>\
														<div class="p-xxs">\
															<a url='+items.link+' href="javascript:void(0);" onclick="openlink(this);" class="btn-link">\
																<div class="news-title">'+items.title+'</div>\
															</a>\
															<div class="news-desc">'+items.description+'</div>\
														</div>\
														<div class="panel-footer p-xs">\
															<div class="pull-left m-t-xs"><i class="fa fa-clock-o"></i> '+convertNewsDateFormat(items.pubDate.replace(/-/g, "/"))+'</div>\
															<div class="text-right">';
																newsFeed+="<a class='btn btn-outline btn-default btn-sm' type='4' id='' postText=\""+items.title+"\" postImage='' imageLink="+items.enclosure.link+" description='"+description+"' postLink='"+items.link+"' onclick='shareModal(this);' href='javascript:void(0);'><i class='pe-7s-back pe-lg pe-va'></i> Share</a>";
															newsFeed+='</div>\
														</div>\
													</div>';
									}
								});
							newsFeed+='</div>\
						</div>\
					</div>';
			$(".news-feed-block").empty().append(newsFeed);
			owlCarouselSlider();
		}
    }, "jsonp");
}

function convertNewsDateFormat(date_time){
	var format = date_time+" GMT";
	//Full Date
	var monthNames = ["Jan", "Feb", "Mar", "Apr", "May", "Jun","Jul", "Aug", "Sep", "Oct", "Nov", "Dec" ];
	var month_value = new Date(format).getMonth();
	var hours = new Date(format).getHours();
	var ampm = (hours >= 12) ? "PM" : "AM";
	var getHour = ((hours + 11) % 12 + 1);
	var time = getHour+":"+("0"+ new Date(format).getMinutes()).slice(-2)+" "+ampm;
	
	return monthNames[month_value]+' '+new Date(format).getDate()+', '+time;
}

function strip(html){
	html = html.replace(/<b>/g, "");
	html = html.replace(/<\/b>/g, "");
	return html;
}

function suggJobShare(jobDetails){
	var type = $(jobDetails).attr("type");
	var jobKey = $(jobDetails).attr("jobKey");
	var jobTitle = $(jobDetails).attr("jobtitle");
	var jobDescription = $(jobDetails).attr("jobdescription");
	if(type == 0){
		FB.ui({
			method			:'share',
			mobile_iframe	:true,
			title			:jobTitle,
			description		:jobDescription,
			href			:appObj.baseUrl+'app/?linkType=share&jobKey='+jobKey+'&page=jobDetails#page=jobDetails',
		}, 	function(response){});
	}
	else if(type == 1){
		window.open('https://www.linkedin.com/shareArticle?mini=true&url='+appObj.baseUrl+'&title='+jobTitle+'&summary='+jobDescription+'&source=LatInc','popup', 'width=300, height=200');;
	}
	else if(type == 2){
		var encodeUrl = encodeURIComponent(appObj.baseUrl+'app/?linkType=share&jobKey='+jobKey+'&page=jobDetails#page=jobDetails');
		window.open('http://twitter.com/intent/tweet?text='+jobTitle+'&url='+encodeUrl, 'popup', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=300,width=600');
	}
	else{
		var encodeUrl = encodeURIComponent(appObj.baseUrl+'app/?linkType=share&jobKey='+jobKey+'&page=jobDetails#page=jobDetails');
		window.open('https://plus.google.com/share?url='+encodeUrl+'', 'popup', 'height=300,width=600');
	}
}

function suggEventShare(eventDetails){
	var type = $(eventDetails).attr("type");
	var eventId = $(eventDetails).attr("eventId");
	var eventTitle = $(eventDetails).attr("eventTitle");
	var eventImage = $(eventDetails).attr("eventImage");
	if(type == 0){
		FB.ui({
			method			:'share',
			mobile_iframe	:true,
			title			:eventTitle,
			picture			:eventImage,
			href			:appObj.siteUrl+'?linkType=share&eventId='+eventId+'&page=eventDetails#page=eventDetails',
		}, 	function(response){});
	}
	else if(type == 1){
		window.open('https://www.linkedin.com/shareArticle?mini=true&url='+eventImage+'&title='+eventTitle+'&source=Latinc','popup', 'width=300, height=200');
	}
	else if(type == 2){
		var encodeUrl = encodeURIComponent(appObj.siteUrl+'?linkType=share&eventId='+eventId+'&page=eventDetails#page=eventDetails');
		window.open('http://twitter.com/intent/tweet?text='+eventTitle+'&url='+encodeUrl, 'popup', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=300,width=600');
	}
	else{
		var encodeUrl = encodeURIComponent(appObj.siteUrl+'?linkType=share&eventId='+eventId+'&page=eventDetails#page=eventDetails');
		window.open('https://plus.google.com/share?url='+encodeUrl+'', 'popup', 'height=300,width=600');
	}
}

function suggBlogShare(blogDetails){
	var type = $(blogDetails).attr("type");
	var blogId = $(blogDetails).attr("blogId");
	var blogTitle = $(blogDetails).attr("blogTitle");
	var blogDescription = $(blogDetails).attr("blogDescription");
	var blogImage = $(blogDetails).attr("blogImage");
	var description = $(blogDescription).text();
	if(type == 0){
		FB.ui({
			method			:'share',
			mobile_iframe	:true,
			href			:appObj.siteUrl+'?page=blogDescription&blogId='+blogId+'#page=blogDescription&blogId='+blogId+'',
			title			:blogTitle,
			description		:description,
			picture			: appObj.baseUrl+'assets/images/blog/'+blogImage,
		}, 	function(response){});
	}
	else if(type == 1){
		window.open('https://www.linkedin.com/shareArticle?mini=true&url='+appObj.baseUrl+'assets/images/blog/'+blogImage+'&title='+blogTitle+'&summary='+description+'&source=Latinc','popup', 'width=300, height=200');
	}
	else if(type == 2){
		var encodeUrl = encodeURIComponent(appObj.siteUrl+'?page=blogDescription&blogId='+blogId+'#page=blogDescription&blogId='+blogId+'');
		window.open('http://twitter.com/intent/tweet?text='+blogTitle+'&url='+encodeUrl, 'popup1', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=300,width=600');
	}
	else{
		var encodeUrl = encodeURIComponent(appObj.siteUrl+'?page=blogDescription&blogId='+blogId+'#page=blogDescription&blogId='+blogId+'');
		window.open('https://plus.google.com/share?url='+encodeUrl+'', 'popup', 'height=300,width=600');
	}
}

function userPostShare(postDetails){
	var type = $(postDetails).attr("type");
	var postId = $(postDetails).attr("postId");
	var postText = $(postDetails).attr("postText");
	var postImage = $(postDetails).attr("postImage");
	var img = postImage.split(',');
	var images = '';
	if(img[0] !=''){
		images = appObj.baseUrl+'assets/images/post/'+img[0];
	}
	if(type == 0){
		FB.ui({
			method			:'share',
			mobile_iframe	:true,
			href			:appObj.baseUrl+'app/?linkType=share&postId='+postId+'&page=postDetails#page=postDetails',
			title			:postText,
			picture			:images,
		}, 	function(response){});
	}
	else if(type == 1){
		window.open('https://www.linkedin.com/shareArticle?mini=true&url='+appObj.baseUrl+'assets/images/post/'+img[0]+'&title='+postText+'&source=Latinc','popup', 'width=300, height=200');
	}
	else if(type == 2){
		var encodeUrl = encodeURIComponent(appObj.baseUrl+'app/?linkType=share&postId='+postId+'&page=postDetails#page=postDetails');
		window.open('http://twitter.com/intent/tweet?text='+postText+'&url='+encodeUrl, 'popup', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=300,width=600');
	}
	else{
		var encodeUrl = encodeURIComponent(appObj.baseUrl+'app/?linkType=share&postId='+postId+'&page=postDetails#page=postDetails');
		window.open('https://plus.google.com/share?url='+encodeUrl+'', 'popup', 'height=300,width=600');
	}
}


function BulidGetUserPost(type){
	var recentCount = $(".recent-activity .recent-post-block").length;
	if(recentCount == 0){
		$(".news-feed-block").after('<img class="recent-loader post-loader" src="'+appObj.siteUrl+'assets/images/comments-loader.gif">');
	}
	else{
		$(".recent-activity .recent-post-block:last-child").append('<img class="post-loader" src="'+appObj.siteUrl+'assets/images/comments-loader.gif">');
	}
	if(type == 0){
		postObj.postsLoaded = 0;
	}
	$.ajax({
		type		:'POST'	,
		url         : appObj.siteUserControllerUrl+'getUserPost',
		data		:{postObj:postObj,postType:type},
		dataType	:'json',
		success     : function(data){
			$(".post-loader").remove();
			$(".latest-post-loading").remove();
			var recentActivity ='';
			var pics = '';
			if(data.fields == ''){
				if(type != 2){
					$(".recent-activity-content").append('<div class="recent-post-block"><div class="hpanel"><div class="panel-body p-xs">No Post</div></div></div>');
				}
			}
			else{
				if(type == 0){
					$(".recent-activity-content").empty();
				}
				$.each(data.fields,function(index,fields){
					recentActivity = '';
					pics = [];
					var str = fields.post_text;
					var regex = /(\b(https?|ftp|file):\/\/[-A-Z0-9+&@#\/%?=~_|!:,.;]*[-A-Z0-9+&@#\/%=~_|])/ig;
					var replaced_text = str.replace(regex, "<a class='btn-link' url='$1' onclick='openlink(this);' target='_blank' style='color:#3b5998;'>$1</a>");
					
					var company_name = '';
					if(fields.experience){
						var exp = $.parseJSON(fields.experience);
						for(var i=0; i<exp.length; i++){
							if(exp[i].exp_end_month == "" && exp[i].exp_end_year == ""){
								company_name = 'at '+exp[i].company_name;
							}
						}
					}
					if(fields.description != ''){
						var shortDesc = fields.description.substring(0,200)+ '...';
					}
					var post_text = str.replace(/<br ?\/?>/g, "");
					post_text = post_text.replace(/["']/g, "");
					var shareLink = "";
					
					recentActivity+='<div class="recent-post-block" id="recentPost'+fields.id+'" postId="'+fields.id+'">\
					<div class="panel panel-default">\
						<div class="panel-body status">\
							<div class="who clearfix">';
								recentActivity+="<a href='javascript:void(0);' onclick='displayPublicProfile("+fields.user_id+",\""+fields.profile_img_medium+"\",\""+fields.cover_photo+"\","+fields.user_login_type+",\""+fields.name+"\",\""+fields.professional_headline+"\",\""+fields.ethinicity_country_code+"\");'>";
								
								recentActivity+='<img src="'+generateUserImg(fields.profile_img_small,fields.user_login_type,40,40)+'?ts='+new Date().getTime()+'" style="width:40px;" alt="img" class="online" onerror="loadingImageError(this)">\
								</a>\
									<span class="name">';
										recentActivity+="<b><a href='javascript:void(0);' onclick='displayPublicProfile("+fields.user_id+",\""+fields.profile_img_medium+"\",\""+fields.cover_photo+"\","+fields.user_login_type+",\""+fields.name+"\",\""+fields.professional_headline+"\",\""+fields.ethinicity_country_code+"\");'>"+fields.name+"</a></b>";
										
									if(fields.ethinicity_country_code != ''){
										var ethinicity_flag = fields.ethinicity_country_code.split(',');
										ethinicity_flag.forEach(function(item){
											recentActivity+='<img class="post-flag m-l-xs" src="'+appObj.siteUrl+'assets/images/country-flags/16x16/'+item+'.png">';
										});
									}
									
									if(fields.share == 1 && fields.post_type == 0){
										recentActivity+=' shared a post';
									}
									else if(fields.share == 1 && fields.post_type == 1){
										recentActivity+=' shared a job';
									}
									else if(fields.share == 1 && fields.post_type == 2){
										recentActivity+=' shared a event';
									}
									else if(fields.share == 1 && fields.post_type == 3){
										recentActivity+=' shared a course';
									}
									else if(fields.share == 1 && fields.post_type == 4){
										recentActivity+=' shared a news';
									}
									else if(fields.share == 1 && fields.post_type == 5){
										recentActivity+=' shared a blog';
									}
									recentActivity+='<div class="panel-tools">\
													<a data-toggle="dropdown" class=" dropdown-toggle"><i class="fa fa-angle-down fa-lg"></i></a>\
													<ul class="dropdown-menu pull-right">';
									if(fields.current_user_id == fields.user_id){
										recentActivity += '<li><a href="javascript:void(0);" onclick="EditUserPost('+fields.id+');"><i class="fa fa-pencil"></i> Edit Post</a></li>\
										<li><a href="javascript:void(0); " onclick="deleteUserPost('+fields.id+');"><i class="fa fa-times"></i> Delete Post</a></li>';
									}
									else{
										recentActivity+='<li><a href="javascript:void(0);" onclick="reportPost('+fields.id+');"><i class="fa fa-exclamation-circle"></i> Report</a></li>';
									}
									recentActivity += '</ul></div>';
									recentActivity+='<span class="m-r-xs pull-right post-time">'+convertPostDateFormat(fields.created_date.replace(/-/g, "/"))+'</span>\
								</span>\
								<span class="post-professional text-muted">'+fields.professional_headline+' '+company_name+'</span>\
							</div>\
							<div class="text">';
								if(fields.share_about != ""){
									recentActivity+= '<p>'+fields.share_about+'</p>';
								}
								if(fields.post_type == 0){
									if(fields.post_text != '' && fields.meta_tag_title == ''){
										recentActivity+='<p>'+replaced_text+'</p>';
									}
									if(fields.post_img != ''){
										var img = fields.post_img.split(',');
										recentActivity+='<div id="gallery'+fields.id+'"></div>';
										img.forEach(function(item,index){
											pics[index] = appObj.baseUrl+'assets/images/post/'+item;
										});
									}
									else if(fields.image_link != ''){
										recentActivity+= '<img class="img-responsive center-block" src="'+fields.image_link+'">';
									}
									if(fields.share == 1 && fields.meta_tag_title == ''){
										recentActivity+='<a href="#page=postDetails&postId='+fields.id+'" class="btn-link view-more">View More</a>';
									}
								}
								else if(fields.meta_tag_title == ''){
									recentActivity+='<div class="share-text-block">';
										if(fields.post_type != 0){
											if(fields.post_type == 4){
												recentActivity+='<a href="javascript:void(0);" url="'+fields.link+'" onclick="openlink(this);">';
											}
											else{
												recentActivity+='<a href="'+fields.link+'">';
											}
										}
											recentActivity+= '<div class="share-image">';
												if(fields.post_img != ''){
													if(fields.post_type == 2){
														recentActivity+= '<img class="img-responsive center-block" src="'+appObj.baseUrl+'assets/images/events/'+fields.post_img+'">';
													}
													else if(fields.post_type == 3){
														recentActivity+= '<img class="img-responsive center-block" src="'+appObj.baseUrl+'assets/images/course/'+fields.post_img+'">';
													}
													else if(fields.post_type == 5){
														recentActivity+= '<img class="img-responsive center-block" src="'+appObj.baseUrl+'assets/images/blog/'+fields.post_img+'">';
													}
													else{
														var img = fields.post_img.split(',');
														recentActivity+='<div id="gallery'+fields.id+'"></div>';
														img.forEach(function(item,index){
															pics[index] = appObj.baseUrl+'assets/images/post/'+item;
														});
													}
												}
												else if(fields.image_link != ''){
													recentActivity+= '<img class="img-responsive center-block" src="'+fields.image_link+'">';
												}
											recentActivity+= '</div>';
											recentActivity+='<div class="p-xxs">';
												if(fields.post_text !=''){
													recentActivity+='<p>'+replaced_text+'</p>';
												}
												if(fields.jobs_company != ''){
													recentActivity+='<div class="m-b-xs text-muted">'+fields.jobs_company+', <span class="glyphicon glyphicon-map-marker"></span> '+fields.jobs_locations+'</div>';
												}
												if(fields.description != ''){
													recentActivity+= '<div class="description">'+fields.description+'</div>';
												}
											recentActivity+='</div>\
										</a>\
									</div>';
								}
								if(fields.meta_tag_title != ''){
									recentActivity+= '<div class="meta-tag-block" id="metaTag'+fields.id+'">\
										<a url="'+fields.meta_tag_link+'" onclick="openlink(this);" href="javascript:void(0);">';
											if(fields.meta_tag_img != ''){
												recentActivity+='<img src="'+fields.meta_tag_img+'" class="img-responsive center-block">';
											}
											recentActivity+='<div class="p-xxs">';
												recentActivity+= '<p>'+fields.meta_tag_title+'</p>';
												if(fields.meta_tag_desc != ''){
													recentActivity+= '<div class="description">'+fields.meta_tag_desc+'</div>';
												}
											recentActivity+= '</div>\
										</a>\
									</div>';
								}
						recentActivity+='</div>';
							if(isMobile()){
								recentActivity+='<div class="m-b-xs comments-likes">';
									if(fields.comments_count != 0){
										if(fields.comments_count == 1){
											recentActivity+='<a href="javascript:void(0);" class="p-xxs" onclick="showComments(this,1,'+fields.id+',2,\'\',0);" comments-count='+fields.comments_count+'>'+fields.comments_count+' comment</a>';
										}
										else{
											recentActivity+='<a href="javascript:void(0);" class="p-xxs" onclick="showComments(this,1,'+fields.id+',2,\'\',0);" comments-count='+fields.comments_count+'>'+fields.comments_count+' comments</a>';
										}
									}
									recentActivity+='<span class="likes-count">';
										if(fields.likes_count != 0){
											if(fields.likes_count == 1){
												recentActivity+='<a href="javascript:void(0);" onclick="showLikes(this,1,'+fields.id+','+fields.likes_count+');" class="p-xxs">'+fields.likes_count+' like</a>';
											}
											else{
												recentActivity+='<a href="javascript:void(0);" onclick="showLikes(this,1,'+fields.id+','+fields.likes_count+');" class="p-xxs">'+fields.likes_count+' likes</a>';
											}
										}
									recentActivity+='</span>';
								recentActivity+='</div>';
							}
							recentActivity+='<ul class="links">';
								if(fields.like_status != null){
									recentActivity+='<li class="post-likes post-list"><i class="fa fa-thumbs-up"></i> <a likes_count='+fields.likes_count+' href="javascript:void(0);" onclick="saveLikes(this,1,'+fields.id+');" class="btn-link post-unlike">Like</a></li>';
								}
								else{
									recentActivity+='<li class="post-list"><i class="fa fa-thumbs-up"></i> <a likes_count='+fields.likes_count+' href="javascript:void(0);" onclick="saveLikes(this,1,'+fields.id+');" class="btn-link post-like">Like</a></li>';
								}
								recentActivity+='<li class="post-list"><i class="fa fa-comment-o"></i> <a onclick="showComments(this,1,'+fields.id+',0,\'\',0);" href="javascript:void(0);" class="btn-link" comments-count='+fields.comments_count+'>Comment</a></li>\
								<li class="post-list">\
								<span class="dropup">';
									if(fields.post_type == 0){
										var postLink = "?linkType=share&postId="+fields.id+"&page=postDetails#page=postDetails";
									}
									else{
										var postLink = fields.link;
									}
									recentActivity+="<a class='btn-link' href='javascript:void(0);' type='"+fields.post_type+"' id="+fields.id+" postText=\""+post_text+"\" description=\""+fields.description+"\" postImage='"+fields.post_img+"' imageLink='"+fields.image_link+"' postLink='"+postLink+"'  metaTagTitle='"+fields.meta_tag_title+"' metaTagImage ='"+fields.meta_tag_img+"' metaTagDesc=\""+fields.meta_tag_desc+"\" metaTagLink=\""+fields.meta_tag_link+"\"  jobsCompany=\""+fields.jobs_company+"\" jobsLocations=\""+fields.jobs_locations+"\" onclick='shareModal(this);'><i class='fa fa-share'></i> Share</a>";
								recentActivity+='</span>\
								</li>';
								if(isWeb()){
									if(fields.comments_count != 0){
										recentActivity+='<a href="javascript:void(0);" onclick="showComments(this,1,'+fields.id+',1,0);" class="btn-link pull-right m-l-sm"><i class="fa fa-comment"></i> '+fields.comments_count+'</a>';
									}
									recentActivity+='<span class="likes-count">';
										if(fields.likes_count != 0){
											recentActivity+='<a href="javascript:void(0);" class="btn-link pull-right"><i class="fa fa-thumbs-up"></i> '+fields.likes_count+'</a>';
										}
									recentActivity+='</span>';
								}
							recentActivity+='</ul>\
							<ul class="comments m-b-none">\
								<li style="display:none;">\
									<div class="input-group">\
										<textarea type="text" rows=1 class="form-control" name="comments" placeholder="Write a comment..."></textarea>\
										<span class="input-group-btn">\
											<button type="button" class="btn btn-info btn-sm" onclick="saveComments(this,1,'+fields.id+');" disabled>Comment</button>\
										</span>\
									</div>\
								</li>\
								<div class="all-comments">\
									<li class="no-padding"></li>\
								</div>\
							</ul>\
						</div>\
					</div>\
				</div>';
					postObj.postsLoaded = postObj.postsLoaded + 1;
					if(type == 1 || type == 3){
						$(".latest-post .recent-post-block:first-child").before(recentActivity);
					}
					else if(type == 4){
						$('#recentPost'+fields.id).empty().append(recentActivity);
					}
					else{
						if(type != 2){
							if(index == 0 || index == 1){
								$(".latest-post").append(recentActivity);
							}
						}
						else{
							$(".recent-activity-content").append(recentActivity);
						}
					}
					$('#gallery'+fields.id).imagesGrid({
						images: pics,
						align: true,
						getViewAllText: function(imgsCount){
							return '+' + (imgsCount - 5);
						}
					});
					
					//Meta Tag
					var img = new Image();
					img.onload = function(){
						if(this.width < 400 || this.height < 400){
							$('#metaTag'+fields.id).addClass("small-image");
						}
					}
					img.src = fields.meta_tag_img;
					count = 0;
				});
			}
		}
	});
}

function deleteUserPost(postId){
	bootbox.confirm({
		title		: "Delete Post",
		message		: "You are about to delete this post.",
		animate		:false,
		buttons: {
			confirm: {
				label: 'Delete',
				className:'btn btn-primary btn-sm',
			},
			cancel:{
				className:'btn btn-default btn-sm',
			}
		},
		callback	: function(data) {
			if(data) {
				$.ajax({
					type		:'POST',
					url     	: appObj.siteUserControllerUrl+'deleteUserPost',
					data 		: {postId:postId},
					success 	: function(data){
						if(data == 1){
							$('#recentPost'+postId).empty();
						}
					}
				});
			}
		}
	});	
	$(".bootbox-confirm").addClass("group-modal");
}

function EditUserPost(postId){
	var EditPost = '';
	$.ajax({
		type		:'POST',
		url         : appObj.siteUserControllerUrl+'EditUserPost',
		dataType	:'json',
		data		:{postId:postId},
		success     : function(data){
			var post_text = data.post_text.replace(/<br ?\/?>/g, "");
			$('#editMyPostForm textarea[name=post_text]').val(post_text);
			EditPost ='<div class="post-block">\
							<div class="panel">\
								<div class="panel-body status">\
									<form id="editMyPostForm" method="post" enctype="multipart/form-data">\
									<div class="text">\
										<div class="row">\
											<div class="col-sm-12">\
												<div class="write-post">\
													<span class="user-post-img"><img class="pull-left" src='+generateUserImg(data.profile_img_small,data.user_login_type,40,40)+' style="width:40px;"></span>\
													<textarea rows="2" name="post_text" class="form-control" placeholder="What\'s on your mind?" onkeyup="auto_grow(this);" style="overflow:hidden;">'+post_text+'</textarea>\
													<div id="edit-image-preview" class="edit-dropzone-previews"></div>\
													<input type="hidden" name="postId" value='+postId+'>\
													<div class="delete-image"></div>\
												</div>\
											</div>\
										</div>\
									</div>\
										<ul class="links">\
											<li class="pull-right">\
												<button type="button" class="btn btn-sm btn-primary post-btn post-update">Save</button>\
											</li>\
											<li>\
												<span class="image-upload">\
													<label>\
														<div class="dz-default dz-message"><span class="btn-link"><i class="fa fa-camera fa-lg"></i></span></div>\
													</label>\
												</span>\
												<input type="hidden" name="length"/>\
											</li>\
										</ul>\
									</form>\
								</div>\
							</div>\
						</div>';
			bootbox.dialog({
				title		: "Edit Post",
				message		: EditPost,
				className	:"EditPostModal",
				'animate' 	: false,
			});
			$("#editMyPostForm").validate({
				rules:{
					post_text:{
						required: true,
					},
				},
				messages: {
					post_text: "This post appears to be blank. Please write something or attach a photo to post.",
				},
			});
			dropzoneUpdateImages(data);
			$("#editMyPostForm textarea").height( $("#editMyPostForm textarea")[0].scrollHeight);	
		}
	});
}

function dropzoneUpdateImages(data){
	$("#editMyPostForm").dropzone({
		autoProcessQueue	: false,
		uploadMultiple		: true,
		parallelUploads		: 100,
		maxFiles			: 100,
		thumbnailWidth		: 100,
		thumbnailHeight		: 100,
		url					: appObj.siteUserControllerUrl+'myPostUpdate',
		addRemoveLinks		: true, 
		previewTemplate		: "<div class=\"dropzone-previews\">\n  <div class=\"dz-details\">\n <img data-dz-thumbnail />\n </div> </div>",
		previewsContainer	: ".edit-dropzone-previews",
		dictRemoveFile  	:'x',
		init: function(){
			var myDropzone = this;
			if(data.post_img){
				var img = data.post_img.split(',');
				img.forEach(function(item,index){
					var mockFile = {name:item, size:12, accepted: true};
					myDropzone.emit("addedfile", mockFile);
					//myDropzone.files.push(mockFile);
					myDropzone.createThumbnailFromUrl(mockFile, appObj.baseUrl+'assets/images/post/'+item);
					myDropzone.emit("success",mockFile);
					myDropzone.emit("complete", mockFile);
				});
			}
			//Remove File
			this.on("removedfile", function(file){
				if(file.status != 'queued'){
					$(".delete-image").append('<input type="hidden" name="deletedImgs[]" value='+file.name+'>');
				}
			});
			//Update
			this.element.querySelector(".post-update").addEventListener("click", function(e){
				e.preventDefault();
				e.stopPropagation();
				$("input[name=length]").val(myDropzone.files.length);
				$(".dz-remove").remove();
				var postFormValid = '';
				var imageValid = $("#edit-image-preview img").attr('src');
				if(imageValid){
					postFormValid = true;
				}
				else{
					postFormValid = $('#editMyPostForm').valid();
				}
				$("#post_text-error.error").delay(2000).fadeOut('slow');
				if(postFormValid == true){
					$(".post-update").prop('disabled', true);
					$(".post-update").empty().append('<img class="m-l-xs" src="'+appObj.baseUrl+'assets/images/fb-loader.gif">');
					if (myDropzone.getQueuedFiles().length > 0){
						myDropzone.processQueue();
					}
					else {
						myDropzone.uploadFiles([]);
					}
				}
			});
			//Success
			this.on("successmultiple", function(files, response) {
				if(response == 1){
					myDropzone.files.length = 0;
					$(".post-update").prop('disabled', false);
					$(".post-update").text('Save');
					bootbox.hideAll();
					postObj.postId = $("input[name=postId]").val();
					BulidGetUserPost(4);
				}
			});
		}
	});
}

function reportPost(postId){
	var EditPost = '';
	$.ajax({
		type		:'POST',
		url         : appObj.siteUserControllerUrl+'EditUserPost',
		dataType	:'json',
		data		:{postId:postId},
		success     : function(data){
			EditPost+='<div class="post-block">\
				<div class="panel">\
					<div class="panel-body status">\
						<form id="reportPostForm" method="post" enctype="multipart/form-data">\
							<input type="hidden" name="postId" value="'+postId+'">\
							<div class="text report-post">\
								<p>We use your feedback to help us learn when something isn\'t right.</p>\
								<div class="radio radio-inline">\
									<input type="radio" id="inlineRadio1" value="1" name="report_option" required>\
									<label for="inlineRadio1"> Nudity </label>\
								</div>\
								<div class="radio radio-inline">\
									<input type="radio" id="inlineRadio2" value="2" name="report_option" required>\
									<label for="inlineRadio2"> Violence </label>\
								</div>\
								<div class="radio radio-inline">\
									<input type="radio" id="inlineRadio3" value="3" name="report_option" required>\
									<label for="inlineRadio3"> Harassment </label>\
								</div>\
								<div class="radio radio-inline">\
									<input type="radio" id="inlineRadio4" value="4" name="report_option" required>\
									<label for="inlineRadio4"> False News </label>\
								</div>\
								<div class="radio radio-inline">\
									<input type="radio" id="inlineRadio5" value="5" name="report_option" required>\
									<label for="inlineRadio5"> Spam </label>\
								</div>\
								<span style="color:#FF0000;display:none;" class="report-error"><br>Please select atleast one option.<span>\
							</div>\
							<ul class="links">\
								<li class="pull-right">\
									<button type="button" class="btn btn-sm btn-primary post-btn post-update" onclick="savePostReport();">Send</button><br><br>\
								</li>\
							</ul>\
						</form>\
					</div>\
				</div>\
			</div>';
			bootbox.dialog({
				title		: "Report this post",
				message		: EditPost,
				className	:"EditPostModal",
				'animate' 	: false,
			});	
			$('#reportPostForm').validate({
				errorPlacement:function(error,element){
					return true;
				}
			});
		}
	});
}

function savePostReport(){
	if(!$("#reportPostForm").valid()){
		$(".report-error").show();
		setTimeout(function(){
			$(".report-error").hide();	
		},2000);
	}
	else{
		var formData = new FormData($("#reportPostForm")[0]);
		$.ajax({
			type  : 'POST',
			url   : appObj.siteUserControllerUrl+'savePostReport',
			data  : formData,
			cache : false,
			dataType    : 'html',
			contentType : false,
			processData : false
		});
		$("#reportPostForm .text,#reportPostForm .links").remove();
		$("#reportPostForm").append('<div class="text"><h5 style="line-height:22px;text-align:justify;">Thanks for letting us know. <br><br>Your feedback helps our system learn when something is not right. We\'ll look into this issue seriously and try our best to not show you such content in the near future.</h5></div>');
	}
}

function auto_grow(element) {
	if(element.scrollHeight > 48){
		$(element).height(30);
		$(element).height(element.scrollHeight);
	}
}

$(document).on('paste','#postText',function(e){		
	e.preventDefault();
    var Url = (e.originalEvent || e).clipboardData.getData('text/plain');
    window.document.execCommand('insertText', false, Url);
	var UrlString = Url.match(/\b(http|https)?(:\/\/)?(\S*)\.(\w{2,4})\b/ig);
	$(".post-meta-tag").empty();
	if(UrlString){
		$(".post-meta-tag").empty().append('<div class="text-center">Loading...</div>');
		$.ajax({
			type		:'POST',
			url    	 	: appObj.siteUserControllerUrl+'getMetaTag',
			data		:{Url:Url},
			dataType 	: 'json',
			success 	: function(data){
				var metaTag ='';
				var img = new Image();
				if(data.fields !=''){
					metaTag+='<div class="col-sm-12 meta-tag-block">\
							<a class="pull-right meta-tag-remove" title="Remove" onclick="metaTagRemove()"><i class="fa fa-lg fa-times"></i></a>\
							<a href="'+data.url+'" target="_blank">';
								if(data.image){
									metaTag+='<img src="'+data.image+'" class="img-responsive">';
									metaTag+='<input type="hidden" name="meta_tag_img" value="'+data.image+'">';
								}
								metaTag+='<div class="p-xxs">';
									metaTag+='<p>'+data.title+'</p>';
									if(data.description){
										var description = data.description.substring(0,60) + "...";
										metaTag+='<div class="description">'+data.description+'</div>';
										metaTag+='<input type="hidden" name="meta_tag_desc" value="'+data.description+'">';
									}
								metaTag+='</div>';
								metaTag+='<input type="hidden" name="meta_tag_title" value="'+data.title+'">';
								metaTag+='<input type="hidden" name="meta_tag_link" value="'+data.url+'">';
							metaTag+='</a>\
						</div>';
					img.onload = function(){
						if(this.width < 400 || this.height < 400){
							$(".post-meta-tag .meta-tag-block").addClass("small-image");
						}
					}
					img.src = data.image;
				}
				$(".post-meta-tag").empty().append(metaTag);
			}
		});
	}
});

function metaTagRemove(){
	$(".post-meta-tag .meta-tag-block").remove();
}

function checkNewPost(){
	var postId = $(".recent-post-block:first-child").attr("postId");
	postObj.postId = postId;
	BulidGetUserPost(3);
}