var login_window = "";
var login_window_timer = "";
function socialLogin(loginType){ // loginType 0-Facebook, 1-Google, 2-LinkedIn
	if(loginType == 0){
		$(".social-btn.facebooklogin").empty().text("Loading...");
		var loginFunc = 'app_login_facebook';
	} 
	else if(loginType == 1){ 
		$(".social-btn.googlelogin").empty().text("Loading...");
		var loginFunc = 'app_login_google';
	}
	else if(loginType == 2){
		var loginFunc = 'app_linkedin_login';			
		$(".social-btn.linedin").empty().text("Loading...");
	}
	if(typeof isCordovaApp != 'undefined'){
		if(loginType == 0){ //Facebook Login
			cordovaFBLogin();
		}
		else if(loginType == 1){ //Google Login
			//alert("We are experiencing login issues with Google and are working on fixing it. Meanwhile please use other logins.");
			cordovaGoogleLogin();
		}
		else{
			if(cordova.platformId == "android"){
				var deviceType = 'A';
			}
			else if(cordova.platformId == "ios"){
				var deviceType = 'I';
			}
			login_window = cordova.InAppBrowser.open(appObj.siteFbConnctControllerUrl+''+loginFunc+'&format=raw&deviceType='+deviceType, '_blank', 'location=yes');
			login_window.addEventListener('loadstop',function(event){
				windowClose(login_window,event.url);
			});
		}
	}
	else{
		window.location.href = appObj.siteFbConnctControllerUrl+''+loginFunc+'&format=raw&deviceType=M';
	}
}

function cordovaFBLogin(){
	facebookConnectPlugin.getLoginStatus(function(response){
		if(response.status == 'connected'){
			fbLoginSuccess();
		}
		else{
			facebookConnectPlugin.login(["email","public_profile"],fbLoginSuccess,
				function(error){
					//alert(""+error);
				}
			);
		}
	});
}

var fbLoginSuccess = function(){
	//$(".facebook-login-btn").hide();
	//$(".facebook-login-btn").after('<div class="login-load-gif"><img src="'+appObj.siteUrl+'assets/images/icons/body-load-blue.gif"></div>');
	facebookConnectPlugin.api('/me?fields=id,name,email,first_name',null,function(response){
		response.loginType = 0;
		processJSLogin(response);
	});
}

function cordovaGoogleLogin(){
	window.plugins.googleplus.login({
		'scopes': '',
		 'webClientId': '470019782147-8ea9ls0l3f1n4urt8tf3vfs1vt1p7ra4.apps.googleusercontent.com',
		 'offline': false,
		},
		function(obj){
			gooleLoginSuccess(obj);
		},
		function(msg){
			alert('Some went wrong. Please try agin.');
		}
	);
}

function gooleLoginSuccess(response){
	response.id = response.userId;
	response.first_name = response.givenName;
	response.name = response.displayName;
	response.email = response.email;
	response.picture = response.imageUrl;
	response.loginType = 1;
	processJSLogin(response);
}

function processJSLogin(response){
	if(cordova.platformId == "android"){
		response.deviceType = 'A';
	}
	else if(cordova.platformId == "ios"){
		response.deviceType = 'I';
	}
	$.ajax({
		type     : "POST",
		url      : "https://latinc.us/appm/index.php?option=com_fbconnct&task=js_login&format=raw",
		data     : {data:response},
		dataType : 'html', 
		success  : function(data){
			if(data == 0){
				emailModal(response);
			}
			else if(data == 1){
				getLoginStatus();
				pushPluginInit();
				bootbox.hideAll();
			}
		}
	});
}

function emailModal(response){
	bootbox.hideAll();
	var values = '';
	values+='<form id="emailForm">\
				<input type="email" name="email" placeholder="Email" class="form-control">\
				<h6 class="email-exits" style="display:none;">Email address is already exits.</h6>\
			</form>';
	bootbox.dialog({
		title		: 'Please enter the email',
		message		: values,
		className	: "userModalContent",
		'animate' 	: false,
		buttons		: {
			success	: {
				label: "Update",
				className: "btn btn-sm btn-info update-email",
				callback: function(){
					checkUserEmailAddress(response);
					return false;
				}
			}
		}
	});
	$("#emailForm").validate({
	   rules: {
			email: {
				required: true,
			},
		},
	});
}

function checkUserEmailAddress(response){
	if($("#emailForm").valid()){
		$(".update-email").text("Updating...");
		response.email = $(".userModalContent input[name=email]").val().trim();
		$.ajax({
			type     : 'POST',
			url      : appObj.siteUserControllerUrl+'checkUserEmailAddress',
			dataType : 'json',
			data     : {email:response.email},
			success  : function(data){
				$(".update-email").text("Update");
				if(data == 0){
					processJSLogin(response);
				}
				else{
					$(".email-exits").show();
					$(".email-exits").delay(2000).fadeOut('slow');
				}
			}
		});
	}
}

function windowClose(openedWindow,openedWindowUrl){
	if(openedWindowUrl.indexOf("loginredirect") > -1){
		openedWindow.close();
		clearInterval(logout_window_timer);
		clearInterval(login_window_timer);
		pushPluginInit();
		getLoginStatus();
	}
}

var logout_window = '';
var logout_window_timer = '';
function logout(){
	if(typeof isCordovaApp != 'undefined'){
		logout_window = cordova.InAppBrowser.open(appObj.siteFbConnctControllerUrl+'app_logout', '_blank', 'location=no');
		logout_window.addEventListener('loadstop',function(event){			
			logoutWindowClose(logout_window,event.url);
		});
	}
	else{
		window.location.href = appObj.siteFbConnctControllerUrl+'logout&format=raw';
	}
}

function logoutWindowClose(openedWindow,openedWindowUrl){
	if(openedWindowUrl.indexOf("loginredirect") > -1){
		openedWindow.close();
		clearInterval(logout_window_timer);
		clearInterval(login_window_timer);
		location.reload(true);
		getLoginStatus();
	}
}

function mobileAppDeviceReady(){
	pushPluginInit();
	//detechBack();
	document.addEventListener("backbutton",backButtonCheck,false);
	badgePluginInit();
}

function badgePluginInit(){
	// cordova.plugins.notification.badge.registerPermission(function (granted) {
		//console.log('Permission has been granted: ' + granted);
	// });
	cordova.plugins.notification.badge.clear();
}

var push = '';
function pushPluginInit(){
	push = PushNotification.init({
		"android" : {"senderID": "470019782147", "icon": "https://latinc.us/app/assets/images/logo/25x25/Li-logo.jpg"},
		"ios"     : {"alert": "true", "badge": "true", "sound": "true"}, 
		"windows" : {} 
	});
	saveDeviceId();
	checkNotifications();
}

function saveDeviceId(){
	push.on('registration',function(data){
		$.ajax({
			type : "POST",
			url  : "https://latinc.us/appm/index.php?option=com_stats&task=saveDeviceId",
			data : {deviceId:data.registrationId,appType:cordova.platformId}
		});
	});
}


function checkNotifications(){
	push.on('notification',function(data){	
		if (data.additionalData.foreground) {
			//If the app is running when the push received 			
			var data = data.additionalData;
			displayNotifications(data,0);
		}
		else if(data.additionalData.coldstart) {  
			//If the app is closed and started by clicking on the push notification 		
			var data = data.additionalData; 
			displayNotifications(data,1);	
		} 
		else {     
			//If the app is open but not active. i.e. running in background	
			var data = data.additionalData; 
			displayNotifications(data,2);	
		}
	});
	window.view_profile = function(data){
		var data = data.additionalData; 
		displayNotifications(data,3);
	}
	window.accept_friend = function(data){
		var data = data.additionalData; 
		displayNotifications(data,4);
	}
}

function displayNotifications(data,status){
	for(key in data){
		if(data.hasOwnProperty(key)){
			if(key == "additionalData"){			
				var postId = data[key].postId;
				var cmt_id = data[key].cmt_id;
				var post_type = data[key].post_type;
				var type = data[key].type;
				var GroupId = data[key].GroupId;
				var user_id = data[key].user_id;
				var pageId = data[key].pageId;
				
				var sendId = data[key].senderId;
				var userMessageId = data[key].userId;
				var likes_count = data[key].likes_count;
				if(type == "postComments"){
					showComments('',post_type,postId,'',cmt_id,1);
				}
				else if(type == "groupsPost"){
					showComments('',post_type,postId,'','',1);
				}
				else if(type == "groupsPendingPost"){
					showGroupsPendingPosts(GroupId,postId);
				}
				else if(type == "groupsReportPost"){
					showGroupsReportedPosts(GroupId,postId);
				}
				else if(type == "groupsMembersApproval"){
					showGroupsMembersApproval(GroupId,user_id);
				}
				else if(type == "groupsAskedJoin"){
					showGroupsMembersApproval(GroupId,user_id);
				}
				else if(type == "pagesInvite"){
					window.location.href = "#page=myPages&pageId="+pageId;
				}
				else if(type == "pagesPost"){
					showComments('',post_type,postId,'','',1)
				}
				else if(type == "connectionsRequest"){
					if(status == 3){
						viewProfileConnections(sendId);
					}
					else if(status == 4){
						viewRequests(sendId,1,"connections");
					}
					else{
						viewRequests(sendId,0,"connections");
					}
				}
				else if(type == "connectionsMessage"){
					if(status == 0 && appObj.pageName != "messages"){
						showHeadMessages(userMessageId);
					}
					else{
						listMessages(userMessageId);
					}
				}
				else if(type == "postLikes"){
					showLikes('',post_type,postId,likes_count);
				}
				else if(type == "postNotifications"){
					window.location.href = "#page=socialwall";
				}
				else if(type == "mentorsRequest"){
					viewRequests(sendId,0,"mentors");
				}
			}
		}
	}
}

function backButtonCheck(){
	if($(".publicProfileModal")[0] || $(".likesModal")[0] || $(".appModalBox")[0]){
		bootbox.hideAll();
	}
	else if($(".imgs-grid-modal")[0]){
		$(".imgs-grid-modal").remove();
	}
	else if($(".share-options")[0]){
		$(".share-options, .share-backdrop").remove();
	}
	else if($(".commentsModal")[0]){
		$(".commentsModal, .modal-backdrop").remove();	
	}
	else if($("#commonModal")[0]){
		$("#commonModal").remove();	
		$("body").removeClass("body-disabled");
	}
	else{
		window.history.back();
	}
}

function playVideo(){
	VideoPlayer.play("https://latinc.us/landing/video/Businesswoman-with-coworkers-in-background-0000119.mp4");
}
