var addEventsJs = '';

addEventsPageInitalize();
function addEventsPageInitalize(){
	document.body.scrollTop = document.documentElement.scrollTop = 0;
	addEventPageContent();
}

function addEventPageContent(){						
	$("#header").append('<div class="breadcrumb-title"><a class="btn-link" href="javascript:void(0);" onclick="window.history.back();"><i class="fa fa-lg fa-angle-left"></i></a> <span>Post an event</span></div>');		
	$('#secondary-page').empty().append('<div class="row">\
									<div class="col-lg-9">\
										<form method="POST" id ="new-event" enctype="multipart/form-data">\
											<input type="hidden" name="postType" value="0">\
											<input type="hidden" name="eventId">\
											<div class="form-group">\
												<input class="form-control" name="event_title" type="text" placeholder="Title">\
											</div>\
											<div class="form-group">\
												<input class="form-control" name="event_location" type="text" placeholder="Location" autocomplete="off">\
												<div class="loc-search-results"></div>\
											</div>\
											<label>From:</label>\
											<div class="row">\
												<div class="col-xs-6 form-group startdate">\
													<div class="input-group date">\
														<span class="input-group-addon">\
															<span class="fa fa-calendar fa-lg"></span>\
														</span>\
														<input type="text" id="startdate" name="start_date" class="form-control" placeholder="Date" readonly>\
													</div>\
												</div>\
												<div class="col-xs-6 form-group">\
													<div class="input-group date">\
														<span class="input-group-addon">\
															<span class="fa fa-clock-o fa-lg"></span>\
														</span>\
														<input type="text" id="starttime" name="start_time" class="form-control" placeholder="Time" readonly>\
													</div>\
												</div>\
											</div>\
											\
											<label>To:</label>\
											<div class="row">\
												<div class="col-xs-6 form-group enddate">\
													<div class="input-group date">\
														<span class="input-group-addon">\
															<span class="fa fa-calendar fa-lg"></span>\
														</span>\
														<input type="text" id="enddate" name="end_date" class="form-control" placeholder="Date" readonly>\
													</div>\
												</div>\
												<div class="col-xs-6 form-group">\
													<div class="input-group date">\
														<span class="input-group-addon">\
															<span class="fa fa-clock-o fa-lg"></span>\
														</span>\
														<input type="text" id="endtime" name="end_time" class="form-control" placeholder="Time" readonly>\
													</div>\
												</div>\
											</div>\
											<div class="form-group">\
												<div class="image-editor">\
													<input id="cropper-input" type="file" class="cropit-image-input">\
													<div class="cropit-image-preview" id="list"></div>\
													<input type="hidden" name="image-data" class="hidden-image-data"/>\
														<label for="cropper-input">\
															<span class="add-image-label">\
																<span class="add-image">Add an image</span><br><span class="image-pixels">Image that are at least 700 X 400 pixels look best.</span>\
															</span>\
														</label>\
														<div class="image-editor-cancel">+</div>\
												</div>\
											</div>\
											<div class="hpanel">\
												<div class="panel-heading hbuilt"><h5>Description</h5></div>\
												<div class="panel-body description-edit">\
													<div class="summernote">\
													</div>\
												</div>\
												<input type="hidden" name="description">\
											</div>\
											<div class="form-group">\
												<input class="form-control" name="organiser_name" type="text" placeholder="Organizer Name">\
											</div>\
										<div class="row">\
											<div class="col-lg-12">\
												<div class="pull-left publish-draft">\
													<div class="btn-group">\
														<button class="btn btn-sm btn-primary save-event" onclick="saveEvent();" type="button">Post</button>\
													</div>\
												</div>\
												<div class="pull-right publish-draft event-delete"></div>\
												<div class="post-show pull-left">\
													<div class="success" style="display:none;"><b>Your event has been saved.</b></div>\
												</div>\
											</div>\
										</div>\
									</form>\
								</div>\
						</div>');
	var postType = $('input[name=postType]').val();
	if(postType == 1){
		$('.event-delete').empty().append('\
			<div class="btn-group">\
				<button class="btn btn-sm btn-primary delete-my-events" onclick="deleteEvent();" type="button">Delete</button>\
			</div>');
	}
	else{
		$('.event-delete').empty();
	}
	eventDate();
	summerNote();
	image_cropit();
}

function eventDate(){
	$('#startdate').datetimepicker({
		format:'MM/DD/YYYY',
		//minDate:new Date(),
		ignoreReadonly: true
	});
	$('#enddate').datetimepicker({
		format:'MM/DD/YYYY',
		//minDate:new Date(),
		ignoreReadonly: true
	});
	$('#starttime').datetimepicker({
		format: 'LT',
		//minDate:new Date(),
		ignoreReadonly: true
	});
	$('#endtime').datetimepicker({
		format: 'LT',
		//minDate:new Date(),
		ignoreReadonly: true
	});
}

function deleteEvent(){
	var eventId = $('input[name=eventId]').val();
	$(".delete-my-events").prop("disabled",true);
	$('.delete-my-events').text('Deleting...');
	$.ajax({
		url:appObj.siteUserControllerUrl+'deleteMyEvents',
		type:'POST',
		data:{eventId:eventId},
		dataType:'html',
		success:function(data){
			$(".delete-my-events").text('Save');
			$(".delete-my-events").prop("disabled",false);
			window.location.href = "#page=events";
		}
	});
}

function summerNote(){
	$('.summernote').summernote({
		height : 100,
		focus : false,
		tabsize : 2,
		toolbar: [
			['style', ['bold', 'italic', 'underline']],
			['para', ['ul', 'ol', 'paragraph']],
			['height', ['height']],
			['link',['link']]
		]
	});
}

$(document).on('click', '#new-event .image-editor-cancel', function(){
	if ($('.cropit-image-preview').hasClass('cropit-image-loaded')) {
		$('.cropit-image-preview').removeClass('cropit-image-loaded').removeAttr('style');
		$("#cropper-input").val('');
		$("#new-event .add-image-label").show();
		$("#new-event .image-editor-cancel").removeClass("remove");
	}	
});

function image_cropit() {
	$('#new-event .image-editor').cropit({
		onFileChange:function(data){
			$(".add-blog-loading").show();
			$(".add-image, .image-pixels").hide();
		},
		onImageLoaded:function(data){
			$(".add-blog-loading").hide();
			$(".add-image, .image-pixels").show();
			$("#new-event .add-image-label").hide();
			$("#new-event .image-editor-cancel").addClass("remove");
		},
		smallImage:'allow',
	}); 
}

$(document).on('click', '#new-event .image-editor-cancel', function(){
	if ($('.cropit-image-preview').hasClass('cropit-image-loaded')) {
		$('.cropit-image-preview').removeClass('cropit-image-loaded').removeAttr('style');
	}	
});

function saveEvent(){
	$(".save-event").text('Saving...');
	$(".save-event").prop("disabled",true);
	
	var imageData = $('.image-editor').cropit('export');
	$('input[name=image-data]').val(imageData);
	var description = $('.summernote').code();
	$('input[name=description]').val(description);
	var formData = new FormData($('#new-event')[0]);
	$.ajax({
		url        : appObj.siteUserControllerUrl+'saveEvent',
		data       : formData,
		contentType: false,
		processData: false,
		method     : "POST",
		dataType   : 'html',
		success    : function(data){
			if(data == 1){
				$(".save-event").text('Save');
				$(".save-event").prop("disabled",false);
				$(".success").show();
				window.location.href = "#page=events";
			}
		}
	});
}

function EditeEvents(data){
	var eventId = $(data).attr('eventId');
	$.ajax({
		url			:appObj.siteUserControllerUrl+'getUserEventDetail',
		type		:'POST',
		dataType	:'json',
		data		:{eventId:eventId},
		success		:function(data){
			setTimeout(function(){
				$('.button-custom-class').css('float','left');
				$(".cropit-image-preview").addClass("cropit-image-loaded");
				encodeImage(appObj.baseUrl+'assets/images/events/'+data.event_logo, function(encodedImage) {
					$(".cropit-image-preview").attr('style','background-image:url("'+encodedImage+'")');
					$(".hidden-image-data").attr('edit-image-data',encodedImage);
				});
				$('input[name=event_title]').val(data.event_title);
				$('input[name=start_date]').val(data.start_date);
				$('input[name=end_date]').val(data.end_date);
				$('input[name=start_time]').val('10:21 AM');
				$('input[name=end_time]').val('10:21 AM');
				$('input[name=event_location]').val(data.event_location);
				$('.note-editable').html(data.event_description);
				$('input[name=organiser_name]').val(data.org_name);
			},2000);
		}
	});
}

$(document).on('keyup', "input[name=event_location]", function(e){
	var inputValue = $(this).val();
	if(inputValue != '' && inputValue.length > 3){
		$.ajax({
			url      : appObj.siteUserControllerUrl+'getLocationsByCity',
			dataType : 'json',
			type     : 'POST',
			data     : {city:inputValue},
			success  : function(data){
				var searchResults = '';
				if(data.results != ''){
					searchResults += '<ul>';
					$.each(data.results,function(index,results){
						searchResults += "<li>"+results.city_name+", ";
						if(results.city_name != results.state_name){
							searchResults += results.state_name+", ";
						}
						searchResults += results.country_name+"</li>";
					});
					searchResults += '</ul>';
				}
				$(".loc-search-results").empty().append(searchResults);
			}
		});
	}
	else{
		$(".loc-search-results").empty();
	}
});

$(document).on("click",".loc-search-results li",function(){
	$("input[name=event_location]").val($(this).text());
	$(".loc-search-results").empty();
});