var addBlogJS = '';

addBlogsPageInitalize();
function addBlogsPageInitalize(){
	addblogPageContent();	
	buildBlogPageContent();
}

function addblogPageContent(){
	$('#secondary-page').empty().append('<div class="add_post"></div>');
}

function buildBlogPageContent(){
	var addblogContent = '';
	var addBlogForm	= '';
	addBlogForm += '<form name="blog" method="POST" id ="new-blog" enctype="multipart/form-data">\
						<div class="form-group">\
							<div class="image-editor">\
								<input id="cropper-input" type="file" class="cropit-image-input">\
									<div class="cropit-image-preview" id="list"></div>\
									<input type="hidden" name="image-data" class="hidden-image-data"/>\
									<label for="cropper-input">\
										<span class="add-image-label">\
											<span class="add-image">Add an image</span><br><span class="image-pixels">Image that are at least 700 X 400 pixels look best.</span>\
										</span>\
									</label>\
									<div class="image-editor-cancel">+</div>\
							</div>\
						</div>\
						<div class="form-group">\
							<input class="form-control input-lg" name="headline" id ="title" type="text" placeholder="Write Headline">\
						</div>\
						<div class="hpanel">\
							<div class="panel-heading hbuilt"><h5>Description</h5></div>\
							<div class="panel-body description-edit">\
							<input type="hidden" name="description">\
								<div class="summernote"></div>\
							</div>\
						</div>\
						<div class="row">\
							<div class="col-sm-12">\
								<div class="form-group">\
									<input type="text" class="form-control tagsinput" id="meta" data-role="tagsinput" name="meta" placeholder="Tags">\
								</div>\
							</div>\
						</div>\
						<input type="hidden" name="posttype" value="0">\
						<input type="hidden" name="blogid" value="0">\
						<div class="row">\
							<div class="col-lg-12">\
								<div class="m-b-md pull-left">\
									<input type="hidden" name="blog_type">\
									<button class="btn btn-sm btn-primary publish-btn m-r-sm" id ="o" name="publish" type="button" blog-type="1">Publish</button>\
									<button class="btn btn-success save-draft-btn btn-sm" type="button" blog-type="2">Save as Draft</button>\
								</div>\
								<div class="post-show pull-left">\
									<div class="success" style="display:none;"><b>Your post has been published.</b></div>\
									<div class="drafts" style="display:none;"><b>Your post has been saved as draft.</b></div>\
								</div>\
							</div>\
						</div>\
					</form>';
	addblogContent+='<div class="row">\
						<div class="col-sm-12">\
							<div class="connection-tab">\
								<ul class="nav connection-menu nav-tabs">\
									<li class="active"><a data-toggle="tab" href="#newBlogs"> New Blogs</a></li>\
									<li><a data-toggle="tab" href="#myArticles">My Articles</a></li>\
									<a href="#page=blog" class="btn btn-success btn-sm pull-right m-t-xs">All Blogs</a>\
								</ul>\
								<div  id="connectionTabContent" class="tab-content">\
									<div id="newBlogs" class="tab-pane active">\
										<div class="add_post_form">'+addBlogForm+'</div>\
									</div>\
									<div id="myArticles" class="tab-pane">\
										<div class="row">\
											<div class="post"></div>\
										</div>\
									 </div>\
								</div>\
							</div>\
						</div>';
	$(".add_post").empty().append(addblogContent);
	setTimeout(function(){
		$('input[name=meta]').tagsinput('refresh');
	},1000);
	mypost();
	image_cropit();
	summerNote();
}

function image_cropit() {
	$(document).on('click','#new-blog .image-editor',function(){
		if(window.FileReader){ 
			$('#new-blog .image-editor').cropit({
				onFileChange:function(data){
					$(".add-blog-loading").show();
					$(".add-image, .image-pixels").hide();
				},
				onImageLoaded:function(data){
					$(".add-blog-loading").hide();
					$(".add-image, .image-pixels").show();
					$("#new-blog .add-image-label").hide();
					$("#new-blog .image-editor-cancel").addClass("remove");
				},
				smallImage:'allow',
			});
		} 
		else{
			alert("the browser doesn't support the FileReader Object.")
		}
	}); 
}

$(document).on('click', '#new-blog .image-editor-cancel', function(){
	if ($('.cropit-image-preview').hasClass('cropit-image-loaded')) {
		$('.cropit-image-preview').removeClass('cropit-image-loaded').removeAttr('style');
		$("#cropper-input").val('');
		$("#new-blog .image-editor-cancel").removeClass("remove");
		$("#new-blog .add-image-label").show();
	}	
});

function summerNote(){
	$('.summernote').summernote({
		height : 130,
		focus : false,
		tabsize : 2,
		toolbar: [
			['style', ['style']],
			['font', ['bold', 'italic', 'underline', 'clear']],
			['fontname', ['fontname']],
			['color', ['color']],
			['para', ['ul', 'ol', 'paragraph']],
			['height', ['height']],
			['table', ['table']],
			['insert', ['link']],
			['picture',['picture']],
			['help', ['help']]
		  ],
		onImageUpload: function(files, editor, welEditable) {
			sendFile(files[0], editor, welEditable);
		}
	});	
	var sHTML = $('.summernote').code();
	console.log(sHTML)
}

function sendFile(file, editor, welEditable){
	data = new FormData();
	data.append("file", file);
	$.ajax({
		type 		: "POST",
		url			: appObj.siteUserControllerUrl+'blogImageUpload',
		data		: data,
		cache		: false,
		contentType	: false,
		processData	: false,
		success		: function(imageData){
			editor.insertImage(welEditable, appObj.baseUrl+'assets/images/blog/'+imageData);
		}
	});
}  

$(document).on("click",".publish-btn,.save-draft-btn",function() {
	var blog_type = $(this).attr("blog-type");
	$("input[name=blog_type]").val(blog_type);
	if(blog_type == 1){
		$(".publish-btn").text("Publishing...");
		$(".publish-btn").prop("disabled",true);
	}
	else{
		$(".save-draft-btn").text("Saving...");
		$(".save-draft-btn").prop("disabled",true);
	}
	var imageData = $('.image-editor').cropit('export');
	if(imageData){
		$('input[name=image-data]').val(imageData);	 
	}
	else{
		var editImageData = $('input[name=image-data]').attr("edit-image-data");
		$('input[name=image-data]').val(editImageData);
	}
	var description = $('.summernote').code();
	$('input[name=description]').val(description);
	var data = new FormData($('#new-blog')[0]);
	$.ajax({
		type        : 'POST',
		url         : appObj.siteUserControllerUrl+'blogsave',
		data        : data,
		contentType : false,
		processData : false,
		success     : function(data) {
			if(blog_type == 1){
				$(".publish-btn").text("Publish");
				$(".success").show();
				$(".drafts").hide();
			}
			else{
				$(".save-draft-btn").text("Save as Draft");
				$(".drafts").show();
				$(".success").hide();
			}
			window.location.href = "#page=blog";
		}
	});
});

function mypost(){
	$.ajax({
		url      : appObj.siteUserControllerUrl+'getMyPostDetails',
		dataType : 'json',
		success  : function(data){
			var mypost = '';
				if(data.fields == 0){
					mypost += '<div class="no-results"><i class="fa fa-3x fa-pencil-square-o"></i><br><br>You have not added any article yet</div>';
				}
				else{
					$.each(data.fields,function(index,fields){
						var description = fields.description;
						var shortdescription = $.truncate(description, {
						  length: 200
						});
						var date = new Date(fields.created_date.replace(/-/g, "/"));
						var hours = date.getHours(fields.created_date);
						var ampm = (hours >= 12) ? "pm" : "am";
						var getHour = ((hours + 11) % 12 + 1);
						var time = hours+":"+("0"+ date.getMinutes(fields.created_date)).slice(-2)+" "+ampm;
						var formatted = ("0"+ (date.getMonth(fields.created_date) +1)).slice(-2)+"."+("0"+ date.getDate(fields.created_date)).slice(-2)+"."+date.getFullYear(fields.created_date);
						mypost+='<div class="col-md-6">\
									<div class="hpanel blog-box">\
										<div class="panel-heading">\
											<div class="media clearfix">';
												mypost+="<a href='javascript:void(0);' onclick='displayPublicProfile("+fields.id+",\""+fields.profile_img_medium+"\",\""+fields.cover_photo+"\","+fields.user_login_type+",\""+fields.name+"\",\""+fields.professional_headline+"\",\""+fields.ethinicity_country_code+"\");' class='pull-left'>";
												
												mypost+='<img src="'+generateUserImg(fields.profile_img_small,fields.user_login_type,30,30)+'" class="profile-image" />\
												</a>\
												<div class="media-body">\
													<small>Created by : <span class="font-extra-bold">';
													mypost+="<a href='javascript:void(0);' onclick='displayPublicProfile("+fields.id+",\""+fields.profile_img_medium+"\",\""+fields.cover_photo+"\","+fields.user_login_type+",\""+fields.name+"\",\""+fields.professional_headline+"\",\""+fields.ethinicity_country_code+"\");'>"+fields.name+"</a>";
													
													mypost+='</span></small>\
													<br>\
													<small class="text-muted">'+formatted+', '+time+'</small>';
													if(fields.blog_type == 1){
														mypost+='<span class="pull-right"><a href="#page=addPost" class="edit-delete btn-link" onclick=editmypost('+fields.blog_id+')>Edit </a>|<a onclick=deletemypost('+fields.blog_id+') class="edit-delete btn-link"> Delete</a></span>';
													}
													else{
														mypost+='<span class="pull-right">Draft - '+formatted+' | <a href="#page=addPost" class="edit-delete btn-link" onclick=editmypost('+fields.blog_id+')>Edit </a> | <a onclick=deletemypost('+fields.blog_id+') class="edit-delete btn-link"> Delete</a></span>';
													}
												mypost+='</div>\
											</div>\
										</div>\
										<div class="panel-image">\
											<a href="#page=blogDescription&blogId='+fields.blog_id+'">\
												<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/blog/'+fields.img_path+'" alt="">\
												<div class="title">\
													 <h4>'+fields.title+'</h4>\
												</div>\
											</a>\
										</div>\
										<div class="panel-body"><div class="short-description">'+shortdescription+'</div>\
											<a href="#page=blogDescription&blogId='+fields.blog_id+'" class="blog-read-more btn-link">Read More</a>\
											<div class="dropup pull-right">';
												if(isMobileApp()){
													blog+='<a class="btn btn-outline btn-default btn-sm" link="'+appObj.siteUrl+'?linkType=share&blogId='+fields.blog_id+'&page=blogDescription#page=blogDescription" href="javascript:void(0);" onclick="socialShare(this);">Share</a>';
												}
												else{
													mypost+='<a data-toggle="dropdown" class="btn btn-outline btn-default btn-sm dropdown-toggle" href="javascript:void(0);">Share</a>';
													mypost+="<ul class='dropdown-menu dropdown-menu-right'>\
																<li><a href='javascript:void(0);' onclick='blogShare(this);' type='0' blogId="+fields.blog_id+" blogTitle='"+fields.title+"' blogDescription='"+fields.description+"' blogImage='"+fields.img_path+"'><i class='fa fa-facebook'></i> Facebook</a></li>\
																<li><a href='javascript:void(0);' onclick='blogShare(this);' type='1' blogId="+fields.blog_id+" blogTitle='"+fields.title+"' blogDescription='"+fields.description+"' blogImage='"+fields.img_path+"'><i class='fa fa-linkedin'></i> Linkedin</a></li>\
																<li><a href='javascript:void(0);' onclick='blogShare(this);' type='2' blogId="+fields.blog_id+" blogTitle='"+fields.title+"' blogDescription='"+fields.description+"' blogImage='"+fields.img_path+"'><i class='fa fa-twitter'></i> Twitter</a></li>\
																<li><a href='javascript:void(0);' onclick='blogShare(this);' type='3' blogId="+fields.blog_id+" blogTitle='"+fields.title+"' blogDescription='"+fields.description+"' blogImage='"+fields.img_path+"'><i class='fa fa-google-plus'></i> Google</a></li>\
														</ul>";
												}
											mypost+='</div>\
										</div>\
									</div>\
								</div>';
					});
				}
		$('.post').html(mypost);
		}
	});
}

function encodeImage(src, callback) {
	var canvas = document.createElement('canvas'),
		ctx = canvas.getContext('2d'),
		img = new Image();
	
	img.onload = function(){
		canvas.width  = img.width;
		canvas.height = img.height;
		ctx.drawImage(img, 0, 0, img.width, img.height);
		callback(canvas.toDataURL());
	}
	img.src = src;;
}
			
function editmypost(blogId){
	setTimeout(function(){
		$('.tagsinput').tagsinput('removeAll');
	},1000);
	$.ajax({
		type 		: 'POST',
		url     	: appObj.siteUserControllerUrl+'editMypost',
		dataType 	: 'json',
		data    	: {blogId:blogId},
		success 	: function(data){
			$("#new-blog .add-image-label").hide();
			$("#new-blog .image-editor-cancel").addClass("remove");
			$(".cropit-image-preview").addClass("cropit-image-loaded");
			encodeImage(appObj.baseUrl+'assets/images/blog/'+data.img_path, function(encodedImage) {
				$(".cropit-image-preview").attr('style','background-image:url("'+encodedImage+'")');
				$(".hidden-image-data").attr('edit-image-data',encodedImage);
			});
			$('input[name=headline]').val(data.title);
			setTimeout(function(){
				$(".summernote").code(data.description);
			},1000);
			$('input[name=posttype]').val(1);
			$('input[name=blog_type]').val(1);
			$('input[name=blogid]').val(blogId);
			setTimeout(function(){
				$(".tagsinput").tagsinput('add',data.meta_tag);
				$(".tagsinput").tagsinput('refresh');	
			},1000);
		}
	});		
}

function deletemypost(blogId){
	bootbox.confirm({
		title		: "Delete Article",
		message		: "You are about to delete this Article.",
		animate		:false,
		buttons: {
			cancel	:{
				className :'btn btn-default btn-sm'
			},
			confirm: {
				label: 'Delete',
				className :'btn btn-primary btn-sm'
			}
		},
		callback	: function(data) {
			if(data) {
				$.ajax({
					url     	: appObj.siteUserControllerUrl+'deleteMypost',
					dataType 	: 'json',
					method 		: "POST",
					data    	: {blogId:blogId},
					success 	: function(data){	
						if(data == 1){
							mypost();
						}
					}
				});
			}
		}
	});
	$(".bootbox-confirm").addClass("group-modal");
}

function blogShare(blogDetails){
	var type = $(blogDetails).attr("type");
	var blogId = $(blogDetails).attr("blogId");
	var blogTitle = $(blogDetails).attr("blogTitle");
	var blogDescription = $(blogDetails).attr("blogDescription");
	var blogImage = $(blogDetails).attr("blogImage");
	var description = $(blogDescription).text();
	if(type == 0){
		FB.ui({
			method			:'share',
			mobile_iframe	:true,
			href			:appObj.siteUrl+'?page=blogDescription&blogId='+blogId+'#page=blogDescription&blogId='+blogId,
			title			:blogTitle,
			description		:description,
			picture			: appObj.baseUrl+'assets/images/blog/'+blogImage,
		}, 	function(response){});
	}
	else if(type == 1){
		window.open('https://www.linkedin.com/shareArticle?mini=true&url='+appObj.baseUrl+'/assets/images/blog/'+blogImage+'&title='+blogTitle+'&summary='+description+'&source=Latinc','popup', 'width=300, height=200');
	}
	else if(type == 2){
		var encodeUrl = encodeURIComponent(appObj.siteUrl+'?page=blogDescription&blogId='+blogId+'#page=blogDescription&blogId='+blogId+'');
		window.open('http://twitter.com/intent/tweet?text='+blogTitle+'&url='+encodeUrl, 'popup1', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=300,width=600');
	}
	else{
		var encodeUrl = encodeURIComponent(appObj.siteUrl+'?page=blogDescription&blogId='+blogId+'#page=blogDescription&blogId='+blogId+'');
		window.open('https://plus.google.com/share?url='+encodeUrl+'', 'popup', 'height=300,width=600');
	}
}