var blogDetailJS = '';

blogDetailPageInitalize();
function blogDetailPageInitalize(){
	blogDetailPageContent();
	blogDetail(getUrlVars()["blogId"]);
}

function getUrlVars() {
    var vars = {};
    var parts = window.location.href.replace(/[?&]+([^=&]+)=([^&]*)/gi, function(m,key,value) {
    vars[key] = value;
    });
	return vars;
}

function blogDetailPageContent(){
	$('#secondary-page').empty().append('<div class="blog-detail"></div>');
} 

function blogDetail(blogId){
	$.ajax({
		type        :"POST",
		url			:appObj.siteUserControllerUrl+'getBlogDetails',
		data		:{blogId:blogId},
		dataType	:'json',
		success		:function(data){
			var blog = '';
				var description = data.fields.description;
				var shortdescription = $.truncate(description, {
				  length: 200
				});
				var date = new Date(data.fields.created_date);
				var hours = date.getHours(data.fields.created_date);
				var ampm = (hours >= 12) ? "pm" : "am";
				var getHour = ((hours + 11) % 12 + 1);
				var time = hours+":"+("0"+ date.getMinutes(data.fields.created_date)).slice(-2)+" "+ampm;
				var formatted = ("0"+ (date.getMonth(data.fields.created_date) +1)).slice(-2)+"."+("0"+ date.getDate(data.fields.created_date)).slice(-2)+"."+date.getFullYear(data.fields.created_date);
				blog+='<div class="row">\
							<div class="col-md-5">\
								<div class="hpanel blog-box">\
									<div class="panel-heading">\
										<div class="media clearfix">\
											<a onclick="getPublicProfileDetails('+data.fields.id+');" href="javascript:void(0);" class="pull-left">';
											blog+='<img src="'+generateUserImg(data.fields.profile_img_path,data.fields.user_login_type,30,30)+'" class="profile-image" />';
									blog+='</a>\
											<div class="media-body">\
												<small>Created by : <span class="font-extra-bold"><a onclick="getPublicProfileDetails('+data.fields.id+');">'+data.fields.name+'</a></span> </small>\
												<br>\
												<small class="text-muted">'+formatted+', '+time+'</small>\
											</div>\
										</div>\
									</div>\
									<div class="panel-image">\
										<a href="#page=blogDescription&blogId='+data.fields.blog_id+'">\
											<img class="img-responsive" src="../assets/images/blog/'+data.fields.img_path+'" alt="">\
											<div class="title">\
												 <h4>'+data.fields.title+'</h4>\
											</div>\
										</a>\
									</div>\
									<div class="panel-body"><div class="short-description">'+shortdescription+'</div>\
										<a href="#page=blogDescription&blogId='+data.fields.blog_id+'" class="blog-read-more btn-link">Read More</a>';
									blog+='</div>\
						</div>\
					</div>\
				</div>';
			$(".blog-detail").empty().append(blog);
		}
	});
}