var eventDetailJS = '';

eventDetailPageInitalize();
function eventDetailPageInitalize(){
	eventDetailPageContent();
	eventDetail(getUrlVars()["eventId"]);
}

function getUrlVars() {
    var vars = {};
    var parts = window.location.href.replace(/[?&]+([^=&]+)=([^&]*)/gi, function(m,key,value) {
    vars[key] = value;
    });
	return vars;
}

function eventDetailPageContent(){
	$('#secondary-page').empty().append('<div class="event-detail"></div>');
} 

function eventDetail(eventId){
	var eventBriteUrl='';
	var eventsValues='';
	var token = 'GPS5BTOO2ZHVXAN4HJZK';
	eventBriteUrl = 'https://www.eventbriteapi.com/v3/events/'+eventId+'/?token='+token+'&expand=venue';
	
	$.get(eventBriteUrl, function(results){
		if(results.logo){
			if(results.venue){
				var date = new Date(results.start.local);
				var hours = date.getHours(results.start.local);
				var months = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec']
				var weekdays = ["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"];
				var weekday = weekdays[new Date(results.start.local).getDay()];
				var monthString = months[new Date(results.start.local).getMonth()];
				var ampm = (hours >= 12) ? "PM" : "AM";
				var getHour = ((hours + 11) % 12 + 1);
				var formatted = weekday+", "+" "+monthString+" "+(date.getDate())+" "+getHour+":"+("0"+date.getMinutes()).slice(-2)+" "+ampm;
				var event_date = formatted.toUpperCase();
				eventsValues+='<div class="hpanel">\
									<div class="panel-body p-xs">\
										<a onclick="openlink(this);" url="'+results.url+'" href="javascript:void(0);">\
											<img class="img-responsive" src="'+results.logo.url+'">\
											<h4>'+results.name.text+'</h4>\
										</a>\
										<div class="events-time">'+event_date+'</div>\
										<p class="events-city"><span class="glyphicon glyphicon-map-marker"></span> '+results.venue.address.city+'</p>\
										<p>'+results.description.text+'</p>\
										<a href="javascript:void(0);" url="'+results.url+'" onclick="openlink(this);" class="btn btn-default btn-sm">View</a>\
									</div>\
								</div>';
			}
		}
		$(".event-detail").empty().append(eventsValues);
	});
}