var jobPostJS = '';

jobPostPageInitalize();
function jobPostPageInitalize(){
	jobPostPageContent();
}

function jobPostPageContent(){
	$("#header").append('<div class="breadcrumb-title"><a class="btn-link" href="javascript:void(0);" onclick="window.history.back();"><i class="fa fa-lg fa-angle-left"></i></a> <span>Post a job</span></div>');
	$('#secondary-page').empty().append('<div class="row">\
		<div class="col-lg-9">\
			<form name="add-job" method="POST" id ="new-job" enctype="multipart/form-data">\
				<div class="hpanel">\
					<div class="panel-heading hbuilt">\
						<b>Job Details </b>- Specify details of the position/job you are going to post\
					</div>\
					<div class="panel-body p-xs">\
						<div class="form-group">\
							<input type="text" class="form-control input-sm" name="job_title" placeholder="Job Title">\
						</div>\
						<div class="hpanel">\
							<div class="panel-heading hbuilt description"><h5>Description</h5></div>\
							<div class="panel-body description-edit">\
								<div class="summernote"></div>\
							</div>\
							<input type="hidden" name="description">\
						</div>\
						<div class="form-group">\
							<input type="text" class="form-control input-sm" name="no_of_vacancies" placeholder="Number of vacancy">\
						</div>\
						<div class="form-group">\
							<input class="form-control" name="job_location" type="text" placeholder="Location(s) of Job" autocomplete="off">\
							<div class="loc-search-results"></div>\
						</div>\
						<div class="form-group">\
							<label>Work Experience:</label>\
							<div class="input-group">\
								<input type="text" class="input-sm form-control" name="min_exp" placeholder="Minimum">\
								<span class="input-group-addon">to</span>\
								<input type="text" class="input-sm form-control" name="max_exp" placeholder="Maximum">\
							</div>\
						</div>\
					</div>\
				</div>\
				\
				<div class="hpanel">\
					<div class="panel-heading hbuilt">\
						<b>Desired Candidate Profile </b>- Specify details of the kind of person you are looking for this job\
					</div>\
					<div class="panel-body p-xs">\
						<div class="form-group">\
							<input type="text" class="form-control input-sm" name="ug_qualifications" placeholder="Specify UG Qualifications">\
						</div>\
						<div class="form-group">\
							<input type="text" class="form-control input-sm" name="pg_qualifications" placeholder="Specify PG Qualifications:">\
						</div>\
					</div>\
				</div>\
				\
				<div class="hpanel">\
					<div class="panel-heading hbuilt">\
						<b>Advertise yourself </b>- Enter information of the employer, and the owner of this job posting\
					</div>\
					<div class="panel-body p-xs">\
						<div class="form-group">\
							<input type="text" class="form-control input-sm" name="company_name" placeholder="Company Name">\
						</div>\
						<div class="form-group">\
							<input type="text" class="form-control input-sm" name="company_website" placeholder="Company Website">\
						</div>\
						<div class="form-group">\
							<input type="text" class="form-control input-sm" name="contact_person" placeholder="Contact Person">\
						</div>\
						<div class="form-group">\
							<input type="text" class="form-control input-sm" name="contact_number" placeholder="Contact Number">\
						</div>\
						<div class="form-group">\
							<input class="form-control input-sm" name="organiser_name" type="text" placeholder="Organiser name">\
							<input type="hidden" name="posttype" value="0">\
							<input type="hidden" name="jobId" value="0">\
						</div>\
						<div class="form-group">\
							<input class="form-control input-sm" name="email_id" type="text" placeholder="Email Id">\
							<small>* Specify the Email Id where you would like to receive applications</small>\
						</div>\
					</div>\
				</div>\
				\
				<button class="btn btn-sm btn-success save-job" type="button">Post Job</button>\
				<span class="success" style="display:none;"><b>Your job has been posted.</b></span>\
			</form>\
		</div>\
	</div>');
	summerNote();
} 

$(document).on("click",".save-job",function() {
	$(".save-job").text("Posting...");
	$(".save-job").prop("disabled",true); 
	var description = $('.summernote').code();
	$('input[name=description]').val(description);
	var data = new FormData($('#new-job')[0]);
	$.ajax({
		type        : 'POST',
		url         : appObj.siteUserControllerUrl+'jobSave',
		data        : data,
		contentType : false,
		processData : false,
		success     : function(data) {
			if(data == 1){
				$(".save-job").text("Save job");
				$(".success").show();
				window.location.href = "#page=jobs";
			}
		}
	});
});

function summerNote(){
	$('.summernote').summernote({
		height : 100,
		focus : false,
		tabsize : 2,
		toolbar: [
			['style', ['bold', 'italic', 'underline']],
			['para', ['ul', 'ol', 'paragraph']],
			['link',['link']]
		  ]
	});
}

$(document).on('keyup', "input[name=job_location]", function(e){
	var inputValue = $(this).val();
	if(inputValue != '' && inputValue.length > 3){
		$.ajax({
			url      : appObj.siteUserControllerUrl+'getLocationsByCity',
			dataType : 'json',
			type     : 'POST',
			data     : {city:inputValue},
			success  : function(data){
				var searchResults = '';
				if(data.results != ''){
					searchResults += '<ul>';
					$.each(data.results,function(index,results){
						searchResults += "<li>"+results.city_name+", ";
						if(results.city_name != results.state_name){
							searchResults += results.state_name+", ";
						}
						searchResults += results.country_name+"</li>";
					});
					searchResults += '</ul>';
				}
				$(".loc-search-results").empty().append(searchResults);
			}
		});
	}
	else{
		$(".loc-search-results").empty();
	}
});

$(document).on("click",".loc-search-results li",function(){
	$("input[name=job_location]").val($(this).text());
	$(".loc-search-results").empty();
});