var jobsJS = '';

var jobPageObj = {
	pageLoaded : false
}

jobsPageInitalize();
function jobsPageInitalize(){
	$(".page-full-content").hide();
	if(jobPageObj.pageLoaded){
		$(".content-page-"+appObj.pageName).show();
	}
	else{
		jobsPageContent();
		jobs();
		myJobsPost();
		getAllUserJobsPost();
		jobsInternships();
		jobPageObj.pageLoaded = true;
	}
	if(isMobileApp()){
		GARecored('Jobs');
	}
}

function jobsPageContent(){
	$('#primary-page').append('<div class="page-full-content content-page-'+appObj.pageName+'"><div class="jobs-main-content">\
									<div class="row">\
										<div class="col-sm-12">\
											<div class="connection-tab">\
												<ul id="myTab1" class="nav connection-menu nav-tabs">\
													<li class="active">\
														<a href="#suggestedJobs" data-toggle="tab">Suggested jobs</a>\
													</li>\
													<li>\
														<a href="#searchJobs" data-toggle="tab">Search</a>\
													</li>\
													<a href="#page=jobPost" class="btn btn-success btn-sm pull-right m-t-xs">Post a job</a>\
												</ul>\
												<div id="connectionTabContent" class="tab-content">\
													<div class="tab-pane fade in active" id="suggestedJobs">\
														<div class="job-new"><img class="center-block" src="assets/images/ajax-loader.gif"  width="90"></div>\
													</div>\
													<div class="tab-pane fade" id="searchJobs">\
														<div class="row">\
															<div class="col-lg-12 search-fieldset-content m-b-sm">\
																<form id="jobs-search-form" class="jobsSearchForm">\
																	<div class="form-group">\
																		<div class="col-lg-6 no-padding">\
																			<input id ="search-field" name="jobTitle" type="text" class="form-control" placeholder="job title, keywords or company" autocomplete="off" required />\
																			<input type="hidden" name="searchType">\
																		</div>\
																	</div>\
																	<div class="form-group">\
																		<div class="col-lg-3 no-padding">\
																		<input type="text" name="jobLocation" placeholder="Location" class="form-control" autocomplete="off" required>\
																		<input type="hidden" name="jobCity">\
																		<input type="hidden" name="jobState">\
																		<input type="hidden" name="jobCountryCode">\
																		<div class="loc-search-results" id="jobs-loc"></div>\
																		</div>\
																	</div>\
																	<div class="form-group">\
																		<button id="search-job-btn" class="btn btn-sm btn-info" searchType="1" onclick="show(this)" type="button">Search</button>\
																	</div>\
																</form>\
															</div>\
														</div>\
														<div class="search-job"></div>\
													</div>\
												</div>\
												<ul id="myTab1" class="nav connection-menu nav-tabs">\
													<li class="active">\
														<a href="#internships" data-toggle="tab">Internships</a>\
													</li>\
													<li>\
														<a href="#SearchInterships" data-toggle="tab">Search</a>\
													</li>\
												</ul>\
												<div id="connectionTabContent" class="tab-content">\
													<div class="tab-pane fade in active" id="internships">\
														<div class="interships"><img class="center-block" src="assets/images/ajax-loader.gif"  width="90"></div>\
													</div>\
													<div class="tab-pane fade" id="SearchInterships">\
														<div class="row">\
															<div class="col-lg-12 search-fieldset-content m-b-sm">\
																<form id="internships-search-form" class="jobsSearchForm">\
																	<div class="form-group">\
																		<div class="col-lg-6 no-padding">\
																			<input id ="search-field" name="jobTitle" type="text" class="form-control" placeholder="job title, keywords or company" autocomplete="off" required />\
																			<input type="hidden" name="searchType">\
																		</div>\
																	</div>\
																	<div class="form-group">\
																		<div class="col-lg-3 no-padding">\
																			<input type="text" name="jobLocation" placeholder="Location" class="form-control" autocomplete="off" required>\
																			<input type="hidden" name="jobCity">\
																			<input type="hidden" name="jobState">\
																			<input type="hidden" name="jobCountryCode">\
																			<div class="loc-search-results" id="interships-loc"></div>\
																		</div>\
																	</div>\
																	<div class="form-group">\
																		<button id="search-job-btn" class="btn btn-sm btn-info" searchType="2" onclick="show(this)" type="button">Search</button>\
																	</div>\
																</form>\
															</div>\
														</div>\
														<div class="search-interships"></div>\
													</div>\
												</div>\
												<ul id="myTab1" class="nav connection-menu nav-tabs">\
													<li class="active">\
														<a href="#featuredJobs" data-toggle="tab">Featured jobs</a>\
													</li>\
												</ul>\
												<div id="connectionTabContent" class="tab-content">\
													<div class="tab-pane fade in active" id="featuredJobs">\
														<div class="user-jobs"><img class="center-block" src="assets/images/ajax-loader.gif"  width="90"></div>\
													</div>\
												</div>\
												<ul id="myTab1" class="nav connection-menu nav-tabs">\
													<li class="active">\
														<a href="#myJobs" data-toggle="tab">My Jobs</a>\
													</li>\
												</ul>\
												<div id="connectionTabContent" class="tab-content">\
													<div class="tab-pane fade in active" id="myJobs">\
														<div class="job-post"><img class="center-block" src="assets/images/ajax-loader.gif"  width="90"></div>\
													</div>\
												</div>\
											</div>\
										</div>\
									</div><a class="write-post-bottom btn-link" href="#page=jobPost" style="display:none;"><i class="fa fa-pencil-square-o fa-lg"></i></a>\
									</div></div>');	
	$(".jobsSearchForm").validate({
	   rules: {
			jobTitle: {
				required: true,
			},
			jobLocation: {
				required: true,
			},
		},
	});
	writePostBottom();
}

function jobs(){
	$.ajax({
		url     	: appObj.siteUserControllerUrl+'getJobs',
		dataType 	: 'json',
		success 	: function(data){
			var jobsValues = '';
			if(data.results == 0){
				jobsValues += "No jobs found.";
			}
			else{
				if(isMobile()){
					jobsValues+='<div class="owl-carousel owl-theme">';
				}
				$.each(data.results,function(index,results){
					if(isMobile()){
						jobsValues+='<div class="item">';
					}
					if(isWeb()){
						if(index == 0){
						  jobsValues+='<div class="row">';
						}
						else if(index % 2 == 0){
						  jobsValues+='<div class="row">';
						}
						jobsValues+='<div class="col-sm-6">';
					}
						jobsValues+='<div class="hpanel job-new-panel">\
							<div class="panel-body">\
								<h4 class ="job-heading"><i class="fa fa-briefcase"></i> <a url="'+results.url+'" href="javascript:void(0);" onclick="openlink(this);">'+results.jobtitle+'</a></h4>\
								<p class="job-company-name">'+results.company+', <span class="job-location"><span class="glyphicon glyphicon-map-marker"></span> '+results.formattedLocationFull+'</span></p>\
								<p class ="job-description">'+strip(results.snippet)+'</p>\
							</div>\
							<div class="panel-footer">\
								<div class="job-date pull-left">'+results.formattedRelativeTime+'</div>';
								jobsValues+='<div class="dropup job-btns">';
								
									jobsValues+="<a class='btn btn-outline btn-default' href='javascript:void(0);' type='1' id="+results.jobkey+" postText=\""+results.jobtitle+"\" description=\""+results.snippet+"\" postImage='' imageLink='' postLink='?linkType=share&jobKey="+results.jobkey+"&page=jobDetails#page=jobDetails' jobsCompany=\""+results.company+"\" jobsLocations=\""+results.formattedLocationFull+"\" onclick='shareModal(this);'>Share</a>";
						
									jobsValues+='<a class="btn btn-outline btn-default" url='+results.url+' onclick="openlink(this);" href="javascript:void(0);">View</a>';
									jobsValues+='</div>\
							</div>\
						</div>';
					if(isWeb()){
						jobsValues+='</div>';
						if(index != 0 && index % 2 != 0){
						  jobsValues+='</div>';
						}
					}
					if(isMobile()){
						jobsValues+='</div>';
					}
				});
				if(isMobile()){
					jobsValues+='</div>';
				}
			}
			$(".job-new").empty().append(jobsValues);
			if(isMobile()){
				owlCarousel();
			}
		}
	});
}

function jobsInternships(){
	$.ajax({
		url     	: appObj.siteUserControllerUrl+'getJobsInternships',
		dataType 	: 'json',
		success 	: function(data){
			var jobsValues = '';
			if(data.results == 0){
				jobsValues += "No interships jobs found.";
			}
			else{
				if(isMobile()){
					jobsValues+='<div class="owl-carousel owl-theme">';
				}
				$.each(data.results,function(index,results){
					if(isMobile()){
						jobsValues+='<div class="item">';
					}
					if(isWeb()){
						if(index == 0){
						  jobsValues+='<div class="row">';
						}
						else if(index % 2 == 0){
						  jobsValues+='<div class="row">';
						}
						jobsValues+='<div class="col-sm-6">';
					}
							jobsValues+='<div class="hpanel job-new-panel">\
								<div class="panel-body">\
									<h4 class ="job-heading"><i class="fa fa-briefcase"></i> <a url="'+results.url+'" href="javascript:void(0);" onclick="openlink(this);">'+results.jobtitle+'</a></h4>\
									<p class="job-company-name">'+results.company+', <span class="job-location"><span class="glyphicon glyphicon-map-marker"></span> '+results.formattedLocationFull+'</span></p>\
									<p class ="job-description">'+strip(results.snippet)+'</p>\
								</div>\
								<div class="panel-footer">\
									<div class="job-date pull-left">'+results.formattedRelativeTime+'</div>';
									jobsValues+='<div class="dropup job-btns">';
										jobsValues+="<a class='btn btn-outline btn-default' href='javascript:void(0);' type='1' id="+results.jobkey+" postText=\""+results.jobtitle+"\" description=\""+results.snippet+"\" postImage='' imageLink=''  postLink='?linkType=share&jobKey="+results.jobkey+"&page=jobDetails#page=jobDetails' jobsCompany=\""+results.company+"\" jobsLocations=\""+results.formattedLocationFull+"\" onclick='shareModal(this);'>Share</a>";
									
										jobsValues+='<a class="btn btn-outline btn-default" url='+results.url+' onclick="openlink(this);" href="javascript:void(0);">View</a>';
										jobsValues+='</div>\
								</div>\
							</div>';
					if(isWeb()){
						jobsValues+='</div>';
						if(index != 0 && index % 2 != 0){
						  jobsValues+='</div>';
						}
					}
					if(isMobile()){
						jobsValues+='</div>';
					}
				});
				if(isMobile()){
					jobsValues+='</div>';
				}
			}
			$(".interships").empty().append(jobsValues);
			if(isMobile()){
				owlCarousel();
			}
		}
	});
}

function owlCarousel(){
	$('.owl-carousel').owlCarousel({
		loop:false,
		margin:10,
		stagePadding: 30,
		responsiveClass:true,
		responsive:{
			0:{
				items:1,
			},
			480:{
				items:2,
			},
		}
	});
}

$(document).on('keypress', "#jobs-search-form", function(e){
    if(e.which == 13) {
       show();
    }
});

var a=0;
function show(search){
	var searchType = $(search).attr("searchType");
	$("input[name=searchType]").val(searchType);
	if(searchType == 1){
		$("#jobs-search-form.jobsSearchForm").valid();
		var data = new FormData($("#jobs-search-form")[0]);
		var jobTitle = $("#jobs-search-form input[name=jobTitle]").val();
		var jobCity = $("#jobs-search-form input[name=jobCity]").val();
	}
	else{
		$("#internships-search-form.jobsSearchForm").valid();
		var data = new FormData($("#internships-search-form")[0]);
		var jobTitle = $("#internships-search-form input[name=jobTitle]").val();
		var jobCity = $("#internships-search-form input[name=jobCity]").val();
	}
	if(jobTitle != "" && jobCity != ""){
		$(search).text("Searching...");
		if(searchType == 1){
			if(isWeb()){
				$(".job-new").empty().append('<div class="splash-loding"><div class="spinner"> <div class="rect1"></div> <div class="rect2"></div> <div class="rect3"></div> <div class="rect4"></div> <div class="rect5"></div> </div></div>');
			}
			else{
				$(".search-job").empty().append('<img class="center-block" src="assets/images/ajax-loader.gif"  width="90">');
			}
		}
		else{
			if(isWeb()){
				$(".interships").empty().append('<div class="splash-loding"><div class="spinner"> <div class="rect1"></div> <div class="rect2"></div> <div class="rect3"></div> <div class="rect4"></div> <div class="rect5"></div> </div></div>');
			}
			else{
				$(".search-interships").empty().append('<img class="center-block" src="assets/images/ajax-loader.gif"  width="90">');
			}
		}
		$.ajax({
			type    	: 'POST',
			url     	: appObj.siteUserControllerUrl+'getJobs',
			data		: data,
			dataType	: 'json',
			contentType	:false,
			processData	:false,
			success : function(data){
				$(search).text("Search");
				var jobsValues = '';
				var resultsCount = data.results.length;
				if(data.results == 0){
					jobsValues += '<div class="no-search-block">No jobs found matching your search criteria. Please search using different job title or keywords.</div>';
				}
				else{
					jobsValues += "<h3 class='jobs-search-title'>"+resultsCount+" <span>'"+jobTitle+"'</span> jobs found near by <span>'"+jobCity+"'</span></h3>";
					if(isMobile()){
						jobsValues+='<div class="owl-carousel owl-theme">';
					}
					$.each(data.results,function(index,results){
						if(isMobile()){
							jobsValues+='<div class="item">';
						}
						if(isWeb()){
							if(index == 0){
							  jobsValues+='<div class="row">';
							}
							else if(index % 2 == 0){
							  jobsValues+='<div class="row">';
							}
							jobsValues+='<div class="col-sm-6">';
						}
								jobsValues+='<div class="hpanel job-new-panel">\
									<div class="panel-body">\
										<h4 class ="job-heading"><i class="fa fa-briefcase"></i> <a url="'+results.url+'" href="javascript:void(0);" onclick="openlink(this);">'+results.jobtitle+'</a></h4>\
										<p class="job-company-name">'+results.company+', <span class="job-location"><span class="glyphicon glyphicon-map-marker"></span> '+results.formattedLocationFull+'</span></p>\
										<p class ="job-description">'+results.snippet+'</p>\
									</div>\
									<div class="panel-footer">\
										<div class="job-date pull-left">'+results.formattedRelativeTime+'</div>';
										jobsValues+='<div class="dropup job-btns">';
											jobsValues+="<a class='btn btn-outline btn-default' href='javascript:void(0);' type='1' id="+results.jobkey+" postText=\""+results.jobtitle+"\" description=\""+results.snippet+"\" postImage='' imageLink='' postLink='?linkType=share&jobKey="+results.jobkey+"&page=jobDetails#page=jobDetails' jobsCompany=\""+results.company+"\" jobsLocations=\""+results.formattedLocationFull+"\" onclick='shareModal(this);'>Share</a>";
		
											jobsValues+='<a class="btn btn-outline btn-default" url='+results.url+' onclick="openlink(this);" href="javascript:void(0);">View</a>';
										jobsValues+='</div>\
									</div>\
								</div>';
						if(isWeb()){
							jobsValues+='</div>';
							if(index != 0 && index % 2 != 0){
							  jobsValues+='</div>';
							}
						}
						if(isMobile()){
							jobsValues+='</div>';
						}
					});
					if(isMobile()){
						jobsValues+='</div>';
					}
				}
				if(searchType == 1){
					if(isWeb()){
						$(".job-new").empty().append(jobsValues);
					}
					else{
						$(".search-job").empty().append(jobsValues);
					}
				}
				else{
					if(isWeb()){
						$(".interships").empty().append(jobsValues);
					}
					else{
						$(".search-interships").empty().append(jobsValues);
					}
				}
				if(isMobile()){
					owlCarousel();
				}
			}
		});
	}
}

$(document).on('keyup', "input[name=jobLocation]", function(){
	var inputValue = $(this).val();
	var searchInput = $(this);
	if(inputValue != '' && inputValue.length > 3){
		$.ajax({
			url     : appObj.siteUserControllerUrl+'getLocationsByCity',
			dataType : 'json',
			type    : 'POST',
			data     : {city:inputValue},
			success : function(data){
				$(".loc-search-results").empty();
				var searchResults = '';
				if(data.results != ''){
					searchResults += '<ul>';
					$.each(data.results,function(index,results){
						searchResults += "<li city-name='"+results.city_name+"' state-name='"+results.state_name+"' country-code='"+results.sortname+"'>"+results.city_name+", ";
						if(results.city_name != results.state_name){
							searchResults += results.state_name+", ";
						}
						searchResults += results.country_name+"</li>";
					});
					searchResults += '</ul>';
				}
				searchInput.parent().find(".loc-search-results").append(searchResults);
			}
		});
		
	}
	else{
		$(".loc-search-results").empty();
		$("input[name=jobCity]").val("");
	}
});

$(document).on("click","#jobs-loc.loc-search-results li",function(){
	var jobCity = $(this).attr("city-name");
	var jobState = $(this).attr("state-name")
	var jobCountryCode = $(this).attr("country-code");
	$("#jobs-search-form input[name=jobLocation]").val($(this).text());
	$("#jobs-search-form input[name=jobCity]").val(jobCity);
	$("#jobs-search-form input[name=jobState]").val(jobState);
	$("#jobs-search-form input[name=jobCountryCode]").val(jobCountryCode);
	$(".loc-search-results").empty();
});

$(document).on("click","#interships-loc.loc-search-results li",function(){
	var jobCity = $(this).attr("city-name");
	var jobState = $(this).attr("state-name")
	var jobCountryCode = $(this).attr("country-code");
	$("#internships-search-form input[name=jobLocation]").val($(this).text());
	$("#internships-search-form input[name=jobCity]").val(jobCity);
	$("#internships-search-form input[name=jobState]").val(jobState);
	$("#internships-search-form input[name=jobCountryCode]").val(jobCountryCode);
	$(".loc-search-results").empty();
});

function myJobsPost(){
	$.ajax({
		url      : appObj.siteUserControllerUrl+'getMyJobsPostDetails',
		dataType : 'json',
		success  : function(data){
			var mypost = '';
				if(data.fields == 0){
					mypost+= "You have not added any job yet.";
				}
				else{
					if(isMobile()){
						mypost+='<div class="owl-carousel owl-theme">';
					}
					$.each(data.fields,function(index,fields){
						if(isMobile()){
							mypost+='<div class="item">';
						}
						var description = fields.description;
						var shortdescription = $.truncate(description, {
						  length: 100
						});
						if(isWeb()){
							if(index == 0){
							  mypost+='<div class="row">';
							}
							else if(index % 2 == 0){
							  mypost+='<div class="row">';
							}
							mypost+='<div class="col-sm-6">';
						}
							mypost+='<div class="hpanel job-new-panel">\
								<div class="panel-body">\
									<h4 class ="job-heading"><i class="fa fa-briefcase"></i> <a href="#page=jobDescription&jobId='+fields.job_id+'">'+fields.job_title+' <a class="pull-right" title="Edit" href="javascript:void(0);" onclick="editMyJobPost('+fields.job_id+');" style="color:#000;"> <i class="fa fa-pencil"></i></a></a></h4>\
									<p class="job-company-name">'+fields.organiser_name+', <span class="job-location"><span class="glyphicon glyphicon-map-marker"></span> '+fields.job_location+'</span></p>\
									<p class ="job-description">'+shortdescription+'</p>\
								</div>\
								<div class="panel-footer">\
									<div class="job-date pull-left"></div>';
									mypost+='<div class="dropup job-btns">';
									if(isMobileApp()){
										mypost+='<a class="btn btn-outline btn-default" link="'+appObj.baseUrl+'app/?linkType=share&jobId='+fields.job_id+'&page=jobDescription#page=jobDescription" onclick="socialShare(this);" href="javascript:void(0);">Share</a>';
									}
									else{
										mypost+='<a data-toggle="dropdown" class="btn btn-outline btn-default dropdown-toggle" href="javascript:void(0);">Share</a>';
										mypost+="<ul class='dropdown-menu dropdown-menu-right'>\
													<li><div style='display:none;'>"+fields.description+"</div><a href='javascript:void(0);' onclick='userJobShare(this);' type='0' jobid="+fields.job_id+" jobtitle=\""+fields.job_title+"\"><i class='fa fa-facebook'></i> Facebook</a></li>\
													<li><div style='display:none;'>"+fields.description+"</div><a href='javascript:void(0);' onclick='userJobShare(this);' type='1' jobid="+fields.job_id+" jobtitle=\""+fields.job_title+"\"><i class='fa fa-linkedin'></i> Linkedin</a></li>\
													<li><div style='display:none;'>"+fields.description+"</div><a href='javascript:void(0);' onclick='userJobShare(this);' type='2' jobid="+fields.job_id+" jobtitle=\""+fields.job_title+"\"><i class='fa fa-twitter'></i> Twitter</a></li>\
													<li><div style='display:none;'>"+fields.description+"</div><a href='javascript:void(0);' onclick='userJobShare(this);' type='3' jobid="+fields.job_id+" jobtitle=\""+fields.job_title+"\"><i class='fa fa-google-plus'></i> Google</a></li>\
												</ul>";
									}
										mypost+='<a class="btn btn-outline btn-default" href="#page=jobDescription&jobId='+fields.job_id+'">View</a>';
									mypost+='</div>\
								</div>\
							</div>';
							
						if(isWeb()){
							mypost+='</div>';
							if(index != 0 && index % 2 != 0){
							  mypost+='</div>';
							}
						}
						if(isMobile()){
							mypost+='</div>';
						}
					});
					if(isMobile()){
						mypost+='</div>';
					}
				}
			$('.job-post').html(mypost);
			if(isMobile()){
				owlCarousel();
			}
		}
	});
}

function getAllUserJobsPost(){
	$.ajax({
		url      : appObj.siteUserControllerUrl+'getAllUserJobsPost',
		dataType : 'json',
		success  : function(data){
			var jobsValues ='';
			if(data.results == ''){
				jobsValues+='No Jobs.';
			}
			else{
				if(isMobile()){
					jobsValues+='<div class="owl-carousel owl-theme">';
				}
				$.each(data.results,function(index,results){
					if(isMobile()){
						jobsValues+='<div class="item">';
					}
					var description = results.description;
					var shortdescription = $.truncate(description, {
					  length: 100
					});
					if(isWeb()){
						if(index == 0){
						  jobsValues+='<div class="row">';
						}
						else if(index % 2 == 0){
						  jobsValues+='<div class="row">';
						}
						jobsValues+='<div class="col-sm-6">';
					}
							jobsValues+='<div class="hpanel job-new-panel">\
								<div class="panel-body">\
									<h4 class ="job-heading"><i class="fa fa-briefcase"></i> <a href="#page=jobDescription&jobId='+results.job_id+'">'+results.title+'</a></h4>\
									<p class="job-company-name">'+results.company_name+', <span class="job-location"><span class="glyphicon glyphicon-map-marker"></span> '+results.location+'</span></p>\
									<p class ="job-description">'+shortdescription+'</p>\
								</div>\
								<div class="panel-footer">\
									<div class="job-date pull-left"></div>';
									jobsValues+='<div class="dropup job-btns">';
									if(isMobileApp()){
										jobsValues+='<a class="btn btn-outline btn-default" link="'+appObj.baseUrl+'app/?linkType=share&jobId='+results.job_id+'&page=jobDescription#page=jobDescription" onclick="socialShare(this);" href="javascript:void(0);">Share</a>';
									}
									else{
										jobsValues+='<a data-toggle="dropdown" class="btn btn-outline btn-default dropdown-toggle" href="javascript:void(0);">Share</a>';
										jobsValues+="<ul class='dropdown-menu dropdown-menu-right'>\
														<li><div style='display:none;'>"+results.description+"</div><a href='javascript:void(0);' onclick='userJobShare(this);' type='0' jobid="+results.job_id+" jobtitle=\""+results.title+"\"><i class='fa fa-facebook'></i> Facebook</a></li>\
														<li><div style='display:none;'>"+results.description+"</div><a href='javascript:void(0);' onclick='userJobShare(this);' type='1' jobid='"+results.job_id+"' jobtitle=\""+results.title+"\"><i class='fa fa-linkedin'></i> Linkedin</a></li>\
														<li><div style='display:none;'>"+results.description+"</div><a href='javascript:void(0);' onclick='userJobShare(this);' type='2' jobid="+results.job_id+" jobtitle=\""+results.title+"\"><i class='fa fa-twitter'></i> Twitter</a></li>\
														<li><div style='display:none;'>"+results.description+"</div><a href='javascript:void(0);' onclick='userJobShare(this);' type='3' jobid="+results.job_id+" jobtitle=\""+results.title+"\"><i class='fa fa-google-plus'></i> Google</a></li>\
													</ul>";
									}
										jobsValues+='<a class="btn btn-outline btn-default" href="#page=jobDescription&jobId='+results.job_id+'">View</a>';
									jobsValues+='</div>\
								</div>\
							</div>';
					if(isWeb()){
						jobsValues+='</div>';
						if(index != 0 && index % 2 != 0){
						  jobsValues+='</div>';
						}
					}
					if(isMobile()){
						jobsValues+='</div>';
					}
				});
				if(isMobile()){
					jobsValues+='</div>';
				}
			}
			$(".user-jobs").empty().append(jobsValues);
			if(isMobile()){
				owlCarousel();
			}
		}
	});
}

function jobShare(jobDetails){
	var type = $(jobDetails).attr("type");
	var jobKey = $(jobDetails).attr("jobKey");
	var jobTitle = $(jobDetails).attr("jobtitle");
	var jobDescription = $(jobDetails).attr("jobdescription");
	if(type == 0){
		FB.ui({
			method			:'share',
			mobile_iframe	:true,
			title			:jobTitle,
			description		:jobDescription,
			href			:appObj.baseUrl+'app\?linkType=share&jobKey='+jobKey+'&page=jobDetails#page=jobDetails',
		}, 	function(response){});
	}
	else if(type == 1){
		window.open('https://www.linkedin.com/shareArticle?mini=true&url='+appObj.siteUrl+'assets/images/share-image.png&title='+jobTitle+'&summary='+jobDescription+'&source=LatInc','popup', 'width=300, height=200');;
	}
	else if(type == 2){
		var encodeUrl = encodeURIComponent(appObj.baseUrl+'app\?linkType=share&jobKey='+jobKey+'&page=jobDetails#page=jobDetails');
		window.open('http://twitter.com/intent/tweet?text='+jobTitle+'&url='+encodeUrl, 'popup', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=300,width=600');
	}
	else{
		var encodeUrl = encodeURIComponent(appObj.baseUrl+'app\?linkType=share&jobKey='+jobKey+'&page=jobDetails#page=jobDetails');
		window.open('https://plus.google.com/share?url='+encodeUrl+'', 'popup', 'height=300,width=600');
	}
}

function userJobShare(jobDetails){
	var type = $(jobDetails).attr("type");
	var jobId = $(jobDetails).attr("jobid");
	var jobTitle = $(jobDetails).attr("jobtitle");
	var jobDescription = $(jobDetails).prev().html();
   var desc = jobDescription.replace(/(<([^>]+)>)/ig,"");
	if(type == 0){
		FB.ui({
			method			:'share',
			mobile_iframe	:true,
			title			:jobTitle,
			//description		:description,
			href			:appObj.baseUrl+'app/?linkType=share&jobId='+jobId+'&page=jobDescription#page=jobDescription',
		}, 	function(response){});
	}
	else if(type == 1){
		window.open('https://www.linkedin.com/shareArticle?mini=true&url='+appObj.siteUrl+'assets/images/share-image.png&title='+jobTitle+'&summary='+desc+'&source=LatInc','popup', 'width=300, height=200');
	}
	else if(type == 2){
		var encodeUrl = encodeURIComponent(appObj.baseUrl+'app/?linkType=share&jobId='+jobId+'&page=jobDescription#page=jobDescription');
		window.open('http://twitter.com/intent/tweet?text='+jobTitle+'&url='+encodeUrl, 'popup', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=300,width=600');
	}
	else{
		var encodeUrl = encodeURIComponent(appObj.baseUrl+'app/?linkType=share&jobId='+jobId+'&page=jobDescription#page=jobDescription');
		window.open('https://plus.google.com/share?url='+encodeUrl+'', 'popup', 'height=300,width=600');
	}
}

function strip(html){
	html = html.replace(/<b>/g, "");
	html = html.replace(/<\/b>/g, "");
	return html;
}

function editMyJobPost(JobId){
	window.location.href = "#page=jobPost";
	$.ajax({
		url     	: appObj.siteUserControllerUrl+'editMyJobPost',
		dataType 	: 'json',
		method 		: "POST",
		data    	: {JobId:JobId},
		success 	: function(data){
				$('input[name=job_title]').val(data.job_title);
			setTimeout(function(){
				$(".summernote").code(data.description);
			},2000);
			$('input[name=no_of_vacancies]').val(data.no_of_vacancies);
			$('input[name=job_location]').val(data.job_location);
			$('input[name=min_exp]').val(data.min_exp);
			$('input[name=max_exp]').val(data.max_exp);
			$('input[name=ug_qualifications]').val(data.ug_qualifications);
			$('input[name=pg_qualifications]').val(data.pg_qualifications);
			
			$('input[name=start_date]').val(data.start_date);
			$('input[name=end_date]').val(data.end_date);
			$('input[name=company_name]').val(data.company_name);
			$('input[name=company_website]').val(data.company_website);
			$('input[name=contact_person]').val(data.contact_person);
			$('input[name=contact_number]').val(data.contact_number);
			$('input[name=organiser_name]').val(data.organiser_name);
			$('input[name=email_id]').val(data.email_id);
			
			$('input[name=posttype]').val(1);
			$('input[name=jobId]').val(JobId);
		}
	});	
}