var myConnectionJS = '';

var connectionsObj = {
	noOfConnectionLoaded 		: 0,
	noOfConnectionToLoaded 		: 24,
	pageLoaded : false
}

myConnectionPageInitalize();
function myConnectionPageInitalize(){
	$(".page-full-content").hide();
	if(connectionsObj.pageLoaded){
		$(".content-page-"+appObj.pageName).show();
	}
	else{
		connectionsObj.noOfConnectionLoaded = 0;
		myConnectionPageContent();
		getAllMyConnections(0);
		connectionsObj.pageLoaded = true;
	}
	if(isMobileApp()){
		GARecored('Myconnections');
	}
}

function myConnectionPageContent(){
	$('#primary-page').append('<div class="page-full-content content-page-'+appObj.pageName+'"><div class="my-connections"><div class="page-loading"><img class="center-block" src="assets/images/ajax-loader.gif" width="90"></div></div></div>');
}

function getAllMyConnections(loadType){
	$(".my-connections .col-xs-12:last-child").after('<img class="mentors-load" src="'+appObj.siteUrl+'assets/images/comments-loader.gif">');
	$.ajax({
		url      : appObj.siteUserControllerUrl+'getAllMyConnections',
		type     :'POST',
		data	 :{noOfConnectionLoaded:connectionsObj.noOfConnectionLoaded,noOfConnectionToLoaded:connectionsObj.noOfConnectionToLoaded},
		dataType : 'json',
		success  : function(data){
			$(".mentors-load, .page-loading").remove();
			if(data.length > 0){
				$(".no-connections").remove();
				var i;
				var myConnections = '';
				for(i=0;i<data.length;i++){
					myConnections += displayMyConnections(data[i].id,data[i].name,data[i].professional_headline,data[i].profile_img_medium,data[i].user_login_type,data[i].ethinicity_country_code,data[i].cover_photo);
					
					connectionsObj.noOfConnectionLoaded ++;
					connectedCount = 0;
				}
				$('.my-connections').append(myConnections);
			}
			else{
				if(loadType == 0){
					$('.my-connections').empty().append('<div class="no-connections"><div class="hpanel"><div class="panel-body no-mentors p-xs"> You have no connections. Grow your network by adding more connections.</div></div></div>');
				}
			}
		}
	});
}

function displayMyConnections(id,name,professional,imagepath,loginType,ethinicity_country_code,cover_photo){
	var myConnectionsBlock = '';
	myConnectionsBlock = '<div class="col-xs-12 connections-block" id="userBlock'+id+'">';
							myConnectionsBlock+="<a href='javascript:void(0);' onclick='displayPublicProfile("+id+",\""+imagepath+"\",\""+cover_photo+"\","+loginType+",\""+name+"\",\""+professional+"\",\""+ethinicity_country_code+"\");'>";
								myConnectionsBlock+='<img class="img-responsive" src="'+generateUserImg(imagepath,loginType,50,50)+'" alt="Image" width="50" onerror="loadingImageError(this);"/>\
							</a>\
							<div class="details">\
								<h5 class="m-n name-truncate">';
									myConnectionsBlock+="<a href='javascript:void(0);' onclick='displayPublicProfile("+id+",\""+imagepath+"\",\""+cover_photo+"\","+loginType+",\""+name+"\",\""+professional+"\",\""+ethinicity_country_code+"\");'><b>"+name+"</b></a>";
								myConnectionsBlock+='</h5>\
								<span class="pull-right">\
									<div class="dropdown toggle">\
										<a data-toggle="dropdown" class="dropdown-toggle"><i class="fa fa-ellipsis-v fa-lg"></i></a>\
										<ul class="dropdown-menu pull-right">\
											<li><a class="connected'+id+'" onclick="addNewMessage(this,1);" userName="'+name+'" userId="'+id+'">Send Message</a></li>\
											<li><a href="javascript:void(0);" onclick="removeConnections(this,'+id+');" userName="'+name+'" > Remove Connection</a></li>\
										</ul>\
									</div>\
								</span>\
								<div class="text-muted">'+professional+'</div>\
							</div>\
						</div>';
	return myConnectionsBlock;
}

var connectedCount = 0;
$(window).scroll(function(){
	if(appObj.pageName == "my_connection"){
		if($(window).scrollTop() + $(window).height() > $(document).height() - 300){
			if(connectedCount == 0){
				getAllMyConnections(1);
				connectedCount = 1;
			}
		}
	}
});

function removeConnections(btn,userId){	
	var name = $(btn).attr("username");
	bootbox.confirm({
		title		: "Remove Connection?",
		message		: "Would you like to remove "+name+" from you conenctions?",
		animate		:false,
		buttons: {
			cancel	:{
				className :'btn btn-default btn-sm'
			},
			confirm: {
				label: 'Remove',
				className :'btn btn-primary btn-sm'
			}
		},
		callback	: function(data) {
			if(data) {
				$.ajax({
					type		:'POST',
					url     	: appObj.siteUserControllerUrl+'removeConnections',
					data 		: {userId:userId},
					success 	: function(data){
						if(data == 1){
							$('#userBlock'+userId).remove();
						}
					}
				});
			}
		}
	});
	$(".bootbox-confirm").addClass("group-modal");
}