var myPagesJS = '';

var pageObj = {pageMemberType:'',
			pageMemberLikes:0
		}
			
var pagesPostObj = {
	postsLoaded : 0,
	postsToLoad	:10
};

myPagesInitalize();
function myPagesInitalize(){
	pagesPostObj.postsLoaded = 0;
	if(appObj.isLoggedIn){
		var pageId = GetQryStrParams(window.location.hash.substr(1),'pageId');
		if(pageId){
			checkUserPagesStatus(pageId);
		}
		else{
			getAllMyPagesContent();
		}
	}
	else{
		window.location.href = "#page=login";
	}
	if(isMobileApp()){
		GARecored('MyPages');
	}
}

function checkUserPagesStatus(pageId){
	$.ajax({
		type		:'POST',
		url         : appObj.siteUserControllerUrl+'checkUserPagesStatus',
		data		:{pageMemberType:pageObj.pageMemberType,pageId:pageId},
		dataType	:'json',
		success     : function(data){
			if(data){
				pageObj.pageMemberType = data.user_role;
				pageObj.pageMemberLikes = data.likes;
			}
			else{
				pageObj.pageMemberType = '';
				pageObj.pageMemberLikes = 0;
			}
			myPagesContent();
			getPagesDetails(pageId);
			getPagesUserPost(0,pageId);
			getAllPageLikes(pageId);
			getAllPagesPhotos(pageId);
			getAllPageEvents(pageId);
			getUserProfileImage();
			if(isWeb()){
				connectPeople();
				suggestedPagesBlock(pageId);
			}
			if(pageObj.pageMemberType == 1){
				getAllPageRoles(pageId);
			}
			if(pageObj.pageMemberType != 1){
				if(data){
					if(data.visitor_posts == 1){
						$(".post-block").remove();
					}
				}
			}
		}
	});
}

function getAllMyPagesContent(){
	$(".mainPagesSearch").remove();
	$("#header").append('<div class="mainPagesSearch" style="display:none;">\
							<form role="search" class="mobile-icon navbar-form-custom" method="post">\
								<div class="input-group">\
									<span class="input-group-addon"><i class="fa fa-search"></i></span>\
									<input type="text" placeholder="Search Pages" class="form-control" name="main-search-pages" autocomplete="off" readonly>\
								</div>\
							</form>\
						</div>');
	$('#secondary-page').empty().append('<div class="row">\
									<div class="col-lg-9">\
										<div class="hpanel" style="margin-bottom:10px;">\
											<div class="panel-body no-padding">\
												<ul class="nav nav-tabs bordered mygroups-tab pull-left">\
													<li>\
														<a href="#pages" data-toggle="tab" style="box-shadow:none;">Pages </a>\
													</li>\
													<li>\
														<a href="#Invitations" data-toggle="tab" style="box-shadow:none;">Invites <span class="invitations-count label label-default"></span></a>\
													</li>\
													<li>\
														<a href="#Suggestions" data-toggle="tab" style="box-shadow:none;">Suggestions </a>\
													</li>\
												</ul>\
												<button type="type" onclick="createPage();" class="btn btn-success btn-sm pull-right m-xs"> Create Page</button>\
											</div>\
										</div>\
										<div class="tab-content">\
											<div class="tab-pane fade" id="pages">\
												<div class="no-pages"></div>\
												<div class="favorites-pages"></div>\
												<div class="pages-manage"></div>\
												<div class="liked-pages"></div>\
											</div>\
											<div class="tab-pane fade" id="Suggestions">\
												<div class="suggestions"></div>\
											</div>\
											<div class="tab-pane fade" id="Invitations">\
												<div class="page-invites"></div>\
											</div>\
										</div>\
									</div>\
								</div>');
	getAllMyPagesList();
	getAllPagesSuggestions();
}

function getAllPagesSuggestions(){
	$.ajax({
		url         : appObj.siteUserControllerUrl+'getAllPagesSuggestions',
		dataType	:'json',
		success     : function(data){
			var suggestions= '';
			suggestions+='<div class="allGroups">\
							<div class="hpanel">\
								<div class="panel-body">';
									if(data.fields == ''){
										suggestions+='You have no suggestions.'
									}
									else{
										suggestions+='<div class="row">';
											$.each(data.fields,function(index,fields){
												if(isWeb()){
													suggestions+='<div class="col-sm-4 m-b-lg" id="suggestionPage'+fields.id+'">';
												}
												else{
													suggestions+='<div class="col-xs-12" id="suggestionPage'+fields.id+'">';
												}
												suggestions+='<a class="btn-link" href="#page=myPages&pageId='+fields.id+'">';
													if(fields.cover_photo){
														suggestions+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/pages/cover/'+fields.cover_photo+'">';
													}
													else{
														suggestions+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/pages/pages-default-cover.png">';
													}
												suggestions+='</a>';
												if(isWeb()){
													suggestions+='<div class="title">\
														<h5 class="m-n"><a class="btn-link" href="#page=myPages&pageId='+fields.id+'">'+fields.page_name+'</a></h5>\
														<div class="text-muted">'+fields.people_count+' people like this.\
															<span class="dropdown pull-right">\
																<a href="javascript:void(0);" page-id='+fields.id+' onclick="suggestionPageLike(this);" class="btn btn-default btn-sm"><i class="fa fa-thumbs-o-up"></i> Like</a>\
															</span>\
														</div>\
													</div>';
												}
												else{
													suggestions+='<h5 class="pull-left m-t-sm">\
																	<a class="btn-link" href="#page=myPages&pageId='+fields.id+'">'+fields.page_name+'</a>';
																	if(fields.people_count != 0){
																		suggestions+='<div class="text-muted">'+fields.people_count+' people like this.</div>';
																	}
																suggestions+='</h5>\
																<span class="dropdown pull-right m-t">\
																	<a href="javascript:void(0);" page-id='+fields.id+' onclick="suggestionPageLike(this);" class="btn btn-default btn-sm"><i class="fa fa-thumbs-o-up"></i> Like</a>\
																</span>';
												}
												suggestions+='<hr class="groups-border"></div>';
											});
										suggestions+='</div>';
									}
								suggestions+='</div>\
							</div>\
						</div>';
			$(".suggestions").empty().append(suggestions);
		}
	});
}

function getAllMyPagesList(){
	$.ajax({
		url         : appObj.siteUserControllerUrl+'getAllMyPagesList',
		dataType	:'json',
		success     : function(data){
			var favorites = '';
			var pageManage ='';
			var likedPage ='';
			var pageInvites = '';
			var invitationsCount = 0;
			if(data.fields == ''){
				$(".no-pages").empty().append('<div class="allGroups">\
											<div class="hpanel">\
												<div class="panel-body">\
													You have no pages.\
												</div>\
											</div>\
										</div>');
				$('.mygroups-tab a[href="#Suggestions"]').tab('show');
			}
			else{
				$.each(data.fields,function(index,fields){
					if(fields.favorites == 1){
						if(isWeb()){
							favorites+='<div class="col-sm-4 m-b-lg">\
											<a class="btn-link" href="#page=myPages&pageId='+fields.id+'">';
											if(fields.cover_photo){
												favorites+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/pages/cover/'+fields.cover_photo+'">';
											}
											else{
												favorites+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/pages/pages-default-cover.png">';
											}
											favorites+='</a>\
											<div class="title">\
												<h5 class="m-n"><a class="btn-link" href="myPages&PageId='+fields.id+'">'+fields.page_name+'</h5></a>\
												<span class="dropdown pull-right">\
													<a data-toggle="dropdown" class="btn btn-default btn-sm dropdown-toggle" aria-expanded="false"><i class="fa fa-cog"></i></a>\
													<ul class="dropdown-menu">\
														<!--<li><a href="javascript:void(0);" page-id='+fields.page_id+' onclick="leavePages(this);">Leave Page</a></li>-->\
														<li><a href="javascript:void(0);" page-id='+fields.page_id+' favorites=0 onclick="favoritesPages(this);">Remove from Favorites </a></li>\
													</ul>\
												</span>\
											</div>\
										</div>';
						}
						else{
							favorites+='<div class="col-xs-12">\
											<a class="btn-link" href="#page=myPages&pageId='+fields.id+'">';
												if(fields.cover_photo){
													favorites+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/pages/cover/'+fields.cover_photo+'">';
												}
												else{
													favorites+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/pages/pages-default-cover.png">';
												}
											favorites+='</a>\
											<h5 class="pull-left m-t-sm">\
												<a class="btn-link" href="#page=myPages&pageId='+fields.id+'">'+fields.page_name+'</a>\
											</h5>\
											<span class="dropdown pull-right m-t">\
												<a data-toggle="dropdown" class="btn btn-default btn-sm dropdown-toggle" aria-expanded="false"><i class="fa fa-cog"></i></a>\
												<ul class="dropdown-menu">\
													<li><a href="javascript:void(0);" page-id='+fields.page_id+' favorites=0 onclick="favoritesPages(this);">Remove from Favorites </a></li>\
												</ul>\
											</span><hr class="groups-border">\
										</div>';
						}
					}
					if(fields.user_role == 1){
						if(isWeb()){
							pageManage+='<div class="col-sm-4 m-b-lg">\
											<a class="btn-link" href="#page=myPages&pageId='+fields.id+'">';
											if(fields.cover_photo){
												pageManage+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/pages/cover/'+fields.cover_photo+'">';
											}
											else{
												pageManage+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/pages/pages-default-cover.png">';
											}
											pageManage+='</a>\
											<div class="title">\
												<h5 class="m-n"><a class="btn-link" href="#page=myPages&pageId='+fields.id+'">'+fields.page_name+'</h5></a>\
												<span class="dropdown pull-right">\
													<a data-toggle="dropdown" class="btn btn-default btn-sm dropdown-toggle" aria-expanded="false"><i class="fa fa-cog"></i></a>\
													<ul class="dropdown-menu">\
														<!--<li><a href="javascript:void(0);" page-id='+fields.page_id+' onclick="leavePages(this);">Leave Page</a></li>-->\
														<li><a href="javascript:void(0);" page-id='+fields.page_id+' onclick="managePagesSetting(this);">Edit Page Setting</a></li>';
														if(fields.favorites == 0){
															pageManage+='<li><a href="javascript:void(0);" page-id='+fields.page_id+' favorites=1 onclick="favoritesPages(this);">Add to Favorites</a></li>';
														}
														else{
															pageManage+='<li><a href="javascript:void(0);" page-id='+fields.page_id+' favorites=0 onclick="favoritesPages(this);">Remove from Favorites </a></li>';
														}
													pageManage+='</ul>\
												</span>\
											</div>\
										</div>';
						}
						else{
							pageManage+='<div class="col-xs-12">\
											<a class="btn-link" href="#page=myPages&pageId='+fields.id+'">';
												if(fields.cover_photo){
													pageManage+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/pages/cover/'+fields.cover_photo+'">';
												}
												else{
													pageManage+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/pages/pages-default-cover.png">';
												}
											pageManage+='</a>\
											<h5 class="pull-left m-t-sm">\
													<a class="btn-link" href="#page=myPages&pageId='+fields.id+'">'+fields.page_name+'</a>\
												</h5>\
												<span class="dropdown pull-right m-t">\
													<a data-toggle="dropdown" class="btn btn-default btn-sm dropdown-toggle" aria-expanded="false"><i class="fa fa-cog"></i></a>\
													<ul class="dropdown-menu">\
														<li><a href="javascript:void(0);" page-id='+fields.page_id+' onclick="managePagesSetting(this);">Edit Page Setting</a></li>';
														if(fields.favorites == 0){
															pageManage+='<li><a href="javascript:void(0);" page-id='+fields.page_id+' favorites=1 onclick="favoritesPages(this);">Add to Favorites</a></li>';
														}
														else{
															pageManage+='<li><a href="javascript:void(0);" page-id='+fields.page_id+' favorites=0 onclick="favoritesPages(this);">Remove from Favorites </a></li>';
														}
													pageManage+='</ul>\
												</span><hr class="groups-border">\
										</div>';
						}
					}
					if(fields.likes == 1){
						if(isWeb()){
							likedPage+='<div class="col-sm-4 m-b-lg">\
									<a class="btn-link" href="#page=myPages&pageId='+fields.id+'">';
										if(fields.cover_photo){
											likedPage+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/pages/cover/'+fields.cover_photo+'">';
										}
										else{
											likedPage+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/pages/pages-default-cover.png">';
										}
									likedPage+='</a>\
									<div class="title">\
										<h5 class="m-n"><a class="btn-link" href="#page=myPages&pageId='+fields.id+'">'+fields.page_name+'</h5></a>\
										<div class="text-muted">';
											if(fields.category){
												likedPage+= fields.category;
											}
											likedPage+='<span class="dropdown pull-right">\
												<a data-toggle="dropdown" class="btn btn-default btn-sm dropdown-toggle" aria-expanded="false"><i class="fa fa-cog"></i></a>\
												<ul class="dropdown-menu">\
													<li><a href="javascript:void(0);" page-id='+fields.page_id+' user-role='+fields.user_role+' onclick="unLikePages(this);">Unlike</a></li>';
													if(fields.favorites == 0){
														likedPage+='<li><a href="javascript:void(0);" page-id='+fields.page_id+' favorites=1 onclick="favoritesPages(this);">Add to Favorites</a></li>';
													}
													else{
														likedPage+='<li><a href="javascript:void(0);" page-id='+fields.page_id+' favorites=0 onclick="favoritesPages(this);">Remove from Favorites </a></li>';
													}
												likedPage+='</ul>\
											</span>\
										</div>\
									</div>\
								</div>';
						}
						else{
							likedPage+='<div class="col-xs-12">\
											<a class="btn-link" href="#page=myPages&pageId='+fields.id+'">';
												if(fields.cover_photo){
													likedPage+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/pages/cover/'+fields.cover_photo+'">';
												}
												else{
													likedPage+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/pages/pages-default-cover.png">';
												}
											likedPage+='</a>\
											<h5 class="pull-left m-t-sm">\
												<a class="btn-link" href="#page=myPages&pageId='+fields.id+'">'+fields.page_name+'</a>\
											</h5>\
											<span class="dropdown pull-right m-t">\
												<a data-toggle="dropdown" class="btn btn-default btn-sm dropdown-toggle" aria-expanded="false"><i class="fa fa-cog"></i></a>\
												<ul class="dropdown-menu">\
													<li><a href="javascript:void(0);" page-id='+fields.page_id+' user-role='+fields.user_role+' onclick="unLikePages(this);">Unlike</a></li>';
													if(fields.favorites == 0){
														likedPage+='<li><a href="javascript:void(0);" page-id='+fields.page_id+' favorites=1 onclick="favoritesPages(this);">Add to Favorites</a></li>';
													}
													else{
														likedPage+='<li><a href="javascript:void(0);" page-id='+fields.page_id+' favorites=0 onclick="favoritesPages(this);">Remove from Favorites </a></li>';
													}
												likedPage+='</ul>\
											</span><hr class="groups-border">\
										</div>';
						}
					}
					if(fields.likes == 0 && fields.user_role == 0){
						invitationsCount = invitationsCount + 1;
						if(isWeb()){
							pageInvites+='<div class="col-sm-4 m-b-lg" id="invitePage'+fields.id+'">\
										<a class="btn-link" href="#page=myPages&pageId='+fields.id+'">';
											if(fields.cover_photo){
												pageInvites+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/pages/cover/'+fields.cover_photo+'">';
											}
											else{
												pageInvites+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/pages/pages-default-cover.png">';
											}
										pageInvites+='</a>\
										<div class="title">\
											<h5 class="m-n"><a class="btn-link" href="myPages&PageId='+fields.id+'">'+fields.page_name+'</a></h5>\
											<div class="text-muted">Invited by <a class="text-muted" href="javascript:void(0);">'+fields.invite_name+'</a>\
												<span class="pull-right">\
													<a href="javascript:void(0);" onclick="invitePageLike(this);" type="0" page-id='+fields.page_id+' class="btn btn-default btn-sm"><i class="fa fa-thumbs-o-up"></i> Like</a>\
												</span>\
											</div>\
										</div>\
									</div>';
						}
						else{
							pageInvites+='<div class="col-xs-12" id="invitePage'+fields.id+'">\
											<a class="btn-link" href="#page=myPages&pageId='+fields.id+'">';
												if(fields.cover_photo){
													pageInvites+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/pages/cover/'+fields.cover_photo+'">';
												}
												else{
													pageInvites+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/pages/pages-default-cover.png">';
												}
											pageInvites+='</a>\
											<h5 class="pull-left m-t-sm">\
												<a class="btn-link" href="#page=myPages&pageId='+fields.id+'">'+fields.page_name+'</a>\
											</h5>\
											<span class="dropdown pull-right m-t">\
												<a href="javascript:void(0);" onclick="invitePageLike(this);" type="0" page-id='+fields.page_id+' class="btn btn-default btn-sm"><i class="fa fa-thumbs-o-up"></i> Like</a>\
											</span><hr class="groups-border">\
										</div>';
						}
					}
				});
				$('.mygroups-tab a[href="#pages"]').tab('show');
			}
			if(favorites != ''){
				$(".favorites-pages").empty().append('<div class="allGroups">\
															<div class="hpanel">\
																<div class="panel-heading hbuilt">\
																	<b>Favorites</b>\
																</div>\
																<div class="panel-body">\
																	<div class="row">\
																		'+favorites+'\
																	</div>\
																</div>\
															</div>\
														</div>');
			}
			else{
				$(".favorites-pages").empty();
			}
			if(pageManage != ''){
				$(".pages-manage").empty().append('<div class="allGroups">\
														<div class="hpanel">\
															<div class="panel-heading hbuilt">\
																<b>Pages You Manage</b>\
															</div>\
															<div class="panel-body">\
																<div class="row">\
																	'+pageManage+'\
																</div>\
															</div>\
														</div>\
													</div>');
			}
			else{
				$(".pages-manage").empty();
			}
			if(likedPage != ''){
				$(".liked-pages").empty().append('<div class="allGroups">\
													<div class="hpanel">\
														<div class="panel-heading hbuilt">\
															<b>Liked Pages</b>\
														</div>\
														<div class="panel-body">\
															<div class="row">\
																'+likedPage+'\
															</div>\
														</div>\
													</div>\
												</div>');
			}
			else{
				$(".liked-pages").empty();
			}
			if(favorites == '' && pageManage == '' && likedPage == ''){
				$(".no-pages").empty().append('<div class="allGroups">\
											<div class="hpanel">\
												<div class="panel-body">\
													You have no pages.\
												</div>\
											</div>\
										</div>');
			}
			if(pageInvites != ''){
				$(".page-invites").empty().append('<div class="allGroups">\
													<div class="hpanel">\
														<div class="panel-body">\
															<div class="row">\
																'+pageInvites+'\
															</div>\
														</div>\
													</div>\
												</div>');
				$(".invitations-count").html(invitationsCount);
			}
			else{
				$(".page-invites").empty().append('<div class="allGroups">\
													<div class="hpanel">\
														<div class="panel-body">\
															There are no invites to display.\
														</div>\
													</div>\
												</div>');
			}
		}
	});
}

function favoritesPages(data){
	var pageId = $(data).attr("page-id");
	var favorites = $(data).attr("favorites");
	$.ajax({
		type		:'POST',
		url         : appObj.siteUserControllerUrl+'favoritesPages',
		data		:{favorites:favorites,pageId:pageId},
		success     : function(data){
			if(data == 1){
				getAllMyPagesList();
			}
		}
	});
}

function managePagesSetting(data){
	var pageId = $(data).attr("page-id");
	window.location.href = "#page=myPages&pageId="+pageId;
	setTimeout(function(){
		$('.mygroups-tab.nav-tabs a[href="#manage"]').tab('show');
	},500);
}

function unLikePages(data){
	var pageId = $(data).attr("page-id");
	var userRole = $(data).attr("user-role");
	$.ajax({
		type		:'POST',
		url     	: appObj.siteUserControllerUrl+'unLikePages',
		data 		: {pageId:pageId,userRole:userRole},
		success 	: function(data){
			if(data == 1){
				getAllMyPagesList(pageId);
			}
		}
	});
}

function LikePage(data){
	var pageId = GetQryStrParams(window.location.hash.substr(1),'pageId');
	$.ajax({
		type		:'POST'	,
		url         : appObj.siteUserControllerUrl+'LikePage',
		data		:{pageId:pageId,pageMemberType:pageObj.pageMemberType},
		dataType	:'json',
		success     : function(data){
			if(data == 1){
				$('.like-btn').empty().append('<button class="btn btn-default btn-sm"><i class="fa fa-thumbs-o-up"></i> Liked</a>');
			}
		}
	});
}

function invitePageLike(data){
	var type = $(data).attr("type");
	if(type == 0){
		var pageId = $(data).attr("page-id");
	}
	else{
		var pageId = GetQryStrParams(window.location.hash.substr(1),'pageId');
	}
	$.ajax({
		type		:'POST'	,
		url         : appObj.siteUserControllerUrl+'invitePageLike',
		data		:{pageId:pageId},
		dataType	:'json',
		success     : function(data){
			if(data == 1){
				$('#invitePage'+pageId+' span').empty().append('<a href="javascript:void(0);" data-toggle="dropdown" class="btn btn-default btn-sm dropdown-toggle"><i class="fa fa-check"></i> Liked <span class="caret"></span></a>\
					<ul class="dropdown-menu dropdown-menu-right">\
						<li><a href="javascript:void(0);" onclick="invitePagesUnlike('+pageId+');">Unlike</a></li>\
					</ul>');
				$(".like-btn-block").remove();
				$('.like-btn').empty().append('<button class="btn btn-default btn-sm"><i class="fa fa-thumbs-o-up"></i> Liked</a>');
				$('#invitePage'+pageId+' h5').css('width','40%');
			}
		}
	});
}

function invitePagesUnlike(pageId){
	$.ajax({
		type		:'POST'	,
		url         : appObj.siteUserControllerUrl+'invitePagesUnlike',
		data		:{pageId:pageId},
		dataType	:'json',
		success     : function(data){
			if(data == 1){
				$('#invitePage'+pageId+' span').empty().append('<a href="javascript:void(0);" page-id='+pageId+' type="0" onclick="invitePageLike(this)" class="btn btn-default btn-sm"><i class="fa fa-thumbs-o-up"></i> Like</a>');
				$('#invitePage'+pageId+' h5').css('width','');
			}
		}
	});
}

function suggestionPageLike(data){
	var pageId = $(data).attr("page-id");
	$.ajax({
		type		:'POST'	,
		url         : appObj.siteUserControllerUrl+'suggestionPageLike',
		data		:{pageId:pageId},
		dataType	:'json',
		success     : function(data){
			if(data == 1){
				if(GetQryStrParams(window.location.hash.substr(1),'pageId')){
					$('#suggPages'+pageId+' span').empty().append('<a href="javascript:void(0);" data-toggle="dropdown" class="btn btn-default btn-sm dropdown-toggle"><i class="fa fa-check"></i> Liked <span class="caret"></span></a>\<ul class="dropdown-menu dropdown-menu-right">\
						<li><a href="javascript:void(0);" onclick="suggestionPagesUnlike('+pageId+');">Unlike</a></li>\
					</ul>');
				}
				else{
					$('#suggestionPage'+pageId+' span').empty().append('<a href="javascript:void(0);" data-toggle="dropdown" class="btn btn-default btn-sm dropdown-toggle"><i class="fa fa-check"></i> Liked <span class="caret"></span></a>\
					<ul class="dropdown-menu dropdown-menu-right">\
						<li><a href="javascript:void(0);" onclick="suggestionPagesUnlike('+pageId+');">Unlike</a></li>\
					</ul>');
					$('#suggestionPage'+pageId+' h5').css('width','40%');
				}
			}
		}
	});
}

function suggestionPagesUnlike(pageId){
	$.ajax({
		type		:'POST'	,
		url         : appObj.siteUserControllerUrl+'suggestionPagesUnlike',
		data		:{pageId:pageId},
		dataType	:'json',
		success     : function(data){
			if(data == 1){
				if(GetQryStrParams(window.location.hash.substr(1),'pageId')){
					$('#suggPages'+pageId+' span').empty().append('<a href="javascript:void(0);" page-id='+pageId+' onclick="suggestionPageLike(this)" class="btn btn-default btn-sm"><i class="fa fa-thumbs-o-up"></i> Like</a>');
				}
				else{
					$('#suggestionPage'+pageId+' span').empty().append('<a href="javascript:void(0);" page-id='+pageId+' onclick="suggestionPageLike(this)" class="btn btn-default btn-sm"><i class="fa fa-thumbs-o-up"></i> Like</a>');
					$('#suggestionPage'+pageId+' h5').css('width','');
				}
			}
		}
	});
}

function myPagesContent(){
	$(".breadcrumb-name").empty().append('My Pages');
	$(".mobile-breadcrumb").empty().append('<div class="hpanel">\
										<div class="panel-body">\
											<h2>My Pages</h2>\
										</div>\
									</div>');
	$('#secondary-page').empty().append('<div class="my-pages"></div>');
	myPages();
}

function myPages(){
	var myPagesContent='';
	myPagesContent+='<div class="row">\
							<div class="col-lg-9">\
								<div id="myCarousel" class="carousel fade mypages-carousel">\
									<div class="air air-bottom-left p-xs">\
										<h3 class="page-name"></h3>\
									</div>\
									<div class="air air-bottom-right liked-btn" style="padding:10px;">';
										myPagesContent+='<div class="btn-group m-r-sm">';
											if(pageObj.pageMemberLikes != 0){											
												myPagesContent+='<button data-toggle="dropdown" class="btn btn-default btn-sm dropdown-toggle hidden-xs"><i class="fa fa-thumbs-o-up"></i> Liked <!--<span class="caret"></span>--></button>';
											}
											else{
												if(pageObj.pageMemberType == 0){
													myPagesContent+='<span class="like-btn"><button onclick="invitePageLike(this);" type="1" class="btn btn-default btn-sm"><i class="fa fa-thumbs-o-up"></i> Like</button></span>';
												}
												else{
													myPagesContent+='<span class="like-btn"><button onclick="LikePage();" class="btn btn-default btn-sm"><i class="fa fa-thumbs-o-up"></i> Like</button></span>';
												}
											}
										myPagesContent+='</div>';
											if(pageObj.pageMemberType != ''){
												myPagesContent+='<div class="btn-group">\
																	<button type="button" class="btn btn-default btn-sm hidden-xs"><i class="fa fa-share"></i> Share</button>\
																	<div class="btn-group">\
																		<button data-toggle="dropdown" class="btn btn-default btn-sm dropdown-toggle"><i class="fa fa-ellipsis-h"></i></button>\
																		 <ul class="dropdown-menu dropdown-menu-right">';
																			if(pageObj.pageMemberType == 1){
																				myPagesContent+='<li><a href="javascript:void(0);" onclick="manage();"> Manage Tab</a></li>';
																			}
																			myPagesContent+='<li><a href="javascript:void(0);" onclick="createPage();">Create New Page</a></li>\
																		</ul>\
																	</div>\
																</div>';
											}
									myPagesContent+='</div>';
									if(pageObj.pageMemberType == 1){
										myPagesContent+='<div class="air air-top-right update-cover-photo-btn p-xs">\
											<label for="cropper-input" title="Update Cover Photo"><i class="fa fa-camera fa-lg"></i></label>\
										</div>\
										<div class="air air air-bottom-right p-xs">\
											<button type="button" class="btn btn-primary btn-sm save-cover-photo" style="display:none;">Save Changes</button>\
										</div>';
									}
									myPagesContent+='<div class="carousel-inner">\
										<div class="item active">\
											<form id="cover-photo">\
												<div class="image-editor">\
													<input id="cropper-input" type="file" class="cropit-image-input">\
														<div class="cropit-image-preview" id="list">\
															<span class="pages-cover-pic"></span>\
														</div>\
													<input type="hidden" name="cover-image"/>\
													<input type="hidden" name="pageId">\
												</div>\
												<div class="image-editor-cancel" title="Cancel">+</div>\
											</form>\
										</div>\
									</div>\
								</div>\
								<div class="mygroups-nav">\
									<div class="hpanel">\
										<div class="panel-body">\
											<ul class="nav nav-tabs bordered mygroups-tab pull-left">\
												<li class="active">\
													<a href="#Home" data-toggle="tab">Home </a>\
												</li>\
												<li>\
													<a href="#Likes" data-toggle="tab">Likes </a>\
												</li>\
												<li>\
													<a href="#Events" data-toggle="tab">Events </a>\
												</li>\
												<li>\
													<a href="#Photos" data-toggle="tab">Photos </a>\
												</li>\
												<li style="display:none;">\
													<a href="#manage" data-toggle="tab">Manage Tab</a>\
												</li>\
											</ul>\
										</div>\
									</div>\
								</div>\
								\
								<!-- POST Block-->\
									<div class="tab-content">\
										<div class="tab-pane fade in active" id="Home">\
											<div class="row">\
												<div class="col-lg-8">';
													if(pageObj.pageMemberType == 0 && pageObj.pageMemberLikes == 0){
														myPagesContent+='<div class="like-btn-block hpanel">\
																			<div class="panel-body">\
																				<div class="pull-left m-t-xs">Show that you\'re interested in this Page by liking it.</div>\
																				<button type="button" onclick="invitePageLike();" type="1" class="btn btn-success btn-sm"><i class="fa fa-thumbs-o-up"></i> Like Page</button>\
																			</div>\
																		</div>';
													}
													myPagesContent+='<div class="post-block">\
														<div class="panel panel-default">\
															<div class="panel-body status">\
																<form id="myPagesPostForm" method="post" enctype="multipart/form-data">\
																<div class="text">\
																	<div class="row">\
																		<div class="col-lg-12">\
																			<div class="write-post">\
																				<span class="user-post-img"></span>\
																				<textarea rows="2" name="post_text" class="form-control" placeholder="Write something..." style="overflow:hidden;" onkeyup="auto_grow(this);"></textarea>\
																				<div class="post-meta-tag"></div>\
																				<div id="post-image-preview" class="pages-dropzone-previews"></div>\
																				<input type="hidden" name="postType" value="0">\
																				<input type="hidden" name="postId" value="0">\
																				<input type="hidden" name="pageId">\
																				<input type="hidden" name="pageMemberType">\
																			</div>\
																		</div>\
																	</div>\
																</div>\
																	<ul class="links">\
																		<li class="pull-right">\
																			<button type="button" class="btn btn-sm btn-primary post-btn">Post</button>\
																		</li>\
																		<li>\
																			<span class="image-upload"><label>\
																				<div class="dz-default dz-message"><span class="btn-link"><i class="fa fa-camera fa-lg"></i></span></div>\
																			</label></span>\
																			<input type="hidden" name="length"/>\
																		</li>\
																	</ul>\
																</form>\
															</div>\
														</div>\
													</div>\
													<div class="pending-approval-msg"></div>\
													<div class="post-approval-msg"></div>\
													<div class="join-approval-msg"></div>\
													<div class="post-report-msg"></div>';
												myPagesContent+='<div class="recent-activity">\
																		<h5 class="m-b-sm text-muted hidden-xs"><b>Posts</b></h5>\
																		<div class="recent-activity-content"></div>\
																	</div>\
												</div>\
												<div class="col-lg-4">\
													<div id="pages_sticky">';
														if(isWeb()){
															myPagesContent+='<div class="page-category-name"></div>\
															<div class="hpanel">\
																<div class="panel-body">\
																	<div class="total-likes"></div>\
																	<p class="p-xxs"><i class="fa fa-user-plus"></i> <a class="btn-link" href="javascript:void(0);" onclick="addInviteFriends();">Invite friends to like this Page</a></p>\
																</div>\
															</div>\
															<div class="recent-photos-block"></div>\
															<div class="sugg-pages-block"></div>';
														}
														myPagesContent+='<!--<div class="hpanel hidden-xs">\
															<div class="panel-heading hbuilt">\
																Visitor Posts\
															</div>\
															<div class="panel-body">\
																<div class="visitor-posts"></div>\
															</div>\
														</div>-->\
													</div>\
												</div>\
											</div>\
										</div>\
										<div class="tab-pane fade" id="Likes">\
											<div class="row">\
												<div class="col-sm-12">\
													<div class="tab-content">\
														<div class="hpanel">\
															<div class="panel-heading hbuilt">\
																<b>People</b>\
															</div>\
															<div class="panel-body">\
																<div class="people-likes"></div>\
															</div>\
														</div>\
													</div>\
												</div>\
											</div>\
										</div>\
										<div class="tab-pane fade" id="Events">\
											<div class="row">\
												<div class="col-sm-12">\
													<div class="hpanel">\
														<div class="panel-body">';
															if(pageObj.pageMemberType != '' && pageObj.pageMemberApproval != 0){
																myPagesContent+='<a class="btn btn-primary btn-sm pull-right create-event" href="javascript:void(0)" onclick="createPagesEvents()"><i class="fa fa-plus"></i> Create Event</a>';
															}
															myPagesContent+='<h5><i class="fa fa-calendar"></i> Events</h5>\
															<div class="row">\
																<div class="page-all-event"></div>\
															</div>\
														</div>\
													</div>\
												</div>\
											</div>\
										</div>\
										<div class="tab-pane fade" id="Photos">\
											<div class="row">\
												<div class="col-sm-12">\
													<div class="all-photos"></div>\
												</div>\
											</div>\
										</div>\
										<div class="tab-pane fade" id="manage">\
											<div class="row">\
												<div class="col-sm-3">\
													<div class="hpanel">\
														<div class="panel-body no-padding">\
															<ul class="nav nav-pills nav-stacked">\
																<li class="active"><a href="#general" data-toggle="tab"><i class="fa fa-cog"></i> General</a></li>\
																<li><a href="#pageRoles" data-toggle="tab"><i class="fa fa-user"></i> Page Roles</a></li>\
															</ul>\
														</div>\
													</div>\
												</div>\
												<div class="col-sm-9">\
													<div class="tab-content">\
														<div class="tab-pane active" id="general">\
															<div class="hpanel">\
																<div class="panel-body">\
																	<div class="general"></div>\
																</div>\
															</div>\
														</div>\
														<div class="tab-pane" id="pageRoles">\
															<div class="hpanel">\
																<div class="panel-body">\
																	<p class="text-muted">Everyone who works on your Page can have a different role depending on what they need to work on.</p>\
																	<div class="row">\
																		<div class="col-sm-12">\
																			<ul class="nav nav-tabs members-tab">\
																				<li class="active">\
																					<a href="#editorRole" data-toggle="tab">Editor</a>\
																				</li>\
																				<li class="">\
																					<a href="#AdminRole" data-toggle="tab">Admin</a>\
																				</li>\
																			</ul>\
																			<div class="tab-content">\
																				<div class="tab-pane fade in active" id="editorRole">\
																					<div class="hpanel">\
																						<div class="panel-body">\
																							<div class="row">\
																								<div class="col-sm-12">\
																									<h5 class="m-b">Assign a New Page Role</h5>\
																									<div class="editor-page-roles"></div>\
																								</div>\
																							</div>\
																						</div>\
																					</div>\
																				</div>\
																				<div class="tab-pane fade" id="AdminRole">\
																					<div class="hpanel">\
																						<div class="panel-body">\
																							<div class="row">\
																								<div class="col-sm-12">\
																									<h5 class="m-b">Existing Page Roles</h5>\
																									<div class="admin-page-roles"></div>\
																								</div>\
																							</div>\
																						</div>\
																					</div>\
																				</div>\
																			</div>\
																		</div>\
																	</div>\
																</div>\
															</div>\
														</div>\
													</div>\
												</div>\
											</div>\
										</div>\
											\
									</div>\
							</div>\
					</div>';
			$(".my-pages").empty().append(myPagesContent);
			$("#myPagesPostForm").validate({
				rules:{
					post_text:{
						required: true,
					},
				},
				messages: {
					post_text: "This post appears to be blank. Please write something or attach a photo to post.",
				},
			});
			dropzonePagesImages();
			coverImagecropit();
			$(window).scroll(function(){
				if(isWeb()){
					if($(window).scrollTop() >= 540){
						$("#pages_sticky").addClass("pages-fixed");
					}
					else {
						$("#pages_sticky").removeClass("pages-fixed");
					}
				}
			});
}

function manage(){
	$('.mygroups-tab.nav-tabs a[href="#manage"]').tab('show');
}

function coverImagecropit(){
	$(document).on('click','.mypages-carousel .image-editor',function(){
		$('.mypages-carousel .image-editor').cropit({
			onImageLoaded:function(data){
				$(".pages-cover-pic, .update-cover-photo-btn, .liked-btn").hide();
				$(".save-cover-photo").show();
				$(".mypages-carousel .image-editor-cancel").addClass("remove");
			},
			smallImage:'allow',
		});
	}); 
}

$(document).on('click', '.mypages-carousel .image-editor-cancel', function(){
	if ($('.cropit-image-preview').hasClass('cropit-image-loaded')){
		$('.cropit-image-preview').removeClass('cropit-image-loaded').removeAttr('style');
		$(".save-cover-photo").hide();
		$(".pages-cover-pic, .update-cover-photo-btn, .liked-btn").show();
		$("#cropper-input").val('');
		$(".mypages-carousel .image-editor-cancel").removeClass("remove");
	}
});

$(document).on("click",".mypages-carousel .save-cover-photo",function(){
	var pageId = GetQryStrParams(window.location.hash.substr(1),'pageId');
	$("input[name=pageId]").val(pageId);
	var imageData = $('.mypages-carousel .image-editor').cropit('export');
	$('input[name=cover-image]').val(imageData);	 
	var data = new FormData($('#cover-photo')[0]);
	$(".save-cover-photo").prop("disabled",true);
	$.ajax({
		type        : 'POST',
		url         : appObj.siteUserControllerUrl+'pagesCoverPhotoSave',
		data        : data,
		contentType : false,
		processData : false,
		success     : function(data){
			if(data == 1){
				$(".save-cover-photo").prop("disabled",false);
				$("input[name=cover-image]").val('');
				$(".cropit-image-preview").attr('style','');
				$('.cropit-image-preview').removeClass('cropit-image-loaded');
				$(".mypages-carousel .image-editor-cancel").removeClass("remove");
				getPagesDetails(pageId);
			}
		}
	});
});

function addInviteFriends(){
	var values='';
	values+='<form id="addAllMembers">\
				<div class="form-group m-n">\
					<input type="text" name="invite-search" placeholder="Enter names..." autocomplete="off" class="form-control">\
				</div>\
				<div class="invite-search-results"></div>\
			</form>';
	bootbox.dialog({
		title		: "Invite your friends to like page",
		message		: values,
		'animate' 	: false,
		className	:'group-modal',
		buttons		: {
			cancel  : {
				label: "Close",
				className:'btn btn-primary btn-sm',
			},
		}
	});
}

function likesTab(){
	$('.mygroups-tab.nav-tabs a[href="#Likes"]').tab('show');
}

$(document).on('keyup',"input[name=invite-search]",function(){
	var inputValue = $(this).val();
	if(inputValue != '' && inputValue.length > 1){
		$.ajax({
			type    	: 'POST',
			url     	: appObj.siteUserControllerUrl+'getSearchResults',
			dataType 	: 'json',
			data     	: {peopleSearchValue:inputValue},
			success 	: function(data){
				var searchResults = '';
				searchResults += '<ul>';
				$.each(data.fields,function(index,fields){
					searchResults+='<li>\
										<div class="people-img-block">';
											searchResults += '<img src="'+generateUserImg(fields.profile_img_small,fields.user_login_type,40,40)+'" alt="logo" style="width:40px;" onerror="loadingImageError(this)">\
										</div>\
										<span class="pull-left"><b>'+fields.name+'</b><br><small class="people-professional">'+fields.professional_headline+'</small></span>\
										<a href="javascript:void(0);" onclick="sendInviteFriends(this);" user-id='+fields.id+' class="btn btn-default btn-sm pull-right">Invite</a>\
									</li>';
				});
				searchResults += '</ul>';
				$(".invite-search-results").empty().append(searchResults);
			}
		}); 
	}
	else{
		$(".invite-search-results").empty();
	}
});

function sendInviteFriends(inviteFriends){
	var pageId = GetQryStrParams(window.location.hash.substr(1),'pageId');
	var userId = $(inviteFriends).attr("user-id");
	$.ajax({
		type        : 'POST',
		url         : appObj.siteUserControllerUrl+'sendInviteFriends',
		data        : {userId:userId,pageId:pageId},
		success     : function(data){
			if(data == 1){
				$(inviteFriends).empty().append('<i class="fa fa-check"></i> Invite sent');
			}
			else{
				bootbox.hideAll();
				bootbox.alert({
					title		:"Already a Invite",
					message		: "The person you just tried to add is already a invite of this page.",
					animate		:false,
					buttons		: {
						ok		:{
							className:'btn btn-primary btn-sm',
						}
					},
				});
				$(".bootbox-alert").addClass("group-modal");
			}
		}
	});
}

function dropzonePagesImages(){
	$("#myPagesPostForm").dropzone({
		autoProcessQueue	: false,
		uploadMultiple		: true,
		parallelUploads		: 100,
		maxFiles			: 100,
		thumbnailWidth		: 100,
		thumbnailHeight		: 100,
		url					: appObj.siteUserControllerUrl+'myPagesPostSave',
		addRemoveLinks		: true, 
		previewTemplate		: "<div class=\"dropzone-previews\">\n  <div class=\"dz-details\">\n <img data-dz-thumbnail />\n </div> </div>",
		previewsContainer	: ".pages-dropzone-previews",
		dictRemoveFile  	:'x',
		init: function(){
			var myDropzone = this;
			var pageId = GetQryStrParams(window.location.hash.substr(1),'pageId');
			$("input[name=pageId]").val(pageId);
			$("input[name=pageMemberType]").val(pageObj.pageMemberType);
			this.element.querySelector(".post-btn").addEventListener("click", function(e){
				e.preventDefault();
				e.stopPropagation();
				$("input[name=length]").val(myDropzone.files.length);
				$(".pages-dropzone-previews .dz-remove").remove();
				var postFormValid = '';
				var imageValid = $(".pages-dropzone-previews img").attr('src');
				if(imageValid){
					postFormValid = true;
				}
				else{
					postFormValid = $('#myPagesPostForm').valid();
				}
				$("#post_text-error.error").delay(2000).fadeOut('slow');
				if(postFormValid == true){
					$(".post-btn").prop('disabled', true);
					$(".post-btn").empty().append('<img class="m-l-xs" src="'+appObj.baseUrl+'assets/images/fb-loader.gif">');
					if (myDropzone.getQueuedFiles().length > 0) {
						myDropzone.processQueue();
					}
					else {
						myDropzone.uploadFiles([]); //send empty 
					}
				}
			});
			this.on("successmultiple", function(files, response) {
				if(response == 1){
					myDropzone.files.length = 0;
					$('#myPagesPostForm')[0].reset();
					$(".pages-dropzone-previews").empty();
					$(".post-btn").prop('disabled', false);
					$(".post-btn").text('Post');
					$("textarea[name=post_text]").css("height","auto");
					$(".post-meta-tag .meta-tag-block").remove();
					getPagesUserPost(1,pageId);
				}
			});
		}
	});
}

var count = 0;
$(window).scroll(function() {
	if(appObj.pageName == "myPages"){
		if($(window).scrollTop() == $(document).height() - $(window).height()) {
			if(count == 0){
				var pageId = GetQryStrParams(window.location.hash.substr(1),'pageId');
				getPagesUserPost(2,pageId);
				count = 1;
			}
		}
	}
});

function getPagesUserPost(type,pageId){
	if(type == 0){
		pagesPostObj.postsLoaded = 0;
	}
	$.ajax({
		type		:'POST'	,
		url         : appObj.siteUserControllerUrl+'getPagesUserPost',
		data		:{pagesPostObj:pagesPostObj,pageId:pageId,postType:type},
		dataType	:'json',
		success     : function(data){
			var recentActivity =''; 
			var pics = '';
			var visitorPosts = '';
			var visitorCount = 0;
			var postCount = 0;
			if(data.fields == ''){
				if(type != 2){
					$(".recent-activity-content").append('<div class="recent-post-block"><div class="hpanel"><div class="panel-body p-xs">No Post</div></div></div>');
				}
			}
			else{
				if(type == 0){
					$(".recent-activity-content").empty();
					$(".visitor-posts").empty();
				}
				$.each(data.fields,function(index,fields){
					pics = [];
					var str = fields.post_text;
					var regex = /(\b(https?|ftp|file):\/\/[-A-Z0-9+&@#\/%?=~_|!:,.;]*[-A-Z0-9+&@#\/%=~_|])/ig;
					var replaced_text = str.replace(regex, "<a class='btn-link' url='$1' onclick='openlink(this);' target='_blank' style='color:#3b5998;'>$1</a>");
					var company_name = '';
					if(fields.experience){
						var exp = $.parseJSON(fields.experience);
						for(var i=0; i<exp.length; i++){
							if(exp[i].exp_end_month == "" && exp[i].exp_end_year == ""){
								company_name = 'at '+exp[i].company_name;
							}
						}
					}
					if(fields.description != ''){
						var shortDesc = fields.description.substring(0,200)+ '...';
					}
					var post_text = str.replace(/<br ?\/?>/g, "");
					post_text = post_text.replace(/["']/g, "");
					
					if(fields.user_role == 1){
						postCount = postCount + 1;
						recentActivity = '';
						recentActivity+='<div class="recent-post-block" id="recentPost'+fields.id+'">\
											<div class="panel panel-default">\
												<div class="panel-body status">\
													<div class="who clearfix">';
														recentActivity+="<a href='javascript:void(0);' onclick='displayPublicProfile("+fields.user_id+",\""+fields.profile_img_medium+"\",\""+fields.cover_photo+"\","+fields.user_login_type+",\""+fields.name+"\",\""+fields.professional_headline+"\",\""+fields.ethinicity_country_code+"\");'>";
														
														recentActivity+='<img src="'+generateUserImg(fields.profile_img_small,fields.user_login_type,40,40)+'" style="width:40px;" alt="img" class="online" onerror="loadingImageError(this)">\
														</a>\
															<span class="name">';
																recentActivity+="<b><a href='javascript:void(0);' onclick='displayPublicProfile("+fields.user_id+",\""+fields.profile_img_medium+"\",\""+fields.cover_photo+"\","+fields.user_login_type+",\""+fields.name+"\",\""+fields.professional_headline+"\",\""+fields.ethinicity_country_code+"\");'>"+fields.name+"</a></b>";
																if(fields.ethinicity_country_code != ''){
																	var ethinicity_flag = fields.ethinicity_country_code.split(',');
																	ethinicity_flag.forEach(function(item){
																		recentActivity+='<img class="post-flag m-l-xs" src="assets/images/country-flags/16x16/'+item+'.png">';
																	});
																}
																
																if(fields.share == 1 && fields.post_type == 0){
																	recentActivity+=' shared a post';
																}
																else if(fields.share == 1 && fields.post_type == 1){
																	recentActivity+=' shared a job';
																}
																else if(fields.share == 1 && fields.post_type == 2){
																	recentActivity+=' shared a event';
																}
																else if(fields.share == 1 && fields.post_type == 3){
																	recentActivity+=' shared a course';
																}
																else if(fields.share == 1 && fields.post_type == 4){
																	recentActivity+=' shared a news';
																}
																else if(fields.share == 1 && fields.post_type == 5){
																	recentActivity+=' shared a blog';
																}
																if(fields.current_user_id == fields.user_id){
																	recentActivity+='<div class="panel-tools">\
																						<a data-toggle="dropdown" class=" dropdown-toggle"><i class="fa fa-angle-down fa-lg"></i></a>\
																						<ul class="dropdown-menu pull-right">';
																							recentActivity+='<li><a href="javascript:void(0); " onclick="editPagesUserPost('+fields.id+','+fields.page_id+');"><i class="fa fa-pencil"></i> Edit Post</a></li>';
																							recentActivity+='<li><a href="javascript:void(0); " onclick="deletePagesUserPost('+fields.id+','+fields.page_id+');"><i class="fa fa-times"></i> Delete Post</a></li>';
																						recentActivity+='</ul>\
																					</div>';
																}
																recentActivity+='<span class="m-r-xs pull-right post-time">'+convertPostDateFormat(fields.created_date.replace(/-/g, "/"))+'</span>\
															</span>\
														<span class="post-professional text-muted">'+fields.professional_headline+' '+company_name+'</span>\
													</div>\
													<div class="text">';
														if(fields.post_type == 0){
															if(fields.post_text != '' && fields.meta_tag_title == ''){
																recentActivity+='<p class="post-text'+fields.id+'">'+replaced_text+'</p>';
															}
															recentActivity+='<p class="m-n edit-post'+fields.id+'"></p>';
															if(fields.post_img != ''){
																var img = fields.post_img.split(',');
																recentActivity+='<div id="gallery'+fields.id+'"></div>';
																img.forEach(function(item,index){
																	if(fields.created_from == 0){
																		pics[index] = appObj.baseUrl+'assets/images/post/'+item;
																	}
																	else{
																		pics[index] = appObj.baseUrl+'assets/images/pages/pages-post/'+item;
																	}
																});
															}
															else if(fields.image_link != ''){
																recentActivity+= '<img class="img-responsive center-block" src="'+fields.image_link+'">';
															}
														}
														else{
															recentActivity+='<div class="share-text-block">';
																if(fields.post_type != 0){
																	recentActivity+= '<a href="javascript:void(0);" url="'+fields.link+'" onclick="openlink(this);">';
																}
																	recentActivity+= '<div class="share-image">';
																		if(fields.post_img != ''){
																			if(fields.post_type == 2){
																				recentActivity+= '<img class="img-responsive center-block" src="'+appObj.baseUrl+'assets/images/events/'+fields.post_img+'">';
																			}
																			else if(fields.post_type == 3){
																				recentActivity+= '<img class="img-responsive center-block" src="'+appObj.baseUrl+'assets/images/course/'+fields.post_img+'">';
																			}
																			else if(fields.post_type == 5){
																				recentActivity+= '<img class="img-responsive center-block" src="'+appObj.baseUrl+'assets/images/blog/'+fields.post_img+'">';
																			}
																			else{
																				var img = fields.post_img.split(',');
																				recentActivity+='<div id="gallery'+fields.id+'"></div>';
																				img.forEach(function(item,index){
																					if(fields.created_from == 0){
																						pics[index] = appObj.baseUrl+'assets/images/post/'+item;
																					}
																					else{
																						pics[index] = appObj.baseUrl+'assets/images/pages/pages-post/'+item;
																					}
																				});
																			}
																		}
																		else if(fields.image_link != ''){
																			recentActivity+= '<img class="img-responsive center-block" src="'+fields.image_link+'">';
																		}
																	recentActivity+= '</div>';
																	recentActivity+='<div class="p-xxs">';
																		if(fields.post_text != ''){
																			recentActivity+='<p>'+replaced_text+'</p>';
																		}
																		if(fields.description != ''){
																			recentActivity+= '<div class="description">'+fields.description+'</div>';
																		}
																	recentActivity+='</div>\
																</a>\
															</div>';
														}
														if(fields.meta_tag_title != ''){
															recentActivity+= '<div class="meta-tag-block" id="metaTag'+fields.id+'">\
																<a href="'+fields.meta_tag_link+'" target="_blank">';
																	if(fields.meta_tag_img != ''){
																		recentActivity+='<img src="'+fields.meta_tag_img+'" class="img-responsive center-block">';
																	}
																	recentActivity+='<div class="p-xxs">';
																		recentActivity+= '<p>'+fields.meta_tag_title+'</p>';
																		if(fields.meta_tag_desc != ''){
																			recentActivity+= '<div class="description">'+fields.meta_tag_desc+'</div>';
																		}
																	recentActivity+='</div>\
																</a>\
															</div>';
														}
													recentActivity+='</div>';
													if(isMobile()){
														recentActivity+='<div class="m-b-xs comments-likes">';
															if(fields.comments_count != 0){
																if(fields.comments_count == 1){
																	recentActivity+='<a href="javascript:void(0);" class="p-xxs" onclick="showComments(this,3,'+fields.id+',2);" comments-count='+fields.comments_count+'>'+fields.comments_count+' comment</a>';
																}
																else{
																	recentActivity+='<a href="javascript:void(0);" class="p-xxs" onclick="showComments(this,3,'+fields.id+',2);" comments-count='+fields.comments_count+'>'+fields.comments_count+' comments</a>';
																}
															}
															recentActivity+='<span class="likes-count">';
																if(fields.likes_count != 0){
																	if(fields.likes_count == 1){
																		recentActivity+='<a href="javascript:void(0);" onclick="showLikes(this,3,'+fields.id+','+fields.likes_count+');" class="p-xxs">'+fields.likes_count+' like</a>';
																	}
																	else{
																		recentActivity+='<a href="javascript:void(0);" onclick="showLikes(this,3,'+fields.id+','+fields.likes_count+');" class="p-xxs">'+fields.likes_count+' likes</a>';
																	}
																}
															recentActivity+='</span>';
														recentActivity+='</div>';
													}
													recentActivity+='<ul class="links">';
														if(fields.like_status != null){
															recentActivity+='<li class="post-likes post-list"><i class="pe-7s-like2 pe-lg pe-va"></i> <a likes_count='+fields.likes_count+' href="javascript:void(0);" onclick="saveLikes(this,3,'+fields.id+');" class="btn-link post-unlike">Like</a></li>';
														}
														else{
															recentActivity+='<li class="post-list"><i class="pe-7s-like2 pe-lg pe-va"></i> <a href="javascript:void(0);" likes_count='+fields.likes_count+' onclick="saveLikes(this,3,'+fields.id+');" class="btn-link post-like">Like</a></li>';
														}
														recentActivity+='<li class="post-list"><i class="pe-7s-comment pe-lg pe-va"></i> <a onclick="showComments(this,3,'+fields.id+',0);" href="javascript:void(0);" class="btn-link">Comment</a></li>\
														<li class="post-list">';
															if(isMobileApp()){
																recentActivity+='<a href="javascript:void(0);" link="'+appObj.siteUrl+'#page=myPages&pageId='+fields.page_id+'" onclick="socialShare(this);"  class="btn-link"><i class="pe-7s-back pe-lg pe-va"></i> Share</a>';
															}
															else{
																recentActivity+='<a href="javascript:void(0);" postId='+fields.id+' postText="'+post_text+'" postImage="'+fields.post_img+'" onclick="pagesPostShare(this);" class="btn-link"><i class="pe-7s-back pe-lg pe-va"></i> Share</a>';
															}
														recentActivity+='</li>';
														if(isWeb()){
															if(fields.comments_count != 0){
																recentActivity+='<a href="javascript:void(0);" onclick="showComments(this,3,'+fields.id+',1);" class="btn-link pull-right m-l-sm"><i class="fa fa-comment"></i> '+fields.comments_count+'</a>';
															}
															recentActivity+='<span class="likes-count">';
																if(fields.likes_count != 0){
																	recentActivity+='<a href="javascript:void(0);" class="btn-link pull-right"><i class="fa fa-thumbs-up"></i> '+fields.likes_count+'</a>';
																}
															recentActivity+='</span>';
														}
													recentActivity+='</ul>\
													<ul class="comments m-b-none">\
														<li style="display:none;">\
															<div class="input-group">\
																<textarea type="text" rows=1 class="form-control" name="comments" placeholder="Write a comment..."></textarea>\
																<span class="input-group-btn">\
																	<button type="button" class="btn btn-info btn-sm" onclick="saveComments(this,3,'+fields.id+');" disabled>Comment</button>\
																</span>\
															</div>\
														</li>\
														<div class="all-comments">\
															<li class="no-padding"></li>\
														</div>\
													</ul>\
												</div>\
											</div>\
										</div>';
						pagesPostObj.postsLoaded = pagesPostObj.postsLoaded + 1;
						if(type == 1){
							$(".recent-activity-content .recent-post-block:first-child").before(recentActivity);
						}
						else{
							$(".recent-activity-content").append(recentActivity);
						}
						$('.my-pages #gallery'+fields.id).imagesGrid({
							images: pics,
							align: true,
							getViewAllText: function(imgsCount){
								return '+' + (imgsCount - 5);
							}
						});
						count = 0;
					}
					else{
						if(type != 2 && isWeb()){
							visitorPosts = '';
							visitorCount = visitorCount + 1;
							if(visitorCount < 3){
								visitorPosts+='<div class="visitor-post-block" id="visitorPost'+fields.id+'">\
													<div class="panel panel-default">\
														<div class="panel-body status">\
															<div class="who clearfix">\
																<a href="javascript:void(0);" onclick="getPublicProfileDetails('+fields.user_id+')">\
																	<img src="'+generateUserImg(fields.profile_img_small,fields.user_login_type,40,40)+'" style="width:40px;" alt="img" class="online" onerror="loadingImageError(this)">\
																</a>\
																<span class="name"><b><a href="javascript:void(0);" onclick="getPublicProfileDetails('+fields.user_id+')">'+fields.name+'</a></b>';
																	if(fields.current_user_id == fields.user_id){
																			visitorPosts+='<div class="panel-tools">\
																								<a data-toggle="dropdown" class=" dropdown-toggle"><i class="fa fa-angle-down fa-lg"></i></a>\
																								<ul class="dropdown-menu pull-right">\
																									<li><a href="javascript:void(0); " onclick="deletePagesUserPost('+fields.id+','+fields.page_id+');"><i class="fa fa-times"></i> Delete Post</a></li>\
																								</ul>\
																							</div>';
																	}
																visitorPosts+='</span>\
																'+timeSince(fields.created_date,fields.current_date_time)+'\
															</div>\
															<div class="text">';
																if(fields.post_text !=''){
																	visitorPosts+='<p class="m-xs">'+replaced_text+'</p>';
																}
																if(fields.post_img != ''){
																	var img = fields.post_img.split(',');
																	visitorPosts+='<div id="visitorgallery'+fields.id+'"></div>';
																	img.forEach(function(item,index){
																		pics[index] = appObj.baseUrl+'assets/images/pages/pages-post/'+item;
																	});
																}
															visitorPosts+='</div>\
														</div>\
													</div>\
												</div>';
								if(type == 1){
									$(".visitor-posts .visitor-post-block:first-child").before(visitorPosts);
								}
								else{
									$(".visitor-posts").append(visitorPosts);
								}
								$('#visitorgallery'+fields.id).imagesGrid({
									images: pics,
									align: true,
									getViewAllText: function(imgsCount){
										return '+' + (imgsCount - 5);
									}
								});
							}
						}
					}
				});
			}
			if(visitorCount == 0 && type == 0){
				$(".visitor-posts").empty().append('<div class="visitor-post-block">No Visitor Posts.</div>');
			}
			if(postCount == 0 && type == 0){
				$(".recent-activity-content").empty().append('<div class="recent-post-block"><div class="hpanel"><div class="panel-body">No Post</div></div></div>');
			}
		}
	});
}

function getAllPagesPhotos(pageId){
	$.ajax({
		type		:'POST',
		url			:appObj.siteUserControllerUrl+'getAllPagesPhotos',
		data		:{pageId:pageId},
		dataType	:'json',
		success		:function(data){
			var allPhotos = '';
			$.each(data.fields,function(index,fields){
				if(fields.post_img != ''){
					var img = fields.post_img.split(',');
					img.forEach(function(item){
						allPhotos+='<div class="col-sm-3 col-xs-6 no-padding">\
										<a class="thumbnail" href="javascript:void(0);">';
											if(fields.created_from == 0){
												allPhotos+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/post/'+item+'">';
											}
											else if(fields.created_from == 2){
												allPhotos+= '<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/events/'+item+'">';
											}
											else if(fields.created_from == 3){
												allPhotos+= '<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/course/'+item+'">';
											}
											else if(fields.created_from == 5){
												allPhotos+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/blog/'+item+'">';
											}
											else{
												allPhotos+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/pages/pages-post/'+item+'">';
											}
										allPhotos+='</a>\
									</div>';
					});					
				}
			});
			if(allPhotos != ''){
				$(".all-photos").empty().append('<div class="hpanel">\
													<div class="panel-body p-xxs">\
														'+allPhotos+'\
													</div>\
												</div>');
			}
			else{
				$(".all-photos").empty().append('<div class="hpanel"><div class="panel-body">No Photos.</div></div>');
			}
		}
	});
}

function auto_grow(element){
	if(element.scrollHeight > 48){
		$(element).height(30);
		$(element).height(element.scrollHeight);
	}
}

function editPagesUserPost(postId,pageId){
	$.ajax({
		type		:'POST',
		url         : appObj.siteUserControllerUrl+'editPagesUserPost',
		dataType	:'json',
		data		:{postId:postId,pageId:pageId},
		success     : function(data){
			$('.post-text'+postId).hide();
			$('.edit-post'+postId).show();
			var editPost = '';
			var post_text = data.post_text.replace(/<br ?\/?>/g, "");
			editPost+='<div class="edit-post-block">\
							<textarea name="edit-group-post" class="form-control" onkeyup="auto_grow(this);" value="'+post_text+'">'+post_text+'</textarea>\
							<div class="edit-post-footer">\
								<a href="javascript:void(0);" onclick="cancelEditPagesPost('+data.id+');" class="btn btn-default btn-sm">Cancel</a>\
								<button type="button" page_id='+data.page_id+' post_id='+data.id+' onclick="editPagesPostSave(this);" class="btn btn-primary btn-sm">Done Editing</button>\
							</div>\
						</div>';
			$('.edit-post'+postId).empty().append(editPost);
		}
	});
}

function editPagesPostSave(editData){
	$(editData).prop("disabled",true);
	var pageId = $(editData).attr('page_id');
	var postId = $(editData).attr('post_id');
	var postText = $("textarea[name=edit-group-post]").val();
	$.ajax({
		type		:'POST',
		url         : appObj.siteUserControllerUrl+'editPagesPostSave',
		data		:{pageId:pageId,postId:postId,postText:postText},
		success     : function(data){
			if(data == 1){
				$('.my-pages #recentPost'+postId).html(getPagesUserPost(0,pageId));
			}
		}
	});
}
	
function cancelEditPagesPost(postId){
	$('.edit-post'+postId).hide();
	$('.post-text'+postId).show();
}

function deletePagesUserPost(postId,pageId){
	bootbox.confirm({
		title		: "Delete Post",
		message		: "Are you sure you want to delete this?",
		animate		:false,
		buttons: {
			confirm: {
				label: 'Delete Post',
				className:'btn btn-primary btn-sm',
			},
			cancel:{
				className:'btn btn-default btn-sm',
			}
		},
		callback	: function(data) {
			if(data) {
				$.ajax({
					type		:'POST',
					url     	: appObj.siteUserControllerUrl+'deletePagesUserPost',
					data 		: {postId:postId,pageId:pageId},
					success 	: function(data){
						if(data == 1){
							$('.my-pages #recentPost'+postId).empty();
							$('#visitorPost'+postId).empty();
						}
					}
				});
			}
		}
	});
	$(".bootbox-confirm").addClass("group-modal");
}

function getPagesDetails(pageId){
	$.ajax({
		type		:'POST',
		url     	: appObj.siteUserControllerUrl+'getPagesDetails',
		data 		: {pageId:pageId},
		dataType	:'json',
		success 	: function(data){
			if(data){
				$(".page-name").html(data.page_name);
				if(isWeb()){
					if(data.category_name){
						$(".page-category-name").html('<div class="hpanel">\
													<div class="panel-body">\
														'+data.category_name+'\
													</div>\
												</div>');
					}
				}
				if(data.cover_photo){
					$('.pages-cover-pic').empty().append('<img src="'+appObj.baseUrl+'assets/images/pages/cover/'+data.cover_photo+'?ts='+new Date().getTime()+'">');
					$(".pages-cover-pic, .update-cover-photo-btn, .liked-btn").show();
					$(".save-cover-photo").hide();
				}
				else{
					$('.pages-cover-pic').empty().append('<img src="'+appObj.baseUrl+'assets/images/pages/pages-default-cover.png">');
				}
				buildPagesSetting(data);
			}
			else{
				window.location.href = "#page=myPages"
			}
		}
	});
}

function getAllPageLikes(pageId){
	$.ajax({
		type		:'POST',
		url    	 	: appObj.siteUserControllerUrl+'getAllPageLikes',
		data		:{pageId:pageId},
		dataType 	: 'json',
		success 	: function(data){
			var likes ='<p class="p-xxs"><i class="fa fa-thumbs-o-up"></i> <a class="btn-link" href="javascript:void(0);" onclick="likesTab();">'+data.fields.length+' people like this</a></p>';
			
			var peopleLikes = '';
			peopleLikes+='<div class="row">\
							<div class="col-sm-7">\
								<p class="p-xxs"><span class="total-people">'+data.fields.length+' </span><span class="text-muted">Total Page Likes</span></p>\
							</div>\
							<div class="col-sm-5">\
								<form id="addAllMembers">\
									<div class="form-group m-n">\
										<input type="text" name="invite-search" placeholder="Invite your friends" autocomplete="off" class="form-control m-b-sm">\
									</div>\
									<div class="invite-search-results"></div>\
								</form>\
							</div>\
						</div>';
			peopleLikes+='<div class="row">';
				$.each(data.fields,function(index,fields){
					peopleLikes+='<div class="col-sm-6 col-xs-12">\
									<div class="members-block m-b-sm">\
										<a href="javascript:void(0);">\
											<img src="'+generateUserImg(fields.profile_img_medium,fields.user_login_type,98,98)+'" alt="Img" style="width:98px;" onerror="loadingImageError(this)">\
										</a>\
										<div style="height:10px;"></div>\
										<div class="pull-left" style="width:40%;">\
											<a class="btn-link" href="javascript:void(0);"><h5 class="name-truncate"><b>'+fields.name+'</b></h5></a>\
											<p class="name-truncate">'+fields.professional_headline+'</p>\
											<p class="text-muted">Liked</p>\
										</div>\
									</div>\
								</div>';
				});
			peopleLikes+='</div>';
			$(".total-likes").html(likes);
			$(".people-likes").empty().append(peopleLikes);
		}
	});
}

$(document).mouseup(function(e){
	var popup = $(".invite-search-results");
	if(!popup.is(e.target) && popup.has(e.target).length === 0){
		$(".invite-search-results").empty();
	}
});

function createPagesEvents(){
	var values ='';
	values+='<form class="form-horizontal" id="create-pages-event">\
				<div class="form-group">\
					<label class="control-label col-sm-3">Event photo</label>\
					 <div class="col-sm-9">\
						<div class="image-editor">\
							<input id="cropper-pages" type="file" class="cropit-image-input">\
								<div class="cropit-image-preview" id="list"></div>\
								<label for="cropper-pages">\
								<span class="add-event-photo"><i class="fa fa-camera"></i> Add Event Photo</span></label>\
								<div class="image-editor-cancel">+</div>\
								<input type="hidden" name="image-data"/>\
						</div>\
					</div>\
				</div>\
				<div class="form-group">\
					<label class="control-label col-sm-3">Event Name</label>\
					 <div class="col-sm-9">\
						<input type="text" name="event_name" class="form-control" placeholder="Add a short, clear name">\
					</div>\
				</div>\
				<div class="form-group">\
					<label class="control-label col-sm-3">Location</label>\
					<div class="col-sm-9">\
						<input type="text" name="location" class="form-control" placeholder="Include a place or address">\
					</div>\
				</div>\
				<div class="form-group">\
					<label class="control-label col-sm-3">Start Date/Time</label>\
					 <div class="col-sm-9">\
						<div class="event_date_time">\
							<div class="input-group date">\
							 <input type="text" class="form-control" name="start_date" id="datetimepicker1">\
								<span class="input-group-addon">\
									<span class="fa fa-calendar"></span>\
								</span>\
							</div>\
						</div>\
						<div class="event_date_time">\
							<div class="input-group">\
							 <input type="text" class="form-control" name="start_time" id="startTime">\
								<span class="input-group-addon">\
									<span class="fa fa-clock-o"></span>\
								</span>\
							</div>\
						</div>\
						<div class="add_end_time m-t-xs">\
							<a href="javascript:void(0);" class="btn-link m-t-xs" onclick="addEndTime();">+End Time</a>\
						</div>\
					</div>\
				</div>\
				<div class="form-group" id="endDateTime" style="display:none;">\
					<label class="control-label col-sm-3">End Date/Time</label>\
					 <div class="col-sm-9">\
						<div class="event_date_time">\
							<div class="input-group date">\
							 <input type="text" class="form-control" name="end_date" id="datetimepicker2">\
								<span class="input-group-addon">\
									<span class="fa fa-calendar"></span>\
								</span>\
							</div>\
						</div>\
						<div class="event_date_time">\
							<div class="input-group">\
							 <input type="text" class="form-control" name="end_time">\
								<span class="input-group-addon">\
									<span class="fa fa-clock-o"></span>\
								</span>\
							</div>\
						</div>\
						<div class="m-t-xs">\
							<a href="javascript:void(0);" class="btn-link" onclick="removEndTime();">Remove</a>\
						</div>\
					</div>\
				</div>\
				<div class="form-group">\
					<label class="control-label col-sm-3">Description</label>\
					<div class="col-sm-9">\
						<textarea name="description" rows=3 class="form-control" placeholder="Tell people more about the event"></textarea>\
					</div>\
				</div>\
				<input type="hidden" name="page-id">\
			</form>';

	bootbox.dialog({
		title		: "Create Event",
		message		: values,
		'animate' 	: false,
		className	:'createEvent',
		buttons		: {
			cancel:{
				label: "Cancel",
				className:'btn btn-default btn-sm',
			},
			success	: {
				label: "Create",
				className:'btn btn-primary btn-sm',
				callback: function () {
					pageEventSave();
				}
			},
		}
	});
	eventsImageCropit();
	eventsDate();
}

function pageEventSave(){
	var imageData = $('#create-pages-event .image-editor').cropit('export');
	$('input[name=image-data]').val(imageData);	 
	var pageId = GetQryStrParams(window.location.hash.substr(1),'pageId');
	$('input[name=page-id]').val(pageId);	 
	var data = new FormData($('#create-pages-event')[0]);
	$.ajax({
		type        : 'POST',
		url         : appObj.siteUserControllerUrl+'pageEventSave',
		data        : data,
		contentType : false,
		processData : false,
		success     : function(data){
			if(data == 1){
				getAllPageEvents(pageId);
			}
		}
	});
}

function addEndTime(){
	$(".add_end_time").hide();
	$("#endDateTime").show();
	var endTime = new Date();
	endTime = endTime.toLocaleTimeString().replace(/:\d+ /, ' ');
	$("input[name=end_time]").val(endTime);
	
	var date = new Date();
	var endDate =(date.getMonth()+1) + '/' + ("0" +date.getDate()).slice(-2) + '/' +date.getFullYear();
	$("#datetimepicker2").val(endDate);
}

function removEndTime(){
	$("#endDateTime").hide();
	$(".add_end_time").show();
}

function eventsDate(){
	$('#datetimepicker1').datetimepicker({
		format:'MM/DD/YYYY'
	});
	$('#datetimepicker2').datetimepicker({
		format:'MM/DD/YYYY'
	});
	
	var startTime = new Date();
	startTime = startTime.toLocaleTimeString().replace(/:\d+ /, ' ');
	$("#startTime").val(startTime);
	
	var date = new Date();
	var startDate =(date.getMonth()+1) + '/' + ("0" +date.getDate()).slice(-2) + '/' +date.getFullYear();
	$("#datetimepicker1").val(startDate);
}
  
function eventsImageCropit() {
	$(document).on('click','#create-pages-event .image-editor',function(){
		if(window.FileReader){ 
			$('#create-pages-event .image-editor').cropit({
				onFileChange:function(data){
					$(".add-event-loading").show();
					$(".add-event-photo").hide();
				},
				onImageLoaded:function(data){
					$(".add-event-loading").hide();
					$(".add-event-photo").show();
					$("#create-pages-event .image-editor-cancel").addClass("remove");
					$("#create-pages-event .add-event-photo").hide();
				},
				smallImage:'allow',
			});
		} 
		else{
			alert("the browser doesn't support the FileReader Object.")
		}
	}); 
}

$(document).on('click', '#create-pages-event .image-editor-cancel', function(){
	if ($('.cropit-image-preview').hasClass('cropit-image-loaded')) {
		$('.cropit-image-preview').removeClass('cropit-image-loaded').removeAttr('style');
		$("#cropper-pages").val('');
		$("#create-pages-event .image-editor-cancel").removeClass("remove");
		$("#create-pages-event .add-event-photo").show();
	}	
});

var monthNames = ["January", "February", "March", "April", "May", "June",
	"July", "August", "September", "October", "November", "December" ];
function changeDateFormat(date){
	var month_value = new Date(date).getMonth();
	var hours = new Date(date).getHours();
	var ampm = (hours >= 12) ? "pm" : "am";
	var getHour = ((hours + 11) % 12 + 1);
	var time = getHour+":"+("0"+ new Date(date).getMinutes()).slice(-2)+" "+ampm;
	return monthNames[month_value]+" "+new Date(date).getDate()+" at "+time;
}

function getAllPageEvents(pageId){
	$.ajax({
		type		:'POST',
		url     	: appObj.siteUserControllerUrl+'getAllPageEvents',
		data 		: {pageId:pageId},
		dataType	:'json',
		success 	: function(data){
			var allpageEvent = '';
			if(data.fields == ''){
				eventList ='No Events';
			}
			else{
				$.each(data.fields,function(index,fields){
					var month_value = new Date(fields.start_date).getMonth();
					var year = new Date(fields.start_date).getFullYear();
					allpageEvent+='<div class="col-sm-12" id="eventBlock'+fields.id+'">\
										<h6><b>'+monthNames[month_value]+' '+year+'</b></h6>\
										<div class="col-sm-3 no-padding">\
											<a href="javascript:void(0);">\
												<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/pages/pages-event-post/'+fields.event_photo+'">\
											</a>\
										</div>\
										<div class="col-sm-8 no-padding">\
											<h5><a href="javascript:void(0);" class="btn-link">'+fields.event_name+'</a></h5>\
											<p class="text-muted m-n">'+changeDateFormat(fields.start_date)+'</p>\
										</div>\
									</div>';
				});
			}
			$(".page-all-event").empty().append(allpageEvent);
		}
	});
}

function suggestedPagesBlock(pageId){
	$.ajax({
		type		:'POST',
		url         : appObj.siteUserControllerUrl+'getAllPagesSuggestions',
		data		:{pageId:pageId}	,
		dataType	:'json',
		success     : function(data){
			var suggestedPages = '';
			suggestedPages+='<div class="hpanel">\
								<div class="panel-heading hbuilt">\
									People Also Like\
								</div>\
									<div class="panel-body">';
										$.each(data.fields,function(index,fields){
											if(index < 1){
											suggestedPages+='<div class="sugg-page allGroups" id="suggPages'+fields.id+'">\
																<a href="#page=myPages&pageId='+fields.id+'">';
																	if(fields.cover_photo){
																		suggestedPages+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/pages/cover/'+fields.cover_photo+'">';
																	}
																	else{
																		suggestedPages+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/pages/pages-default-cover.png">';
																	}
																suggestedPages+='</a>\
																	<div class="title">\
																		<h5 class="m-n"><a class="btn-link" href="#page=myPages&pageId='+fields.id+'">'+fields.page_name+'</a></h5>\
																		<div class="text-muted">'+fields.people_count+' people like this.\
																		<span class="pull-right">\
																			<a href="javascript:void(0);" page-id='+fields.id+' onclick="suggestionPageLike(this);" class="btn btn-default btn-sm"><i class="fa fa-thumbs-o-up"></i> Like</a>\
																		</span>\
																	</div>\
															</div>';
											}
										});
									suggestedPages+='</div>\
							</div>';
			$(".sugg-pages-block").empty().append(suggestedPages);
		}
	});
}

function connectPeople(){
	$.ajax({
		url			:appObj.siteUserControllerUrl+'getAllUser',
		dataType	:'json',
		success		:function(data){
			var connectPeople = '';
			connectPeople+= '<div class="connect-scroll">';
								$.each(data.fields,function(index,fields){
									connectPeople+='<div class="connect-people-list m-b-sm">\
														<a href="javascript:void(0)" onclick="getPublicProfileDetails('+fields.id+');"><img src="'+generateUserImg(fields.profile_img_small,fields.user_login_type,50,50)+'" alt="Img" class="pull-left m-r-xs" style="width:50px;" onerror="loadingImageError(this)"></a>\
														<h5 class="m-n"><a href="javascript:void(0)" onclick="getPublicProfileDetails('+fields.id+');" class="btn-link">'+fields.name+'</a></h5>\
														<p class="text-muted m-n professional">'+fields.professional_headline+'</p>\
														<button type="button" class="btn btn-default m-t-xxs connected'+fields.id+'" onclick="connect('+fields.id+')"><i class="fa fa-user-plus"></i> Connect</button>\
													</div>';
								});
							connectPeople+='</div>';
			$(".connect-people").empty().append(connectPeople);
			var peopleHeight = $(window).height() - 158;
			$('.connect-scroll').slimScroll({
				distance:"-1px",
				height: peopleHeight+'px',
				alwaysVisible: false,
				touchScrollStep : 50
			});
		}
	});
}

function getAllPageRoles(pageId){
	$.ajax({
		type		:'POST',
		url			:appObj.siteUserControllerUrl+'getAllPageRoles',
		data		:{pageId:pageId},
		dataType	:'json',
		success		:function(data){
			var adminPageRoles = '';
			var memberPageRoles = '';
			$.each(data.fields,function(index,fields){
				if(fields.user_role == 0){
					memberPageRoles+='<div id="membersId'+fields.user_id+'">\
										<div class="col-lg-6 col-xs-12 p-xxs">\
											<div class="members-block">\
												<a href="javascript:void(0);">\
													<img src="'+generateUserImg(fields.profile_img_medium,fields.user_login_type,98,98)+'" alt="Img" class="pull-left m-r-xs" width="98px" onerror="loadingImageError(this)">\
												</a>\
												<div style="height:10px;"></div>\
												<div class="pull-left" style="width:40%;">\
													<a class="btn-link" href="javascript:void(0);"><h5 class="name-truncate"><b>'+fields.name+'</b></h5></a>\
												</div>\
												<div class="dropdown pull-right m-r-xs m-t-lg">\
													<a data-toggle="dropdown" class="btn btn-default btn-sm dropdown-toggle" aria-expanded="false"><i class="fa fa-cog"></i>\
													</a>\
													<ul class="dropdown-menu">\
														<li><a href="javascript:void(0);" onclick="makeAdminRoles('+fields.user_id+');">Make Admin</a></li>\
													</ul>\
												</div>\
											</div>\
										</div>\
									</div>';
				}
				if(fields.user_role == 1){
					adminPageRoles+='<div id="membersId'+fields.user_id+'">\
										<div class="col-lg-6 col-xs-12 p-xxs">\
											<div class="members-block">\
												<a href="javascript:void(0);">\
													<img src="'+generateUserImg(fields.profile_img_medium,fields.user_login_type,98,98)+'" alt="Img" class="pull-left m-r-xs" width="98px" onerror="loadingImageError(this)">\
												</a>\
												<div style="height:10px;"></div>\
												<div class="pull-left" style="width:40%;">\
													<a class="btn-link" href="javascript:void(0);"><h5 class="name-truncate"><b>'+fields.name+'</b></h5></a>\
													<span>Admin</span>\
												</div>\
												<div class="dropdown pull-right m-r-xs m-t-lg">\
													<a data-toggle="dropdown" class="btn btn-default btn-sm dropdown-toggle" aria-expanded="false"><i class="fa fa-cog"></i>\
													</a>\
													<ul class="dropdown-menu">\
														<li><a href="javascript:void(0);" onclick="removeAdminRoles('+fields.user_id+');">Remove as Admin</a></li>\
													</ul>\
												</div>\
											</div>\
										</div>\
									</div>';
				}
			});
			$(".admin-page-roles").empty().append(adminPageRoles);
			$(".editor-page-roles").empty().append(memberPageRoles);
			if(memberPageRoles == ''){
				$(".editor-page-roles").empty().append("You have no editors.")
			}
			if(adminPageRoles == ''){
				$(".admin-page-roles").empty().append("You have no admin.")
			}
		}
	});
}

function makeAdminRoles(memberId){
	var pageId = GetQryStrParams(window.location.hash.substr(1),'pageId');
	$.ajax({
		type		:'POST',
		url     	: appObj.siteUserControllerUrl+'makeAdminRoles',
		data 		: {memberId:memberId,pageId:pageId},
		success 	: function(data){
			if(data == 1){
				$('#membersId'+memberId).empty().append(getAllPageRoles(pageId));
			}
		}
	});
}

function removeAdminRoles(memberId){
	var pageId = GetQryStrParams(window.location.hash.substr(1),'pageId');
	$.ajax({
		type		:'POST',
		url     	: appObj.siteUserControllerUrl+'removeAdminRoles',
		data 		: {memberId:memberId,pageId:pageId},
		success 	: function(data){
			if(data == 1){
				$('#membersId'+memberId).empty().append(getAllPageRoles(pageId));
			}
		}
	});
}

function buildPagesSetting(data){
	var general = '';
	general+='<form class="form-horizontal">\
				<div class="form-group">\
					<label class="control-label col-sm-3">Visitor Posts</label>\
					 <div class="col-sm-9">\
						<div class="radio">\
							<label><input type="radio" name="visitor-posts" value="0" checked>Allow visitors to the Page to publish posts</label>\
						</div>\
						<div class="radio">\
						  <label><input type="radio" name="visitor-posts" value="1">Disable posts by other people on the Page</label>\
						</div>\
					</div>\
				</div>\
				<div class="form-group">\
						<label class="control-label col-sm-3"></label>\
						 <div class="col-sm-5">\
							<button type="button" onclick="saveGeneralSetting('+data.id+');" class="btn btn-primary btn-sm">Save</button>\
						</div>\
					</div>\
			</form>';
	general+='<div class="remove-page">\
				<div class="row">\
					<label class="control-label col-sm-3 text-right">Remove Page</label>\
					<div class="col-sm-9">\
						<a href="javascript:void(0);" onclick="deletePage('+data.id+');">Delete your Page</a>\
					</div>\
				</div>\
			</div>';
		$(".general").empty().append(general);
}

function deletePage(pageId){
	bootbox.confirm({
		title		: "Delete Page?",
		message		: "Are you sure you want to delete this Page?",
		animate		:false,
		buttons: {
			confirm: {
				label: 'Delete Page',
				className:'btn btn-primary btn-sm',
			},
			cancel:{
				className:'btn btn-default btn-sm',
			}
		},
		callback	: function(data) {
			if(data) {
				$.ajax({
					type		:'POST',
					url     	: appObj.siteUserControllerUrl+'deletePage',
					data 		: {pageId:pageId},
					success 	: function(data){
						if(data == 1){
							window.location.href = "#page=myPages";
						}
					}
				});
			}
		}
	});
	$(".bootbox-confirm").addClass("group-modal");
}

function saveGeneralSetting(pageId){
	var visitorPosts = $("input[name=visitor-posts]:checked").val();
	$.ajax({
		type    	: 'POST',
		url     	: appObj.siteUserControllerUrl+'saveGeneralSetting',
		data    	: {visitorPosts:visitorPosts,pageId:pageId},
		success     : function(data){
			if(data == 1){
				$('.mygroups-tab.nav-tabs a[href="#Home"]').tab('show');
			}
		}
	});
}

function pagesPostShare(postDetails){
	var postId = $(postDetails).attr("postId");
	var postText = $(postDetails).attr("postText");
	var postImage = $(postDetails).attr("postImage");
	var img = postImage.split(',');
	var images = '';
	if(img[0] !=''){
		images = appObj.baseUrl+'/assets/images/pages/pages-post/'+img[0];
	}
	FB.ui({
		method			:'share',
		mobile_iframe	:true,
		href			:appObj.siteUrl+'#page=myPages&pageId='+postId,
		title			:postText,
		picture			:images,
	}, 	function(response){});
}

$(document).bind('paste','input[name=post_text]',function(e){
	e.preventDefault();
    var Url = (e.originalEvent || e).clipboardData.getData('text/plain');
    window.document.execCommand('insertText', false, Url);
	var urlString = Url.match(/\b(http|https)?(:\/\/)?(\S*)\.(\w{2,4})\b/ig);
	$(".post-meta-tag").empty();
	if(urlString){
		$(".post-meta-tag").empty().append('<div class="text-center">Loading...</div>');
		$.ajax({
			type		:'POST',
			url    	 	: appObj.siteUserControllerUrl+'getMetaTag',
			data		:{Url:Url},
			dataType 	: 'json',
			success 	: function(data){
				var metaTag ='';
				var img = new Image();
				if(data.fields != ''){
					metaTag+='<div class="col-sm-12 meta-tag-block">\
								<a class="pull-right meta-tag-remove" title="Remove" onclick="metaTagRemove()"><i class="fa fa-lg fa-times"></i></a>\
								<a href="'+data.url+'" target="_blank">';
									if(data.image){
										metaTag+='<img src="'+data.image+'" class="img-responsive">';
										metaTag+='<input type="hidden" name="meta_tag_img" value="'+data.image+'">';
									}
									metaTag+='<div class="p-xxs">';
										metaTag+='<p>'+data.title+'</p>';
										if(data.description){
											metaTag+='<div class="description">'+data.description+'</div>';
											metaTag+='<input type="hidden" name="meta_tag_desc" value="'+data.description+'">';
										}
									metaTag+='</div>';
									metaTag+='<input type="hidden" name="meta_tag_title" value="'+data.title+'">';
									metaTag+='<input type="hidden" name="meta_tag_link" value="'+data.url+'">';
								metaTag+='</a>\
							</div>';
						
					img.onload = function(){
						if(this.width < 400 || this.height < 400){
							$(".post-meta-tag .meta-tag-block").addClass("small-image");
						}
					}
					img.src = data.image;
				}
				$(".post-meta-tag").empty().append(metaTag);
			}
		});
	}
});

function metaTagRemove(){
	$(".meta-tag-block").remove();
}


$(document).on('focus',"input[name=main-search-pages]",function(){
	var searchGroupsModal = '';
		searchGroupsModal+='<div class="searchPages" id="commonModal">\
								<div class="common-modal-content no-padding">\
									<div class="header">\
										<div class="breadcrumb-title"><a class="btn-link pull-left" href="javascript:void(0);" onclick="closeCommonModal();"><i class="fa fa-lg fa-angle-left"></i></a>\
											<form role="search" class="mobile-icon navbar-form-custom" method="post">\
												<div class="input-group">\
													<span class="input-group-addon"><i class="fa fa-search"></i></span>\
													<input type="text" placeholder="Search Pages" class="form-control" name="search-pages" autocomplete="off" autofocus>\
												</div>\
											</form>\
										</div>\
									</div>\
									<div class="pages-search-results"></div>\
								</div>\
							</div>';
	$("body").append(searchGroupsModal);
	$("body").addClass("body-disabled");
	$("input[name=search-pages]").focus();
});

$(document).on('keyup',"input[name=search-pages]",function(){
	var inputValue = $(this).val();
	if(inputValue != '' && inputValue.length > 1){
		$(".pages-search-results").empty().append('<div class="page-loading"><img class="center-block" src="assets/images/ajax-loader.gif" width="90"></div>');
		$.ajax({
			type    : 'POST',
			url     : appObj.siteUserControllerUrl+'getAllSearchPages',
			dataType : 'json',
			data     : {searchValue:inputValue},
			success : function(data){
				var searchResults = '';
				if(data.fields != ""){
					$.each(data.fields,function(index,fields){
						searchResults+= '<div class="col-xs-12 connections-block">\
											<a href="javascript:void(0);" onclick="pagesList('+fields.id+');">';
												if(fields.cover_photo != ""){
													searchResults += '<img src="'+appObj.baseUrl+'assets/images/pages/cover/'+fields.cover_photo+'" width="50">';
												}
												else{
													searchResults += '<img src="'+appObj.baseUrl+'assets/images/pages/pages-default-cover.png" width="50">';
												}
												searchResults += '<div class="details">\
													<h5 class="m-n name-truncate"><b>'+fields.page_name+'</b></h5>';
													if(fields.people_count != 0){
														searchResults+= '<div class="text-muted">'+fields.people_count+' people like this.</div>';
													}
												searchResults += '</div>\
											</a>\
										</div>';
					});
				}
				else{
					searchResults+='<div class="no-pending"><i class="fa fa-3x fa-envelope-o"></i><br><br>No search results</div>';
				}
				$(".pages-search-results").empty().append(searchResults);
			}
		}); 
	}
	else{
		$(".pages-search-results").empty();
	}
});

function pagesList(pageId){
	window.location.href = "#page=myPages&pageId="+pageId+"";
	$("#commonModal").remove();
	$("body").removeClass("body-disabled");
}

var currentTab = 0; // Current tab is set to be the first tab (0)
function createPage(){
	if(appObj.isLoggedIn){
		var createPage = '';
		createPage += '<div class="createPage" id="commonModal">\
							<div class="common-modal-content no-padding">\
								<div class="header">\
									<div class="breadcrumb-title"><a class="btn-link" href="javascript:void(0);" onclick="closeCommonModal();"><i class="fa fa-3x fa-angle-left"></i></a> <span>Create your Page</span><a href="javascript:void(0);" class=" create-link" id="prevBtn" onclick="nextPrev(-1)">Previous</a></div>\
								</div>\
								<form id="createPageForm">\
									<div class="tab">\
										<h3><b>Give your Page a Title</b></h3>\
										<p>This is how people identify your Page.</p>\
										<div class="form-group">\
											<input type="text" class="form-control" name="pageName" placeholder="Page name">\
										</div>\
									</div>\
									<div class="tab">\
										<h3><b>What\'s this Page about?</b></h3>\
										<p>Add one category to help people understand your Page. Choose the closest one – you can update it later.</p>\
										<div class="form-group">\
											<select class="form-control page-category" onchange="changePageCategory(this);" name="pageCategory"></select>\
										</div>\
										<div class="page-subcategory"></div>\
									</div>\
									<button class="btn btn-primary btn-sm btn-block" type="button" id="nextBtn" onclick="nextPrev(1)" disabled>Next</button>\
									 \
									<div>\
										<span class="step"></span>\
										<span class="step"></span>\
									</div>\
								</form>\
							</div>\
						</div>';
		$("body").append(createPage);
		$("body").addClass("body-disabled");
		currentTab = 0;
		showTab(currentTab); // Display the crurrent tab
		getPageCategory();
	}	
	else{
		window.location.href = "#page=login&msg=1";
	}
}

function getPageCategory(){
	$.ajax({
		url			:appObj.siteUserControllerUrl+'getPageOptions',
		type		:'POST',
		dataType	:'json',
		success		:function(data){
			var pageCategory = '';
			pageCategory += '<option value="">Select a category</option>';
			for(i=0;i<data.length;i++){
				pageCategory += '<option value='+data[i].id+'>'+data[i].name+'</option>';
			}
			$(".page-category").empty().append(pageCategory);
		}
	});
}

function changePageCategory(selected){
	var value = $(selected).val();
	if(value != ''){
		if(value < 6){
			$.ajax({
				url			:appObj.siteUserControllerUrl+'getPageCategory',
				type		:'POST',
				data		:{pageid:value},
				dataType	:'json',
				success		:function(data){
					var subCategory = '';
					subCategory+='<div class="form-group ">\
									<select class="form-control" onchange="changePageSubCategory(this);" name="pageSubCategory">\
									<option value="">Choose a subcategory</option>';
									for(i=0;i<data.length;i++){
										subCategory += '<option value='+data[i].id+'>'+data[i].name+'</option>';
									}
									subCategory+='</select>\
								</div>';
					$('.page-subcategory').empty().append(subCategory);
					$("#nextBtn").prop("disabled",true);
				}		
			});
		}
		else{
			$('.page-subcategory').empty();
			$("#nextBtn").prop("disabled",false);
		}
	}
	else{
		$('.page-subcategory').empty();
		$("#nextBtn").prop("disabled",true);
	}
}

$(document).on("keyup","input[name=pageName]",function(){
	if($(this).val() != ''){
		$("#nextBtn").prop("disabled",false);
	}
	else{
		$("#nextBtn").prop("disabled",true);
	}
});

function changePageSubCategory(selected){
	if($(selected).val() != ''){
		$("#nextBtn").prop("disabled",false);
	}
	else{
		$("#nextBtn").prop("disabled",true);
	}
}

function nextPrev(n) {
	// This function will figure out which tab to display
	var x = document.getElementsByClassName("tab");
	
	// Hide the current tab:
	x[currentTab].style.display = "none";
	
	// Increase or decrease the current tab by 1:
	currentTab = currentTab + n;
	
	// if you have reached the end of the form...
	if (currentTab >= x.length) {
		createNewPageSave();
		return false;
	}
	// Otherwise, display the correct tab:
	showTab(currentTab);
}

function showTab(n) {
	// This function will display the specified tab of the form...
	var x = document.getElementsByClassName("tab");
	x[n].style.display = "block";
	//... and fix the Previous/Next buttons:
	if (n == 0) {
		document.getElementById("prevBtn").style.display = "none";
		if($('input[name=pageName]').val() != ''){
			$("#nextBtn").prop("disabled",false);
		}
	}
	else {
		document.getElementById("prevBtn").style.display = "inline";
	}
	if (n == (x.length - 1)) {
		document.getElementById("nextBtn").innerHTML = "Get Started";
		$("#nextBtn").prop("disabled",true);
	} 
	else {
		document.getElementById("nextBtn").innerHTML = "Next";
	}
	fixStepIndicator(n);
}

function createNewPageSave(){
	var pageFormData = new FormData($('#createPageForm')[0]);
	$("#nextBtn").remove();
	$.ajax({
		url			:appObj.siteUserControllerUrl+'createNewPageSave',
		type		:'POST',
		data		:pageFormData,
		contentType : false,
		processData : false,
		dataType	:'json',
		success		:function(data){
			if(data){
				window.location.href="#page=myPages&pageId="+data;
				$("#commonModal").remove();
			}
		}
	});
}

function fixStepIndicator(n) {
	// This function removes the "active" class of all steps...
	var i, x = document.getElementsByClassName("step");
	for (i = 0; i < x.length; i++) {
		x[i].className = x[i].className.replace("active", "");
	}
	//... and adds the "active" class on the current step:
	x[n].className += " active";
}