var notificationsJS = '';

notificationsPageInitalize();
function notificationsPageInitalize(){
	notificationsPageContent();
	getAllNotificationsList();
	if(isMobileApp()){
		GARecored('Notifications');
	}
}

function notificationsPageContent(){
	$('#secondary-page').empty().append('<div class="all-notifications"><div class="page-loading"><img class="center-block" src="assets/images/ajax-loader.gif" width="90"><span class="loading-text">Loading notifications...</span></div></div>');
}

function getAllNotificationsList(){
	$.ajax({
		url		 : appObj.siteUserControllerUrl+'getAllNotificationsList',
		dataType : 'json',
		success	 : function(data){
			var allNotifications = '';
				if(data.fields == ''){
					allNotifications+='<div class="no-pending"><i class="fa fa-3x fa-envelope-o"></i><br><br>No pending notifications</div>';
				}
				else{
					$.each(data.fields,function(index,fields){
						allNotifications+='<div class="hpanel">\
												<div class="panel-body">';
													if(fields.type == 1){
														allNotifications += '<a href="#page=myConnections">';
													}
													else if(fields.type == 2){
														allNotifications += ' <a href="#page=mymentors">';
													}
													else if(fields.type == 4){
														allNotifications += ' <a href="#page=socialwall">';
													}
														allNotifications += '<div class="pull-left">\
															<img class="img-responsive m-r-sm" src="'+generateUserImg(fields.profile_img_small,fields.user_login_type,50,50)+'" alt="Image" width="50" onerror="checkImage(this);"/>\
																<span>'+notificationsDate(fields.updated_date.replace(/-/g, "/"))+'</span>\
														</div>\
														<h5>'+fields.name+'';
															if(fields.type == 1){
																allNotifications += ' accepted your connection request.';
															}
															else if(fields.type == 2){
																allNotifications += ' accepted your mentor request.';
															}
															else if(fields.type == 4){
																allNotifications += ' posted on socialwall.';
															}
														allNotifications+='</h5>\
													</a>\
												</div>\
											</div>';
					});
				}
			$(".all-notifications").empty().append(allNotifications);
		}
	});
}

function notificationsDate(date){
	date = new Date(date);
	var monthNames = ["Jan", "Feb", "Mar", "Apr", "May", "Jun",
	"Jul", "Aug", "Sep", "Oct", "Nov", "Dec" ];
	var day = date.getDate();
	var monthIndex = date.getMonth();
	var year = date.getFullYear();
	
	var dt = new Date();
	var currentYear = dt.getFullYear(); 
	if(year == currentYear){
		return day + ' ' + monthNames[monthIndex];
	}
	else{
		return day + ' ' + monthNames[monthIndex]+' '+year;
	}
	
}

function checkImage(image){
	image.onerror = "";
	image.src = appObj.siteUrl+'assets/images/user/user.png';
	return false;
}