var privacyJS = '';

privacyPageInitalize();
function privacyPageInitalize(){
	privacyPageContent();
	privacyContent();
	if(isMobileApp()){
		GARecored('Privacy');
	}
}

function privacyPageContent(){
	$('#secondary-page').empty().append('<div class="privacy"></div>');
}

function privacyContent(){
	var privacyContent = '';
		privacyContent+='\
							<p>LatInc Corporation, (LatInc), is committed to keeping any and all personal information collected of those individuals that visit our website and make use of our online facilities and services accurate, confidential, secure and private. Our privacy policy has been designed and created to ensure those affiliated with LatInc Corporation of our commitment and realization of our obligation not only to meet but to exceed most existing privacy standards.</p>\
							<p><em>THEREFORE,</em> this Privacy Policy Agreement shall apply to LatInc Corporation, and thus it shall govern any and all data collection and usage thereof. Through the use of www.LatInc.us you are herein consenting to the following data procedures expressed within this agreement.</p>\
							\
							<h4>Collection of Information</h4>\
							<p>This website collects various types of information, such as:</p>\
							<ul>\
								<li>Voluntarily provided information which may include your name, address, email address, billing and/or credit card information etc., which may be used when you purchase products and/or services and to deliver the services you have requested.</li>\
								<li>Information automatically collected when visiting our website, which may include cookies, third party tracking technologies and server logs</li>\
							</ul>\
							<p>Please rest assured that this site shall only collect personal information that you knowingly and willingly provide by way of surveys, completed membership forms, and emails. It is the intent of this site to use personal information only for the purpose for which it was requested and any additional uses specifically provided on this site.</p>\
							<p>LatInc Corporation may have the occasion to collect anonymous demographic information, such as age, gender, household income, political affiliation, race and religion at a later time.We may also gather information about the type of browser you are using, IP address or type of operating system to assist us in providing and maintaining superior quality service.</p>\
							<p>It is highly recommended and suggested that you review the privacy policies and statements of any website you choose to use or frequent as a means to better understand the way in which other websites garner, make use of and share information collected.</p>\
							\
							<h4>Use of Information Collected</h4>\
							<p>LatInc Corporation may collect and may make use of personal information to assist in the operation of our website and to ensure delivery of the services you need and request. At times, we may find it necessary to use personally identifiable information as a means to keep you informed of other possible products and/or services that may be available to you from www.LatInc.us . LatInc Corporation  may also be in contact with you with regards to completing surveys and/or research questionnaires related to your opinion of current or potential future services that may be offered.</p>\
							<p>LatInc Corporation may feel it necessary, from time to time, to make contact with you on behalf of other external business partners with regards to a potential new offer which may be of interest to you. If you consent or show interest in presented offers, then, at that time, specific identifiable information, such as name, email address and/or telephone number, may be shared with the third party.</p>\
							<p>LatInc Corporation may find it beneficial to share specific data with our trusted partners in an effort to conduct statistical analysis, provide you with email and/or postal mail, deliver support and/or arrange for deliveries to be made. Those third parties shall be strictly prohibited from making use of your personal information, other than to deliver those services which you requested, and as such they are thus required, in accordance with this agreement, to maintain the strictest of confidentiality with regards to all your information.</p>\
							<p>LatInc Corporation may deem it necessary to follow websites and/or pages that our users may frequent in an effort to gleam what types of services and/or products may be the most popular to customers or the general public.</p>\
							<p>LatInc Corporation may disclose your personal information, without prior notice to you, only if required to do so in accordance with applicable laws and/or in a good faith belief that such action is deemed necessary or is required in an effort to:</p>\
							<ul>\
								<li>Remain in conformance with any decrees, laws and/or statutes or in an effort to comply with any process which may be served upon LatInc Corporation and/or our website;</li>\
								<li>Maintain, safeguard and/or preserve all the rights and/or property of LatInc Corporation; and</li>\
								<li>Perform under demanding conditions in an effort to safeguard the personal safety of users of www.LatInc.us and/or the general public. </li>\
							</ul>\
							\
							<h4>Children Under Age of 13</h4>\
							<p>LatInc Corporation does not knowingly collect personal identifiable information from children under the age of thirteen (13) without verifiable parental consent. If it is determined that such information has been inadvertently collected on anyone under the age of thirteen (13), we shall immediately take the necessary steps to ensure that such information is deleted from our system\'s database. Anyone under the age of thirteen (13) must seek and obtain parent or guardian permission to use this website.</p>\
							\
							<h4>Unsubscribe or Opt-Out</h4>\
							<p>All users and/or visitors to our website have the option to discontinue receiving communication from us and/or reserve the right to discontinue receiving communications by way of email or newsletters. To discontinue or unsubscribe to our website please send an email that you wish to unsubscribe to Support@latinc.us. If you wish to unsubscribe or opt-out from any third party websites, you must go to that specific website to unsubscribe and/or opt-out. </p>\
							<h4>Links to Other Web Sites</h4>\
							<p>Our website does contain links to affiliate and other websites. LatInc Corporation does not claim nor accept responsibility for any privacy policies, practices and/or procedures of other such websites. Therefore, we encourage all users and visitors to be aware when they leave our website and to read the privacy statements of each and every website that collects personally identifiable information. The aforementioned Privacy Policy Agreement applies only and solely to the information collected by our website.</p>\
							<h4>Security</h4>\
							<p>LatInc Corporation shall endeavor and shall take every precaution to maintain adequate physical, procedural and technical security with respect to our offices and information storage facilities so as to prevent any loss, misuse, unauthorized access, disclosure or modification of the user\'s personal information under our control.</p>\
							<p>The company also uses Secure Socket Layer (SSL) for authentication and private communications in an effort to build users\' trust and confidence in the internet and website use by providing simple and secure access and communication of credit card and personal information.The website is also secured by VeriSign. </p>\
							\
							<h4>Changes to Privacy Policy Agreement</h4>\
							<p>LatInc Corporation reserves the right to update and/or change the terms of our privacy policy, and as such we will post those change to our website homepage at www.LatInc.us, so that our users and/or visitors are always aware of the type of information we collect, how it will be used, and under what circumstances, if any, we may disclose such information. If at any point in time LatInc Corporation decides to make use of any personally identifiable information on file, in a manner vastly different from that which was stated when this information was initially collected, the user or users shall be promptly notified by email. Users at that time shall have the option as to whether or not to permit the use of their information in this separate manner. </p>\
							<h4>Acceptance of Terms</h4>\
							<p>Through the use of this website, you are hereby accepting the terms and conditions stipulated within the aforementioned Privacy Policy Agreement. If you are not in agreement with our terms and conditions, then you should refrain from further use of our sites. In addition, your continued use of our website following the posting of any updates or changes to our terms and conditions shall mean that you are in agreement and acceptance of such changes. </p>\
							<h4>How to Contact Us</h4>\
							<p>If you have any questions or concerns regarding the Privacy Policy Agreement related to our website, please feel free to contact us at the following email, telephone number or mailing address.</p>\
							<p><span>Email :</span> contact@latinc.us</p>\
							<p><span>Telephone Number :</span> 857-260-0074</p>\
							<p><span>Mailing Address :</span><br>\
								LatInc Corporation<br>\
								3 East Alden Avenue<br>\
								Randolph, Massachusetts 02368</p>';

	
	$(".privacy").empty().append(privacyContent);
}