var requestJS = '';

var suggestedObj = {
	noOfContactsLoaded 			: 0,
	noOfContactsToLoaded 		: 24,
	pageLoaded 					: false
}

requestPageInitalize();
function requestPageInitalize(){
	$(".page-full-content").hide();
	if(suggestedObj.pageLoaded){
		$(".content-page-"+appObj.pageName).show();
	}
	else{
		suggestedObj.noOfContactsLoaded = 0;
		requestPageContent();
		getConnectionsCount();
		getAllPendingInvitaions();
		getAllSuggestedConnections(0);
		suggestedObj.pageLoaded = true;
	}
	if(isMobileApp()){
		GARecored('Requests');
	}
}

function requestPageContent(){
	$('#primary-page').append('<div class="page-full-content content-page-'+appObj.pageName+'"><div class="request-block">\
									<div class="hpanel first">\
										<div class="panel-body text-center">\
											<div class="row">\
												<div class="col-xs-6">\
													<a href="#page=myConnections">\
														<h3 class="connections-count m-t-none m-b-xs"></h3>\
														View connections\
													</a>\
												</div>\
												<!--<div class="col-xs-6">\
													<a href="javascript:void(0);" onclick="inviteContactsModal();">\
														<h3 class="m-t-none m-b-xs"><i class="fa fa-book"></i></h3>\
														Invite contacts\
													</a>\
												</div>-->\
											</div>\
										</div>\
									</div>\
									<div class="pending-invitations"></div>\
									<img class="center-block people-loading" src="assets/images/ajax-loader.gif" width="90">\
									<div class="hpanel people-you-block" style="display:none;">\
										<div class="panel-heading hbuilt">\
											<h5><b>People you may know</b></h5>\
										</div>\
										<div class="panel-body">\
											<div class="suggested-connections"></div>\
										</div>\
										<div class="invite-sent-msg"></div>\
									</div>\
								</div></div>');
}

function getConnectionsCount(){
	$.ajax({
		url      : appObj.siteUserControllerUrl+'getConnectionsCount',
		type     :'POST',
		dataType : 'json',
		success  : function(data){
			$(".connections-count").html(data.count);
		}
	});
}

function getAllPendingInvitaions(){
	$.ajax({
		type		:'POST',
		url			: appObj.siteUserControllerUrl+'getAllPendingInvitaions',
		dataType	:'json',
		success		: function(data){
			var invitations = '';
			if(data.fields != ''){
				var data = data.fields[0];
				invitations+='<div class="hpanel">\
								<div class="panel-body">\
									<h4 class="m-b">Invitations</h4>';
									invitations += '<div class="connections-block no-padding" id="userBlock'+data.id+'">';
										invitations+="<a href='javascript:void(0);' onclick='displayPublicProfile("+data.id+",\""+data.profile_img_small+"\",\""+data.cover_photo+"\","+data.user_login_type+",\""+data.name+"\",\""+data.professional_headline+"\",\""+data.ethinicity_country_code+"\");'>";
											invitations+='<img class="img-responsive" src="'+generateUserImg(data.profile_img_small,data.user_login_type,50,50)+'" alt="Image" width="50" onerror="checkImage(this);"/>\
										</a>\
										<div class="details">\
											<h5 class="m-n name-truncate">';
												invitations+="<a href='javascript:void(0);' onclick='displayPublicProfile("+data.id+",\""+data.profile_img_small+"\",\""+data.cover_photo+"\","+data.user_login_type+",\""+data.name+"\",\""+data.professional_headline+"\",\""+data.ethinicity_country_code+"\");'><b>"+data.name+"</b></a>";
											invitations+='</h5>\
											<span class="pull-right">\
												<a href="javascript:void(0);" onclick="acceptPendingConnections(this,'+data.id+');"><i class="pe-7s-check pe-lg"></i> </a>\
												<a href="javascript:void(0);" onclick="rejectPendingConnections(this,'+data.id+');"><i class="pe-7s-close-circle pe-lg"></i> </a>\
											</span>\
											<div class="text-muted">'+data.professional_headline+'</div>\
										</div>\
									</div>\
								</div>\
								<div class="panel-footer text-center">\
									<a href="javascript:void(0);" class="manage-all" onclick="manageAll();">\
										<h5>MANAGE ALL</h5>\
									</a>\
								</div>\
							</div>';
			}
			else{
				invitations+='<div class="hpanel">\
								<div class="panel-body p-xs">\
									<div class="row">\
										<div class="col-xs-7">\
											<h5>No pending invitations</h5>\
										</div>\
										<div class="col-xs-5 text-right">\
											<a href="javascript:void(0);" class="manage-all" onclick="manageAll();">\
												<h5>MANAGE ALL</h5>\
											</a>\
										</div>\
									</div>\
								</div>\
							</div>';
			}
			$(".pending-invitations").empty().append(invitations);
		}
	});
}

function manageAll(){
	var manageModal = '';
		manageModal+='<div class="manageModal" id="commonModal">\
						<div class="common-modal-content no-padding">\
							<div class="header">\
								<div class="breadcrumb-title"><a class="btn-link pull-left" href="javascript:void(0);" onclick="closeCommonModal();"><i class="fa fa-lg fa-angle-left"></i></a>\
								<ul class="nav connection-menu nav-tabs">\
									<li class="active">\
										<a href="#received" data-toggle="tab">Received</a>\
									</li>\
									<li>\
										<a href="#sent" data-toggle="tab" onclick="getSentConnectionsRequest();">Sent</a>\
									</li>\
								</ul></div>\
							</div>\
							<div class="tab-content">\
								<div class="tab-pane fade in active" id="received">\
									<div class="pending-connections">\
										<div class="page-loading"><img class="center-block message-loader" src="assets/images/ajax-loader.gif" 	width="90"><span class="loading-text">Loading...</span></div>\
									</div>\
								</div>\
								<div class="tab-pane fade" id="sent">\
									<div class="send-request-connections">\
										<div class="page-loading"><img class="center-block message-loader" src="assets/images/ajax-loader.gif" 	width="90"><span class="loading-text">Loading...</span></div>\
									</div>\
								</div>\
							</div>\
						</div>\
					</div>';
	$("body").append(manageModal);
	$("body").addClass("body-disabled");
	getAllPendingConnections();
}

// Pending
function getAllPendingConnections(){
	$.ajax({
		url				: appObj.siteUserControllerUrl+'getAllPendingConnections',
		dataType		: 'json',
		success			: function(data){
			if(data.length > 0){
				var i;
				var pendingConnections = '';
				pendingConnections +='<h4>Notable Invites ('+data.length+')</h4>';
				for(i=0;i<data.length;i++){
					pendingConnections += '<div class="connections-block" id="userBlock'+data[i].id+'">';
							pendingConnections+="<a href='javascript:void(0);' onclick='displayPublicProfile("+data[i].id+",\""+data[i].profile_img_small+"\",\""+data[i].cover_photo+"\","+data[i].user_login_type+",\""+data[i].name+"\",\""+data[i].professional_headline+"\",\""+data[i].ethinicity_country_code+"\");'>";
								pendingConnections+='<img class="img-responsive" src="'+generateUserImg(data[i].profile_img_small,data[i].user_login_type,50,50)+'" alt="Image" width="50" onerror="checkImage(this);"/>\
							</a>\
							<div class="details">\
								<h5 class="m-n name-truncate">';
									pendingConnections+="<a href='javascript:void(0);' onclick='displayPublicProfile("+data[i].id+",\""+data[i].profile_img_small+"\",\""+data[i].cover_photo+"\","+data[i].user_login_type+",\""+data[i].name+"\",\""+data[i].professional_headline+"\",\""+data[i].ethinicity_country_code+"\");'><b>"+data[i].name+"</b></a>";
								pendingConnections+='</h5>\
								<span class="pull-right">\
									<a href="javascript:void(0);" onclick="acceptPendingConnections(this,'+data[i].id+');"><i class="pe-7s-check pe-lg"></i> </a>\
									<a href="javascript:void(0);" onclick="rejectPendingConnections(this,'+data[i].id+');"><i class="pe-7s-close-circle pe-lg"></i> </a>\
								</span>\
								<div class="text-muted">'+data[i].professional_headline+'</div>\
							</div>\
						</div>';
				}
				$('.pending-connections').empty().append(pendingConnections);
			}
			else{
				$('.pending-connections').empty().append('<div class="no-pending"><i class="fa fa-3x fa-envelope-o"></i><br><br>No pending invitations</div>');
			}
		}
	});
}

function acceptPendingConnections(btn,user_id){
	$('#userBlock'+user_id).remove();
	$.ajax({
		url			:appObj.siteUserControllerUrl+'acceptPendingConnections',
		type		:'POST',
		data		:{user_id:user_id},
		dataType	:'json',
		success		:function(data){
			if(data == 1){
				connectionsNotifications(user_id);
			}
		}
	});
}

function rejectPendingConnections(btn,user_id){
	$('#userBlock'+user_id).remove();
	$.ajax({
		url			:appObj.siteUserControllerUrl+'rejectPendingConnections',
		type		:'POST',
		data		:{user_id:user_id},
		dataType	:'json',
	});
}

function connectionsNotifications(user_id){
	$.ajax({
		url			: appObj.siteUserControllerUrl+'connectionsNotifications',
		data		: {user_id:user_id},
		type		: 'POST',
		dataType	: 'json',
	});
}

// Sent
function getSentConnectionsRequest(){
	var i;
	var sendRequest = '';
	$.ajax({
		url			: appObj.siteUserControllerUrl+'getSentConnectionsRequest',
		dataType	: 'json',
		success		: function(data){
			if(data.length > 0){
				for(i=0;i<data.length;i++){
					sendRequest += displaySentConnectionsRequest(data[i].id,data[i].name,data[i].professional_headline,data[i].profile_img_small,data[i].user_login_type,data[i].ethinicity_country_code,data[i].cover_photo);
				}
				$('.send-request-connections').empty().append(sendRequest);
			}
			else{
				$('.send-request-connections').empty().append('<div class="no-pending"><i class="fa fa-3x fa-envelope-o"></i><br><br>No sent invitations</div>');
			}
		}
	});
}

function displaySentConnectionsRequest(id,name,professional,imagepath,loginType,ethinicity_country_code,cover_photo){
	var requestSendBlock = '';
	requestSendBlock = '<div class="connections-block" id="userBlock'+id+'">';
							requestSendBlock+="<a href='javascript:void(0);' onclick='displayPublicProfile("+id+",\""+imagepath+"\",\""+cover_photo+"\","+loginType+",\""+name+"\",\""+professional+"\",\""+ethinicity_country_code+"\");'>";
								requestSendBlock+='<img class="img-responsive" src="'+generateUserImg(imagepath,loginType,50,50)+'" alt="Image" width="50" onerror="checkImage(this);"/>\
							</a>\
							<div class="details">\
								<h5 class="m-n name-truncate">';
									requestSendBlock+="<a href='javascript:void(0);' onclick='displayPublicProfile("+id+",\""+imagepath+"\",\""+cover_photo+"\","+loginType+",\""+name+"\",\""+professional+"\",\""+ethinicity_country_code+"\");'><b>"+name+"</b></a>";
								requestSendBlock+='</h5>\
								<span class="pull-right">\
									<a href="javascript:void(0);" onclick="cancelSentConnectionsRequest(this,'+id+');">Cancel</a>\
								</span>\
								<div class="text-muted">'+professional+'</div>\
							</div>\
						</div>';
	return requestSendBlock;
}

function cancelSentConnectionsRequest(btn,user_id){
	$('#userBlock'+user_id).remove();
	$.ajax({
		url			:appObj.siteUserControllerUrl+'cancelSentConnectionsRequest',
		type		:'POST',
		data		:{user_id:user_id},
		dataType	:'json',
	});
}

//People
var connections1 = '';
function getAllSuggestedConnections(type){
	$(".suggested-connections .col-xs-12:last-child").after('<img class="mentors-load" src="'+appObj.siteUrl+'assets/images/comments-loader.gif">');
	$.ajax({
		url     	: appObj.siteUserControllerUrl+'getAllSuggestedConnections',
		type		:'POST',
		data   		:{noOfContactsToLoaded:suggestedObj.noOfContactsToLoaded,noOfContactsLoaded:suggestedObj.noOfContactsLoaded},
		dataType	: 'json',
		success		: function(data){
			if(type == 0){
				$(".suggested-connections").empty();
			}
			$(".people-you-block").show();
			$(".people-loading").remove();
			$(".mentors-load").remove();
			var connections2 = '';
			if(data.length > 0){
				var i;
				for(i=0; i<data.length; i++){
					var connections3 = '';
					connections3+= displaySuggestedConnections(data[i].id,data[i].name,data[i].professional_headline,data[i].profile_img_medium,data[i].user_login_type,data[i].ethinicity_country_code,data[i].cover_photo);
					
					var defaultImg = data[i].profile_img_small.indexOf("user.png") > 1 || data[i].profile_img_small.indexOf("4252rscbv5M") > 1;
					if(defaultImg){
						connections1+= connections3;
					}
					else{
						if(data[i].profile_img_small == ""){
							connections1+= connections3;
						}
						else{
							connections2+= connections3;
						}
					}
					suggestedObj.noOfContactsLoaded++;
					suggestedCount = 0;
				}
				$(".suggested-connections").append(connections2);
			}
			else{
				$(".suggested-connections").append(connections1);
			}
		}
	});
}

function displaySuggestedConnections(id,name,professional,imagepath,loginType,ethinicity_country_code,cover_photo){
	var suggestedConnectionsBlock = '';
	suggestedConnectionsBlock = '<div class="col-xs-12 connections-block userBlock'+id+'">';
									suggestedConnectionsBlock+="<a href='javascript:void(0);' onclick='displayPublicProfile("+id+",\""+imagepath+"\",\""+cover_photo+"\","+loginType+",\""+name+"\",\""+professional+"\",\""+ethinicity_country_code+"\");'>";
										suggestedConnectionsBlock+='<img class="img-responsive" src="'+generateUserImg(imagepath,loginType,50,50)+'" alt="Image" width="50" onerror="checkImage(this);"/>\
									</a>\
									<div class="details">\
										<h5 class="m-n name-truncate">';
											suggestedConnectionsBlock+="<a href='javascript:void(0);' onclick='displayPublicProfile("+id+",\""+imagepath+"\",\""+cover_photo+"\","+loginType+",\""+name+"\",\""+professional+"\",\""+ethinicity_country_code+"\");'><b>"+name+"</b></a>";
										suggestedConnectionsBlock+='</h5>\
										<span class="pull-right">\
											<a class="connected'+id+'" onclick="sendConnectionsRequest(this,'+id+');" userName="'+name+'" type="1"><i class="pe-7s-add-user pe-lg pe-va"></i></a>\
										</span>\
										<div class="text-muted">'+professional+'</div>\
									</div>\
								</div>';
	return suggestedConnectionsBlock;
}

function sendConnectionsRequest(btn,user_id){
	$('.userBlock'+user_id).addClass("user-remove");
	setTimeout (function(){
		$('.userBlock'+user_id).remove();
		var userName = $(btn).attr("userName");
		$('.invite-sent-msg').show();
		$(".invite-sent-msg").empty().append('<div class="panel">Invitation sent for '+userName+'</div>');
		$('.invite-sent-msg').delay(4000).fadeOut('fast');
	},500)
	$.ajax({
		type		: 'POST',
		url     	: appObj.siteUserControllerUrl+'sendConnectionsRequest',
		data		: {user_id:user_id},
		dataType	: 'json',
		success 	: function(data){
			if(data == 1){
				getSentConnectionsRequest();
				sendNotifications(user_id,"connectionsRequest");
			}
		}
	});
}

function checkImage(image){
	image.onerror = "";
	image.src = appObj.siteUrl+'assets/images/user/user.png';
	return false;
}

var suggestedCount = 0;
$(window).scroll(function(){
	if(appObj.pageName == "request"){
		if($(window).scrollTop() + $(window).height() > $(document).height() - 300){
			if(suggestedCount == 0){
				getAllSuggestedConnections(1);
				suggestedCount = 1;
			}
		}
	}
});

//Contacts
function inviteContactsModal(){
	var contactsModal = '';
		contactsModal+= '<div class="inviteContactsModal" id="commonModal">\
							<div class="common-modal-content">\
								<div class="header">\
									<div class="breadcrumb-title"><a class="btn-link" href="javascript:void(0);" onclick="closeCommonModal();"><i class="fa fa-3x fa-angle-left"></i></a> <span>Select the contacts to invite</span></div>\
								</div>\
								<div class="p-xs">\
									<input type="text" class="form-control" name="search-invite-contacts" placeholder="Search by name...">\
									<a href="javascript:void(0);" onclick="searchContactsClose();" class="search-contacts-close" style="display:none;"><i class="fa fa-times fa-lg"></i></a>\
								</div>\
								<div class="contacts-fixed">\
									<div class="invite-contacts-modal p-xs"><img class="center-block" src="assets/images/ajax-loader.gif" width="90"></div>\
									<div class="search-invite-contacts-modal"></div>\
								</div>\
								<div class="invite-footer p-xs">\
									<a class="btn btn-outline btn-default btn-sm pull-left" href="javascript:void(0);" onclick="closeCommonModal();">Cancel</a>\
									<button type="button" class="btn btn-sm btn-info invite-contacts-btn pull-right" onclick="inviteAppConatcts(this);" inviteCount="0" disabled>INVITE <small>(<span class="invite-count">0</span> Selected)</small></button>\
								</div>\
							</div>\
						</div>';
	$("body").append(contactsModal);
	$("body").addClass("body-disabled");
	if(isIosApp()){
		document.addEventListener("deviceready", init, false);
		$(".inviteContactsModal .contacts-fixed").height(window.innerHeight - 175);
	}
	else{
		navigator.contacts.find([navigator.contacts],gotContactsModal);
		$(".inviteContactsModal .contacts-fixed").height(window.innerHeight - 155);
	}
}

// Android
function gotContactsModal(c){
	var contacts = '';
	contacts+='<div class="invite-contacts">\
					<form id="contactsForm">\
						<div class="row">\
							<div class="col-xs-11">';
								c.sort(function(a, b){
									if(a.displayName < b.displayName) return -1;
									if(a.displayName > b.displayName) return 1;
									return 0;
								})
								for(var i=0, len=c.length; i<len; i++){
									if(c[i].displayName && c[i].phoneNumbers){
										if(c[i].phoneNumbers[0].value.length >= 10){
											var character = c[i].displayName.substring(0,1);
											contacts+='<div class="contactsBlock'+i+'" id="character'+character+'">\
															<a href="javascript:void(0);" onclick="selectInviteContacts(this,'+i+',0);">';
																if(c[i].photos && c[i].photos.length){
																	contacts+='<img class="img-responsive" src="'+c[i].photos[0].value+'">';
																}
																else{
																	contacts+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/user/60x60/user.png">';
																}
																contacts+='<h5 class="pull-left">'+c[i].displayName+'\
																	<div class="text-muted">'+c[i].phoneNumbers[0].value+'</div>\
																</h5>\
															</a>\
															<span class="pull-right">\
																<a href="javascript:void(0);" class="btn btn-default btn-sm invite'+i+'" phoneNumber="'+c[i].phoneNumbers[0].value+'" name="'+c[i].displayName+'" onclick="selectInviteContacts(this,'+i+',0);"> <i class="fa fa-user"></i> <i class="fa fa-plus"></i></a>\
															</span>\
															<input type="hidden" name="phone[]" value="'+c[i].phoneNumbers[0].value+'">\
															<input type="hidden" name="name[]" value="'+c[i].displayName+'">\
															<hr class="clear">\
														</div>';
										}
									}
								}
							contacts+='</div>\
							<ul class="list-unstyled pull-right sort-characters"></ul>\
						</div>\
					</form>\
				</div>';
	if(c == ""){
		$(".inviteContactsModal .invite-contacts-modal").text("You have no contacts found.");
	}
	else{
		$(".inviteContactsModal .invite-contacts-modal").empty().append(contacts);
		saveAllMobileContacts();
	}
	sortCharacters();
}

// Ios
function init() {
    navigator.contacts.find([navigator.contacts.fieldType.displayName],gotContactsIOS);
}

function gotContactsIOS(c){
	var contacts = '';
	contacts+='<div class="invite-contacts">\
					<form id="contactsForm">\
						<div class="row">\
							<div class="col-xs-11">';
								c.sort(function(a, b){
									if(a.name.formatted < b.name.formatted) return -1;
									if(a.name.formatted > b.name.formatted) return 1;
									return 0;
								})

								for(var i=0, len=c.length; i<len; i++){
									if(c[i].name.formatted && c[i].phoneNumbers){
										if(c[i].phoneNumbers[0].value.length >= 10){
											var character = c[i].name.formatted.substring(0,1);
											
											contacts+='<div class="contactsBlock'+i+'" id="character-'+character+'">\
												<a href="javascript:void(0);" onclick="selectInviteContacts(this,'+i+',0);">';
													if(c[i].photos && c[i].photos.length){
														contacts+='<img class="img-responsive" src="'+c[i].photos[0].value+'">';
													}
													else{
														contacts+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/user/60x60/user.png">';
													}
													contacts+='<h5 class="pull-left">'+c[i].name.formatted+'\
														<div class="text-muted">'+c[i].phoneNumbers[0].value+'</div>\
													</h5>\
												</a>\
												<span class="pull-right">\
													<a href="javascript:void(0);" class="btn btn-default btn-sm invite'+i+'" phoneNumber="'+c[i].phoneNumbers[0].value+'" name="'+c[i].name.formatted+'" onclick="selectInviteContacts(this,'+i+',0);"> <i class="fa fa-user"></i> <i class="fa fa-plus"></i></a>\
												</span>\
												<input type="hidden" name="phone[]" value="'+c[i].phoneNumbers[0].value+'">\
												<input type="hidden" name="name[]" value="'+c[i].name.formatted+'">\
											<hr style="clear:both;"></div>';
										}
									}
								}
							contacts+='</div>\
							<ul class="list-unstyled pull-right sort-characters"></ul>\
						</div>\
					</form>\
				</div>';
	if(c == ""){
		$(".inviteContactsModal .invite-contacts-modal").text("You have no contacts found.");
	}
	else{
		$(".inviteContactsModal .invite-contacts-modal").empty().append(contacts);
		saveAllMobileContacts();
	}
	sortCharacters();
}

function selectInviteContacts(btn,invite,type){
	var inviteCount = 0;
	if(type == 0){
		var btnElement = $(btn).parentsUntil().find(".contactsBlock"+invite);
	}
	else{
		var btnElement = $(btn).parentsUntil().find(".contactsSearchBlock"+invite);
	}
	if(btnElement.hasClass("select-contacts")){
		btnElement.removeClass("select-contacts");
		btnElement.find(".invite"+invite).empty().append('<i class="fa fa-user"></i>  <i class="fa fa-plus">');
		inviteCount = parseInt($(".inviteContactsModal .invite-contacts-btn").attr("inviteCount")) - 1;
	}
	else{
		btnElement.addClass("select-contacts");
		btnElement.find(".invite"+invite).empty().append('<i class="fa fa-user"></i>  <i class="fa fa-check">');
		inviteCount = parseInt($(".inviteContactsModal .invite-contacts-btn").attr("inviteCount")) + 1;
		$(".invite-contacts-btn").prop("disabled",false);
	}
	
	$(".invite-contacts-btn").attr("inviteCount",inviteCount);
	$(".inviteContactsModal .invite-count").html(inviteCount);
	//Phone
	var selectContacts = []; 
	$(".select-contacts .btn").each(function(i,item){
		selectContacts[i] = $(item).attr("phoneNumber");
	});
	selectContacts = selectContacts.join(",");
	
	$(".invite-contacts-btn").attr("phoneNumber",selectContacts);
	
	//Name
	var selectNameContacts = []; 
	$(".select-contacts .btn").each(function(i,item){
		selectNameContacts[i] = $(item).attr("name");
	});
	selectNameContacts = selectNameContacts.join(",");
	$(".invite-contacts-btn").attr("name",selectNameContacts);
	
	if(inviteCount == 0){
		$(".invite-contacts-btn").prop("disabled",true);
	}
}

function sortCharacters(){
	$(".sort-characters").empty().append('<li>A</li>\
										<li>B</li>\
										<li>C</li>\
										<li>D</li>\
										<li>E</li>\
										<li>F</li>\
										<li>G</li>\
										<li>H</li>\
										<li>I</li>\
										<li>J</li>\
										<li>K</li>\
										<li>L</li>\
										<li>M</li>\
										<li>N</li>\
										<li>O</li>\
										<li>P</li>\
										<li>Q</li>\
										<li>R</li>\
										<li>S</li>\
										<li>T</li>\
										<li>U</li>\
										<li>V</li>\
										<li>W</li>\
										<li>X</li>\
										<li>Y</li>\
										<li>Z</li>');
	var height = window.innerHeight - 170;
	$('.sort-characters').height(height);
}

$(document).on("click",".inviteContactsModal ul li",function(){
	var character = $(this).text();
	$('.contacts-fixed').animate({
		scrollTop: $("#character"+character).position().top
	},0);
});

function saveAllMobileContacts(){
	var data = new FormData($("#contactsForm")[0])
	$.ajax({
		type   	 		: 'POST',
		url     		: appObj.siteUserControllerUrl+'saveAllMobileContacts',
		data    		: data,
		dataType 		: 'html',
		contentType		: false,
		processData		: false,
	});
}

function inviteAppConatcts(btn){
	if($(".inviteContactsModal .invite-contacts-btn").attr("inviteCount") > 0){
		$("#commonModal").remove();
		var phoneNumber = $(btn).attr("phoneNumber").split(',');
		var name = $(btn).attr("name").split(',');
		var message	= "Hey, I\'m using this awesome app for Latino Professionals. You should use it too. Get it here http://latinc.us/app/download/";
		
		var smsBlock = '';
			smsBlock+='<div id="commonModal">\
							<div class="common-modal-content">\
								<div class="header">\
									<div class="breadcrumb-title"><a class="btn-link" href="javascript:void(0);" onclick="closeCommonModal();"><i class="fa fa-3x fa-angle-left"></i></a> <span>Send Message</span></div>\
								</div>\
								<form class="p-xs" id="sendInviteForm">\
									<div class="form-group phone-inline">';
										for(var i = 0; i < phoneNumber.length; i++){
										   smsBlock+='<span class="phone-block" phonenumber="'+phoneNumber[i]+'"><span class="phone-value">'+name[i]+'</span><i class="fa fa-minus"></i></span>';
										}
										smsBlock+='<input type="hidden" class="form-control" id="numberTxt" value="'+phoneNumber+'">\
									</div>\
									<div class="form-group">\
										<textarea id="messageTxt" rows="4" class="form-control" placeholder="Message" value="'+message+'">'+message+'</textarea>\
									</div>\
									<a href="javascript:void(0);" onclick="sendInviteMessages(this);" class="btn btn-info btn-sm btn-block">Send message</a>\
								</form>\
							</div>\
						</div>';
		$("body").append(smsBlock);
		$("body").addClass("body-disabled");
	}
}

$(document).on("click",".phone-block .fa",function(){
	var length = $(".phone-block").length;
	if(length > 1){
		var phoneNumber = $(this).parent().attr("phonenumber");
		var phoneValue = $("#numberTxt").val().split(',');
		for (var i = 0; i < phoneValue.length; i++){
			if (phoneValue[i] == phoneNumber) { 
				phoneValue.splice(i, 1);
			}
		}
		var finalValues = phoneValue.join();
		$("#numberTxt").val(finalValues);
	
		$(this).parent().remove();
	}
	else{
		alert("This fields is required.")
	}
});

function sendInviteMessages(btn){
	$(btn).text("Sending...");
	$(btn).addClass("disabled");
	var number = document.getElementById('numberTxt').value;
	var message = document.getElementById('messageTxt').value;
	number = number.split(',');
	
	//CONFIGURATION
	var options = {
		replaceLineBreaks: false, // true to replace \n by a new line, false by default
		android: {
			intent: '' // send SMS without open any other app
		}
	};
	var success = function(){
		send_count = number.length;
		$("#sendInviteForm").empty().append('<h4>Thank You. '+send_count+' invites sent successfully</h4>');
	};
	var error = function(e){ 
		$("#sendInviteForm").empty().append('<h4>Message Failed</h4>');
	};	
	if(isIosApp()){
		sms.send(number, message, options, success, error);
	}
	else{
		for(var i = 0; i < number.length; i++){
			sms.send(number[i], message, options, success, error);
		}	
	}
}

$(document).on('keyup', "input[name=search-invite-contacts]", function(){
	var inputValue = $(this).val();
	if(inputValue != '' && inputValue.length >= 3){
		var options = new ContactFindOptions();
		options.filter = inputValue;
		options.multiple = true;
		if(isIosApp()){
			var fields = ["name","phoneNumber","photos"];   //return displayName and phoneNumber FIELDS
			navigator.contacts.find(fields, searchContactsIosModal, onError, options);
		}
		else{
			var fields = ["displayName","phoneNumber","photos"];   //return displayName and phoneNumber FIELDS
			navigator.contacts.find(fields,searchContactsModal, onError, options);
		}
		$(".search-contacts-close").show();
		$(".invite-contacts-modal").hide();
		$(".search-invite-contacts-modal").show();
	}
	else{
		$(".search-contacts-close").hide();
		$(".invite-contacts-modal").show();
		$(".search-invite-contacts-modal").hide();
	}

});

function searchContactsModal(c){
	var searchContacts = '';
		searchContacts+='<div class="invite-contacts p-xs">\
							<div class="row">';
								c.sort(function(a, b){
									if(a.name.formatted < b.name.formatted) return -1;
									if(a.name.formatted > b.name.formatted) return 1;
									return 0;
								})
								for(var i=0, len=c.length; i<len; i++){
									if(c[i].displayName && c[i].phoneNumbers){
										if(c[i].phoneNumbers[0].value.length >= 10){
											searchContacts+='<div class="col-xs-12 contactsSearchBlock'+i+'">\
																<a href="javascript:void(0);" onclick="selectInviteContacts(this,'+i+',1);">';
																	if(c[i].photos && c[i].photos.length){
																		searchContacts+='<img class="img-responsive" src="'+c[i].photos[0].value+'">';
																	}
																	else{
																		searchContacts+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/user/60x60/user.png">';
																	}
																	searchContacts+='<h5 class="pull-left">'+c[i].displayName+'\
																		<div class="text-muted">'+c[i].phoneNumbers[0].value+'</div>\
																	</h5>\
																</a>\
																<span class="pull-right">\
																	<a href="javascript:void(0);" class="btn btn-default btn-sm invite'+i+'" phoneNumber="'+c[i].phoneNumbers[0].value+'" name="'+c[i].displayName+'" onclick="selectInviteContacts(this,'+i+',1);"> <i class="fa fa-user"></i> <i class="fa fa-plus"></i></a>\
																</span>\
																<hr class="clear">\
															</div>';
										}
									}
								}
							searchContacts+='</div>\
						</div>';
	if(c == ""){
		$(".inviteContactsModal .search-invite-contacts-modal").html('<div class="p-xs">You have no contacts found.</div>');
	}
	else{
		$(".inviteContactsModal .search-invite-contacts-modal").empty().append(searchContacts);
	}
}
	
function searchContactsIosModal(c){
	var searchContacts = '';
	searchContacts+='<div class="invite-contacts p-xs">\
						<form id="contactsForm">\
							<div class="row">';
								c.sort(function(a, b){
									if(a.name.formatted < b.name.formatted) return -1;
									if(a.name.formatted > b.name.formatted) return 1;
									return 0;
								})
								for(var i=0, len=c.length; i<len; i++){
									if(c[i].name.formatted && c[i].phoneNumbers){
										if(c[i].phoneNumbers[0].value.length >= 10){
											searchContacts+='<div class="col-xs-12 contactsSearchBlock'+i+'">\
												<a href="javascript:void(0);" onclick="selectInviteContacts(this,'+i+',1);">';
													if(c[i].photos && c[i].photos.length){
														searchContacts+='<img class="img-responsive" src="'+c[i].photos[0].value+'">';
													}
													else{
														searchContacts+='<img class="img-responsive" src="'+appObj.baseUrl+'assets/images/user/60x60/user.png">';
													}
													searchContacts+='<h5 class="pull-left">'+c[i].name.formatted+'\
														<div class="text-muted">'+c[i].phoneNumbers[0].value+'</div>\
													</h5>\
												</a>\
												<span class="pull-right">\
													<a href="javascript:void(0);" class="btn btn-default btn-sm invite'+i+'" phoneNumber="'+c[i].phoneNumbers[0].value+'" name="'+c[i].name.formatted+'" onclick="selectInviteContacts(this,'+i+',1);"> <i class="fa fa-user"></i> <i class="fa fa-plus"></i></a>\
												</span>\
												<input type="hidden" name="phone[]" value="'+c[i].phoneNumbers[0].value+'">\
												<input type="hidden" name="name[]" value="'+c[i].name.formatted+'">\
											<hr style="clear:both;"></div>';
										}
									}
								}
							searchContacts+='</div>\
						</form>\
					</div>';
	if(c == ""){
		$(".inviteContactsModal .search-invite-contacts-modal").text("You have no contacts found.");
	}
	else{
		$(".inviteContactsModal .search-invite-contacts-modal").empty().append(searchContacts);
	}
}

function searchContactsClose(){
	$("input[name=search-invite-contacts]").val("");
	$(".search-contacts-close").hide();
	$(".invite-contacts-modal").show();
	$(".search-invite-contacts-modal").hide();
}

function onError(){
	alert('Some went wrong. Please try again.')
}
