var searchJS = '';

var searchObj = {
	noOfContactsLoaded 			: 0,
	noOfContactsToLoaded 		: 24,
}

searchPageInitalize();
function searchPageInitalize(){
	searchObj.noOfContactsLoaded = 0;
	searchPageContent();
	defaultTab(getUrlVars()["defaultTab"]);
	if(isMobileApp()){
		GARecored('Search');
	}
}

function searchPageContent(){
	$('#secondary-page').empty().append('<div class="row">\
									<div class="col-md-12">\
										<div class="connection-tab">\
											<ul class="nav connection-menu nav-tabs search-tab">\
												<li class="active">\
													<a href="#search-people" class="tab-1" data-toggle="tab" onclick="getAllSearchPeople(0);">People</a>\
												</li>\
												<li>\
													<a href="#search-jobs" class="tab-2" data-toggle="tab" onclick="getAllSearchJobs();">Jobs</a>\
												</li>\
												<li>\
													<a href="#search-courses" class="tab-3" data-toggle="tab"  onclick="getAllSearchCourses();">Courses</a>\
												</li>\
											</ul>\
											\
											<div id="connectionTabContentForApp" class="tab-content">\
												<div class="tab-pane fade in active" id="search-people">\
													<div class="search-people">\
														<img class="center-block" src="assets/images/ajax-loader.gif" width="90">\
														<span class="loading-text">Searching people...</span>\
													</div>\
													<div class="invite-sent-msg"></div>\
													<a class="write-post-bottom btn-link" onclick="mainSearchPeople();" href="javascript:void(0);"><i class="fa fa-search fa-lg"></i></a>\
												</div>\
												<div class="tab-pane fade" id="search-jobs">\
													<form id="jobSearchForm" class="m-b-xs">\
														<div class="input-group"><span class="input-group-addon"><i class="fa fa-map-marker"></i></span><input type="text" class="form-control" name="jobLocation" placeholder="Enter location" autocomplete="off"></div>\
														<input type="hidden" name="jobCity">\
														<input type="hidden" name="jobState">\
														<input type="hidden" name="jobCountryCode">\
														<div class="loc-search-results"></div>\
													</form>\
													<div class="search-jobs">\
														<img class="center-block" src="assets/images/ajax-loader.gif" width="90">\
														<span class="loading-text">Searching jobs...</span>\
													</div>\
												</div>\
												<div class="tab-pane fade" id="search-courses">\
													<div class="search-courses">\
														<img class="center-block" src="assets/images/ajax-loader.gif" width="90">\
														<span class="loading-text">Searching courses...</span>\
													</div>\
												</div>\
											</div>\
										</div>\
									</div>\
								</div>');
}

function mainSearchPeople(){
	$("input[name=main-search]").focus();
}

var connections1 = '';
function getAllSearchPeople(type){
	if(type == 0){
		searchObj.noOfContactsLoaded = 0;
	}
	$(".search-people .col-xs-12:last-child").after('<img class="mentors-load" src="'+appObj.siteUrl+'assets/images/comments-loader.gif">');
	$.ajax({
		url     	: appObj.siteUserControllerUrl+'getAllSuggestedConnections',
		type		:'POST',
		data   		:{noOfContactsToLoaded:searchObj.noOfContactsToLoaded,noOfContactsLoaded:searchObj.noOfContactsLoaded},
		dataType	: 'json',
		success		: function(data){
			if(type == 0){
				$(".search-people").empty();
			}
			$(".invite-block").show();
			$(".mentors-load").remove();
			var connections2 = '';
			if(data.length > 0){
				var i;
				for(i=0; i<data.length; i++){
					var connections3 = '';
					connections3+= displaySearchPeople(data[i].id,data[i].name,data[i].professional_headline,data[i].profile_img_medium,data[i].user_login_type,data[i].ethinicity_country_code,data[i].cover_photo);
					
					var defaultImg = data[i].profile_img_small.indexOf("user.png") > 1 || data[i].profile_img_small.indexOf("4252rscbv5M") > 1;
					if(defaultImg){
						connections1+= connections3;
					}
					else{
						if(data[i].profile_img_small == ""){
							connections1+= connections3;
						}
						else{
							connections2+= connections3;
						}
					}
					searchObj.noOfContactsLoaded++;
					suggestedCount = 0;
				}
				$(".search-people").append(connections2);
			}
			else{
				$(".search-people").append(connections1);
			}
		}
	});
}

function displaySearchPeople(id,name,professional,imagepath,loginType,ethinicity_country_code,cover_photo){
	var suggestedConnectionsBlock = '';
	suggestedConnectionsBlock = '<div class="col-xs-12 connections-block userBlock'+id+'">';
									suggestedConnectionsBlock+="<a href='javascript:void(0);' onclick='displayPublicProfile("+id+",\""+imagepath+"\",\""+cover_photo+"\","+loginType+",\""+name+"\",\""+professional+"\",\""+ethinicity_country_code+"\");'>";
										suggestedConnectionsBlock+='<img class="img-responsive" src="'+generateUserImg(imagepath,loginType,50,50)+'" alt="Image" width="50" onerror="checkImage(this);"/>\
									</a>\
									<div class="details">\
										<h5 class="m-n name-truncate">';
											suggestedConnectionsBlock+="<a href='javascript:void(0);' onclick='displayPublicProfile("+id+",\""+imagepath+"\",\""+cover_photo+"\","+loginType+",\""+name+"\",\""+professional+"\",\""+ethinicity_country_code+"\");'><b>"+name+"</b></a>";
										suggestedConnectionsBlock+='</h5>\
										<span class="pull-right">\
											<a class="connected'+id+'" onclick="sendConnectionsRequest(this,'+id+');" userName="'+name+'" type="1"><i class="pe-7s-add-user pe-lg pe-va"></i></a>\
										</span>\
										<div class="text-muted">'+professional+'</div>\
									</div>\
								</div>';
	return suggestedConnectionsBlock;
}

function sendConnectionsRequest(btn,user_id){
	$('.userBlock'+user_id).addClass("user-remove");
	setTimeout (function(){
		$('.userBlock'+user_id).remove();
		var userName = $(btn).attr("userName");
		$('.invite-sent-msg').show();
		$(".invite-sent-msg").empty().append('<div class="panel">Invitation sent for '+userName+'</div>');
		$('.invite-sent-msg').delay(4000).fadeOut('fast');
	},500)
	$.ajax({
		type		: 'POST',
		url     	: appObj.siteUserControllerUrl+'sendConnectionsRequest',
		data		: {user_id:user_id},
		dataType	: 'json',
		success 	: function(data){
			if(data == 1){
				sendNotifications(user_id,"connectionsRequest");
			}
		}
	});
}

function checkImage(image){
	image.onerror = "";
	image.src = appObj.siteUrl+'assets/images/user/user.png';
	return false;
}

function getAllSearchJobs(){
	$("input[name=jobLocation]").val('');
	$.ajax({
		url     	: appObj.siteUserControllerUrl+'getJobs',
		dataType 	: 'json',
		success 	: function(data){
			var searchJobs = '';
			if(data.results == 0){
				searchJobs += '<div class="no-results"><i class="fa fa-3x fa-search"></i><br><br>No results found</div>';
			}
			else{
				$.each(data.results,function(index,results){
					searchJobs+= '<div class="col-xs-12 connections-block">\
									<div class="details">\
										<h5 class="m-n name-truncate">\
											<a url="'+results.url+'" href="javascript:void(0);" onclick="openlink(this);"><b>'+results.jobtitle+'</b></a>\
										</h5>\
										<span class="pull-right">\
											'+results.formattedRelativeTime+'\
										</span>\
										<div class="text-muted">'+results.company+'</div>\
										<div class="text-muted"><i class="fa fa-map-marker"></i> '+results.formattedLocationFull+'</div>\
									</div>\
								</div>';
				});
			}
			$(".search-jobs").empty().append(searchJobs);
		}
	});
}

function getAllSearchCourses(){
		$.ajax({
		url			:appObj.siteUserControllerUrl+'udemyCourses',
		dataType	:'json',
		success		:function(data){
			var searchCourses = '';
			if(data.results == 0){
				searchCourses += '<div class="no-results"><i class="fa fa-3x fa-search"></i><br><br>No results found</div>';
			}
			else{
				$.each(data.results,function(index,results){
					var price = results.price;
					var res = price.substring(1);
					searchCourses+= '<div class="col-xs-12 connections-block">\
										<a url="https://www.udemy.com'+results.url+'" onclick="openlink(this);">\
											<img class="img-responsive" src="'+results.image_480x270+'">\
										</a>\
										<div class="details">\
											<h5 class="m-n name-truncate">\
												<a url="https://www.udemy.com'+results.url+'" onclick="openlink(this);"><b>'+results.title+'</b></a>\
											</h5>\
											<div class="text-muted">'+results.price+'</div>\
										</div>\
									</div>';
				});
			}
			$(".search-courses").empty().append(searchCourses);
		}
	});
}

var suggestedCount = 0;
$(window).scroll(function(){
	if(appObj.pageName == "search"){
		var activeTab = $(".connection-menu li.active").index() + 1;
		if(activeTab == 1){
			if($(window).scrollTop() + $(window).height() > $(document).height() - 300){
				if(suggestedCount == 0){
					getAllSearchPeople(1);
					suggestedCount = 1;
				}
			}
		}
	}
});

$(document).on('keyup', "input[name=jobLocation]", function(e){
	var inputValue = $(this).val();
	inputValue = inputValue.split(",")[0];
	var searchInput = $(this);
	if(inputValue != '' && inputValue.length > 2){
		$.ajax({
			url      : appObj.siteUserControllerUrl+'getLocationsByCity',
			dataType : 'json',
			type     : 'POST',
			data     : {city:inputValue},
			success  : function(data){
				$(".loc-search-results").empty();
				var searchResults = '';
				if(data.results != ''){
					searchResults += '<ul>';
					$.each(data.results,function(index,results){
						searchResults += "<li city-name='"+results.city_name+"' state-name='"+results.state_name+"' country-code='"+results.sortname+"'>"+results.city_name+", ";
						if(results.city_name != results.state_name){
							searchResults += results.state_name+", ";
						}
						searchResults += results.country_name+"</li>";
					});
					searchResults += '</ul>';
				}
				else{
					searchResults += '<ul class="p-xxs">Start typing your location and choose the closest match.</ul>';
				}
				$(".loc-search-results").empty().append(searchResults);
			}
		});
	}
	else{
		$(".loc-search-results").empty();
		$("input[name=jobCity]").val("");
	}
});

$(document).on("click",".loc-search-results li",function(){
	var jobCity = $(this).attr("city-name");
	var jobState = $(this).attr("state-name")
	var jobCountryCode = $(this).attr("country-code");
	$("input[name=jobLocation]").val($(this).text());
	$("input[name=jobCity]").val(jobCity);
	$("input[name=jobState]").val(jobState);
	$("input[name=jobCountryCode]").val(jobCountryCode);
	$(".loc-search-results").empty();
	
	var data = new FormData($("#jobSearchForm")[0]);
	$(".search-jobs").empty().append('<img class="center-block" src="assets/images/ajax-loader.gif" width="90"><span class="loading-text">Search for jobs</span>');
	$.ajax({
		type    	: 'POST',
		url     	: appObj.siteUserControllerUrl+'getAllSearchJobs',
		data		: data,
		dataType	: 'json',
		contentType	:false,
		processData	:false,
		success 	: function(data){
			var locationsJobs = '';
			if(data.results == 0){
				locationsJobs += '<div class="no-results"><i class="fa fa-3x fa-search"></i><br><br>No results found</div>';
			}
			else{
				$.each(data.results,function(index,results){
					locationsJobs+= '<div class="col-xs-12 connections-block">\
								<div class="details">\
									<h5 class="m-n name-truncate">\
										<a url="'+results.url+'" href="javascript:void(0);" onclick="openlink(this);"><b>'+results.jobtitle+'</b></a>\
									</h5>\
									<span class="pull-right">\
										'+results.formattedRelativeTime+'\
									</span>\
									<div class="text-muted">'+results.company+'</div>\
									<div class="text-muted"><i class="fa fa-map-marker"></i> '+results.formattedLocationFull+'</div>\
								</div>\
							</div>';
				});
			}
			$(".search-jobs").empty().append(locationsJobs);
		}
	});
});

function getUrlVars(){
    var vars = {};
    var parts = window.location.href.replace(/[?&]+([^=&]+)=([^&]*)/gi, function(m,key,value) {
    vars[key] = value;
    });
	return vars;
}

function defaultTab(type){
	$('.search-tab a[class="tab-'+type+'"]').click();
}